/**
 * Created by hayashirin on 14-11-6.
 */

var CutFoodLayer = cc.Layer.extend({

    CreatedishLayer:null,
    hand:null,
    knife:null,
    blood:null,
    Dishblock:null,
    m_dish_slider:null,
    manface:null,
    manexpression:null,

    ctor : function()
    {
        this._super();

        this.size = cc.director.getWinSize();
        //初始化
        this.init();
        //添加背景
        var bg = new cc.Sprite("#com_bg_01.png");

//        var listener1 = cc.EventListener.create({
//            event: cc.EventListener.TOUCH_ONE_BY_ONE,
//            swallowTouches: false,
//            onTouchBegan: function (touch, event) {
//                cc.log("begin");
//                var target = event.getCurrentTarget();
//
//                var locationInNode = target.convertToNodeSpace(touch.getLocation());
//                var s = target.getContentSize();
//                var rect = cc.rect(0, 0, s.width, s.height);
//
//                if (cc.rectContainsPoint(rect, locationInNode)) {
//                    cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
//                    return true;
//                }
//                return false;
//            },
//            onTouchMoved: function (touch, event) {
//
//            },
//            onTouchEnded: function (touch, event) {
//                cc.log("end");
//            }
//        });
//        cc.eventManager.addListener(listener1, this.bg);


        bg.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(bg);
        //砧板
        var Cuttingboard = new cc.Sprite("#z_01_bg.png");
        Cuttingboard.attr({
            x:this.size.width/2,
            y:this.size.height/2 - 20,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(Cuttingboard);
        //史小坑身体
        var manbody = new cc.Sprite("#x_01_man_body.png");
        manbody.attr({
            x:this.size.width/2 - 100,
            y:this.size.height/2 + 180,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(manbody);
        //史小坑脸
        var manface = new cc.Sprite("#x_01_man_head.png");
        manface.attr({
            x:120,
            y:20,
            anchorX:0.5,
            anchorY:0.5
        });
        manbody.addChild(manface);
        this.manface = manface;
        //史小坑表情
        var manexpression = new cc.Sprite("#x_01_man_head_biaoqing2.png");
        manexpression.attr({
            x:64,
            y:54,
            anchorX:0.5,
            anchorY:0.5
        });
        manface.addChild(manexpression);
        this.manexpression = manexpression;
        //砧板的遮挡层
        var CuttingboardLayer = new cc.LayerColor(cc.color(255, 255, 255), Cuttingboard.getContentSize().width, Cuttingboard.getContentSize().height);
        CuttingboardLayer.attr({
            x:this.size.width/2 - Cuttingboard.getContentSize().width /2,
            y:this.size.height/2 - Cuttingboard.getContentSize().height / 2,
            opacity:0
        });
        this.addChild(CuttingboardLayer, 20);
        //切按钮
        var Cutting = new cc.Sprite("#z_01_cut.png");
        Cutting.attr({
            x:this.size.width/2 - Cutting.getContentSize().width / 2 - 20,
            y:Cutting.getContentSize().height / 2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(Cutting, 200);
        //换按钮
        var Exchange = new cc.Sprite("#z_01_change.png");
        Exchange.attr({
            x:this.size.width/2 + Exchange.getContentSize().width / 2 + 20,
            y:Exchange.getContentSize().height / 2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(Exchange, 200);

        this.DishTag =Math.floor(Math.random()*4) + 11;

        //设置触摸事件,创建一个事件监听器 OneByOne 为单点触摸
        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();
                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    if (target == bg) {

                    }
                    if (target == CuttingboardLayer) {

                    }
                    if (target == Cutting && target.parent.Whethercancut == true) {
                        Cutting.setSpriteFrame("z_01_cut2.png");
                        target.parent.cutNumber++;
                        if (target.parent.cutNumber > target.parent.DishCutnumber) {
                            cc.log("Over");
                            target.parent.Cutit();
                        } else {
                            playEffect(res.CutFood_cut,false);
                            var cutAtion = cc.moveBy(0.01, cc.p(0, -30));
                            var HandMove = cc.moveBy(0.02, cc.p(- target.parent.DishCutLong, 0));
                            target.parent.m_dish_slider.setValue(target.parent.m_dish_slider.getValue() - 10);
                            target.parent.CreatedishLayer.getChildByTag(50 + target.parent.tagNumber).setVisible(true);
                            target.parent.CreatedishLayer.getChildByTag(1002).runAction(cc.sequence(cutAtion, cutAtion.reverse(),HandMove));
                            target.parent.CreatedishLayer.getChildByTag(1001).runAction(HandMove);
                            target.parent.tagNumber++;
                        }
                        target.parent.Whethercancut = false;
                    }
                    if (target == Exchange && target.parent.WhetherExchange == true) {
                        Exchange.setSpriteFrame("z_01_change2.png");
                        target.parent.tagNumber = 1;
                        target.parent.Whethercancut = false;
                        if (target.parent.cutNumber < target.parent.DishCutnumber) {
                            cc.log("Over");
                            playEffect(res.CutFood_warning,false);
                            target.parent.WhetherExchange = false;
                            var curLevel;
                            for(var i=0;i<24;i++){
                                if(_arr[i][0]==target.getParent().getParent().mainPassionLevel){
                                    curLevel=i+1;
                                }
                            }
                            target.parent.Over();
                            cc.log("game over 2");
                        } else {
                            playEffect(res.CutFood_conversion,false);
                            target.parent.gameWinCallBack();
                        }
                        target.parent.WhetherExchange = false;
                    }
                    return true;
                }
                return false;
            },
            onTouchEnded: function (touch, event) {
                var target = event.getCurrentTarget();
                if (target == Cutting) {
                    target.parent.Whethercancut = true;
                    Cutting.setSpriteFrame("z_01_cut.png");
                } else if (target == Exchange) {
                    target.parent.WhetherExchange = true;
                    Exchange.setSpriteFrame("z_01_change.png");
                }
            }
        });
        cc.eventManager.addListener(listener1, Cutting);
        cc.eventManager.addListener(listener1.clone(), Exchange);
        cc.eventManager.addListener(listener1.clone(), CuttingboardLayer);
        cc.eventManager.addListener(listener1.clone(), bg);

        this.Createdish(this.DishTag);
    },
    init:function(){
        this.cutNumber = 0;
        this.DishTag = 0;
        this.Several = 0;
        this.tagNumber = 1;
        this.Whethercancut = false;
        this.WhetherExchange = false;
        this.DishCutLong = 0;
        this.DishCutnumber = 0;
        this.Several = 0;
    },
    gameWinCallBack:function(){
        this.Several++;
        this.parent.setscore(this.Several);
//        cc.log(this.Several);
        this.manexpression.setSpriteFrame("x_01_man_head_biaoqing.png");
        playEffect(res.F24_Laughter,false);
        this.manface.runAction(cc.sequence(cc.jumpBy(0.5, cc.p(0, 0), 10, 3), cc.callFunc(function(){
            this.manexpression.setSpriteFrame("x_01_man_head_biaoqing2.png");
        },this)));
        this.hand.runAction(cc.moveTo(0.15, cc.p(-this.hand.getContentSize().width / 2 ,170)));
        for (var i = 1; i <= this.DishCutnumber; i++) {
            this.CreatedishLayer.getChildByTag(50 + i).runAction(cc.moveTo(0.15, cc.p(this.size.width, 265)));
            this.knife.runAction(cc.sequence(cc.moveTo(0.15, cc.p(this.knife.getPositionX(), - this.knife.getContentSize().height / 2)), cc.callFunc(function(){
                this.getChildByTag(100).removeFromParent(true);
                var adc = this.DishTag;
                while (adc == this.DishTag) {
                    this.DishTag =Math.floor(Math.random()*4) + 11;
                }
                this.cutNumber = 0;
                this.Createdish(this.DishTag);
            },this)));
        }
    },
    Createdish:function(m_dishTag){
        this.WhetherExchange = true;
        var CreatedishLayer = new cc.Layer();
        CreatedishLayer.setTag(100);
        this.addChild(CreatedishLayer);
        this.CreatedishLayer = CreatedishLayer;
        var Dishname;
        var Dishtransparent;
        var Dishblockname;
        var DishLong;
        var HandLong;

        switch (m_dishTag) {
            case 11:
                Dishname = "#z_01_radish_01.png";
                Dishtransparent = "#z_01_radish_transparent.png";
                Dishblockname = "#z_01_radish_02.png";
                DishLong = 140;
                HandLong = 70;
                this.DishCutnumber = 14;
                break;

            case 12:
                Dishname = "#z_01_eggplant_01.png";
                Dishtransparent = "#z_01_eggplant_transparent.png";
                Dishblockname = "#z_01_eggplant_02.png";
                DishLong = 120;
                HandLong = 50;
                this.DishCutnumber = 10;
                break;

            case 13:
                Dishname = "#z_01_hot-pepper_01.png";
                Dishtransparent = "#z_01_hot-pepper_transparent.png";
                Dishblockname = "#z_01_hot-pepper_02.png";
                DishLong = 200;
                HandLong = 65;
                this.DishCutnumber = 16;
                break;

            case 14:
                Dishname = "#z_01_lemon_01.png";
                Dishtransparent = "#z_01_lemon_transparent.png";
                Dishblockname = "#z_01_lemon_02.png";
                DishLong = 40;
                HandLong = -20;
                this.DishCutnumber = 4;
                break;

            case 15:
                Dishname = "#z_01_potato_01.png";
                Dishtransparent = "#z_01_potato_transparent.png";
                Dishblockname = "#z_01_potato_02.png";
                DishLong = 60;
                HandLong = -10;
                this.DishCutnumber = 6;
                break;
        }
        var m_dish_slider = new cc.ControlSlider(Dishtransparent,Dishname,Dishtransparent);
        m_dish_slider.setMaximumValue(DishLong);
        m_dish_slider.setMinimumValue(0);
        m_dish_slider.setValue(DishLong);
        m_dish_slider.setTag(m_dishTag);
        m_dish_slider.setPosition(cc.p(- m_dish_slider.getContentSize().width / 2, 270));
        CreatedishLayer.addChild(m_dish_slider);
        this.m_dish_slider = m_dish_slider;
        m_dish_slider.runAction(cc.moveTo(0.15, cc.p(this.size.width / 2-50,270)));
        var dishsprite = new cc.Sprite(Dishname);
        this.DishCutLong = dishsprite.getContentSize().width / (DishLong / 10);
        var hand = new cc.Sprite("#z_01_lefthand.png");
        hand.setPosition(cc.p(- hand.getContentSize().width / 2, 170));
        hand.setTag(1001);
        CreatedishLayer.addChild(hand, 10);
        this.hand = hand;
        hand.runAction(cc.sequence(cc.delayTime(0.15/2),cc.moveTo(0.15,cc.p(this.size.width / 2 - 260 + HandLong - 30, 170))));

        var knife = new cc.Sprite("#z_01_righthand.png");
        knife.setPosition(cc.p(this.size.width / 2 + HandLong, -knife.getContentSize().height / 2));
        knife.setTag(1002);
        CreatedishLayer.addChild(knife, 100);
        this.knife = knife;
        knife.runAction(cc.sequence(cc.delayTime(0.15/2),cc.moveTo(0.15,cc.p(this.size.width / 2 + HandLong, 170))));
        knife.runAction(cc.sequence(cc.delayTime(0.15/2 + 0.15),cc.callFunc(function(){
            this.Whethercancut = true;
        }, this)));
        for (var i = 1; i <= this.DishCutnumber; i++) {
            var Dishblock =  new cc.Sprite(Dishblockname);
            Dishblock.setPosition(cc.p(this.size.width / 2 + (dishsprite.getContentSize().width / 2) - (this.DishCutLong * i), 271));
            Dishblock.setVisible(false);
            Dishblock.setScale(0.8 + (i*0.1));
            if (m_dishTag == 11) {
                if (i < 10) {
                    Dishblock.setScale(0.2 + (i*0.05));
                } else {
                    Dishblock.setScale(0.5 + ((this.DishCutnumber - i)*0.05));
                }
            } else if (m_dishTag == 12) {
                Dishblock.setScale(0.7 + (i*0.03));
            } else if (m_dishTag == 13) {
                Dishblock.setScale(0.5 + (i*0.02));
            } else if (m_dishTag == 14) {
                if (i < 2 || i > 3) {
                    Dishblock.setScale(0.8);
                }
            } else if (m_dishTag == 15) {
                if (i < 4) {
                    Dishblock.setScale(0.8 + (i*0.05));
                } else {
                    Dishblock.setScale(0.85 + ((this.DishCutnumber - i)*0.05));
                }
            }
            Dishblock.setTag(50 + i);
            CreatedishLayer.addChild(Dishblock, 50+i);
            this.Dishblock = Dishblock;
        }
    },
    Cutit:function() {
        this.Whethercancut = false;
        this.WhetherExchange = false;
        var cutAtion = cc.moveBy(0.1, cc.p(0, -30));
        var HandMove = cc.moveBy(0.2, cc.p(- 20, 0));
        this.CreatedishLayer.getChildByTag(1002).runAction(cc.sequence(HandMove,cutAtion, cutAtion.reverse()));
        var blood = new cc.Sprite("#z_01_blood.png");
        blood.attr({
            x:this.hand.getPositionX() + 260,
            y:this.hand.getPositionY() + 100,
            anchorX:0.5,
            anchorY:0.5,
            scale:0.1
        });
        this.addChild(blood, 11);
        blood.runAction(cc.sequence(cc.scaleTo(0.2, 1),cc.callFunc(function(){
            this.manexpression.setSpriteFrame("x_01_man_head_biaoqing3.png");
            var Bloodlayer = new cc.LayerColor(cc.color(255, 0, 0, 168), this.size.width, this.size.height);
            Bloodlayer.setVisible(false);
            Bloodlayer.runAction(cc.sequence(cc.blink(0.7, 3), cc.callFunc(function(){

                this.Over();

            },this)));
            this.addChild(Bloodlayer, 300);
        },this)));
    },
    Over:function() {

    cc.log("current level:"+this.getParent().score);

        showNormalGameOverPanel(this.getParent(),this.getParent().score,this.getParent().mainPassionLevel,4);
    }

});

var CutFoodScene = cc.Scene.extend({
    score:0,
    fireBomb:null,
                                   mainPassionLevel:-1,
                                   _level:-1,
    ctor:function(_mainPassionLevel){
        this._super();
        this.mainPassionLevel = _mainPassionLevel

    },
    onEnter : function() {
        this._super();
        this.size = cc.director.getWinSize();
        var layer = new CutFoodLayer();
        this.addChild(layer);

        var level = 4;
                                   
                                   _level = level,
        cc.log("i am here3"+this.fireBomb);

        if(this.fireBomb == null){
            this.fireBomb = new BombFiring(30, this.mainPassionLevel, level);
            this.addChild(this.fireBomb, 1000);
        }


                                   
//        var spriteForreturnBtn=new cc.Scale9Sprite("com_btn_red.png");
//        var returnBtn =new cc.ControlButton(spriteForreturnBtn);
//        returnBtn.setPosition(cc.p(this.size.width - 100, this.size.height - 100));
//        returnBtn.setPreferredSize(cc.size(92, 98));
//        this.addChild(returnBtn, 1);
//        returnBtn.addTargetWithActionForControlEvents(this, function () {
//            playEffect(res.BUTTON_SOUNDS);
////            resumeAllNode();
//            this.removeFromParent();
//
//        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//        var pauseButton = new cc.Sprite("#pause_btn_back.png");
//        pauseButton.setPosition(cc.p(returnBtn.getContentSize().width / 2 - 5, returnBtn.getContentSize().height / 2 + 8));
//        returnBtn.addChild(pauseButton, 2);

//        var level = 13;
//        var mainUILayer = new MainUILayer(level);
//        this.addChild(mainUILayer, 2);
    },
    setscore:function(several){
        this.score = several;
        cc.log(this.score);
    },
    pauseTheGame : function () {
        //pause the game
        cc.log("pause the game");
    },
    resumeTheGame :function () {
        //resume the game
        cc.log("resume the game");
    }

});