/**
 * Created by yuhuicai on 14-11-10.
 */
//0
var BombFiring=cc.Layer.extend({
    temp: null,
    size: null,
    label: null,
    spriteWithBomb: null,
    time: null,
    bg: null,
    fireParticle:null,
    scoreTTF:0,
    mainPassionLevel:-1,
    nowLevel : -1,
    ctor: function (times, _mainPassionLevel, _nowLevel) {
        this._super();
        temp = this;
        time = times;
        nowLevel = _nowLevel;
        mainPassionLevel = _mainPassionLevel
                               cc.log("传值："+ _mainPassionLevel + " "+mainPassionLevel);
        bg = this;
        bg.initWithMe();
    },
    initWithMe: function () {

        cc.log("normal game level:"+ nowLevel);
        var testJSB = new JSB.JSBinding();
        testJSB.retain();
        testJSB.uploadPassionLevelToUmeng(1,nowLevel,1);
        testJSB.release();


        stopAllEffect();
        stopBackgroundMusic();
        var bgMusic = "res/music/normal_bg_"+nowLevel+".mp3";
        cc.log("background music:" + bgMusic);
        playBackgroundMusic(bgMusic,true);


        var spriteWithpauseBtn = new cc.Sprite("#com_btn_blue.png");
        var scale9SpriteWithpauseBtn = new cc.Scale9Sprite("com_btn_blue.png");
        var pauseBtn = new cc.ControlButton(scale9SpriteWithpauseBtn);
        pauseBtn.setPreferredSize(cc.size(spriteWithpauseBtn.width, spriteWithpauseBtn.height));
        pauseBtn.addTargetWithActionForControlEvents(this, function(){
            this.getParent().pauseTheGame();
            this.parent.callOutPausePanel();
            playEffect(res.BUTTON_SOUNDS);
        }.bind(pauseBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        pauseBtn.x = size.width-50;
        pauseBtn.y = size.height-60;
        pauseBtn.setTag(1006);
        this.addChild(pauseBtn);

        var spriteWithpause = new cc.Sprite("#game_btn_pause_icon.png");
        spriteWithpause.x = pauseBtn.width/2-5;
        spriteWithpause.y = pauseBtn.height/2+10;
        pauseBtn.addChild(spriteWithpause);


        //分数

        var scoreBg=new cc.Sprite(res.normal_game_time);
        scoreBg.attr({
            anchorX:0,
            anchorY:1,
            x:-80,
            y:size.height+10,
            scale:0.9
        });
        bg.addChild(scoreBg,1000);

        scoreTTF = new cc.LabelAtlas("0",res.normal_game_shuzi,45,50,"0");
//        ,res.Resurgence_number,20,28
        scoreTTF.attr({
            x:200,
            y:size.height - 80,
            anchorX:1
        });

        bg.addChild(scoreTTF, 1000);
        bg.schedule(temp.scoreUpdater);



        //炸弹
        spriteWithBomb = cc.Sprite.create("#com_blasting_fuse_01.png");
        spriteWithBomb.setPosition(cc.p(100, size.height - 128 - 18));
        spriteWithBomb.setTag(223);
        spriteWithBomb.setZOrder(11);
        bg.addChild(spriteWithBomb, 11);

        //炸弹绳索
        var bomb = cc.ProgressTimer.create(cc.Sprite.create("#com_blasting_fuse_02.png"));
        bomb.setType(cc.ProgressTimer.TYPE_RADIAL);
        bomb.setPosition(cc.p(100, size.height - 128 - 22));
        bomb.setReverseDirection(false);
        bomb.setPercentage(100);
        bomb.setTag(123);
        bomb.setZOrder(10);
        bg.addChild(bomb, 10);
        var action = cc.progressTo(time, 9);
        action.setTag(111);
        bomb.runAction(action);

        //显示时间
        label = cc.LabelTTF.create(time, getFONT_FZCY_M03SStr(), 30);
        label.setTag(56);
        label.setPosition(cc.p(100, size.height - 128 - 18));
        label.setZOrder(12);
        bg.addChild(label, 12);

        //火焰粒子
        fireParticle = cc.ParticleSystem.create(res.bombpartical_plist);
        fireParticle.setPosition(cc.p(100, size.height - 128 - 22));
        fireParticle.retain();
        fireParticle.setZOrder(13);
        bg.addChild(fireParticle, 13,0);

        bg.schedule(bg.timerUpdater);
        //炸弹不为0的情况下影藏并不使用炸弹，为0的情况下使用
        if(time != 0){
            var actionBomb=cc.sequence(cc.delayTime(time+0.1),cc.callFunc(this.fireTheBomb));
            actionBomb.setTag(1);
            bg.runAction(actionBomb);
        }else{
            spriteWithBomb.setVisible(false);
            bomb.setVisible(false);
            label.setVisible(false);
            fireParticle.setVisible(false);
        }

    },
    scoreUpdater: function (dt) {
//        cc.log("refresh score " + this.getParent().score);

        scoreTTF.string=String(this.getParent().score).replace(/\./g,":");

    },
    timerUpdater: function (dt) {
        var timer;
        var pri = bg.getChildByTag(123);
        if (pri != null)
            timer = time / 91 * (pri.getPercentage() - 9);
        label.setString(Math.ceil(timer));
        var per = pri.getPercentage();
        x = 41 * Math.sin(cc.degreesToRadians(360.0 / 100.0 * per));
        y = 41 * Math.cos(cc.degreesToRadians(360.0 / 103.0 * per));
        fireParticle.setPosition(cc.p(100 + x, size.height - 128 - 22 + y));
    },
    fireTheBomb: function () {
//        var tempBomb=this;
        bg.getParent().pauseTheGame();
        temp.runAction(cc.sequence(
            cc.callFunc(function(){

                var bomb=bg.getChildByTag(123);
                bomb.setVisible(false);
                fireParticle.setVisible(false);
                var score=bg.getChildByTag(56);
                score.setVisible(false);
                var sprite=bg.getChildByTag(223);
                sprite.runAction(cc.jumpTo(1,cc.p(size.width/2,size.height/2),100,2));
            }),cc.delayTime(1.1),cc.callFunc(function(){
                var sprite=bg.getChildByTag(223);
                bombForCar1=cc.Sprite.create("#com_boom_02.png");
                bombForCar1.setPosition(cc.p(sprite.getContentSize().width/2,sprite.getContentSize().height/2));
                sprite.addChild(bombForCar1,100);
                var animFrames=[];
                for(var i=2;i>0;i--)
                {
                    var frame=cc.spriteFrameCache.getSpriteFrame("com_boom_0"+i+".png");
                    animFrames.push(frame);
                }
                var bombFire=new cc.Animation(animFrames,0.1);
                playEffect(res.F09_BOMB_SOUNDS,false);
                bg.panelWhite();
                bombForCar1.runAction(new cc.Animate(bombFire).repeatForever());
            }),cc.delayTime(0.7),
            cc.callFunc(function(){temp.gameOver(temp.getParent().score,nowLevel);})));
                               
//        temp.gameOver(temp.getParent().score);
    },
    panelWhite:function()
    {
        var bgg=cc.LayerColor.create(cc.color(255, 255, 255, 255), size.width, size.height);
//        bgg.setPosition(cc.p(size.width/2,size.height/2));
        this.addChild(bgg,1000);
        this.runAction(cc.sequence(cc.callFunc(function(){
            bgg.setVisible(false);
            cc.log("asd");
        }),cc.delayTime(0.1),cc.callFunc(function(){
            bgg.setVisible(true);
            cc.log("asd");
        }),cc.delayTime(0.1),cc.callFunc(function(){
            bgg.setVisible(false);
            cc.log("asd");
        }),cc.delayTime(0.1),cc.callFunc(function(){
            bgg.setVisible(true);
            cc.log("asd");
        }),cc.delayTime(0.1),cc.callFunc(function() {
            bgg.setVisible(false);
            cc.log("asd");
        })));
    },
    pauseTheGame: function () {
         //暂停炸弹

    },
    resumeTheGame: function () {
        //恢复
    },

    gameOver : function (score,_nowLevel) {
        cc.log("game over "+score+" "+mainPassionLevel);
       var curLevel;
       for(var i=0;i<24;i++){
       if(_arr[i][0]==mainPassionLevel){
       curLevel=i+1;
       }
       }
        showNormalGameOverPanel(this.getParent(),score,mainPassionLevel,_nowLevel);
    },
    exitThePassion : function () {

        cc.log("exit the game2!");
    },
    callOutPausePanel:function(){
        
        //调用插屏广告
        // showFullScreenAd("pause");
        showAd("gamePause");

        setIsPauseGame(1);
        this.getParent().pauseTheGame();
        pauseAllEffect();
        pauseBackgroundMusic();
        cc.log ( "i am coming!!");
        //暂停面板
        var pauseMaskBg = new cc.LayerColor(cc.color(0, 0, 0,200), size.width, size.height);

        this.addChild(pauseMaskBg);

        //返回转盘
        var spriteWithhomeBtn = new cc.Sprite("#com_btn_blue.png");
        var scale9SpriteWithhomeBtn = new cc.Scale9Sprite("com_btn_blue.png");
        var homeBtn = new cc.ControlButton(scale9SpriteWithhomeBtn);
        homeBtn.setPreferredSize(cc.size(spriteWithhomeBtn.width, spriteWithhomeBtn.height));
        homeBtn.addTargetWithActionForControlEvents(this, function(){
            setIsPauseGame(0);
            pauseAllEffect();
            pauseBackgroundMusic();
            playEffect(res.BUTTON_SOUNDS);

//            resumeAllNode();
            pauseAllNode();
            this.getParent().getParent().exitThePassion();
            cc.log("返回转盘"+mainPassionLevel);
                                                    
            ShowNormalGame(this.getParent().getParent(), mainPassionLevel,_arr);
//            this.getParent().getParent().getParent().removeFromParent();
//            this.getParent().getParent() .exitThePassion();
//
//            if(_level!=1) {
//
//                cc.director.runScene(new MainScene());
//
//                //                cc.director.runScene(new PassionScene(null, _level));
//            }
//            else if(_level==1)
//            {
//                resumeAllNode();
//                this.getParent().getParent().getParent().getChildByTag(1).winCall();
//
//                //                this.parent.removeFromParent();
//
//            }
        }.bind(homeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        homeBtn.x = size.width/2-85;
        homeBtn.y = -100;
        homeBtn.setTag(1006);
        pauseMaskBg.addChild(homeBtn);

        var spriteWithhome = new cc.Sprite("res/normal_game/normal_game_pause_btn_back_icon.png");
        spriteWithhome.x = homeBtn.width/2-5;
        spriteWithhome.y = homeBtn.height/2+9;
        homeBtn.addChild(spriteWithhome);


//        //关卡按钮
//        var spriteWithpassionBtn = new cc.Sprite("#com_btn_blue.png");
//        var scale9SpriteWithpassionBtn = new cc.Scale9Sprite("com_btn_blue.png");
//        var passionBtn = new cc.ControlButton(scale9SpriteWithpassionBtn);
//        passionBtn.setPreferredSize(cc.size(spriteWithpassionBtn.width, spriteWithpassionBtn.height));
//        passionBtn.addTargetWithActionForControlEvents(this, function(){
//            setIsPauseGame(0);
//            playEffect(res.BUTTON_SOUNDS);
//
//            this.getParent().getParent().exitThePassion();
//
//            for(var i=0;i<_arr.length;i++){
//                if(_arr[i][0]==_level){
//                    cc.director.runScene(new PassionScene(null, i+1));
//                }
//            }
//
//        }.bind(passionBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//        passionBtn.x = size.width/2-75;
//        passionBtn.y = -100;
//        passionBtn.setTag(1006);
//        pauseMaskBg.addChild(passionBtn);
//
//        var spriteWithpassion = new cc.Sprite("#pause_btn_level.png");
//        spriteWithpassion.x = passionBtn.width/2-5;
//        spriteWithpassion.y = passionBtn.height/2+10;
//        passionBtn.addChild(spriteWithpassion);


//            this.getParent().getParent().exitThePassion();

//            for(var i=0;i<_arr.length;i++){
//                if(_arr[i][0]==_level){
//                    cc.director.runScene(new PassionScene(null, i+1));
//                }
//            }
//
//        }.bind(passionBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//        passionBtn.x = size.width/2-75;
//        passionBtn.y = -100;
//        passionBtn.setTag(1006);
//        pauseMaskBg.addChild(passionBtn);

//        var spriteWithpassion = new cc.Sprite("#pause_btn_level.png");
//        spriteWithpassion.x = passionBtn.width/2-5;
//        spriteWithpassion.y = passionBtn.height/2+10;
//        passionBtn.addChild(spriteWithpassion);


        //关闭音乐按钮
        var spriteWithmusicBtn = new cc.Sprite("#com_btn_blue.png");
        var scale9SpriteWithmusicBtn = new cc.Scale9Sprite("com_btn_blue.png");
        var musicBtn = new cc.ControlButton(scale9SpriteWithmusicBtn);
        musicBtn.setPreferredSize(cc.size(spriteWithmusicBtn.width, spriteWithmusicBtn.height));
        musicBtn.addTargetWithActionForControlEvents(this, function(){
            //            playEffect(res.BUTTON_SOUNDS);
            if(_level==8)
            {
                resumeAllNode();
                resumeAllEffect();
                resumeBackgroundMusic();
                this.getParent().getParent().getParent().getChildByTag(2).wincall();
                this.parent.removeFromParent();
                return;
            }
            if(getMusicIsOpen() == 1){
                //                cc.log("this.getTag() == 1 %s", getMusicIsOpen());
                //                var frame = cc.SpriteFrame.create("pause_btn_music_02.png", cc.rect(0, 0, 63, 63));
                this.getChildByTag(1).setSpriteFrame("pause_btn_music_02.png");
                setSoundOpenOrNot(0);
                pauseAllEffect();
                pauseBackgroundMusic();

            }else{
                //                cc.log("this.getTag() == 2 %s", getMusicIsOpen());
                //                var frame = cc.SpriteFrame.create("pause_btn_music_01.png", cc.rect(0, 0, 63, 63));
                this.getChildByTag(1).setSpriteFrame("pause_btn_music_01.png");
                setSoundOpenOrNot(1);
                pauseAllEffect();
                pauseBackgroundMusic();
            }





            //            if(audioEngine.getEffectsVolume()>0 || audioEngine.getMusicVolume()>0){
            //                audioEngine.setEffectsVolume(0);
            //                audioEngine.setMusicVolume(0);
            //            }else{
            //                audioEngine.setEffectsVolume(1);
            //                audioEngine.setMusicVolume(1);
            //            }

            //            ShowFaildPPanel(this.getParent());
            //            ShowSuccessPanel(this.getParent());
        }.bind(musicBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        musicBtn.x = size.width/2+85;
        musicBtn.y = -100;
        musicBtn.setTag(1006);
        pauseMaskBg.addChild(musicBtn);

        var spriteWithmusic = null;
        if(getMusicIsOpen() == 1) {
            spriteWithmusic = new cc.Sprite("#pause_btn_music_01.png");
        }else{
            spriteWithmusic = new cc.Sprite("#pause_btn_music_02.png");
        }
        spriteWithmusic.setTag(1);
        spriteWithmusic.x = musicBtn.width/2-5;
        spriteWithmusic.y = musicBtn.height/2+10;
        musicBtn.addChild(spriteWithmusic);

        //去除广告按钮
//        var spriteWithremoveAdBtn = new cc.Sprite("#com_btn_blue.png");
//        var scale9SpriteWithremoveAdBtn = new cc.Scale9Sprite("com_btn_blue.png");
//        var removeAdBtn = new cc.ControlButton(scale9SpriteWithremoveAdBtn);
//        removeAdBtn.setPreferredSize(cc.size(spriteWithremoveAdBtn.width, spriteWithremoveAdBtn.height));
//        removeAdBtn.addTargetWithActionForControlEvents(this, function(){
//            playEffect(res.BUTTON_SOUNDS);
//
//            var testJSB = new JSB.JSBinding();
//            testJSB.retain();
//            testJSB.purchase5();
//            testJSB.purchaseCallBack = function(i,j){
//                frame.getParent().getParent().getChildByTag(1000).removeFromParent();
//            };
//            testJSB.purchaseCallBack2 = function(i,j){
//                frame.getParent().getParent().getChildByTag(1000).removeFromParent();
//                cc.log("remove1111");
//            };
//
//            //            this.parent.callOutremoveAdPanel();
//        }.bind(removeAdBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//        removeAdBtn.x = size.width/2+170;
//        removeAdBtn.y = -100;
//        removeAdBtn.setTag(1006);
//
//        pauseMaskBg.addChild(removeAdBtn);
//
//        var spriteWithremoveAd = new cc.Sprite("#pause_btn_AD.png");
//        spriteWithremoveAd.x = removeAdBtn.width/2-5;
//        spriteWithremoveAd.y = removeAdBtn.height/2+10;
//        removeAdBtn.addChild(spriteWithremoveAd);
//
//        var spriteWithpause_line = new cc.Sprite("res/normal_game/normal_game_pause_line.png");
//        spriteWithpause_line.x = pauseMaskBg.width/2;
//        spriteWithpause_line.y = pauseMaskBg.height/2-50;
//        pauseMaskBg.addChild(spriteWithpause_line);



        //返回按钮
        var spriteWithreturnBtn = new cc.Sprite("#com_btn_red.png");
        var scale9SpriteWithreturnBtn = new cc.Scale9Sprite("com_btn_red.png");
        var returnBtn = new cc.ControlButton(scale9SpriteWithreturnBtn);
        returnBtn.setPreferredSize(cc.size(spriteWithreturnBtn.width, spriteWithreturnBtn.height));
        returnBtn.addTargetWithActionForControlEvents(this, function(){
            var tempPause=this;
//
            setIsPauseGame(0);

            pauseMaskBg.runAction(cc.sequence(cc.callFunc(function()
            {
                returnBtn.runAction(cc.sequence(cc.moveBy(0.1,cc.p(0,20)),cc.moveBy(0.2,cc.p(0,-200))));
                homeBtn.runAction(cc.sequence(cc.delayTime(0.1),cc.moveBy(0.15,cc.p(0,100)),cc.moveBy(0.2,cc.p(0,-(size.height/2+200)))));
//                passionBtn.runAction(cc.sequence(cc.delayTime(0.2),cc.moveBy(0.15,cc.p(0,100)),cc.moveBy(0.2,cc.p(0,-(size.height/2+200)))));
                musicBtn.runAction(cc.sequence(cc.delayTime(0.3),cc.moveBy(0.15,cc.p(0,100)),cc.moveBy(0.2,cc.p(0,-(size.height/2+200)))));
                removeAdBtn.runAction(cc.sequence(cc.delayTime(0.4),cc.moveBy(0.15,cc.p(0,100)),cc.moveBy(0.2,cc.p(0,-(size.height/2+200)))));
            }),cc.delayTime(0.9),cc.callFunc(function()
            {
                resumeAllEffect();
                resumeBackgroundMusic();
                resumeAllNode();

            }),cc.delayTime(0.1),cc.callFunc(function(){
                pauseMaskBg.removeFromParent();
            })));
        }.bind(returnBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        returnBtn.x = size.width/2-300;
        returnBtn.y = -100;
        returnBtn.setTag(1006);
        pauseMaskBg.addChild(returnBtn);

        var spriteWithreturn = new cc.Sprite("#pause_btn_back.png");
        spriteWithreturn.x = returnBtn.width/2-5;
        spriteWithreturn.y = returnBtn.height/2+10;
        returnBtn.addChild(spriteWithreturn);

        pauseAllNode();

        pauseMaskBg.onEnter();

        cc.log("returnBtn pri " + returnBtn.priority);

        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                cc.log("begin");
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                    return true;
                }
                return false;
            },
            onTouchMoved: function (touch, event) {

            },
            onTouchEnded: function (touch, event) {
                cc.log("end");
            }
        });
        cc.eventManager.addListener(listener1, pauseMaskBg);

        pauseMaskBg.runAction(cc.callFunc(function()
        {
            returnBtn.runAction(cc.sequence(cc.moveBy(0.2,cc.p(0,200)),cc.moveBy(0.1,cc.p(0,-20))));
            homeBtn.runAction(cc.sequence(cc.delayTime(0.1),cc.moveBy(0.2,cc.p(0,size.height/2+200)),cc.moveBy(0.15,cc.p(0,-100))));
//            passionBtn.runAction(cc.sequence(cc.delayTime(0.2),cc.moveBy(0.2,cc.p(0,size.height/2+200)),cc.moveBy(0.15,cc.p(0,-100))));
            musicBtn.runAction(cc.sequence(cc.delayTime(0.3),cc.moveBy(0.2,cc.p(0,size.height/2+200)),cc.moveBy(0.15,cc.p(0,-100))));
            removeAdBtn.runAction(cc.sequence(cc.delayTime(0.4),cc.moveBy(0.2,cc.p(0,size.height/2+200)),cc.moveBy(0.15,cc.p(0,-100))));
        }));

    }
});

