/**
 * Created by langchenglai on 14-10-8.
 */
var DrowningLayer = cc.Layer.extend({

    ctor : function(){
        this._super();
        this.init();
        isSch = false;
        size = cc.director.getWinSize();
        bg = cc.Sprite.create("#com_bg_01.png");
        bg.setPosition(cc.p(size.width/2,size.height/2));
        this.addChild(bg);

        var bg_Beach = cc.Sprite.create("#k_05_beach.png");
        bg_Beach.setAnchorPoint(cc.p(0.5,0));
        bg_Beach.setPosition(cc.p(size.width/2,0));
        this.addChild(bg_Beach,1);

        sp_man = cc.Sprite.create("#k_05_man_nishui_1.png");
        sp_man.setPosition(cc.p(size.width/2,430));
        var animFrames3=[];
        for(var i=1;i<=2;i++){
            var frame3=cc.spriteFrameCache.getSpriteFrame("k_05_man_nishui_"+i+".png");
            animFrames3.push(frame3);
        }
        var animation3=new cc.Animation(animFrames3,0.3);
        animate3=new cc.Animate(animation3);
//        var animation3 = cc.Animation.create();
//        animation3.addSpriteFrameWithFile("#k_05_man_nishui_1.png");
//        animation3.addSpriteFrameWithFile("#k_05_man_nishui_2.png");
//        animation3.setDelayPerUnit(0.3);
//        animation3.setRestoreOriginalFrame(true);
//        animate3 = cc.Animate.create(animation3);
        sp_man.runAction(cc.RepeatForever.create(animate3));

        this.addChild(sp_man,0,99);


        bg_Wave = cc.Sprite.create("#k_05_sea_1.png");
        bg_Wave.setPosition(cc.p(size.width/2,size.height/2));
        this.addChild(bg_Wave,2);
        var animFrames5=[];
        for(var i=1;i<=2;i++){
            var frame5=cc.spriteFrameCache.getSpriteFrame("k_05_sea_"+i+".png");
            animFrames5.push(frame5);
        }
        var animation5=new cc.Animation(animFrames5,0.3);
        var animate5=new cc.Animate(animation5);
//        var animation5 = cc.Animation.create();
//        animation5.addSpriteFrameWithFile(res.k_05_sea_2_png);
//        animation5.addSpriteFrameWithFile(res.k_05_sea_1_png);
//        animation5.setDelayPerUnit(0.7);
//        animation5.setRestoreOriginalFrame(true);
//        var animate5 = cc.Animate.create(animation5);
        bg_Wave.runAction(cc.RepeatForever.create(animate5));



        cloth1 = cc.Sprite.create("#k_05_bu_1.png");
        cloth1.setPosition(cc.p(size.width/2-270,100));
        var cloth2 = cc.Sprite.create("#k_05_bu_2.png");
        cloth2.setPosition(cc.p(size.width/2+250,100));
        sp_Tree = cc.Sprite.create("#k_05_tree.png");
        sp_Tree.setAnchorPoint(cc.p(0.5,0));
        sp_Tree.setPosition(cc.p(size.width-210,0));
        this.addChild(cloth1,2);
        this.addChild(cloth2,2);
        this.addChild(sp_Tree,6);


        mz1 = cc.Sprite.create("#k_05_ruhua_1.png");
        mz1.setPosition(cc.p(size.width/2-270,200));
        mz1.setTag(38);

        mz2 = cc.Sprite.create("#k_05_beauty.png");
        mz2.setPosition(cc.p(size.width/2+220,200));
        mz2.setTag(77);
        this.addChild(mz1,5);
        this.addChild(mz2,5);

        var ly = cc.LayerColor.create(cc.color(255,255,255),100,270);
        ly.setPosition(cc.p(112,20));
        ly.setOpacity(0);
        mz1.addChild(ly);


        rect3 = mz2.getBoundingBox();

        rect2 = ly.getBoundingBox();


        sp_mz = cc.Sprite.create("#k_05_ruhua_2.png");
        sp_mz.setPosition(cc.p(size.width/2-270,200));
        this.addChild(sp_mz,5);
        sp_mz.setOpacity(0);





        sp_eye = cc.Sprite.create("#k_05_beauty_1.png");
        var animFrames=[];
        for(var i=1;i<=2;i++){
            var frame=cc.spriteFrameCache.getSpriteFrame("k_05_beauty_"+i+".png");
            animFrames.push(frame);
        }
        var animation=new cc.Animation(animFrames,0.5);
        var animate=new cc.Animate(animation);
//        var animation = cc.Animation.create();
//        animation.addSpriteFrameWithFile("#k_05_beauty_2.png");
//        animation.addSpriteFrameWithFile("#k_05_beauty_1.png");
//        animation.setDelayPerUnit(0.5);
//        animation.setRestoreOriginalFrame(true);
//        var animate = cc.Animate.create(animation);
        sp_eye.runAction(cc.RepeatForever.create(animate));
        sp_eye.setPosition(cc.p(65,200));
        mz2.addChild(sp_eye);

        sp_arm = cc.Sprite.create("#k_05_ruhua_hand_1.png");
        var animFrames2=[];
        for(var i=1;i<=2;i++){
            var frame2=cc.spriteFrameCache.getSpriteFrame("k_05_ruhua_hand_"+i+".png");
            animFrames2.push(frame2);
        }
        var animation2=new cc.Animation(animFrames2,0.3);
        var animate2=new cc.Animate(animation2);
//        var animation2 = cc.Animation.create();
//        animation2.addSpriteFrameWithFile(res.k_05_ruhua_hand_2_png);
//        animation2.addSpriteFrameWithFile(res.k_05_ruhua_hand_1_png);
//        animation2.setDelayPerUnit(0.3);
//        animation2.setRestoreOriginalFrame(true);
//        var animate2 = cc.Animate.create(animation2);
        sp_arm.runAction(cc.RepeatForever.create(animate2));
        sp_arm.setPosition(cc.p(200,180));
        mz1.addChild(sp_arm);




        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                    cc.log(target.getTag());
                    if(win){
                        return false;
                    }
                    if(target.getTag() == 99){
                        if(!move){
                            return false;
                        }
//                        first = true;
                        begin =  true;
                        stopAllEffect();
                        playEffect(res.BUTTON_SOUNDS);
                        isSch = false;
                        target.parent.unschedule(target.parent.sink);
                        sp_man.setZOrder(88);
                        sp_Tree.setZOrder(89);
                        sp_man.stopAllActions();
//                        var frame = cc.SpriteFrame.create(res.k_05_man_up_png,cc.rect(0,0,108,146));
                        sp_man.setSpriteFrame("k_05_man_up.png");
                        sp_man.setScale(0.5);
                    }
                    if(target.getTag() == 38){
                        playEffect(res.BUTTON_SOUNDS);
                         return true;
                    }
                    if(target.getTag() == 77){

                            playEffect(res.BUTTON_SOUNDS);
                            return true;

                    }

                    return true;
                }
                return false;
            },
            onTouchMoved: function (touch, event) {
                var target = event.getCurrentTarget();
                var delta = touch.getDelta();
                if(target.getTag()==38){
                    return;
                }
                target.x += delta.x;
                target.y += delta.y;
                if(mz_flag == false && target.getTag() == 77){
                    mz2.setPosition(cc.p(size.width/2+220,200));
                }
                cc.log(target.y);

                if(target.getTag()==99){
                    sp_man.setScale(0.5+(430-target.y)*0.0017);
                }






            },





            onTouchEnded: function (touch, event) {

                first = false;
                begin =  false;
                var target = event.getCurrentTarget();
                rect1 = target.getBoundingBox();

                cc.log("test");
                cc.log(cc.rectIntersectsRect(rect1,rect3));
                cc.log(rect1.x);
                cc.log(rect1.y);
                cc.log(rect3.x);
                cc.log(rect3.y);
                if (target.getTag() == 38) {


                    type = 2;
                    sp_arm.setVisible(false);
                    mz1.stopAllActions();
                    mz1.setSpriteFrame("k_05_ruhua_4.png");
                    cc.eventManager.removeListeners(sp_man);
                    cc.eventManager.removeListeners(mz1);
                    cc.eventManager.removeListeners(mz2);
                    var seq = cc.Sequence.create(cc.DelayTime.create(0.3), cc.CallFunc.create(function () {
                        isSch = false;
                        target.parent.unschedule(target.parent.sink);
                        stopAllEffect();
                        sp_man.setZOrder(0);
                        sp_man.stopAllActions();
                        sp_man.setSpriteFrame("k_05_man_nishuiscar.png");
                        sp_man.setScale(1);
                        sp_man.setPosition(cc.p(size.width / 2, 420));
                    }, this), cc.DelayTime.create(0.5), cc.CallFunc.create(function () {
//                        mz1.setSpriteFrame("k_05_ruhua_1.png");
//                        sp_arm.setVisible(true);
                    }, this), cc.DelayTime.create(1), cc.CallFunc.create(function () {
                        sp_man.setSpriteFrame("k_05_man_nishuiscar_die.png");
                        playEffect(res.F16_FallDown);
                        target.parent.schedule(target.parent.sink, 0.03);
                    }, this));
                    mz1.runAction(seq);
                }
                if (cc.rectIntersectsRect(rect1, rect2) && target.getTag() == 99) {
                    bg.stopAllActions();
                    sp_man.setScale(1);
                    cc.eventManager.removeListeners(sp_man);
                    cc.eventManager.removeListeners(mz1);
                    playEffect(res.F05_MANAR_SOUNDS, true);
//                    var frame = cc.SpriteFrame.create(res.k_05_man_lie_png,cc.rect(0,0,350,182));
                    sp_man.setSpriteFrame("k_05_man_lie.png");
                    sp_man.setPosition(cc.p(size.width / 2 - 190, 93));
                    sp = cc.Sprite.create("#k_05_man_lie_1.png");
                    sp.setPosition(cc.p(80, 143));
                    sp_man.addChild(sp);
                    move = false;
                    mz_flag = true;
                    sp_mz.setOpacity(255);
                    var animFrames4 = [];
                    for (var i = 2; i <= 3; i++) {
                        var frame4 = cc.spriteFrameCache.getSpriteFrame("k_05_ruhua_" + i + ".png");
                        animFrames4.push(frame4);
                    }
                    var animation4 = new cc.Animation(animFrames4, 0.2);
                    var animate4 = new cc.Animate(animation4);
                    mz1.setOpacity(0);
                    sp_arm.setOpacity(0);
                    var seq = cc.Sequence.create(cc.Repeat.create(animate4, 5), cc.CallFunc.create(function () {
                        sp_mz.setOpacity(0);
                        mz1.setOpacity(255);
                        sp_arm.setOpacity(255);
                        stopAllEffect();

                    }), cc.DelayTime.create(3), cc.CallFunc.create(function () {
                        cc.eventManager.removeListeners(mz2);
                        target.parent.dealWith();
                    }));
                    sp_mz.runAction(seq);
                }else if(cc.rectIntersectsRect(rect1,rect3) && target.getTag() == 99) {
                    bg.stopAllActions();
                    sp_man.setScale(1);
                    cc.eventManager.removeListeners(sp_man);
                    cc.eventManager.removeListeners(mz1);
                    cc.eventManager.removeListeners(mz2);
                    sp_eye.stopAllActions();
                    mz2.setSpriteFrame("beauty_1.png");
                    sp_eye.setSpriteFrame("beauty_biaoqing_1.png");
                    sp_man.setSpriteFrame("k_05_man_lie.png");
                    sp_man.setPosition(cc.p(size.width / 2 +240, 120));
                    sp = cc.Sprite.create("#k_05_man_lie_1.png");
                    sp.setPosition(cc.p(80, 143));
                    sp_man.addChild(sp);

                    var animFrames33 = [];
                    for (var i = 1; i <= 3; i++) {
                        var frame33 = cc.spriteFrameCache.getSpriteFrame("beauty_" + i + ".png");
                        animFrames33.push(frame33);
                    }
                    var animation33 = new cc.Animation(animFrames33, 0.1);
                    var animate33 = new cc.Animate(animation33);

                    var animFrames22 = [];
                    for (var i = 1; i <= 3; i++) {
                        var frame22 = cc.spriteFrameCache.getSpriteFrame("beauty_biaoqing_" + i + ".png");
                        animFrames22.push(frame22);
                    }
                    var animation22 = new cc.Animation(animFrames22, 0.2);
                    var animate22 = new cc.Animate(animation22);
                    sp_eye.setPosition(cc.p(65,195));
                    sp_eye.runAction(animate22);

                    mz2.runAction(cc.Sequence.create(cc.DelayTime.create(0.6),animate33,cc.CallFunc.create(function(){
                        spsi = cc.Sprite.create("#shine.png");
                        playEffect(res.F11_MANBOX_SOUNDS);
                        spsi.setPosition(cc.p(270,100));
                        mz2.addChild(spsi);
                    },this),cc.DelayTime.create(0.3),cc.CallFunc.create(function(){
                        sp_Tree.setZOrder(87);
                        spsi.setVisible(false);
                        sp_man.setSpriteFrame("man_stick.png");
                    }),cc.DelayTime.create(0.8),cc.CallFunc.create(function(){
                        sp_man.setPositionY(100);
                    }),cc.DelayTime.create(0.6),cc.CallFunc.create(function(){
                        sp_man.setPositionY(40);
                    }),cc.DelayTime.create(0.4),cc.CallFunc.create(function(){
                        sp_man.setPositionY(-20);
                    }),cc.DelayTime.create(0.2),cc.CallFunc.create(function(){
                        sp_man.setPositionY(-90);
                    }),cc.DelayTime.create(0.5),cc.CallFunc.create(function(){
                        ShowFaildPPanel(target.parent.getParent(),5,4);
                    },this)));


                 }else if (target.getTag() == 99) {

                    sp_man.setZOrder(0);
                    sp_man.setPosition(point);
                    var animFrames3 = [];
                    for (var i = 1; i <= 2; i++) {
                        var frame3 = cc.spriteFrameCache.getSpriteFrame("k_05_man_nishui_" + i + ".png");
                        animFrames3.push(frame3);
                    }
                    var animation3 = new cc.Animation(animFrames3, 0.3);
                    var animate3 = new cc.Animate(animation3);
                    sp_man.runAction(cc.RepeatForever.create(animate3));
                    if(!isSch){
                        cc.log("drop");
                        target.parent.schedule(target.parent.sink, 0.1);
                        first = true;
                    }


                    sp_man.setScale(1);



                }

                if (cc.rectIntersectsRect(rect2, rect1) && target.getTag() == 77) {

                    if (mz1.getOpacity() == 255) {
                        cc.eventManager.removeListeners(mz2);
                        win = true;
                        mz2.setPosition(cc.p(size.width / 2 - 250, 200));
                        mz1.setPosition(cc.p(size.width / 2 + 220, 200));

                    } else {
                        mz2.setPosition(cc.p(size.width / 2 + 220, 200));
                    }
                    return;

                } else if (mz_flag && target.getTag() == 77) {
                    mz2.setPosition(cc.p(size.width / 2 + 220, 200));
                    return;
                }

                if(!mz_flag && target.getTag() == 77){



                    type = 3;
                    stopAllEffect();
                    playEffect(res.F06_Laughter,false);
                    mz2.setSpriteFrame("k_05_beauty2.png");
                    sp_eye.setVisible(false);
                    var eye = new cc.Sprite("#k_05_beauty2_eye.png");
                    eye.setPosition(cc.p(65,205));
                    mz2.addChild(eye);
                    cc.eventManager.removeListeners(sp_man);
                    cc.eventManager.removeListeners(mz1);
                    cc.eventManager.removeListeners(mz2);

                    var animFrame=["k_05_beauty2_eye.png","k_05_beauty2_eye2.png","k_05_beauty2_eye.png","k_05_beauty2_eye2.png","k_05_beauty2_eye.png"];
                    var animFrames=[];
                    for(var i=0;i<animFrame.length;i++){
                        var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                        animFrames.push(Emenyframe)
                    }
                    var animation=new cc.Animation(animFrames,0.2);
                    var animate=new cc.Animate(animation);
                    eye.runAction(animate);


                    var sp_heart = cc.Sprite.create("#k_05_heart_1.png");
                    sp_heart.setRotation(50);
                    sp_heart.setPosition(cc.p(15,220));
                    var animFrames1=[];
                    for(var i=1;i<=2;i++){
                        var frame1=cc.spriteFrameCache.getSpriteFrame("k_05_heart_"+i+".png");
                        animFrames1.push(frame1);
                    }
                    var animation1=new cc.Animation(animFrames1,0.3);
                    var animate1=new cc.Animate(animation1);

                    sp_heart.runAction(cc.Repeat.create(animate1,3));
                    mz2.addChild(sp_heart);


                    var seq = cc.Sequence.create(cc.DelayTime.create(1), cc.CallFunc.create(function () {
                        isSch = false;
                        target.parent.unschedule(target.parent.sink);
                        sp_man.setZOrder(0);
                        sp_man.setScale(1);
                        sp_man.stopAllActions();
                        sp_man.setSpriteFrame("k_05_man_nishuilove.png");
                        sp_man.setPosition(cc.p(size.width / 2, 420));

                    }, this), cc.DelayTime.create(0.5), cc.CallFunc.create(function () {
                        sp_heart.setVisible(false);

                    }, this), cc.DelayTime.create(1), cc.CallFunc.create(function () {
                        sp_man.setSpriteFrame("k_05_man_nishuilove_die.png");
                        target.parent.schedule(target.parent.sink, 0.03);
                    }, this));
                    mz2.runAction(seq);
                }

            }
        });

        cc.eventManager.addListener(listener1, sp_man);
        cc.eventManager.addListener(listener1.clone(), mz2);
        cc.eventManager.addListener(listener1.clone(), mz1);
        this.schedule(this.sink,0.1);


    },

    init : function(){
        move = true;
        win  = false;
        mz_flag = false;
        over_flag = false;
        point  = false;
        first = true;
        type = 0;
        begin = false;

    },

    gameOver : function(dt){
        cc.log("gameOver");


        seqq = cc.Sequence.create(cc.DelayTime.create(5),cc.CallFunc.create(function(){
                bg_Wave.stopAllActions();
                mz2.setPosition(cc.p(size.width/2+220,200));
                ShowFaildPPanel(this.getParent(),5,1);
                cc.log("faild");
            }
            ,this));
        bg.runAction(seqq);
    },

    dealWith : function(){



        if(win){
            playEffect(res.F05_MANHAPPED_SOUNDS,0);
            var seq = cc.Sequence.create( cc.CallFunc.create(function(){

                    var sp_heart = cc.Sprite.create("#k_05_heart_1.png");
                    sp_heart.setPosition(cc.p(50,140));
                    var animFrames=[];
                    for(var i=1;i<=2;i++){
                        var frame=cc.spriteFrameCache.getSpriteFrame("k_05_heart_"+i+".png");
                        animFrames.push(frame);
                    }
                    var animation=new cc.Animation(animFrames,0.3);
                    var animate=new cc.Animate(animation);

                    sp_heart.runAction(cc.Repeat.create(animate,5));
                    sp_man.addChild(sp_heart);

//                    var frame = cc.SpriteFrame.create(res.k_05_man_lie_3_png,cc.rect(0,0,36,34));
                    sp.setPosition(cc.p(96,140));
                    sp.setSpriteFrame("k_05_man_lie_3.png");
                }
            ),cc.DelayTime.create(2),cc.CallFunc.create(function(){
                bg_Wave.stopAllActions();
                ShowSuccessPanel(this.getParent(),5);
            },this));
            this.runAction(seq);

        }else{
            playEffect(res.F05_MANAMAZED_SOUNDS,0);
            mz_flag = false;
            mz2.setPosition(cc.p(size.width/2+220,200));
            var seq = cc.Sequence.create( cc.CallFunc.create(function(){
//                    var frame = cc.SpriteFrame.create(res.k_05_man_lie_2_png,cc.rect(0,0,74,66));
                    sp.setPosition(cc.p(86,120));
                    sp.setSpriteFrame("k_05_man_lie_2.png");
                }
            ),cc.DelayTime.create(1),cc.CallFunc.create(function(){
                    sp.setPosition(cc.p(125,155));
                    var animFrames=[];
                    for(var i=1;i<=3;i++){
                        var frame=cc.spriteFrameCache.getSpriteFrame("man_tuxie_"+i+".png");
                        animFrames.push(frame);
                    }
                    var animation=new cc.Animation(animFrames,0.3);
                    var animate=new cc.Animate(animation);
                    sp.runAction(animate);

                }
            ),cc.DelayTime.create(2),cc.CallFunc.create(function(){
                bg_Wave.stopAllActions();
                ShowFaildPPanel(this.getParent(),5,1);
            },this));
            this.runAction(seq);

        }
    },

    sink :function(dt){

        isSch = true;
        if(begin){
            cc.log("begin");
            sp_man.setZOrder(0);
            sp_man.setPosition(point);
            this.act(sp_man);
            first = false;
            sp_man.setScale(1);
            playEffect(res.F05_MAN_SOUNDS,true);
            playEffect(res.F05_MANHELP_SOUNDS,true);
            begin = false;
        }else
        if(first){
            cc.log("first");
            playEffect(res.F05_MAN_SOUNDS,true);
            playEffect(res.F05_MANHELP_SOUNDS,true);
            first = false;
        }

        cc.log(sp_man.getPositionY());
        point =  sp_man.getPosition();

        sp_man.setPosition(cc.p(sp_man.getPositionX(),sp_man.getPositionY()-1));
        if(sp_man.getPositionY() <= 325){
            stopAllEffect();
            bg_Wave.stopAllActions();
            this.unschedule(this.sink);
            ShowFaildPPanel(this.getParent(),5,type);
        }
    },

    act : function(sSender){
        sSender.setZOrder(0);
        var animFrames3 = [];
        for (var i = 1; i <= 2; i++) {
            var frame3 = cc.spriteFrameCache.getSpriteFrame("k_05_man_nishui_" + i + ".png");
            animFrames3.push(frame3);
        }
        var animation3 = new cc.Animation(animFrames3, 0.3);
        var animate3 = new cc.Animate(animation3);
        sSender.runAction(cc.RepeatForever.create(animate3));
    }






});


var DrowningScene = cc.Scene.extend({
    onEnter : function() {
        this._super();
        layer = new DrowningLayer();
        this.addChild(layer);


        var level = 5;
        var mainUILayer = new MainUILayer(level);
        this.addChild(mainUILayer, 5);



    },
    pauseTheGame : function () {
        //pause the game
        cc.log("pause the game");
//        stopAllEffect();
//        first = true;
//        begin =  true;
        isSch = false;
        first = false;
        layer.unschedule(layer.sink);
    },
    resumeTheGame :function () {
        //resume the game
        cc.log("resume the game");
        if(!isSch){
            layer.schedule(layer.sink,0.1);
        }


    }
})