/**
 * Created by hayashirin on 14-9-25.
 */
var HandsomeLayer = cc.Layer.extend({

    man:null,
    dialogue:null,
    mask:null,
    zhao1:null,
    zhao2:null,
    boom:null,
    lipstick:null,
    Eyelashpen:null,
    makeupbox:null,
    makeupbread:null,
//    dialoguewenzi2:null,
    bling1:null,
    bling2:null,
    bling3:null,
    bling4:null,

    ctor : function()
    {
        this._super();

        this.size = cc.director.getWinSize();
        //初始化
        this.init();
        //添加背景
        var bg = new cc.Sprite("#com_bg_01.png");
        bg.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(bg);
        //地面
        var ground = new cc.Sprite("#com_tudi2.png");
        ground.attr({
            x:this.size.width/2,
            y:this.size.height/2 - 200,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(ground);
        //植物
        var plant = new cc.Sprite("#k_06_plant.png");
        plant.attr({
            x:this.size.width/2 - 300,
            y:this.size.height/2 + 50,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(plant);
        //梳妆台
        var dresser = new cc.Sprite("#k_06_desk.png");
        dresser.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(dresser);
        //梳妆台的柜子1
        var cabinet1 = new cc.Sprite("#k_06_desk_1.png");
        cabinet1.attr({
            x:this.size.width/2 + 50,
            y:this.size.height/2 - 90,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(cabinet1);
        //梳妆台的柜子2
        var cabinet2 = new cc.Sprite("#k_06_desk_2.png");
        cabinet2.attr({
            x:this.size.width/2 - 104,
            y:this.size.height/2 - 60,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(cabinet2);
        //照镜子的表情
        var zhao1 = new cc.Sprite("#k_06_man_zhao2.png");
        zhao1.attr({
            x:this.size.width/2 + 10,
            y:this.size.height/2 + 105,
            anchorX:0.5,
            anchorY:0.5
        });
//        zhao1.setVisible(false);
        zhao1.setOpacity(0);
        this.addChild(zhao1);
        this.zhao1 = zhao1;
        //戴面具照镜子的表情
        var zhao2 = new cc.Sprite("#k_06_head3.png");
        zhao2.attr({
            x:this.size.width/2 + 46,
            y:this.size.height/2 + 129,
            anchorX:0.5,
            anchorY:0.5
        });
//        zhao2.setVisible(false);
        zhao2.setOpacity(0);
        this.addChild(zhao2);
        this.zhao2 = zhao2;
        //星星1
        var bling1 = new cc.Sprite("#k_06_blingbling.png");
        bling1.attr({
            x:40,
            y:120,
            anchorX:0.5,
            anchorY:0.5
        });
        bling1.setOpacity(0);
        zhao2.addChild(bling1);
        this.bling1 = bling1;
        //星星2
        var bling2 = new cc.Sprite("#k_06_blingbling.png");
        bling2.attr({
            x:60,
            y:30,
            anchorX:0.5,
            anchorY:0.5
        });
        bling2.setOpacity(0);
        zhao2.addChild(bling2);
        this.bling2 = bling2;
        //星星3
        var bling3 = new cc.Sprite("#k_06_blingbling.png");
        bling3.attr({
            x:160,
            y:15,
            anchorX:0.5,
            anchorY:0.5
        });
        bling3.setOpacity(0);
        zhao2.addChild(bling3);
        this.bling3 = bling3;
        //星星4
        var bling4 = new cc.Sprite("#k_06_blingbling.png");
        bling4.attr({
            x:150,
            y:100,
            anchorX:0.5,
            anchorY:0.5
        });
        bling4.setOpacity(0);
        zhao2.addChild(bling4);
        this.bling4 = bling4;
        //闪烁动画
        var act1 = cc.scaleTo(0.6, 0.5);
        var act2 = cc.scaleTo(0.6, 1);
        var seq = cc.sequence(act1, act2);
        var seq2 = seq.clone();
        var seq3 = seq.clone();
        var seq4 = seq.clone();
        this.bling1.runAction(seq.repeatForever());
        this.bling2.runAction(seq2.repeatForever());
        this.bling3.runAction(seq3.repeatForever());
        this.bling4.runAction(seq4.repeatForever());
        //挂图
        var chart = new cc.Sprite("#k_06_album.png");
        chart.attr({
            x:this.size.width/2 + 310,
            y:this.size.height/2 + 150,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(chart);
        //唇膏
        var lipstick = new cc.Sprite("#k_06_chungao.png");
        lipstick.attr({
            x:this.size.width/2 + 100,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(lipstick);
        this.lipstick = lipstick;
        //睫毛笔
        var Eyelashpen = new cc.Sprite("#k_06_jiemaobi.png");
        Eyelashpen.attr({
            x:this.size.width/2 - 110,
            y:this.size.height/2 + 25,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(Eyelashpen);
        this.Eyelashpen = Eyelashpen;
        //化妆盒
        var makeupbox = new cc.Sprite("#k_06_huazhuanghe.png");
        makeupbox.attr({
            x:this.size.width/2 - 10,
            y:this.size.height/2 + 15,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(makeupbox);
        this.makeupbox = makeupbox;
        //化妆饼
        var makeupbread = new cc.Sprite("#k_06_huazhuanghe2.png");
        makeupbread.attr({
            x:this.size.width/2 - 16,
            y:this.size.height/2 + 16,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(makeupbread);
        this.makeupbread = makeupbread;
        //猪脚
        var man = new cc.Sprite("#k_06_man_run1.png");
        man.attr({
            x:this.size.width/2 - 334,
            y:this.size.height/2 - 210,
            anchorX:0.3,
            anchorY:0
        });
        this.addChild(man,1);
        this.man = man;
        //猪脚动画
        var Manwaiting=["k_06_man.png","k_06_man2.png","k_06_man_run1.png"];
        var MananimFrames=[];
        for(var i=0;i<Manwaiting.length;i++){
            var Manframe=cc.spriteFrameCache.getSpriteFrame(Manwaiting[i]);
            MananimFrames.push(Manframe)
        }
        var Mananimation=new cc.Animation(MananimFrames,0.3);
        var Mananimate=new cc.Animate(Mananimation);
        man.runAction(cc.sequence(Mananimate,cc.delayTime(3)).repeatForever());
        //烟幕
        var boom = new cc.Sprite("#k_06_boom.png");
        boom.attr({
            anchorX:0.5,
            anchorY:0.5,
            x:this.size.width/2 - 320,
            y:this.size.height/2 + 45
        });
        boom.setVisible(false);
        this.addChild(boom,2);
        this.boom = boom;
        //面具
        var mask = new cc.Sprite("#k_06_head5.png");
        mask.attr({
            x:this.size.width/2 + 310,
            y:this.size.height/2 + 241,
            anchorX:0.5,
            anchorY:1
        });
        this.addChild(mask,2);
        this.mask = mask;
        //对话
        var dialogue = new cc.Sprite("#k_06_duihuakuang.png");
        dialogue.attr({
            x:160,
            y:380,
            anchorX:0.5,
            anchorY:0.5
        });
        man.addChild(dialogue);
        this.dialogue = dialogue;
        //文字1
        var dialoguewenzi1 = new cc.Sprite("#k_06_duihuakuang_1.png");
        dialoguewenzi1.attr({
            x:65,
            y:50,
            anchorX:0.5,
            anchorY:0.5
        });
        dialogue.addChild(dialoguewenzi1);
//        //文字2
//        var dialoguewenzi2 = new cc.Sprite("#k_06_duihuakuang_2.png");
//        dialoguewenzi2.attr({
//            x:65,
//            y:50,
//            anchorX:0.5,
//            anchorY:0.5,
//            opacity:0
//        });
//        dialogue.addChild(dialoguewenzi2);
//        this.dialoguewenzi2 = dialoguewenzi2;
        //脸的区域
        var facelayer = new cc.Layer();
        facelayer.attr({
            anchorX:0.5,
            anchorY:0.5,
            x:this.size.width/2 - 375,
            y:this.size.height/2
        });
        facelayer.setContentSize(115, 110);
        this.addChild(facelayer);
        //镜子的区域
        var mirrorlayer = new cc.Layer();
        mirrorlayer.attr({
            anchorX:0.5,
            anchorY:0.5,
            x:this.size.width/2 - 115,
            y:this.size.height/2 + 45
        });
        mirrorlayer.setContentSize(290, 150);
        this.addChild(mirrorlayer);
        // Make touchable
        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode) && target.parent.All_Touch == true) {
                    if (target == cabinet1) {
                        if (target.parent.open1 == false) {
                            cabinet1.setSpriteFrame("k_06_desk_1_1.png");
                            playEffect(res.F06_cabinet,false);
                            target.parent.open1 = true;
                        } else {
                            cabinet1.setSpriteFrame("k_06_desk_1.png");
                            playEffect(res.F06_cabinet,false);
                            target.parent.open1 = false;
                        }
                        return true;
                    }
                    if (target == cabinet2) {
                        if (target.parent.open2 == false) {
                            cabinet2.setSpriteFrame("k_06_desk_2_1.png");
                            playEffect(res.F06_cabinet,false);
                            target.parent.open2 = true;
                        } else {
                            cabinet2.setSpriteFrame("k_06_desk_2.png");
                            playEffect(res.F06_cabinet,false);
                            target.parent.open2 = false;
                        }
                        return true;
                    }
                    if (target == Eyelashpen && target.parent.TouchEyelashpen == true) {
                        Eyelashpen.setLocalZOrder(10);
                        target.parent.All_Touch = false;
                        return true;
                    }
                    if (target == makeupbox && target.parent.Touchmakeupbox == true) {
                        makeupbread.setLocalZOrder(10);
                        dialogue.opacity = 0;
                        dialoguewenzi1.opacity = 0;
                        target.parent.GameOver4();
                        target.parent.All_Touch = false;
                        return true;
                    }
                    if (target == mask && target.parent.Touchmask == true) {
                        playEffect(res.BUTTON_SOUNDS);
                        target.parent.Touchmask = false;
                        target.parent.All_Touch = false;
                        return true;
                    }
                    if (target == lipstick && target.parent.Touchlipstick == true) {
                        lipstick.setLocalZOrder(10);
                        target.parent.All_Touch = false;
                        return true;
                    }
                    if ((target == mirrorlayer && target.parent.Touchmirrorlayer == true) || (target == man && target.parent.Touchman == true)) {
                        if (target.parent.WhetherWin == true) {
                            dialogue.opacity = 0;
                            dialoguewenzi1.opacity = 0;
                            if (target.parent.maskNum == 0) {
                                target.parent.GameWin();
                            } else {
                                target.parent.GameOver5();
                            }
                        } else {
                            dialogue.opacity = 0;
                            dialoguewenzi1.opacity = 0;
                            target.parent.GameOver1();
                        }
                        target.parent.All_Touch = false;
                        return true;
                    }
                }
                return false;
            },
            onTouchMoved: function (touch, event) {
                var target = event.getCurrentTarget();
                var delta = touch.getDelta();
                if (target == mask || target == lipstick || target == Eyelashpen) {
                    target.x += delta.x;
                    target.y += delta.y;
                }
            },
            onTouchEnded: function (touch, event) {
                var target = event.getCurrentTarget();
                var size = cc.director.getWinSize();
                var faceRect = facelayer.getBoundingBox();
                var lipstickRect = lipstick.getBoundingBox();
                var EyelashpenRect = Eyelashpen.getBoundingBox();
                var maskRect = mask.getBoundingBox();
                if (target == mask)  {
                    target.parent.All_Touch = true;
                    if (cc.rectIntersectsRect(faceRect, maskRect)) {
                        target.parent.Touchmask = false;
                        target.parent.Touchlipstick = false;
                        target.parent.Touchmakeupbox = false;
                        target.parent.TouchEyelashpen = false;
                        target.parent.Touchman = false;
                        target.parent.WhetherWin = true;
                        target.parent.Wearmask();
                    } else {
//                        cc.log(Math.abs(target.x - (target.parent.size.width/2 + 310)));
//                        cc.log(Math.abs(target.y - (target.parent.size.height/2 + 150)));
                        if (Math.abs(target.x - (target.parent.size.width/2 + 310)) < 30 || Math.abs(target.y - (target.parent.size.height/2 + 150)) < 30) {
                            target.parent.maskNum++;
                            switch (target.parent.maskNum) {
                                case 1:
                                    mask.setSpriteFrame("k_06_head5.png");
                                    break;
                                case 2:
                                    mask.setSpriteFrame("k_06_head6.png");
                                    break;
                                case 3:
                                    mask.setSpriteFrame("k_06_head7.png");
                                    break;
                                case 4:
                                    mask.setSpriteFrame("k_06_head8.png");
                                    break;
                                case 5:
                                    mask.setSpriteFrame("k_06_head9.png");
                                    break;
                                case 6:
                                    mask.setSpriteFrame("k_06_head10.png");
                                    break;
                                case 7:
                                    mask.setSpriteFrame("k_06_head2.png");
                                    target.parent.maskNum = 0;
                                    break;
                            }
                        }
                        mask.runAction(cc.sequence(cc.moveTo(0.2, cc.p(size.width/2 + 310, size.height/2 + 241)), cc.callFunc(function(){
                            target.parent.Touchmask = true;
                        },this)));
                    }
                }
                if (target == lipstick) {
                    target.parent.All_Touch = true;
                    if (cc.rectIntersectsRect(faceRect, lipstickRect)) {
                        lipstick.setLocalZOrder(10);
                        dialogue.opacity = 0;
                        dialoguewenzi1.opacity = 0;
                        target.parent.GameOver2();
                        target.parent.All_Touch = false;
                    } else {
                        lipstick.setLocalZOrder(0);
                        lipstick.runAction(cc.moveTo(0.2, cc.p(size.width/2 + 100, size.height/2)));
                    }
                }
                if (target == Eyelashpen) {
                    target.parent.All_Touch = true;
                    if (cc.rectIntersectsRect(faceRect, EyelashpenRect)) {
                        Eyelashpen.setLocalZOrder(10);
                        dialogue.opacity = 0;
                        dialoguewenzi1.opacity = 0;
                        target.parent.GameOver3();
                        target.parent.All_Touch = false;
                    } else {
                        Eyelashpen.setLocalZOrder(0);
                        Eyelashpen.runAction(cc.moveTo(0.2, cc.p(size.width/2 -110, size.height/2 + 25)));
                    }
                }
            }
        });

        cc.eventManager.addListener(listener1, man);
        cc.eventManager.addListener(listener1.clone(), lipstick);
        cc.eventManager.addListener(listener1.clone(), mask);
        cc.eventManager.addListener(listener1.clone(), mirrorlayer);
        cc.eventManager.addListener(listener1.clone(), Eyelashpen);
        cc.eventManager.addListener(listener1.clone(), makeupbox);
        cc.eventManager.addListener(listener1.clone(), cabinet1);
        cc.eventManager.addListener(listener1.clone(), cabinet2);
    },
    init:function(){
        this.All_Touch = true;
        this.Touchman = true;
        this.Touchmirrorlayer = true;
        this.Touchmask = true;
        this.Touchlipstick = true;
        this.TouchEyelashpen = true;
        this.Touchmakeupbox = true;
        this.WhetherWin = false;
        this.open1 = false;
        this.open2 = false;
        this.maskNum = 1;
    },
    Wearmask:function(){
        cc.log("戴面具");
//        playEffect(res.F06_Laughter,false);
        this.mask.runAction(cc.moveTo(0.1, cc.p(this.size.width/2 - 315, this.size.height/2 + 161)));
    },
    GameOver1:function(){
        cc.log("GameOver1");
        this.man.stopAllActions();
        //猪脚在走
        var ManGo=["k_06_man_run1.png","k_06_man_run2.png","k_06_man_run1.png","k_06_man_run2.png","k_06_man_zhao.png"];
        var ManGoanimFrames=[];
        for(var i=0;i<ManGo.length;i++){
            var ManGoframe = cc.spriteFrameCache.getSpriteFrame(ManGo[i]);
            ManGoanimFrames.push(ManGoframe);
        }
        var ManGoanimation=new cc.Animation(ManGoanimFrames,0.2);
        var ManGoanimate=new cc.Animate(ManGoanimation);
        this.zhao1.runAction(cc.sequence(cc.delayTime(1), cc.fadeTo(1, 180), cc.callFunc(function(){
            playEffect(res.F06_frightened,false);
            this.man.setSpriteFrame("k_06_man_die.png");
//            this.man.rotation = 90;
            this.zhao1.runAction(cc.fadeTo(0.2, 0));
            this.man.runAction(cc.rotateTo(0.5, -90));
        },this), cc.delayTime(0.5),cc.callFunc(function(){
            //灵魂
            var ghost=new cc.Sprite("#k_06_linghun.png");
            ghost.attr({
                x:this.size.width/2 - 344,
                y:this.size.height/2 - 90
            });
            this.addChild(ghost);
            ghost.runAction(cc.sequence(cc.moveBy(0.5,cc.p(20,100))));
        },this), cc.delayTime(1), cc.callFunc(function(){
            ShowFaildPPanel(this.getParent(), 6,0);
        },this)));
        this.man.runAction(cc.spawn(ManGoanimate, cc.moveBy(0.8, cc.p(260, 0))));
    },
    GameOver2:function(){
        this.size = cc.director.getWinSize();
        this.man.stopAllActions();
        cc.log("GameOver2");
        var Dress_id = playEffect(res.F06_Dress,true);
        var seq = cc.sequence(
            cc.moveTo(0.1, cc.p(this.size.width/2 - 290, this.size.height/2 + 45)),
            cc.moveTo(0.1, cc.p(this.size.width/2 - 310, this.size.height/2 + 65)),
            cc.moveTo(0.1, cc.p(this.size.width/2 - 330, this.size.height/2 + 45)),
            cc.moveTo(0.1, cc.p(this.size.width/2 - 290, this.size.height/2 + 25))).clone();
        this.lipstick.runAction(cc.sequence(seq, seq, seq, cc.callFunc(function(){
            stopEffect(Dress_id);
            this.lipstick.setVisible(false);
            this.man.setSpriteFrame("k_06_man_huahzuanghou.png");
            this.man.anchorX = 0.3;
            this.man.anchorY = 0;
        },this), cc.callFunc(function(){
            //猪脚在走
            var ManGo=["k_06_man_huahzuanghou_walk.png","k_06_man_huahzuanghou.png","k_06_man_huahzuanghou_walk.png","k_06_man_huahzuanghou.png","k_06_man_zhao.png"];
            var ManGoanimFrames=[];
            for(var i=0;i<ManGo.length;i++){
                var ManGoframe = cc.spriteFrameCache.getSpriteFrame(ManGo[i]);
                ManGoanimFrames.push(ManGoframe);
            }
            var ManGoanimation=new cc.Animation(ManGoanimFrames,0.2);
            var ManGoanimate=new cc.Animate(ManGoanimation);
            this.zhao1.setSpriteFrame("k_06_man_zhao3.png");
            this.zhao1.runAction(cc.sequence(cc.delayTime(1), cc.fadeTo(1, 180), cc.callFunc(function(){
                playEffect(res.F06_frightened,false);
                this.man.setSpriteFrame("k_06_man_die.png");
//            this.man.rotation = 90;
                this.zhao1.runAction(cc.fadeTo(0.2, 0));
                this.man.runAction(cc.rotateTo(0.5, -90));
            },this), cc.delayTime(0.5),cc.callFunc(function(){
                //灵魂
                var ghost=new cc.Sprite("#k_06_linghun.png");
                ghost.attr({
                    x:this.size.width/2 - 344,
                    y:this.size.height/2 - 90
                });
                this.addChild(ghost);
                ghost.runAction(cc.sequence(cc.moveBy(0.5,cc.p(20,100))));
            },this), cc.delayTime(1), cc.callFunc(function(){
                ShowFaildPPanel(this.getParent(), 6,1);
            },this)));
            this.man.runAction(cc.spawn(ManGoanimate, cc.moveBy(0.8, cc.p(260, 0))));
        },this)));
        this.boom.runAction(cc.sequence(
            cc.moveTo(0.3, cc.p(this.size.width/2 - 290, this.size.height/2 + 45)),
            cc.moveTo(0.3, cc.p(this.size.width/2 - 310, this.size.height/2 + 65)),
            cc.moveTo(0.3, cc.p(this.size.width/2 - 330, this.size.height/2 + 45)),
            cc.moveTo(0.3, cc.p(this.size.width/2 - 290, this.size.height/2 + 25))));
        this.boom.runAction(cc.sequence(cc.blink(1.2, 4)));
    },
    GameOver3:function(){
        this.size = cc.director.getWinSize();
        this.man.stopAllActions();
        cc.log("GameOver3");
        var Dress_id = playEffect(res.F06_Dress,true);
        var seq = cc.sequence(
            cc.moveTo(0.1, cc.p(this.size.width/2 - 290, this.size.height/2 + 45)),
            cc.moveTo(0.1, cc.p(this.size.width/2 - 310, this.size.height/2 + 65)),
            cc.moveTo(0.1, cc.p(this.size.width/2 - 330, this.size.height/2 + 45)),
            cc.moveTo(0.1, cc.p(this.size.width/2 - 290, this.size.height/2 + 25))).clone();
        this.Eyelashpen.runAction(cc.sequence(seq, seq, seq, cc.callFunc(function(){
            stopEffect(Dress_id);
            this.Eyelashpen.setVisible(false);
            this.man.setSpriteFrame("k_06_man_huahzuanghou.png");
            this.man.anchorX = 0.3;
            this.man.anchorY = 0;
        },this), cc.callFunc(function(){
            //猪脚在走
            var ManGo=["k_06_man_huahzuanghou_walk.png","k_06_man_huahzuanghou.png","k_06_man_huahzuanghou_walk.png","k_06_man_huahzuanghou.png","k_06_man_zhao.png"];
            var ManGoanimFrames=[];
            for(var i=0;i<ManGo.length;i++){
                var ManGoframe = cc.spriteFrameCache.getSpriteFrame(ManGo[i]);
                ManGoanimFrames.push(ManGoframe);
            }
            var ManGoanimation=new cc.Animation(ManGoanimFrames,0.2);
            var ManGoanimate=new cc.Animate(ManGoanimation);
            this.zhao1.setSpriteFrame("k_06_man_zhao3.png");
            this.zhao1.runAction(cc.sequence(cc.delayTime(1), cc.fadeTo(1, 180), cc.callFunc(function(){
                playEffect(res.F06_frightened,false);
                this.man.setSpriteFrame("k_06_man_die.png");
//            this.man.rotation = 90;
                this.zhao1.runAction(cc.fadeTo(0.2, 0));
                this.man.runAction(cc.rotateTo(0.5, -90));
            },this), cc.delayTime(0.5),cc.callFunc(function(){
                //灵魂
                var ghost=new cc.Sprite("#k_06_linghun.png");
                ghost.attr({
                    x:this.size.width/2 - 344,
                    y:this.size.height/2 - 90
                });
                this.addChild(ghost);
                ghost.runAction(cc.sequence(cc.moveBy(0.5,cc.p(20,100))));
            },this), cc.delayTime(1), cc.callFunc(function(){
                ShowFaildPPanel(this.getParent(), 6,1);
            },this)));
            this.man.runAction(cc.spawn(ManGoanimate, cc.moveBy(0.8, cc.p(260, 0))));
        },this)));
        this.boom.runAction(cc.sequence(
            cc.moveTo(0.3, cc.p(this.size.width/2 - 290, this.size.height/2 + 45)),
            cc.moveTo(0.3, cc.p(this.size.width/2 - 310, this.size.height/2 + 65)),
            cc.moveTo(0.3, cc.p(this.size.width/2 - 330, this.size.height/2 + 45)),
            cc.moveTo(0.3, cc.p(this.size.width/2 - 290, this.size.height/2 + 25))));
        this.boom.runAction(cc.sequence(cc.blink(1.2, 4)));
    },
    GameOver4:function(){
        this.size = cc.director.getWinSize();
        this.man.stopAllActions();
        cc.log("GameOver4");
        var Dress_id = playEffect(res.F06_Dress,true);
        var seq = cc.sequence(
            cc.moveTo(0.1, cc.p(this.size.width/2 - 290, this.size.height/2 + 45)),
            cc.moveTo(0.1, cc.p(this.size.width/2 - 310, this.size.height/2 + 65)),
            cc.moveTo(0.1, cc.p(this.size.width/2 - 330, this.size.height/2 + 45)),
            cc.moveTo(0.1, cc.p(this.size.width/2 - 290, this.size.height/2 + 25))).clone();
        this.makeupbread.runAction(cc.sequence(seq, seq, seq, cc.callFunc(function(){
            stopEffect(Dress_id);
            this.makeupbread.setVisible(false);
            this.man.setSpriteFrame("k_06_man_huahzuanghou.png");
            this.man.anchorX = 0.3;
            this.man.anchorY = 0;
        },this), cc.callFunc(function(){
            //猪脚在走
            var ManGo=["k_06_man_huahzuanghou_walk.png","k_06_man_huahzuanghou.png","k_06_man_huahzuanghou_walk.png","k_06_man_huahzuanghou.png","k_06_man_zhao.png"];
            var ManGoanimFrames=[];
            for(var i=0;i<ManGo.length;i++){
                var ManGoframe = cc.spriteFrameCache.getSpriteFrame(ManGo[i]);
                ManGoanimFrames.push(ManGoframe);
            }
            var ManGoanimation=new cc.Animation(ManGoanimFrames,0.2);
            var ManGoanimate=new cc.Animate(ManGoanimation);
            this.zhao1.setSpriteFrame("k_06_man_zhao3.png");
            this.zhao1.runAction(cc.sequence(cc.delayTime(1), cc.fadeTo(1, 180), cc.callFunc(function(){
                playEffect(res.F06_frightened,false);
                this.man.setSpriteFrame("k_06_man_die.png");
//            this.man.rotation = 90;
                this.zhao1.runAction(cc.fadeTo(0.2, 0));
                this.man.runAction(cc.rotateTo(0.5, -90));
            },this), cc.delayTime(0.5),cc.callFunc(function(){
                //灵魂
                var ghost=new cc.Sprite("#k_06_linghun.png");
                ghost.attr({
                    x:this.size.width/2 - 344,
                    y:this.size.height/2 - 90
                });
                this.addChild(ghost);
                ghost.runAction(cc.sequence(cc.moveBy(0.5,cc.p(20,100))));
            },this), cc.delayTime(1), cc.callFunc(function(){
                ShowFaildPPanel(this.getParent(), 6,1);
            },this)));
            this.man.runAction(cc.spawn(ManGoanimate, cc.moveBy(0.8, cc.p(260, 0))));
        },this)));
        this.boom.runAction(cc.sequence(
            cc.moveTo(0.3, cc.p(this.size.width/2 - 290, this.size.height/2 + 45)),
            cc.moveTo(0.3, cc.p(this.size.width/2 - 310, this.size.height/2 + 65)),
            cc.moveTo(0.3, cc.p(this.size.width/2 - 330, this.size.height/2 + 45)),
            cc.moveTo(0.3, cc.p(this.size.width/2 - 290, this.size.height/2 + 25))));
        this.boom.runAction(cc.sequence(cc.blink(1.2, 4)));
    },
    GameOver5:function(){
        this.man.stopAllActions();
        //猪脚在走
        var ManGo=["k_06_man_run1.png","k_06_man_run2.png","k_06_man_run1.png","k_06_man_run2.png","k_06_man_zhao.png"];
        var ManGoanimFrames=[];
        for(var i=0;i<ManGo.length;i++){
            var ManGoframe = cc.spriteFrameCache.getSpriteFrame(ManGo[i]);
            ManGoanimFrames.push(ManGoframe);
        }
        var ManGoanimation=new cc.Animation(ManGoanimFrames,0.2);
        var ManGoanimate=new cc.Animate(ManGoanimation);
        this.man.runAction(cc.spawn(ManGoanimate, cc.moveBy(0.8, cc.p(260, 0))));
        this.mask.runAction(cc.sequence(cc.moveBy(0.8, cc.p(260, 0)), cc.callFunc(function(){
//            playEffect(res.F06_Laughter,false);
            var Newmaskname;
            switch (this.maskNum) {
                case 1:
                    this.mask.setSpriteFrame("k_06_head5_1.png");
                    this.zhao2.setSpriteFrame("k_06_man_zhao7.png");
                    Newmaskname="#k_06_head5.png";
                    break;
                case 2:
                    this.mask.setSpriteFrame("k_06_head6_1.png");
                    this.zhao2.setSpriteFrame("k_06_man_zhao8.png");
                    Newmaskname="#k_06_head6.png";
                    break;
                case 3:
                    this.mask.setSpriteFrame("k_06_head7_1.png");
                    this.zhao2.setSpriteFrame("k_06_man_zhao4.png");
                    Newmaskname="#k_06_head7.png";
                    break;
                case 4:
                    this.mask.setSpriteFrame("k_06_head8_1.png");
                    this.zhao2.setSpriteFrame("k_06_man_zhao9.png");
                    Newmaskname="#k_06_head8.png";
                    break;
                case 5:
                    this.mask.setSpriteFrame("k_06_head9_1.png");
                    this.zhao2.setSpriteFrame("k_06_man_zhao10.png");
                    Newmaskname="#k_06_head9.png";
                    break;
                case 6:
                    this.mask.setSpriteFrame("k_06_head10_1.png");
                    this.zhao2.setSpriteFrame("k_06_man_zhao5.png");
                    Newmaskname="#k_06_head10.png";
                    break;
            }
//            this.mask.x=this.mask.getPositionX();
            this.zhao2.runAction(cc.sequence(cc.fadeTo(1, 180), cc.callFunc(function(){
                this.mask.visible = false;
                playEffect(res.F06_frightened,false);
                this.man.setSpriteFrame("k_06_man_die.png");
                //新脸
                var Newmask=new cc.Sprite(Newmaskname);
                Newmask.attr({
                    x:60,
                    y:250,
                    anchorX:0.5,
                    anchorY:0.5
                });
                this.man.addChild(Newmask);
                Newmask.runAction(cc.sequence(cc.delayTime(0.5),cc.moveBy(0.1,cc.p(-50,0))));
                this.zhao2.runAction(cc.fadeTo(0.2, 0));
                this.man.runAction(cc.rotateTo(0.5, -90));
            },this), cc.delayTime(0.5),cc.callFunc(function(){
                //灵魂
                var ghost=new cc.Sprite("#k_06_linghun.png");
                ghost.attr({
                    x:this.size.width/2 - 344,
                    y:this.size.height/2 - 90
                });
                this.addChild(ghost);
                ghost.runAction(cc.sequence(cc.moveBy(0.5,cc.p(20,100))));
            },this), cc.delayTime(1), cc.callFunc(function(){
                                                  switch (this.maskNum) {
                                                  case 1:
                                                  ShowFaildPPanel(this.getParent(), 6,3);
                                                  break;
                                                  case 2:
                                                  ShowFaildPPanel(this.getParent(), 6,4);
                                                  break;
                                                  case 3:
                                                  ShowFaildPPanel(this.getParent(), 6,5);
                                                  break;
                                                  case 4:
                                                  ShowFaildPPanel(this.getParent(), 6,6);
                                                  break;
                                                  case 5:
                                                  ShowFaildPPanel(this.getParent(), 6,2);
                                                  break;
                                                  case 6:
                                                  ShowFaildPPanel(this.getParent(), 6,7);
                                                  break;
                                                  }
            },this)));
        },this)));
    },
    GameWin:function(){
        cc.log("GameWin");
        this.man.stopAllActions();
        //猪脚在走
        var ManGo=["k_06_man_run1.png","k_06_man_run2.png","k_06_man_run1.png","k_06_man_run2.png","k_06_man_zhao.png"];
        var ManGoanimFrames=[];
        for(var i=0;i<ManGo.length;i++){
            var ManGoframe = cc.spriteFrameCache.getSpriteFrame(ManGo[i]);
            ManGoanimFrames.push(ManGoframe);
        }
        var ManGoanimation=new cc.Animation(ManGoanimFrames,0.2);
        var ManGoanimate=new cc.Animate(ManGoanimation);
        this.man.runAction(cc.spawn(ManGoanimate, cc.moveBy(0.8, cc.p(260, 0))));
        this.mask.runAction(cc.sequence(cc.moveBy(0.8, cc.p(260, 0)), cc.callFunc(function(){
            playEffect(res.F22_XIAO,false);
            this.mask.setSpriteFrame("k_06_head.png");
            this.mask.x=this.mask.getPositionX() + 6;
            this.zhao2.runAction(cc.fadeTo(1, 180));
            this.bling1.runAction(cc.fadeTo(1, 180));
            this.bling2.runAction(cc.fadeTo(1, 180));
            this.bling3.runAction(cc.fadeTo(1, 180));
            this.bling4.runAction(cc.fadeTo(1, 180));
        },this), cc.delayTime(4), cc.callFunc(function(){
            ShowSuccessPanel(this.getParent(), 6);
        },this)));
    }
});

var HandsomeScene = cc.Scene.extend({

    onEnter : function() {
        this._super();
        var layer = new HandsomeLayer();
        this.addChild(layer);

        var level = 6;
        var mainUILayer = new MainUILayer(level);
        this.addChild(mainUILayer, 2);
    },
    pauseTheGame : function () {
        //pause the game
        cc.log("pause the game");
    },
    resumeTheGame :function () {
        //resume the game
        cc.log("resume the game");
    }

});