/**
 * Created by langchenglai on 14-9-29.
 */


var StrongManLayer = cc.Layer.extend({

    ctor : function(){
        this._super();
        this.init();
        size = cc.director.getWinSize();
        cc.log("w"+size.width+"....h"+size.height);
        var bg = cc.Sprite.create("#com_bg_01.png");
        bg.setPosition(cc.p(size.width/2,size.height/2));
        this.addChild(bg);
        var sp_stage_crowd = cc.Sprite.create("#k_11_stage_crowd1.png");
        sp_stage_crowd.setPosition(cc.p(size.width/2,150));
        sp_stage_crowd.setAnchorPoint(cc.p(0.5,0));
        this.addChild(sp_stage_crowd);

        var sp_stage = cc.Sprite.create("#k_11_stage.png");
        sp_stage.setPosition(cc.p(size.width/2,0));
        sp_stage.setAnchorPoint(cc.p(0.5,0));
        this.addChild(sp_stage);

        var animFrames=[];
        for(var i=1;i<=2;i++){
            var frame=cc.spriteFrameCache.getSpriteFrame("k_11_stage_crowd"+i+".png");
            animFrames.push(frame)
        }
        var animation=new cc.Animation(animFrames,0.5);
        var animate=new cc.Animate(animation);
        sp_stage_crowd.runAction(cc.RepeatForever.create(animate));

        var sp_flag = cc.Sprite.create("#k_11_flag.png");
        sp_flag.setPosition(cc.p(size.width/2,size.height/2+150));
        this.addChild(sp_flag);

        sp_man = cc.Sprite.create("#k_11_man1.png");
        sp_man.setPosition(cc.p(size.width/2-200,size.height/2-30));
        this.addChild(sp_man,2,999);


        this.sp_manAction();



        sp_StrongMan = cc.Sprite.create("#k_11_strongman1.png");
        sp_StrongMan.setPosition(cc.p(size.width/2,size.height/2+20));

        var animFrames=[];
        for(var i=1;i<=2;i++){
            var frame=cc.spriteFrameCache.getSpriteFrame("k_11_strongman"+i+".png");
            animFrames.push(frame)
        }
        var animation=new cc.Animation(animFrames,0.3);
        var animate=new cc.Animate(animation);
        sp_StrongMan.runAction(cc.RepeatForever.create(animate));

        sp_Star1 = cc.Sprite.create("#k_11_mmist.png");
        sp_Star2 = cc.Sprite.create("#k_11_mmist.png");
        sp_Star1.setPosition(cc.p(180,300));
        sp_Star2.setPosition(cc.p(220,270));
        sp_StrongMan.addChild(sp_Star1);
        sp_StrongMan.addChild(sp_Star2);
        sp_Star1.setOpacity(0);
        sp_Star2.setOpacity(0);


        sp_face = cc.Sprite.create("#k_11_strongman_face1.png");
        sp_face.setPosition(cc.p(150,230));
        sp_StrongMan.addChild(sp_face);
        this.addChild(sp_StrongMan,0,998);

        sp_boom = cc.Sprite.create("#com_boom_01.png");
        sp_boom.setScale(0.2);
        sp_boom.setPosition(cc.p(size.width/2+20,size.height/2+30));
        this.addChild(sp_boom,3);
        sp_boom.setVisible(false);
        this.scheduleUpdate();


        var item_Left = cc.MenuItemImage.create("#k_11_btn_left1.png","#k_11_btn_left2.png",this.onMenuLeftCallback,this);

        item_Left.setPosition(cc.p(-225,-230));
        var item_Right = cc.MenuItemImage.create("#k_11_btn_right1.png","#k_11_btn_right2.png",this.onMenuRightCallback,this);
        item_Right.setPosition(cc.p(-95,-230));

        var item_Attack = cc.MenuItemImage.create("#k_11_btn_attack1.png","#k_11_btn_attack2.png",this.onMenuAttackCallback,this);
        item_Attack.setPosition(cc.p(150,-230));
        menu = cc.Menu.create(item_Left,item_Right,item_Attack);
        menu.setPosition(cc.p(size.width/2,size.height/2));
        this.addChild(menu);



        this.scheduleUpdate();
        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                if(moving){
                    return false;
                }
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    cc.log(target.getTag());
                    if(moving){
                        return false;
                    }
                    menu.setEnabled(false);


                    return true;
                }
                return false;
            },
            onTouchMoved: function (touch, event) {
                var target = event.getCurrentTarget();
                var locationMoveNode = target.convertToNodeSpace(touch.getLocation());


            },





            onTouchEnded: function (touch, event) {
                menu.setEnabled(false);
                cc.eventManager.removeListeners(sp_man);
                cc.eventManager.removeListeners(sp_StrongMan);
                var target = event.getCurrentTarget();
                sp_man.stopAllActions();
                sp_StrongMan.stopAllActions();
                sp_boom.setVisible(false);
                sp_face.setOpacity(255);
                if(target.getTag() == 998){
                    playEffect(res.BUTTON_SOUNDS);
                    sp_man.stopAllActions();
                    if(pos_Act != 0){
                        if(!moved){
                            sp_StrongMan.stopAllActions();
                            sp_StrongMan.setSpriteFrame("k_11_strongman1.png");
                            var animFrame=["k_11_strongman1.png","k_11_strongman_WALK.png","k_11_strongman1.png","k_11_strongman_WALK.png","k_11_strongman1.png"];
                            var animFrames=[];
                            for(var i=0;i<animFrame.length;i++){
                                var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                                animFrames.push(Emenyframe)
                            }
                            var animation=new cc.Animation(animFrames,0.3);
                            var animate=new cc.Animate(animation);
                            playEffect(res.F11_WALK_SOUNDS);
                            var mt = cc.MoveTo.create(1.5, cc.p(sp_StrongMan.getPositionX() + 170, sp_StrongMan.getPositionY()));
                            var spawn = cc.Spawn.create(animate,mt);
                            sp_StrongMan.runAction(spawn);
                            var seq = cc.Sequence.create(cc.DelayTime.create(1.5),cc.CallFunc.create(function(){
                                stopAllEffect();
                                target.parent.sp_StrongMan_Attack();
                            },this));
                            sp_StrongMan.runAction(seq);
                        }else{
                            sp_StrongMan.stopAllActions();
                            sp_StrongMan.setSpriteFrame("k_11_strongman1.png");

                                target.parent.sp_StrongMan_Attack();

                        }

                    }else{
                        if(!moved) {
                            sp_StrongMan.stopAllActions();
                            sp_StrongMan.setSpriteFrame("k_11_strongman1.png");
                            var animFrame = ["k_11_strongman1.png", "k_11_strongman_WALK.png", "k_11_strongman1.png", "k_11_strongman_WALK.png", "k_11_strongman1.png"];
                            var animFrames = [];
                            for (var i = 0; i < animFrame.length; i++) {
                                var Emenyframe = cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                                animFrames.push(Emenyframe)
                            }
                            var animation = new cc.Animation(animFrames, 0.3);
                            var animate = new cc.Animate(animation);
                            var mt = cc.MoveTo.create(1.5, cc.p(sp_StrongMan.getPositionX() - 170, sp_StrongMan.getPositionY()));
                            var spawn = cc.Spawn.create(animate, mt);
                            sp_StrongMan.runAction(spawn);
                            playEffect(res.F11_WALK_SOUNDS);
                            var seq = cc.Sequence.create(cc.DelayTime.create(1.5), cc.CallFunc.create(function () {
                               stopAllEffect();
                                target.parent.sp_StrongMan_Attack();
                            }, this));
                            sp_StrongMan.runAction(seq);
                        }else{
                            sp_StrongMan.stopAllActions();
                            sp_StrongMan.setSpriteFrame("k_11_strongman1.png");

                                target.parent.sp_StrongMan_Attack();

                        }


                    }
                }else if (target.getTag() == 999){
                    playEffect(res.BUTTON_SOUNDS);
                    sp_man.stopAllActions();
                    var animFrame=["k_11_man_fail.png","k_11_man_fail2.png","k_11_man_fail.png","k_11_man_fail2.png","k_11_man_fail.png","k_11_man_fail2.png","k_11_man_fail.png"];

                    var animFrames=[];
                    for(var i=0;i<animFrame.length;i++){
                        var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                        animFrames.push(Emenyframe)
                    }
                    var animation=new cc.Animation(animFrames,0.3);
                    var animate=new cc.Animate(animation);
                    sp_man.runAction(animate);


                    if(pos_Act != 0){
                        if(!moved) {
                            sp_StrongMan.stopAllActions();
                            playEffect(res.F11_HEHE_SOUNDS);
                            sp_StrongMan.setSpriteFrame("k_11_strongman1.png");
                            var animFrame = ["k_11_strongman1.png", "k_11_strongman_WALK.png", "k_11_strongman1.png", "k_11_strongman_WALK.png", "k_11_strongman1.png"];
                            var animFrames = [];
                            for (var i = 0; i < animFrame.length; i++) {
                                var Emenyframe = cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                                animFrames.push(Emenyframe)
                            }
                            var animation = new cc.Animation(animFrames, 0.3);
                            var animate = new cc.Animate(animation);
                            playEffect(res.F11_WALK_SOUNDS);
                            var mt = cc.MoveTo.create(1.5, cc.p(sp_StrongMan.getPositionX() + 140, sp_StrongMan.getPositionY()));
                            var spawn = cc.Spawn.create(animate, mt);
                            sp_StrongMan.runAction(spawn);
                            var seq = cc.Sequence.create(cc.DelayTime.create(1.5), cc.CallFunc.create(function () {
                                stopAllEffect();
                                sp_man.stopAllActions();
                                target.parent.sp_StrongMan_Attack();
                            }, this));
                            sp_StrongMan.runAction(seq);
                        }else{
                            playEffect(res.F11_HEHE_SOUNDS);
                            sp_StrongMan.stopAllActions();
                            sp_StrongMan.setSpriteFrame("k_11_strongman1.png");
                            var seq = cc.Sequence.create(cc.DelayTime.create(1.5), cc.CallFunc.create(function () {
                                sp_man.stopAllActions();
                                target.parent.sp_StrongMan_Attack();
                            }, this));
                            sp_StrongMan.runAction(seq);

                        }
                    }else{
                        if(!moved) {
                        sp_StrongMan.stopAllActions();
                            playEffect(res.F11_HEHE_SOUNDS);
                        sp_StrongMan.setSpriteFrame("k_11_strongman1.png");
                        var animFrame=["k_11_strongman1.png","k_11_strongman_WALK.png","k_11_strongman1.png","k_11_strongman_WALK.png","k_11_strongman1.png"];
                        var animFrames=[];
                        for(var i=0;i<animFrame.length;i++){
                            var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                            animFrames.push(Emenyframe)
                        }
                        var animation=new cc.Animation(animFrames,0.3);
                        var animate=new cc.Animate(animation);

                        var mt = cc.MoveTo.create(1.5, cc.p(sp_StrongMan.getPositionX() - 140, sp_StrongMan.getPositionY()));
                        var spawn = cc.Spawn.create(animate,mt);
                        sp_StrongMan.runAction(spawn);
                         playEffect(res.F11_WALK_SOUNDS);
                        var seq = cc.Sequence.create(cc.DelayTime.create(1.5),cc.CallFunc.create(function(){
                            stopAllEffect();
                            sp_man.stopAllActions();
                            target.parent.sp_StrongMan_Attack();
                        },this));
                        sp_StrongMan.runAction(seq);
                        }else{
                            playEffect(res.F11_HEHE_SOUNDS);
                            sp_StrongMan.stopAllActions();
                            sp_StrongMan.setSpriteFrame("k_11_strongman1.png");
                            var seq = cc.Sequence.create(cc.DelayTime.create(1.5), cc.CallFunc.create(function () {
                                sp_man.stopAllActions();
                                target.parent.sp_StrongMan_Attack();
                            }, this));
                            sp_StrongMan.runAction(seq);

                        }


                    }

                }



            }
        });

        cc.eventManager.addListener(listener1, sp_StrongMan);
        cc.eventManager.addListener(listener1.clone(), sp_man);


    },
    update:function(dt) {
        if(flag == 3){
            menu.setEnabled(false);
            this.unscheduleUpdate();
        }
    },
        init : function(){
        _this = this;
        moving = false;
        step = 0;
        attack = 0;
        flag = 0;
        move_Right = false;
        move_Left = false;
        att = false;
        pos_Act = 0;
        moved = false;
            _this = this;


    },


    onMenuLeftCallback : function(sender){

        if(moving){
            return;
        }
        playEffect(res.BUTTON_SOUNDS);

        if(step == 1  && !moving && move_Right){
            if(moving){
                return;
            }

            sp_man.stopAllActions();
            moving=true;
            sp_man.setSpriteFrame("k_11_man_jump.png");
            var jt = cc.jumpTo(0.4,cc.p(size.width/2-200,size.height/2-30),100,1);
            sp_man.runAction(cc.Sequence.create(jt,cc.CallFunc.create(function(){
                sp_man.setSpriteFrame("k_11_man1.png");
                step = 0;
                move_Right = false;
                moving = false;
                moved = false;
                pos_Act = 0;
                att = false;
                this.sp_manAction();
            },this)));



        }else if(step == 2 && !moving && move_Left){
            if(moving){
                return;
            }
            sp_man.stopAllActions();
            moving = true;
//            var frame = cc.SpriteFrame.create(res.k_11_man1_png, cc.rect(0, 0, 128, 199));
            var animFrame=["k_11_man2.png","k_11_man3.png","k_11_man2.png","k_11_man3.png","k_11_man1.png"];
            var animFrames=[];
            for(var i=0;i<animFrame.length;i++){
                var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                animFrames.push(Emenyframe)
            }
            playEffect(res.F11_WALK_SOUNDS,true);
            var animation=new cc.Animation(animFrames,0.1);
            var animate=new cc.Animate(animation);


            var animFrame=["k_11_man2.png","k_11_man3.png","k_11_man1.png"];
            var animFrames=[];
            for(var i=0;i<animFrame.length;i++){
                var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                animFrames.push(Emenyframe)
            }
            var animation=new cc.Animation(animFrames,0.1);
            var animate=new cc.Animate(animation);


            var animFrame1=["k_11_man2.png","k_11_man3.png","k_11_man1.png"];
            var animFrames1=[];
            for(var i=0;i<animFrame1.length;i++){
                var Emenyframe1=cc.spriteFrameCache.getSpriteFrame(animFrame1[i]);
                animFrames1.push(Emenyframe1)
            }

            var animation1=new cc.Animation(animFrames1,0.2);
            var animate1=new cc.Animate(animation1);
            var animFrame2=["k_11_man2.png","k_11_man3.png","k_11_man1.png"];
            var animFrames2=[];
            for(var i=0;i<animFrame2.length;i++){
                var Emenyframe2=cc.spriteFrameCache.getSpriteFrame(animFrame2[i]);
                animFrames2.push(Emenyframe2)
            }
            var animation2=new cc.Animation(animFrames2,0.1);
            var animate2=new cc.Animate(animation2);
            var mt = cc.MoveTo.create(0.3, cc.p(sp_man.getPositionX() + 50, sp_man.getPositionY()+30));
            var spawn = cc.Spawn.create(animate, mt);
            var mt2 = cc.MoveTo.create(0.6,cc.p(sp_man.getPositionX() - 150 ,sp_man.getPositionY()+30));

            var spawn2 = cc.Spawn.create(animate1, mt2);

            var mt3 = cc.MoveTo.create(0.3, cc.p(sp_man.getPositionX() - 80, sp_man.getPositionY()));
            var spawn3 = cc.Spawn.create(animate2, mt3);
//            var jt = cc.jumpTo(1,cc.p(size.width/2-200,size.height/2-30),100,1);
            sp_man.runAction(cc.Sequence.create(spawn,cc.CallFunc.create(function(){
                cc.log("qwewqewq");
                cc.log(sp_man.getZOrder());
                sp_man.setZOrder(1);
                sp_StrongMan.setZOrder(2);
            }),spawn2,cc.CallFunc.create(function(){
                sp_man.setFlippedX(false);
                sp_face.setFlippedX(false);
                sp_StrongMan.setFlippedX(false);
                sp_Star1.setFlippedX(false);
                sp_Star2.setFlippedX(false);
                sp_Star1.setPosition(cc.p(180,300));
                sp_Star2.setPosition(cc.p(220,270));
                sp_face.setPosition(cc.p(150,230));
                sp_man.setZOrder(2);
                sp_StrongMan.setZOrder(1);
            }),spawn3,cc.CallFunc.create(function(){
                stopAllEffect();
                playEffect(res.F11_BIGERMAN_SOUNDS);
                flag++;
                if(flag == 1){
                    sp_face.setSpriteFrame("k_11_strongman_face2.png");
                }

                if(flag == 3){
                    stopAllEffect();
                    menu.setEnabled(false);
                    sp_man.stopAllActions();
                    sp_StrongMan.stopAllActions();
                    cc.eventManager.removeListeners(sp_man);
                    cc.eventManager.removeListeners(sp_StrongMan);
//                    sp_face.setVisible(false);

                    var animFrame=["k_11_man2.png","k_11_man3.png","k_11_man1.png"];
                    var animFrames=[];
                    for(var i=0;i<animFrame.length;i++){
                        var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                        animFrames.push(Emenyframe)
                    }
                    var animation=new cc.Animation(animFrames,0.1);
                    var animate=new cc.Animate(animation);

                    var animFrame1=["k_11_man2.png","k_11_man3.png","k_11_man1.png"];
                    var animFrames1=[];
                    for(var i=0;i<animFrame1.length;i++){
                        var Emenyframe1=cc.spriteFrameCache.getSpriteFrame(animFrame1[i]);
                        animFrames1.push(Emenyframe1)
                    }
                    var animation1=new cc.Animation(animFrames1,0.1);
                    var animate1=new cc.Animate(animation1);

                    var animFrame2=["k_11_man2.png","k_11_man3.png","k_11_man1.png"];
                    var animFrames2=[];
                    for(var i=0;i<animFrame2.length;i++){
                        var Emenyframe2=cc.spriteFrameCache.getSpriteFrame(animFrame2[i]);
                        animFrames2.push(Emenyframe2)
                    }
                    var animation2=new cc.Animation(animFrames2,0.1);
                    var animate2=new cc.Animate(animation2);
                    var animFrame3=["k_11_man2.png","k_11_man3.png","k_11_man1.png","k_11_man3.png","k_11_man1.png"];
                    var animFrames3=[];
                    for(var i=0;i<animFrame3.length;i++){
                        var Emenyframe3=cc.spriteFrameCache.getSpriteFrame(animFrame3[i]);
                        animFrames3.push(Emenyframe3)
                    }
                    var animation3=new cc.Animation(animFrames3,0.1);
                    var animate3=new cc.Animate(animation3);
                    var mt1 = cc.MoveTo.create(0.3,cc.p(sp_man.getPositionX() + 75 ,sp_man.getPositionY()-30));
                    var mt2 = cc.MoveTo.create(0.3,cc.p(sp_man.getPositionX() + 150 ,sp_man.getPositionY()));
                    var mt3 = cc.MoveTo.create(0.3,cc.p(sp_man.getPositionX() + 70 ,sp_man.getPositionY()+30));
                    var mt4 = cc.MoveTo.create(0.3,cc.p(sp_man.getPositionX() - 50 ,sp_man.getPositionY()));



                    var mt11 = cc.MoveTo.create(0.2,cc.p(sp_man.getPositionX() + 75 ,sp_man.getPositionY()-30));
                    var mt22 = cc.MoveTo.create(0.2,cc.p(sp_man.getPositionX() + 150 ,sp_man.getPositionY()));
                    var mt33 = cc.MoveTo.create(0.2,cc.p(sp_man.getPositionX() + 40 ,sp_man.getPositionY()+30));
                    var mt44 = cc.MoveTo.create(0.2,cc.p(sp_man.getPositionX() - 50 ,sp_man.getPositionY()));

                    var mt111 = cc.MoveTo.create(0.15,cc.p(sp_man.getPositionX() + 75 ,sp_man.getPositionY()-30));
                    var mt222 = cc.MoveTo.create(0.15,cc.p(sp_man.getPositionX() + 150 ,sp_man.getPositionY()));
                    var mt333 = cc.MoveTo.create(0.15,cc.p(sp_man.getPositionX() + 40 ,sp_man.getPositionY()+30));
                    var mt444 = cc.MoveTo.create(0.15,cc.p(sp_man.getPositionX() - 50 ,sp_man.getPositionY()));

                    var mt1111 = cc.MoveTo.create(0.1,cc.p(sp_man.getPositionX() + 75 ,sp_man.getPositionY()-30));
                    var mt2222 = cc.MoveTo.create(0.1,cc.p(sp_man.getPositionX() + 150 ,sp_man.getPositionY()));
                    var mt3333 = cc.MoveTo.create(0.1,cc.p(sp_man.getPositionX() + 40 ,sp_man.getPositionY()+30));
                    var mt4444 = cc.MoveTo.create(0.1,cc.p(sp_man.getPositionX() - 50 ,sp_man.getPositionY()));

                    var mt11111 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() + 75 ,sp_man.getPositionY()-30));
                    var mt22222 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() + 150 ,sp_man.getPositionY()));
                    var mt33333 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() + 40 ,sp_man.getPositionY()+30));
                    var mt44444 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() - 50 ,sp_man.getPositionY()));


                    var mt111111 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() + 75 ,sp_man.getPositionY()-30));
                    var mt222222 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() + 150 ,sp_man.getPositionY()));
                    var mt333333 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() + 40 ,sp_man.getPositionY()+30));
                    var mt444444 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() - 50 ,sp_man.getPositionY()));

                    var mt1111111 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() + 75 ,sp_man.getPositionY()-30));
                    var mt2222222 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() + 150 ,sp_man.getPositionY()));
                    var mt3333333 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() + 40 ,sp_man.getPositionY()+30));
                    var mt4444444 = cc.MoveTo.create(0.05,cc.p(sp_man.getPositionX() - 50 ,sp_man.getPositionY()));




                    sp_man.runAction(cc.Sequence.create(cc.Spawn.create(mt1,animate),cc.Spawn.create(mt2,animate1),cc.CallFunc.create(function(){
                        sp_man.setFlippedX(true);
                        sp_face.setFlippedX(true);
                        sp_StrongMan.setFlippedX(true);
                        sp_Star1.setFlippedX(true);
                        sp_Star2.setFlippedX(true);
                        sp_Star1.setPosition(cc.p(30,300));
                        sp_Star2.setPosition(cc.p(0,270));
                        sp_face.setPosition(cc.p(75,230));
                        sp_man.setZOrder(1);
                        sp_StrongMan.setZOrder(2);
                    }),cc.Spawn.create(mt3,animate2),cc.CallFunc.create(function(){
                        sp_man.setFlippedX(false);
                        sp_face.setFlippedX(false);
                        sp_StrongMan.setFlippedX(false);
                        sp_Star1.setFlippedX(false);
                        sp_Star2.setFlippedX(false);
                        sp_Star1.setPosition(cc.p(180,300));
                        sp_Star2.setPosition(cc.p(220,270));
                        sp_face.setPosition(cc.p(150,230));
                        sp_man.setZOrder(2);
                        sp_StrongMan.setZOrder(1);
                    }),cc.Spawn.create(mt4,animate3),cc.CallFunc.create(function(){
                        sp_man.setFlippedX(false);
                        sp_face.setFlippedX(false);
                        sp_StrongMan.setFlippedX(false);
                        sp_Star1.setFlippedX(false);
                        sp_Star2.setFlippedX(false);
                        sp_Star1.setPosition(cc.p(180,300));
                        sp_Star2.setPosition(cc.p(220,270));
                        sp_face.setPosition(cc.p(150,230));
                        sp_man.setZOrder(2);
                        sp_StrongMan.setZOrder(1);
                    }),mt11,mt22,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(true);
                        sp_face.setFlippedX(true);
                        sp_StrongMan.setFlippedX(true);
                        sp_Star1.setFlippedX(true);
                        sp_Star2.setFlippedX(true);
                        sp_Star1.setPosition(cc.p(30,300));
                        sp_Star2.setPosition(cc.p(0,270));
                        sp_face.setPosition(cc.p(75,230));
                        sp_man.setZOrder(1);
                        sp_StrongMan.setZOrder(2);
                    }),mt33,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(false);
                        sp_face.setFlippedX(false);
                        sp_StrongMan.setFlippedX(false);
                        sp_Star1.setFlippedX(false);
                        sp_Star2.setFlippedX(false);
                        sp_Star1.setPosition(cc.p(180,300));
                        sp_Star2.setPosition(cc.p(220,270));
                        sp_face.setPosition(cc.p(150,230));
                        sp_man.setZOrder(2);
                        sp_StrongMan.setZOrder(1);
                    }),mt44,mt111,mt222,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(true);
                        sp_face.setFlippedX(true);
                        sp_StrongMan.setFlippedX(true);
                        sp_Star1.setFlippedX(true);
                        sp_Star2.setFlippedX(true);
                        sp_Star1.setPosition(cc.p(30,300));
                        sp_Star2.setPosition(cc.p(0,270));
                        sp_face.setPosition(cc.p(75,230));
                        sp_man.setZOrder(1);
                        sp_StrongMan.setZOrder(2);
                    }),mt333,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(false);
                        sp_face.setFlippedX(false);
                        sp_StrongMan.setFlippedX(false);
                        sp_Star1.setFlippedX(false);
                        sp_Star2.setFlippedX(false);
                        sp_Star1.setPosition(cc.p(180,300));
                        sp_Star2.setPosition(cc.p(220,270));
                        sp_face.setPosition(cc.p(150,230));
                        sp_man.setZOrder(2);
                        sp_StrongMan.setZOrder(1);
                    }),mt444,mt1111,mt2222,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(true);
                        sp_face.setFlippedX(true);
                        sp_StrongMan.setFlippedX(true);
                        sp_Star1.setFlippedX(true);
                        sp_Star2.setFlippedX(true);
                        sp_Star1.setPosition(cc.p(30,300));
                        sp_Star2.setPosition(cc.p(0,270));
                        sp_face.setPosition(cc.p(75,230));
                        sp_man.setZOrder(1);
                        sp_StrongMan.setZOrder(2);
                    }),mt3333,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(false);
                        sp_face.setFlippedX(false);
                        sp_StrongMan.setFlippedX(false);
                        sp_Star1.setFlippedX(false);
                        sp_Star2.setFlippedX(false);
                        sp_Star1.setPosition(cc.p(180,300));
                        sp_Star2.setPosition(cc.p(220,270));
                        sp_face.setPosition(cc.p(150,230));
                        sp_man.setZOrder(2);
                        sp_StrongMan.setZOrder(1);
                    }),mt4444,mt11111,mt22222,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(true);
                        sp_face.setFlippedX(true);
                        sp_StrongMan.setFlippedX(true);
                        sp_Star1.setFlippedX(true);
                        sp_Star2.setFlippedX(true);
                        sp_Star1.setPosition(cc.p(30,300));
                        sp_Star2.setPosition(cc.p(0,270));
                        sp_face.setPosition(cc.p(75,230));
                        sp_man.setZOrder(1);
                        sp_StrongMan.setZOrder(2);
                    }),mt33333,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(false);
                        sp_face.setFlippedX(false);
                        sp_StrongMan.setFlippedX(false);
                        sp_Star1.setFlippedX(false);
                        sp_Star2.setFlippedX(false);
                        sp_Star1.setPosition(cc.p(180,300));
                        sp_Star2.setPosition(cc.p(220,270));
                        sp_face.setPosition(cc.p(150,230));
                        sp_man.setZOrder(2);
                        sp_StrongMan.setZOrder(1);
                    }),mt44444,mt111111,mt222222,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(true);
                        sp_face.setFlippedX(true);
                        sp_StrongMan.setFlippedX(true);
                        sp_Star1.setFlippedX(true);
                        sp_Star2.setFlippedX(true);
                        sp_Star1.setPosition(cc.p(30,300));
                        sp_Star2.setPosition(cc.p(0,270));
                        sp_face.setPosition(cc.p(75,230));
                        sp_man.setZOrder(1);
                        sp_StrongMan.setZOrder(2);
                    }),mt333333,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(false);
                        sp_face.setFlippedX(false);
                        sp_StrongMan.setFlippedX(false);
                        sp_Star1.setFlippedX(false);
                        sp_Star2.setFlippedX(false);
                        sp_Star1.setPosition(cc.p(180,300));
                        sp_Star2.setPosition(cc.p(220,270));
                        sp_face.setPosition(cc.p(150,230));
                        sp_man.setZOrder(2);
                        sp_StrongMan.setZOrder(1);
                    }),mt444444,mt1111111,mt2222222,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(true);
                        sp_face.setFlippedX(true);
                        sp_StrongMan.setFlippedX(true);
                        sp_Star1.setFlippedX(true);
                        sp_Star2.setFlippedX(true);
                        sp_Star1.setPosition(cc.p(30,300));
                        sp_Star2.setPosition(cc.p(0,270));
                        sp_face.setPosition(cc.p(75,230));
                        sp_man.setZOrder(1);
                        sp_StrongMan.setZOrder(2);
                    }),mt3333333,cc.CallFunc.create(function(){
                        sp_man.setFlippedX(false);
                        sp_face.setFlippedX(false);
                        sp_StrongMan.setFlippedX(false);
                        sp_Star1.setFlippedX(false);
                        sp_Star2.setFlippedX(false);
                        sp_Star1.setPosition(cc.p(180,300));
                        sp_Star2.setPosition(cc.p(220,270));
                        sp_face.setPosition(cc.p(150,230));
                        sp_man.setZOrder(2);
                        sp_StrongMan.setZOrder(1);
                    }),mt4444444,cc.CallFunc.create(function(){
                       sp_face.setVisible(false);
                        playEffect(res.F11_WIND_SOUNDS,true);
                        var animFrame1=["k_11_strongman_wind1.png","k_11_strongman_wind2.png","k_11_strongman_wind3.png","k_11_strongman_wind4.png","k_11_strongman_wind5.png","k_11_strongman_wind6.png","k_11_strongman_wind4.png","k_11_strongman_wind5.png","k_11_strongman_wind6.png","k_11_strongman_wind4.png","k_11_strongman_wind5.png","k_11_strongman_wind6.png"];
                    var animFrames1=[];
                    for(var i=0;i<animFrame1.length;i++){
                        var Emenyframe1=cc.spriteFrameCache.getSpriteFrame(animFrame1[i]);
                        animFrames1.push(Emenyframe1)
                    }
                    var animation1=new cc.Animation(animFrames1,0.2);
                    var animate1=new cc.Animate(animation1);
                    sp_StrongMan.runAction(cc.Sequence.create(animate1,cc.CallFunc.create(function(){
                        sp_StrongMan.stopAllActions();
                        sp_man.stopAllActions();
                        stopAllEffect();
                        playEffect(res.F11_MANWIN_SOUNDS);
                        sp_StrongMan.setSpriteFrame("k_11_strongman_die.png");
                        sp_StrongMan.setPositionY(sp_StrongMan.getPositionY()-100);
                        var animFrame9=["k_11_man_win.png","k_11_man_win2.png","k_11_man_win.png","k_11_man_win2.png","k_11_man_win.png","k_11_man_win2.png","k_11_man_win.png","k_11_man_win2.png","k_11_man_win.png","k_11_man_win2.png"];
                        var animFrames9=[];
                        for(var i=0;i<animFrame9.length;i++){
                            var Emenyframe9=cc.spriteFrameCache.getSpriteFrame(animFrame9[i]);
                            animFrames9.push(Emenyframe9)
                        }
                        var animation9=new cc.Animation(animFrames9,0.3);
                        var animate9=new cc.Animate(animation9);

                        var seq = cc.Sequence.create(animate9,cc.CallFunc.create(function(){
                            ShowSuccessPanel(_this.getParent(),11);
                        },this));
                        sp_man.runAction(seq);


                    },this)));
                    })));


//                    var animFrame1=["k_11_strongman_wind1.png","k_11_strongman_wind2.png","k_11_strongman_wind3.png","k_11_strongman_wind4.png","k_11_strongman_wind5.png","k_11_strongman_wind6.png","k_11_strongman_wind4.png","k_11_strongman_wind5.png","k_11_strongman_wind6.png","k_11_strongman_wind4.png","k_11_strongman_wind5.png","k_11_strongman_wind6.png"];
//                    var animFrames1=[];
//                    for(var i=0;i<animFrame1.length;i++){
//                        var Emenyframe1=cc.spriteFrameCache.getSpriteFrame(animFrame1[i]);
//                        animFrames1.push(Emenyframe1)
//                    }
//                    var animation1=new cc.Animation(animFrames1,0.2);
//                    var animate1=new cc.Animate(animation1);
//                    sp_StrongMan.runAction(cc.Sequence.create(animate1,cc.CallFunc.create(function(){
//                        sp_StrongMan.stopAllActions();
//                        sp_man.stopAllActions();
//                        stopAllEffect();
//                        playEffect(res.F11_MANWIN_SOUNDS);
//                        sp_StrongMan.setSpriteFrame("k_11_strongman_die.png");
//                        sp_StrongMan.setPositionY(sp_StrongMan.getPositionY()-100);
//                        var animFrame9=["k_11_man_win.png","k_11_man_win2.png","k_11_man_win.png","k_11_man_win2.png","k_11_man_win.png","k_11_man_win2.png","k_11_man_win.png","k_11_man_win2.png","k_11_man_win.png","k_11_man_win2.png"];
//                        var animFrames9=[];
//                        for(var i=0;i<animFrame9.length;i++){
//                            var Emenyframe9=cc.spriteFrameCache.getSpriteFrame(animFrame9[i]);
//                            animFrames9.push(Emenyframe9)
//                        }
//                        var animation9=new cc.Animation(animFrames9,0.3);
//                        var animate9=new cc.Animate(animation9);
//
//                        var seq = cc.Sequence.create(animate9,cc.CallFunc.create(function(){
//                            ShowSuccessPanel(this.getParent(),11);
//                        },this));
//                        sp_man.runAction(seq);
//
//
//                    },this)));



                }else{
                    sp_man.setSpriteFrame("k_11_man1.png");
                    moving = false;
                    move_Right = true;
                    move_Left = false;
                    att =true;
                    moved = true;
                    _this = this;
                    step = 1;
                    pos_Act = 1;
                    moved = false;
                    this.sp_manAction();

                }
            },this),cc.DelayTime.create(0.2)));
        }else if(step == 2 && !moving && !move_Left){
            moving = true;
            var animFrame=["k_11_man2.png","k_11_man3.png","k_11_man2.png","k_11_man3.png","k_11_man1.png"];
            var animFrames=[];
            for(var i=0;i<animFrame.length;i++){
                var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                animFrames.push(Emenyframe)
            }
            var animation=new cc.Animation(animFrames,0.2);
            var animate=new cc.Animate(animation);
            playEffect(res.F11_WALK_SOUNDS);
            var mt = cc.MoveTo.create(1, cc.p(sp_man.getPositionX() - 170, sp_man.getPositionY()));
            var spawn = cc.Spawn.create(animate, mt);
            var seq = cc.Sequence.create( cc.DelayTime.create(1), cc.CallFunc.create(function () {
                stopAllEffect();
                this.sp_manAction();
                pos_Act = 1;
                moving = false;
                this.sp_manAction();
                move_Left = true;
                step = 2;
                att =true;
                moved = true;
            },this));
            this.runAction(seq);
            sp_man.runAction(spawn);
        }
        else if(step ==1){
            cc.log("ffffffffffff");
            cc.log(moving);
            cc.log(move_Left);
            if(!moving  && ! move_Left) {
                sp_man.stopAllActions();
                moving = true;

                var animFrame=["k_11_man2.png","k_11_man3.png","k_11_man2.png","k_11_man3.png","k_11_man1.png"];
                var animFrames=[];
                for(var i=0;i<animFrame.length;i++){
                    var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                    animFrames.push(Emenyframe)
                }
                playEffect(res.F11_WALK_SOUNDS,true);
                var animation=new cc.Animation(animFrames,0.2);
                var animate=new cc.Animate(animation);
                var mt = cc.MoveTo.create(1, cc.p(sp_man.getPositionX() - 170, sp_man.getPositionY()));
                var spawn = cc.Spawn.create(animate, mt);
                var seq = cc.Sequence.create( cc.DelayTime.create(1), cc.CallFunc.create(function () {
                    stopAllEffect();
                    moving = false;
                    this.sp_manAction();
                    move_Left = true;
                    step = 2;
                    att =true;
                    moved = true;


                },this));
                this.runAction(seq);
                sp_man.runAction(spawn);

            }
        }



    },
    onMenuRightCallback : function(sender){

         if(moving){
                return;
         }

        playEffect(res.BUTTON_SOUNDS);

        if(step == 0) {
            if(!moving && !move_Right) {
                sp_man.stopAllActions();
                moving = true;
                var animFrame=["k_11_man2.png","k_11_man3.png","k_11_man2.png","k_11_man3.png","k_11_man1.png"];
                var animFrames=[];
                for(var i=0;i<animFrame.length;i++){
                    var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                    animFrames.push(Emenyframe)
                }
                var animation=new cc.Animation(animFrames,0.2);
                var animate=new cc.Animate(animation);
                playEffect(res.F11_WALK_SOUNDS,true);
                var mt = cc.MoveTo.create(1, cc.p(sp_man.getPositionX() + 170, sp_man.getPositionY()));
                var spawn = cc.Spawn.create(animate, mt);
                var seq = cc.Sequence.create( cc.DelayTime.create(1), cc.CallFunc.create(function () {
                    stopAllEffect();
                    this.sp_manAction();
                    moving = false;
                    move_Right = true;
                    att =true;
                    moved = true;
                    step = 1;
                },this));
                this.runAction(seq);
                sp_man.runAction(spawn);

            }
        }if(step == 1  && !moving && move_Right){
            if(moving){
                return;
            }
            sp_man.stopAllActions();
            moving = true;
            var animFrame=["k_11_man2.png","k_11_man3.png","k_11_man1.png"];
            var animFrames=[];
            for(var i=0;i<animFrame.length;i++){
                var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                animFrames.push(Emenyframe)
            }
            playEffect(res.F11_WALK_SOUNDS,true);
            var animation=new cc.Animation(animFrames,0.1);
            var animate=new cc.Animate(animation);


            var animFrame1=["k_11_man2.png","k_11_man3.png","k_11_man1.png"];
            var animFrames1=[];
            for(var i=0;i<animFrame1.length;i++){
                var Emenyframe1=cc.spriteFrameCache.getSpriteFrame(animFrame1[i]);
                animFrames1.push(Emenyframe1)
            }

            var animation1=new cc.Animation(animFrames1,0.2);
            var animate1=new cc.Animate(animation1);


            var mt = cc.MoveTo.create(0.3, cc.p(sp_man.getPositionX() - 50, sp_man.getPositionY()-25));
            var spawn = cc.Spawn.create(animate, mt);
            var mt2 = cc.MoveTo.create(0.6,cc.p(sp_man.getPositionX() + 150 ,sp_man.getPositionY()-25));
            var spawn2 = cc.Spawn.create(animate1, mt2);

            var animFrame2=["k_11_man2.png","k_11_man3.png","k_11_man1.png"];
            var animFrames2=[];
            for(var i=0;i<animFrame2.length;i++){
                var Emenyframe2=cc.spriteFrameCache.getSpriteFrame(animFrame2[i]);
                animFrames2.push(Emenyframe2)
            }
            var animation2=new cc.Animation(animFrames2,0.1);
            var animate2=new cc.Animate(animation2);

            var mt3 = cc.MoveTo.create(0.3, cc.p(sp_man.getPositionX() + 80, sp_man.getPositionY()));
            var spawn3 = cc.Spawn.create(animate2, mt3);
//            var jt = cc.jumpTo(1,cc.p(size.width/2-200,size.height/2-30),100,1);
            sp_man.runAction(cc.Sequence.create(spawn,cc.CallFunc.create(function(){
                sp_man.setZOrder(2);
                sp_StrongMan.setZOrder(1);
            }),spawn2,cc.CallFunc.create(function(){
                sp_man.setFlippedX(true);
                sp_face.setFlippedX(true);
                sp_StrongMan.setFlippedX(true);
                sp_Star1.setFlippedX(true);
                sp_Star2.setFlippedX(true);
                sp_Star1.setPosition(cc.p(30,300));
                sp_Star2.setPosition(cc.p(0,270));
                sp_face.setPosition(cc.p(75,230));
                sp_man.setZOrder(2);
                sp_StrongMan.setZOrder(1);
            }),spawn3,cc.CallFunc.create(function(){

                sp_man.setSpriteFrame("k_11_man1.png");
                pos_Act = 1;
                moving = false;
                this.sp_manAction();
                move_Left = true;
                step = 2;
                att =true;
                moved = true;
                stopAllEffect();

                this.sp_manAction();
            },this)));

        }else if(step == 2 && !moving && move_Left) {
            if (moving) {
                return;
            }
            sp_man.stopAllActions();
            moving=true;
            sp_man.setSpriteFrame("k_11_man_jump.png");

            var jt = cc.jumpTo(0.4,cc.p(size.width/2+200,size.height/2-30),100,1);
            sp_man.runAction(cc.Sequence.create(jt,cc.CallFunc.create(function(){
                sp_man.setSpriteFrame("k_11_man1.png");
                step = 2;
                this.sp_manAction();
                move_Left = false;
                moving = false;
                moved  = false;
                att = false;
            },this)));
        }

    },


    onMenuAttackCallback : function(sender){


        cc.log("5");
        if(!moving) {
            playEffect(res.BUTTON_SOUNDS);
            var Seq = cc.Sequence.create(cc.CallFunc.create(function () {
                sp_man.setSpriteFrame("k_11_man_attack.png");
            }), cc.DelayTime.create(0.1), cc.CallFunc.create(function () {
                if (attack < 11) {
                    sp_man.setSpriteFrame("k_11_man1.png");
                } else {
                    sp_man.setSpriteFrame("k_11_man_fly.png");
                }

                sp_boom.setVisible(false);
            }));
            if (att) {
                sp_boom.setVisible(true);
                playEffect(res.F11_MANBOX_SOUNDS);
                attack++;
                if(attack == 1){
//                    sp_StrongMan.stopAllActions();
                    sp_StrongMan.setSpriteFrame("k_11_strongman1.png");


                }
                if (attack == 5) {
                                        sp_StrongMan.stopAllActions();
                    playEffect(res.F11_BIGERMANANGER_SOUNDS);
//                    var frame1 = cc.SpriteFrame.create(res.k_11_strongman_face_png, cc.rect(0, 0, 100, 60));
                    sp_face.setSpriteFrame("k_11_strongman_face.png");
                    var mt1 = cc.MoveTo.create(0.1, cc.p(sp_StrongMan.getPositionX() - 20, sp_StrongMan.getPositionY()));
                    var mt2 = cc.MoveTo.create(0.1, cc.p(sp_StrongMan.getPositionX() + 20, sp_StrongMan.getPositionY()));
                    var Seq1 = cc.Sequence.create(mt1, mt2);
                    sp_StrongMan.runAction(cc.Repeat.create(Seq1, 3));
                    this.runAction(cc.Sequence.create(cc.DelayTime.create(0.6), cc.CallFunc.create(function () {
                        sp_StrongMan.setPosition(cc.p(sp_StrongMan.getPositionX() - 20, sp_StrongMan.getPositionY()));
                    })));
                } else if (attack == 10) {
                    playEffect(res.F11_BIGERMANANGER_SOUNDS);
                    sp_face.setOpacity(0);

                    sp_Star1.setOpacity(255);
                    sp_Star2.setOpacity(255);
//                    var frame1 = cc.SpriteFrame.create(res.k_11_strongman_attack2_png, cc.rect(0, 0, 226, 292));
                    sp_StrongMan.setSpriteFrame("k_11_strongman_attack2.png");

                } else if (attack == 11) {

                    menu.setEnabled(false);
                    sp_man.stopAllActions();
                    sp_StrongMan.stopAllActions();
                    cc.eventManager.removeListeners(sp_man);
                    cc.eventManager.removeListeners(sp_StrongMan);
                    playEffect(res.F11_MANHIT_SOUNDS);
                    var mt1 = cc.MoveTo.create(0.3, cc.p(sp_man.getPositionX() - 100, 200));
                    var st = cc.ScaleTo.create(0.3, 1.5);
                    var spawn = cc.Spawn.create(mt1, st);
//                     var seq = cc.Sequence.create(spawn, cc.CallFunc.create(function () {
// //                        var frame = cc.SpriteFrame.create(res.k_11_man_stick_png, cc.rect(0, 0, 354, 501));
//                         sp_man.setSpriteFrame("k_11_man_stick.png");
//                         earthQuake(_this);
//                         sp_man.setScale(1);
//                         sp_man.setPositionY(70);
//                     }), cc.DelayTime.create(0.4), cc.CallFunc.create(function () {
//                         sp_man.setPositionY(20);
//                     }), cc.DelayTime.create(0.5), cc.CallFunc.create(function () {
//                         sp_man.setPositionY(-70);
//                     }), cc.DelayTime.create(0.4), cc.CallFunc.create(function () {
//                         sp_man.setPositionY(-190);
//                     }));
                    var seq = cc.Sequence.create(spawn, cc.CallFunc.create(function () {
//                        var frame = cc.SpriteFrame.create(res.k_11_man_stick_png, cc.rect(0, 0, 354, 501));
                        sp_man.setSpriteFrame("k_11_man_stick.png");
                        earthQuake(_this);
                        sp_man.setScale(1);
                    }),cc.moveBy(1.5,0,-400))




                    sp_man.runAction(seq);

                    var animFrame=["k_11_strongman_attack1.png","k_11_strongman_attack2.png","k_11_strongman_attack3.png"];
                    var animFrames=[];
                    for(var i=0;i<animFrame.length;i++){
                        var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
                        animFrames.push(Emenyframe)
                    }
                    var animation=new cc.Animation(animFrames,0.07);
                    var animate=new cc.Animate(animation);
                    sp_StrongMan.runAction(animate);


                    var seq1 = cc.Sequence.create(cc.DelayTime.create(1.4+0.4+0.5+0.4),cc.CallFunc.create(function(){
                        ShowFaildPPanel(this.getParent(),11,0);
                    },this));
                    this.runAction(seq1);


                }
            }
            sp_man.runAction(Seq);
        }

    },
    sp_StrongMan_Attack : function(){

        playEffect(res.F11_MANHIT_SOUNDS);
        menu.setEnabled(false);
        sp_man.stopAllActions();
        sp_StrongMan.stopAllActions();
        cc.eventManager.removeListeners(sp_man);
        cc.eventManager.removeListeners(sp_StrongMan);
        sp_man.setSpriteFrame("k_11_man_fly.png");
        sp_face.setVisible(false);
        var mt1 = cc.MoveTo.create(0.3, cc.p(sp_man.getPositionX() - 100, 200));
        var st = cc.ScaleTo.create(0.3, 1.5);
        var spawn = cc.Spawn.create(mt1, st);
        // var seq = cc.Sequence.create(spawn, cc.CallFunc.create(function () {
        //     sp_man.setSpriteFrame("k_11_man_stick.png");
        //     earthQuake(_this);
        //     sp_man.setScale(1);
        //     sp_man.setPositionY(70);
        // }), cc.DelayTime.create(0.4), cc.CallFunc.create(function () {
        //     sp_man.setSpriteFrame("k_11_man_stick.png");
        //     sp_man.setPositionY(20);
        // }), cc.DelayTime.create(0.5), cc.CallFunc.create(function () {
        //     sp_man.setPositionY(-70);
        // }), cc.DelayTime.create(0.4), cc.CallFunc.create(function () {
        //     sp_man.setPositionY(-190);
        // }));

        var seq = cc.Sequence.create(spawn, cc.CallFunc.create(function () {
//                        var frame = cc.SpriteFrame.create(res.k_11_man_stick_png, cc.rect(0, 0, 354, 501));
            sp_man.setSpriteFrame("k_11_man_stick.png");
            earthQuake(_this);
            sp_man.setScale(1);
        }),cc.moveBy(1.5,0,-400))

        sp_man.runAction(seq);

        var animFrame=["k_11_strongman_attack1.png","k_11_strongman_attack2.png","k_11_strongman_attack3.png"];
        var animFrames=[];
        for(var i=0;i<animFrame.length;i++){
            var Emenyframe=cc.spriteFrameCache.getSpriteFrame(animFrame[i]);
            animFrames.push(Emenyframe)
        }
        var animation=new cc.Animation(animFrames,0.07);
        var animate=new cc.Animate(animation);

        sp_StrongMan.runAction(animate);

        var seq1 = cc.Sequence.create(cc.DelayTime.create(1.4+0.4+0.5+0.4),cc.CallFunc.create(function(){
            ShowFaildPPanel(this.getParent(),11,0);
        },this));
        this.runAction(seq1);
    },
    sp_manAction : function(){
        var sp_man_animFrame=["k_11_man1.png","k_11_man6.png","k_11_man1.png"];
        var sp_man_animFrames=[];
        for(var i=0;i<sp_man_animFrame.length;i++){
            var sp_man_Emenyframe=cc.spriteFrameCache.getSpriteFrame(sp_man_animFrame[i]);
            sp_man_animFrames.push(sp_man_Emenyframe)
        }
        var sp_man_animation=new cc.Animation(sp_man_animFrames,0.3);
        sp_man_animate=new cc.Animate(sp_man_animation);
        sp_man.runAction(cc.RepeatForever.create(sp_man_animate));
    }
});



var StrongManScene = cc.Scene.extend({
   onEnter : function(){
       this._super();
       var layer = new StrongManLayer();
       this.addChild(layer);

       var level = 11;
       var mainUILayer = new MainUILayer(level);
       this.addChild(mainUILayer, 11);

   },
    pauseTheGame : function () {
        //pause the game
//        stopAllEffect();
        cc.log("pause the game");
    },
    resumeTheGame :function () {
        //resume the game
        cc.log("resume the game");
    }
});


