function ShowFaildPPanel(yourScene, level, _type) {
    var curLevel = 0;
    for (var i = 0; i < _arr.length; i++) {
        if (_arr[i][0] == level) {
            curLevel = i + 1;
        }
    }
    if(cc.sys.isMobile) {
        //调用插屏广告
        // showFullScreenAd("over");


        var testJSB = new JSB.JSBinding();
        testJSB.retain();
        cc.log("now level:" + curLevel);
        testJSB.uploadPassionLevelToUmeng(0, curLevel, 3);
        testJSB.release();
    }

    setLoseCount();

    setGameTime();

    stopAllEffect();
    stopBackgroundMusic();
    playEffect(res.FAIL_SOUNDS);
    cc.log("abcdefg:   " + level);


    if(cc.sys.os=="Android"){
        var testJSB0 = new JSB.JSBinding();
        testJSB0.retain();
        testJSB0.gameOverHandler(""+curLevel);
        testJSB0.release();
    }

    var size = cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);
    var spriteWithBg = new cc.Sprite("#win_frame.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2+30;
    bg.addChild(spriteWithBg);


    isOpenAd("gameOverVideo",function(bool){
        if(bool){
            //视频广告红点按钮
            var videoBtnRed=new cc.Sprite(res.videoRedBtn);
            videoBtnRed.attr({
                x:spriteWithBg.width/2-340,
                y:spriteWithBg.height/2+30
            });
            spriteWithBg.addChild(videoBtnRed,100);

            //视频广告按钮
            var videoBtn=createButton(res.videoBtn);
            videoBtn.attr({
                x:spriteWithBg.width/2-400,
                y:spriteWithBg.height/2
            });
            videoBtn.callback=function(){
                videoBtnRed.visible=false;
                videoBtn.visible=false;
                closeNativeAd();

                if(isMobile()) {
                    testJSB = new JSB.JSBinding();
                    testJSB.retain();
                    testJSB.showVideoAd();
                    testJSB.release();
                }
            };
            spriteWithBg.addChild(videoBtn,99);
        }
    });


    //调用原生广告
    showAd("gameOver",function(data){
        var nativeFrame=showNativeAd(data);

        nativeFrame.attr({
            x:spriteWithBg.width/2,
            y:spriteWithBg.height/2-240
        });
        spriteWithBg.addChild(nativeFrame,-1);
    });



    //魂魄
    var ghost=new cc.Sprite("#failure_ghost.png");
    ghost.attr({
        x:705,
        y:145,
        opacity:0
    });
    spriteWithBg.addChild(ghost);


    //人物动画
    var failureMan=new cc.Sprite("#failure_man_07.png");
    failureMan.attr({
        x:545,
        y:190
    });
    var animFrames=[];

    for(var i=1;i<=7;i++){
        var frame=cc.spriteFrameCache.getSpriteFrame("failure_man_0"+i+".png");
        animFrames.push(frame);
    }
    var animation=new cc.Animation(animFrames,0.15);
    var animate=new cc.Animate(animation);
    failureMan.runAction(cc.sequence(animate,cc.callFunc(function(){
        ghost.stopAllActions();
        ghost.runAction(cc.spawn(cc.fadeIn(0.05),cc.place(705,145)));
        ghost.runAction(cc.sequence(cc.moveTo(0.3,cc.p(730,227)),cc.fadeOut(0.1)));
        ghost.runAction(cc.sequence(cc.rotateTo(0.15,5),cc.rotateTo(0.15,0)).repeatForever());
    },this),cc.delayTime(2.4)).repeatForever());

    spriteWithBg.addChild(failureMan);

    //文字说明
    _type= _type || 0;
    cc.log(curLevel);
    var _word=_arr[curLevel-1];
    var panelDec = new cc.LabelTTF(_word[9+Number(_type)], getFONT_FZCY_M03SStr(), 30,cc.size(330,150));
    panelDec.attr({
        anchorX:0,
        anchorY:1,
        x:spriteWithBg.getContentSize().width / 2-240,
        y:spriteWithBg.getContentSize().height / 2+90,
        color:cc.color(159,206,236)
    });
    spriteWithBg.addChild(panelDec);

    //(::)改包名去掉分享
    //吐槽按钮
    //if(isChangeName!=1 && isReview==0 && isOpenShare=="true"){
    //    if(isUC!=1){
    //
    //        var vomitSlotBtn9Sprite=new cc.Scale9Sprite("com_btn_blue.png");
    //        var vomitSlotBtn = new cc.ControlButton(vomitSlotBtn9Sprite);
    //        vomitSlotBtn.attr({
    //            width:92,
    //            height:98,
    //            x:spriteWithBg.getContentSize().width/2-170,
    //            y:spriteWithBg.getContentSize().height/2-100
    //        });
    //        vomitSlotBtn.setPreferredSize(cc.size(vomitSlotBtn.width, vomitSlotBtn.height));
    //        vomitSlotBtn.addTargetWithActionForControlEvents(this, function(){
    //            playEffect(res.BUTTON_SOUNDS);
    //            var testJSB = new JSB.JSBinding();
    //            testJSB.retain();
    //
    //            var curLevel=0;
    //            for(var i=0;i<_arr.length;i++) {
    //                if (_arr[i][0] == level) {
    //                    curLevel=i+1;
    //                }
    //            }
    //
    //            testJSB.showWCImageContent(curLevel,5,_arr[curLevel-1][9+parseInt(_type)],curLevel);
    //            testJSB.release();
    //
    //        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    //        spriteWithBg.addChild(vomitSlotBtn);
    //
    //        var vomit_slot_icon = new cc.Sprite("#failure_btn_vomit_slot_icon.png");
    //        vomit_slot_icon.x = vomitSlotBtn.width/2-5;
    //        vomit_slot_icon.y = vomitSlotBtn.height/2+5;
    //        vomitSlotBtn.addChild(vomit_slot_icon);
    //
    //        var sendGold  = new cc.Sprite(res.game_send_gold);
    //        sendGold.attr({
    //            x:vomitSlotBtn.width/2+30,
    //            y:vomitSlotBtn.height/2+40
    //        });
    //        vomitSlotBtn.addChild(sendGold);
    //        sendGold.runAction(cc.sequence(cc.scaleTo(0.3,1.15),cc.scaleTo(0.3,1)).repeatForever());
    //    }
    //}



    //再玩一次按钮
    var againBtn9Sprite=new cc.Scale9Sprite("com_btn_blue.png");
    var againBtn = new cc.ControlButton(againBtn9Sprite);
    againBtn.attr({
        width:92,
        height:98,
        x:spriteWithBg.getContentSize().width/2-65,
        y:spriteWithBg.getContentSize().height/2-100
    });
    againBtn.setPreferredSize(cc.size(againBtn.width, againBtn.height));
    againBtn.addTargetWithActionForControlEvents(this, function(){
        stopAllEffect();
        closeNativeAd();
        playEffect(res.BUTTON_SOUNDS);
        var scene=sceneList[level-1].sceneName();
        cc.director.runScene(scene);
    }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(againBtn);

    var again_icon = new cc.Sprite("#win_btn_again_icon.png");
    again_icon.x = againBtn.width/2-5;
    again_icon.y = againBtn.height/2+5;
    againBtn.addChild(again_icon);


    //商店按钮
    var spriteWithmarketBtn =new cc.Sprite(res.btn_shop);
    var scale9SpriteWithmarketBtn =new cc.Scale9Sprite(res.btn_shop);
    var marketBtn = new cc.ControlButton(scale9SpriteWithmarketBtn);
    marketBtn.setPreferredSize(cc.size(spriteWithmarketBtn.width, spriteWithmarketBtn.height));
    marketBtn.addTargetWithActionForControlEvents(this,function()
    {
        playEffect(res.BUTTON_SOUNDS);
        closeNativeAd();
        var market=new ShowMarketLayer();
        cc.director.getRunningScene().addChild(market,1000);
    }.bind(marketBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    marketBtn.x = spriteWithBg.getContentSize().width / 2-170;
    marketBtn.y = spriteWithBg.getContentSize().height / 2 - 100;
    spriteWithBg.addChild(marketBtn);



    //秘籍按钮
    var spriteWithstrategyBtn = new cc.Sprite("#com_btn_blue.png");
    var scale9SpriteWithstrategyBtn = new cc.Scale9Sprite("com_btn_blue.png");
    var strategyBtn = new cc.ControlButton(scale9SpriteWithstrategyBtn);
    strategyBtn.setPreferredSize(cc.size(spriteWithstrategyBtn.width, spriteWithstrategyBtn.height));
        strategyBtn.addTargetWithActionForControlEvents(spriteWithBg, function(){
        playEffect(res.BUTTON_SOUNDS);

        // pauseAllNode();
        // pauseAllEffect();
        // ShowStrategyPanel(spriteWithBg.getParent().getParent(), level);
        // 电脑测试用，可以解开注释查看攻略界面
        if(cc.sys.os=="Android"){
            cc.log("秘籍暂停");
            cc.log("cc.sys.onLine");
            cc.log(cc.sys.onLine);
            if(getIsBuyCheats()==0) {
                pauseAllNode();
                pauseAllEffect();
                closeNativeAd();
                ShowStrategyPanel(spriteWithBg.getParent().getParent(), level);
            }
            else
            {
                if(cc.sys.onLine)
                {
                    cc.log("cc.sys.networkState");
                    cc.log(cc.sys.networkState);
                }
                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                var filename="gl-"+level;
                testJSB.openFile(filename);
                testJSB.openFileCallCack=function (i,j) {
                    resumeAllNode();
                    resumeAllEffect();
                    cc.log("秘籍恢复");
                    testJSB.release();
                }
            }
        }else if(cc.sys.os=="iOS"){
            var testJSB1=new JSB.JSBinding();
            testJSB1.retain();
            testJSB1.openStrategyTips();
            testJSB1.release();
        }
    }.bind(strategyBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    strategyBtn.x = spriteWithBg.getContentSize().width/2+40;
    strategyBtn.y = spriteWithBg.getContentSize().height/2-100;
    strategyBtn.setTag(1007);
    spriteWithBg.addChild(strategyBtn);



    var spriteWithstrategy = new cc.Sprite("#home_btn_strategy_icon.png");
    spriteWithstrategy.x = strategyBtn.width/2-5;
    spriteWithstrategy.y = strategyBtn.height/2+10;
    strategyBtn.addChild(spriteWithstrategy);

    if(cc.sys.os=="iOS" && isReview==1){
        strategyBtn.visible=false;
    }
    //获得金币按钮
    //if(isUC!=1 || isJinli==1){
    //
    //    if(getLauchCheck()==0&& getAd_Title5_Text() != ""){
    //    var coinsBtn9Sprite=new cc.Scale9Sprite("com_btn_blue.png");
    //    var coinsBtn = new cc.ControlButton(coinsBtn9Sprite);
    //    coinsBtn.attr({
    //        width:92,
    //        height:98,
    //        x:spriteWithBg.getContentSize().width/2+40,
    //        y:spriteWithBg.getContentSize().height/2-100
    //    });
    //    coinsBtn.setPreferredSize(cc.size(coinsBtn.width, coinsBtn.height));
    //    coinsBtn.addTargetWithActionForControlEvents(this, function(){
    //        playEffect(res.BUTTON_SOUNDS);
    //        var testJSB = new JSB.JSBinding();
    //        testJSB.retain();
    //        testJSB.openUrl(6,1,getAd_Title5_URL());
    //        testJSB.release();
    //
    //
    //    }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    //    spriteWithBg.addChild(coinsBtn);
    //
    ////    var coins_icon = new cc.Sprite("#failure_btn_coins_icon.png");
    ////    coins_icon.x = coinsBtn.width/2-3;
    ////    coins_icon.y = coinsBtn.height/2+5;
    ////    coinsBtn.addChild(coins_icon);
    //
    //    var failADTitle = new cc.LabelTTF(getAd_Title5_Text(),getFONT_FZCY_M03SStr(),30);
    //    failADTitle.x = coinsBtn.width/2-5;
    //    failADTitle.y = coinsBtn.height/2+7;
    //    coinsBtn.addChild(failADTitle);
    //    }
    //}



    //if(cc.sys.os=="iOS"){
    //    var videoBtn=createVideoBtn();
    //    videoBtn.attr({
    //        x:spriteWithBg.getContentSize().width/2,
    //        y:-50
    //    });
    //    spriteWithBg.addChild(videoBtn)
    //}



    markLevelLoseCount(curLevel);


    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);

}
function ShowSuccessPanel(yourScene, level, _type) {

    var curLevel = 0;
    for (var i = 0; i < _arr.length; i++) {
        if (_arr[i][0] == level) {
            curLevel = i + 1;
        }
    }

    if(curLevel==24) {
        setIsLevelAllPass();
    }

    setGameTime();

    if(cc.sys.isMobile) {
        var testJSB = new JSB.JSBinding();
        testJSB.retain();
        testJSB.requestComment();
        testJSB.release();

        var testJSB = new JSB.JSBinding();
        testJSB.retain();

        cc.log("now level:" + curLevel);
        testJSB.uploadPassionLevelToUmeng(0, curLevel, 2);
        testJSB.release();
    }

    if(isMobile("Android")){
        var testJSB0 = new JSB.JSBinding();
        testJSB0.retain();
        testJSB0.gameWinHandler(""+curLevel);
        testJSB0.release();
    }

    stopAllEffect();

    stopBackgroundMusic();
    playEffect(res.SUCCESS_SOUNDS);

    if(getPassionStatusByLevel(curLevel)!=1){
        setGold(parseInt(getGold() || 0)+10);
        var layers=cc.director.getRunningScene().getChildren();
        if(level!=1)
            layers[1].refreshWithGold();

        ShowGoldChange(yourScene,"+10");
    }


    setPassionStatusByLevel(curLevel,1);
    var size = cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);
    var spriteWithBg = new cc.Sprite("#win_frame.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2+30;
    bg.addChild(spriteWithBg);


    //原生广告展示
    showAd("gameWin",function(data){
        var nativeFrame=showNativeAd(data);

        nativeFrame.attr({
            x:spriteWithBg.width/2,
            y:spriteWithBg.height/2-240
        });
        spriteWithBg.addChild(nativeFrame,-1);
    });


    //人物动画
    var winMan=new cc.Sprite("#win_man_01.png");
    winMan.attr({
        x:425,
        y:195
    });
    var animFrames=[];
    for(var i=1;i<=4;i++){
        var frame=cc.spriteFrameCache.getSpriteFrame("win_man_0"+i+".png");
        animFrames.push(frame);
    }
    var animation=new cc.Animation(animFrames,0.15);
    var animate=new cc.Animate(animation);
    winMan.runAction(animate.repeatForever());
    spriteWithBg.addChild(winMan);


    //文字说明
    var panelDec_word=_type?"鄙视花钱过关的人！":_arr[curLevel-1][6];

    var panelDec = new cc.LabelTTF(panelDec_word, getFONT_FZCY_M03SStr(), 30,cc.size(330,150));
    panelDec.attr({
        anchorX:0,
        anchorY:1,
        x:spriteWithBg.getContentSize().width / 2-240,
        y:spriteWithBg.getContentSize().height / 2+90,
        color:cc.color(159,206,236)
    });
    spriteWithBg.addChild(panelDec);

  //(::)改包名去掉分享
    //炫耀按钮
    if(isUC!=1  && isReview==0 && isOpenShare=="true"){
        
        if(isChangeName!=1){
            var flauntBtn9Sprite=new cc.Scale9Sprite("com_btn_blue.png");
            var flauntBtn = new cc.ControlButton(flauntBtn9Sprite);
            flauntBtn.attr({
                width:92,
                height:98,
                x:spriteWithBg.getContentSize().width/2-170,
                y:spriteWithBg.getContentSize().height/2-100
            });
            flauntBtn.setPreferredSize(cc.size(flauntBtn.width, flauntBtn.height));
            flauntBtn.addTargetWithActionForControlEvents(this, function(){
                playEffect(res.BUTTON_SOUNDS);

                cc.log(curLevel + " my level: ");

                var testJSB = new JSB.JSBinding();
                testJSB.retain();

                var curLevel=0;
                for(var i=0;i<_arr.length;i++) {
                    if (_arr[i][0] == level) {
                        curLevel=i+1;
                    }
                }
                if(_type == 1){
                    testJSB.showWCImageContent(curLevel,6,"鄙视花钱过关的人！",curLevel);
                }else{
                    testJSB.showWCImageContent(curLevel,2,"",curLevel);
                }


                testJSB.release();


            }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            spriteWithBg.addChild(flauntBtn);

            var flaunt_icon = new cc.Sprite("#win_btn_flaunt_icon.png");
            flaunt_icon.x = flauntBtn.width/2-5;
            flaunt_icon.y = flauntBtn.height/2+5;
            flauntBtn.addChild(flaunt_icon);

            var sendGold  = new cc.Sprite(res.game_send_gold);
            sendGold.attr({
                x:flauntBtn.width/2+30,
                y:flauntBtn.height/2+40
            });
            flauntBtn.addChild(sendGold);
            sendGold.runAction(cc.sequence(cc.scaleTo(0.3,1.15),cc.scaleTo(0.3,1)).repeatForever());
        }

    }


    //再玩一次按钮
    var againBtn9Sprite=new cc.Scale9Sprite("com_btn_blue.png");
    var againBtn = new cc.ControlButton(againBtn9Sprite);
    againBtn.attr({
        width:92,
        height:98,
        x:spriteWithBg.getContentSize().width/2-65,
        y:spriteWithBg.getContentSize().height/2-100
    });
    againBtn.setPreferredSize(cc.size(againBtn.width, againBtn.height));
    againBtn.addTargetWithActionForControlEvents(this, function(){
        stopAllEffect();
        closeNativeAd();
        playEffect(res.BUTTON_SOUNDS);
        var scene=sceneList[level-1].sceneName();
        cc.director.runScene(scene);
    }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(againBtn);

    var again_icon = new cc.Sprite("#win_btn_again_icon.png");
    again_icon.x = againBtn.width/2-5;
    again_icon.y = againBtn.height/2+5;
    againBtn.addChild(again_icon);


    //下一关按钮
    var resumeBtn9Sprite=new cc.Scale9Sprite("com_btn_blue.png");
    var resumeBtn = new cc.ControlButton(resumeBtn9Sprite);
    resumeBtn.attr({
        width:92,
        height:98,
        x:spriteWithBg.getContentSize().width/2+40,
        y:spriteWithBg.getContentSize().height/2-100
    });
    resumeBtn.setPreferredSize(cc.size(resumeBtn.width, resumeBtn.height));
    resumeBtn.addTargetWithActionForControlEvents(this, function(){
        stopAllEffect();
        playEffect(res.BUTTON_SOUNDS);
        closeNativeAd();
        
        if(curLevel<24){
            jumpToSceneByLevel(curLevel+1, _arr, 0);
        }else{

            //cc.director.runScene(new PassionScene());
            cc.director.runScene(new allPassLayer());
        }

    }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(resumeBtn);

    var resume_icon = new cc.Sprite("#win_btn_resume_icon.png");
    resume_icon.x = resumeBtn.width/2;
    resume_icon.y = resumeBtn.height/2+5;
    resumeBtn.addChild(resume_icon);

    //if(cc.sys.os=="iOS"){
    //    var videoBtn=createVideoBtn();
    //    videoBtn.attr({
    //        x:spriteWithBg.getContentSize().width/2,
    //        y:-50
    //    });
    //    spriteWithBg.addChild(videoBtn)
    //}

    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);


}
//正常游戏
function ShowNormalGame(yourScene, level,_arr)
{
    

    yourScene.pauseTheGame();

    pauseAllEffect();
    cc.log("passion game level:"+level);

    playBackgroundMusic("res/music/normal_panel.mp3",true);


    //大背景
    var t=0;
    var size = cc.winSize;
    var bg = new cc.LayerColor(cc.color(0, 0, 0, 150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);
    bg.onEnter();

    var bg1=new cc.Sprite("#normal_game_bg.png");
    bg1.setPosition(cc.p(size.width/2,size.height/2));
    bg.addChild(bg1,0);

    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);

    //返回
    var spriteForreturnBtn=new cc.Scale9Sprite("com_btn_red.png");
    var returnBtn =new cc.ControlButton(spriteForreturnBtn);
    returnBtn.setPosition(cc.p(100, 100));
    returnBtn.setPreferredSize(cc.size(92, 98));
    bg.addChild(returnBtn, 1);
    var _level = level;
    returnBtn.addTargetWithActionForControlEvents(bg, function () {
        cc.log(_level+"level2");
        playEffect(res.BUTTON_SOUNDS);
//        yourScene.resumeTheGame();
        resumeAllNode();
//        resumeBackgroundMusic();
//        resumeAllEffect()
//        if(_level>0 && _level<=24){
//            playBackgroundMusic("res/music/music_level_"+(level<10?"0"+level:level)+".mp3",true);
//            cc.log("MUSIC_LEVEL:"+(level<10?"0"+level:level));
//        }
//        bg.removeFromParent();
        stopAllEffect();
        stopBackgroundMusic();
        var curLevel=0;
        for(var i=0;i<_arr.length;i++) {
            if (_arr[i][0] == _level) {
                curLevel=i+1;
            }
        }
        cc.log("current level1:"+curLevel + "another :"+_level);
        jumpToSceneByLevel(curLevel, _arr, 1);


    }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    var pauseButton = new cc.Sprite("#pause_btn_back.png");
    pauseButton.setPosition(cc.p(returnBtn.getContentSize().width / 2 - 5, returnBtn.getContentSize().height / 2 + 8));
    returnBtn.addChild(pauseButton, 2);

    //转盘
    var panel = new cc.Sprite("#normal_game_run.png");
    panel.setPosition(size.width / 2, size.height / 2);
    bg.addChild(panel, 5, 0);

    //各关卡评分
    var normal_key=[NORMAL_GAME_STATUS_1,NORMAL_GAME_STATUS_2,NORMAL_GAME_STATUS_3,NORMAL_GAME_STATUS_4];

    for(var i= 0,len=normal_key.length;i<len;i++){
        var normal_game_level=cc.sys.localStorage.getItem(normal_key[i]) || false;

        if(normal_game_level){
            normal_game_level=normal_game_level.split(",")[1];

            var normal_game_level_icon=new cc.Sprite("#normal_game_grade_"+normal_game_level.toLowerCase()+".png");
            if(i==0){
                normal_game_level_icon.attr({
                    x:panel.getBoundingBox().width/2+120,
                    y:panel.getBoundingBox().height/2-60,
                    rotation:90
                });
            }
            else if(i==1){
                normal_game_level_icon.attr({
                    x:panel.getBoundingBox().width/2-60,
                    y:panel.getBoundingBox().height/2-120,
                    rotation:180
                });
            }
            else if(i==2){
                normal_game_level_icon.attr({
                    x:panel.getBoundingBox().width/2-120,
                    y:panel.getBoundingBox().height/2+60,
                    rotation:-90
                });
            }
            else if(i==3){
                normal_game_level_icon.attr({
                    x:panel.getBoundingBox().width/2+60,
                    y:panel.getBoundingBox().height/2+120
                });
            }
            panel.addChild(normal_game_level_icon);
        }


    }

    //转盘顶部
    var onThePanel = new cc.Sprite("#lottery_man.png");
    onThePanel.setPosition(cc.p(panel.getPositionX() + 10, panel.getPositionY() + 170));
    bg.addChild(onThePanel, 4);

    //boy的眼睛
    var eye = new cc.Sprite("#lottery_man_eye_01.png");
    eye.setPosition(cc.p(size.width / 2 + 135, size.height / 2 + 220));
    bg.addChild(eye, 100);
    var arr=[];
    for(var i=2;i>0;i--)
    {
        var frame=cc.spriteFrameCache.getSpriteFrame("lottery_man_eye_0" + i + ".png");
        arr.push(frame);
    }
    var eyerun = cc.Animation.create(arr,0.1);
    eye.runAction(cc.Animate.create(eyerun).repeatForever());

    //指针
    var point = new cc.Sprite("#lottery_pointer.png");
    point.setPosition(size.width / 2, size.height / 2);
    bg.addChild(point, 10);

    //特效
    var gameBlink=new cc.Sprite("#normal_game_blink_01.png");
    gameBlink.setAnchorPoint(cc.p(0.5,0));
    gameBlink.setPosition(point.getPosition());
    bg.addChild(gameBlink,9);
    gameBlink.setVisible(false);
    var arr1=[];
    for(var i= 2;i>0;i--)
    {
        var frame=cc.spriteFrameCache.getSpriteFrame("normal_game_blink_0"+i+".png");
        arr1.push(frame);
    }
    gameBlink.runAction(cc.Animate.create(cc.Animation.create(arr1,0.2)).repeatForever());


    //转盘底部
    var underThePanel = new cc.Sprite("#lottery_bottom.png");
    underThePanel.setPosition(cc.p(panel.getPositionX(), panel.getPositionY() - 250));
    bg.addChild(underThePanel, 4);


    //测试四关的按钮
//1
//    var spriteWithmethodBtn1 =new cc.Sprite("#com_btn_blue.png");
//    var scale9SpriteWithmethodBtn1 = new cc.Scale9Sprite("com_btn_blue.png");
//    var methodBtn1 = new cc.ControlButton(scale9SpriteWithmethodBtn1);
//    methodBtn1.setPreferredSize(cc.size(spriteWithmethodBtn1.width, spriteWithmethodBtn1.height));
//    methodBtn1.addTargetWithActionForControlEvents(this, function()
//    {
//        var normalGameScene = new existScene(level);
//        cc.director.runScene(normalGameScene);
//    }.bind(methodBtn1), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//    methodBtn1.x = size.width/2-300;
//    methodBtn1.y = size.height/2+150;
//    methodBtn1.setTag(1003);
//    bg.addChild(methodBtn1, 6);
//
//
//
//
//    //2
//    var spriteWithmethodBtn2 =new cc.Sprite("#com_btn_blue.png");
//    var scale9SpriteWithmethodBtn2 = new cc.Scale9Sprite("com_btn_blue.png");
//    var methodBtn2 = new cc.ControlButton(scale9SpriteWithmethodBtn2);
//    methodBtn2.setPreferredSize(cc.size(spriteWithmethodBtn2.width, spriteWithmethodBtn2.height));
//    methodBtn2.addTargetWithActionForControlEvents(this, function()
//    {
//        var normalGameScene = new StoneGameScene(level);
//        cc.director.runScene(normalGameScene);
//    }.bind(methodBtn2), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//    methodBtn2.x = size.width/2-200;
//    methodBtn2.y = size.height/2+150;
//    methodBtn2.setTag(1003);
//    bg.addChild(methodBtn2, 6);
//
//    //3
//    var spriteWithmethodBtn3 =new cc.Sprite("#com_btn_blue.png");
//    var scale9SpriteWithmethodBtn3 = new cc.Scale9Sprite("com_btn_blue.png");
//    var methodBtn3 = new cc.ControlButton(scale9SpriteWithmethodBtn3);
//    methodBtn3.setPreferredSize(cc.size(spriteWithmethodBtn3.width, spriteWithmethodBtn3.height));
//    methodBtn3.addTargetWithActionForControlEvents(this, function()
//    {
//        var normalGameScene = new HelloWorldScene(level);
//        cc.director.runScene(normalGameScene);
//    }.bind(methodBtn3), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//    methodBtn3.x = size.width/2-100;
//    methodBtn3.y = size.height/2+150;
//    methodBtn3.setTag(1003);
//    bg.addChild(methodBtn3, 6);
//
//    //4
//    var spriteWithmethodBtn4 =new cc.Sprite("#com_btn_blue.png");
//    var scale9SpriteWithmethodBtn4 = new cc.Scale9Sprite("com_btn_blue.png");
//    var methodBtn4 = new cc.ControlButton(scale9SpriteWithmethodBtn4);
//    methodBtn4.setPreferredSize(cc.size(spriteWithmethodBtn4.width, spriteWithmethodBtn4.height));
//    methodBtn4.addTargetWithActionForControlEvents(this, function()
//    {
//        var normalGameScene = new CutFoodScene(level);
//        cc.director.runScene(normalGameScene);
//    }.bind(methodBtn4), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//    methodBtn4.x = size.width/2;
//    methodBtn4.y = size.height/2+150;
//    methodBtn4.setTag(1003);
//    bg.addChild(methodBtn4, 6);



    //开始按钮
    var startbtn = new cc.Scale9Sprite("com_CPM_btn_buy_frame.png");
    var start=cc.ControlButton.create(startbtn);
    start.setPreferredSize(cc.size(190, 76));
    start.setPosition(underThePanel.getPosition());
    bg.addChild(start, 19);
    start.addTargetWithActionForControlEvents(bg, function () {
        if(gameBlink.isVisible())
            gameBlink.setVisible(false);

        playEffect(res.BUTTON_SOUNDS);
//        cc.eventManager.resumeTarget(pauseThePanel);
        panel.runAction(cc.rotateBy(0.2, 360).repeatForever());
        start.setVisible(false);
        bg.runAction(cc.sequence(cc.callFunc(function () {
//            cc.eventManager.pauseTarget(pauseThePanel);
            panel.runAction(cc.rotateBy(0.2, 360).repeatForever());
        }), cc.delayTime(0.2), cc.callFunc(function () {
            panel.stopAllActions();
            panel.runAction(cc.rotateBy(0.2,360));
        }), cc.delayTime(0.2), cc.callFunc(function () {
            var randNum=Math.ceil(Math.random()*400);
//            var randNum=3;
            var panelRota;
            panel.stopAllActions();
            panelRota=panel.getRotation()%360;
            if(randNum<101)
            {
                panelRunForMoney(panelRota,0,panel);
            }
            else if(randNum<201)
            {
                panelRunForMoney(panelRota, 89, panel);
            }
            else if(randNum<301)
            {
                panelRunForMoney(panelRota, 179, panel);
            }
            else
            {
                panelRunForMoney(panelRota, 269, panel);
            }
            cc.log("随机数",randNum);
        }),cc.delayTime(0.2),cc.callFunc(function(){
            gameBlink.setVisible(true);
            var panelRR=panel.getRotation()%360;
            cc.log(panelRR);
            if(panelRR==359) panelRR=0;
            var normalGameScene = null;
            if(panelRR<45)
            {
                cc.log("坑爹厨房");
                normalGameScene = new CutFoodScene(level);
            }
            else if(panelRR<145)   //45
            {
                cc.log("惊现钢丝");
//                bg.addChild(new StoneGameScene(),100);
                normalGameScene = new HelloWorldScene(level);
            }
            else if(panelRR<230)   //145
            {
                cc.log("穿越火线");
//                bg.addChild(new HelloWorldScene(),100);
                normalGameScene = new StoneGameScene(level);
            }
            else  //230
            {

                cc.log("夹缝求生");
                normalGameScene = new existScene(level);

//            bg.addChild(new CutFoodScene(),100);
            }
            cc.director.runScene(normalGameScene);
            start.setVisible(true);
            t = 0;
        })));
    }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    var startWord = new cc.Sprite("#normal_game_btn_play.png");
    startWord.setPosition(cc.p(start.getContentSize().width / 2, start.getContentSize().height / 2));
    start.addChild(startWord, 1);
}


//幸运转转转
function ShowTurnplatePanel(yourScene)    //转转乐
{
    var times=getLottery();
    var touchPosi = null;
    var t = 0;
    var size = cc.winSize;
    var newMoney;
    var moneyPanel;
    var panelOut;
    var isPause=false;

    //加个背景
    var bg = new cc.LayerColor(cc.color(0, 0, 0, 150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);

    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);

    if(times>0) {
        //返回按钮
        var spriteForReturnBtn=new cc.Scale9Sprite("com_btn_red.png");
        var  returnBtn=new cc.ControlButton(spriteForReturnBtn);
        returnBtn.setPosition(cc.p(100, 100));
        returnBtn.setPreferredSize(cc.size(92, 98));
        bg.addChild(returnBtn, 1);
        returnBtn.addTargetWithActionForControlEvents(bg, function () {
            playEffect(res.BUTTON_SOUNDS);
            bg.removeFromParent();
        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        var pauseButton = new cc.Sprite("#pause_btn_back.png");
        pauseButton.setPosition(cc.p(returnBtn.getContentSize().width / 2 - 5, returnBtn.getContentSize().height / 2 + 8));
        returnBtn.addChild(pauseButton, 2);

        //转盘
        var panel = new cc.Sprite("#lottery_run.png");
        panel.setPosition(size.width / 2, size.height / 2);
        bg.addChild(panel, 5, 0);

        //转盘顶部
        var onThePanel = new cc.Sprite("#lottery_man.png");
        onThePanel.setPosition(cc.p(panel.getPositionX() + 10, panel.getPositionY() + 170));
        bg.addChild(onThePanel, 4);

        //boy的眼睛
        var eye = new cc.Sprite("#lottery_man_eye_01.png");
        eye.setPosition(cc.p(size.width / 2 + 135, size.height / 2 + 220));
        bg.addChild(eye, 100);
        var arr=[];
        for(var i=2;i>0;i--)
        {
            var frame=cc.spriteFrameCache.getSpriteFrame("lottery_man_eye_0" + i + ".png");
            arr.push(frame);
        }
        var eyerun = cc.Animation.create(arr,0.1);
        eye.runAction(cc.Animate.create(eyerun).repeatForever());

        //金额
        var moneybtn=new cc.Scale9Sprite("game_btn_gold.png");
        var money=cc.ControlButton.create(moneybtn);
        money.setPreferredSize(cc.size(167,76));
        money.setPosition(cc.p(150, size.height - 100));
        bg.addChild(money, 3);
        money.addTargetWithActionForControlEvents(bg, function () {
            playEffect(res.BUTTON_SOUNDS);
            //购买金币
            ShowQuickBuyPanel(bg);
        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        var moneyCount = cc.LabelTTF.create((getGold() || "0"), getFONT_FZCY_M03SStr(), 27);
        moneyCount.setColor(cc.color(84, 43, 25));
        moneyCount.setAnchorPoint(cc.p(0.5,0.5));
        moneyCount.setPosition(cc.p(money.getContentSize().width/2+25, money.getContentSize().height / 2));
        money.addChild(moneyCount, 1);

        //剩余次数
        var lastPanel = new cc.Sprite("#lottery_dialog_box.png");
        lastPanel.setPosition(cc.p(eye.getPositionX() + 180, eye.getPositionY()));
        bg.addChild(lastPanel, 1);
        var tip = cc.LabelTTF.create("还有    次机会喔", getFONT_FZCY_M03SStr(), 26);
        tip.setColor(cc.color(84, 43, 25));
        tip.setPosition(cc.p(lastPanel.getContentSize().width / 2 + 8, lastPanel.getContentSize().height / 2 + 10));
        lastPanel.addChild(tip, 1);
        var tip1 = cc.LabelTTF.create(times, getFONT_FZCY_M03SStr(), 60);
        tip1.setColor(cc.color(211, 27, 37));
        tip1.setPosition(cc.p(tip.getContentSize().width / 2 - 29, tip.getContentSize().height / 2+8));
        tip.addChild(tip1, 1);

        //指针
        var point = new cc.Sprite("#lottery_pointer.png");
        point.setPosition(size.width / 2, size.height / 2);
        bg.addChild(point, 7);

        //转盘底部
        var underThePanel = new cc.Sprite("#lottery_bottom.png");
        underThePanel.setPosition(cc.p(panel.getPositionX(), panel.getPositionY() - 250));
        bg.addChild(underThePanel, 4);

        //暂停按钮
        var pauseThePanelbtn = new cc.Scale9Sprite("com_CPM_btn_buy_frame.png");
        var pauseThePanel=cc.ControlButton.create(pauseThePanelbtn);
        pauseThePanel.setPreferredSize(cc.size(190, 76));
        pauseThePanel.setPosition(underThePanel.getPosition());
        bg.addChild(pauseThePanel, 10);
        pauseThePanel.setVisible(false);
        pauseThePanel.addTargetWithActionForControlEvents(bg, function () {
            bg.runAction(cc.sequence(cc.callFunc(function () {
                playEffect(res.BUTTON_SOUNDS);
                isPause=true;
                cc.eventManager.pauseTarget(pauseThePanel);
                shake3.setVisible(false);
                panel.runAction(cc.rotateBy(0.6, 360).repeatForever());
            }), cc.delayTime(0.9), cc.callFunc(function () {
                panel.runAction(cc.rotateBy(0.8, 360).repeatForever());
            }), cc.delayTime(0.9), cc.callFunc(function () {
                panel.runAction(cc.rotateBy(1, 360).repeatForever());
            }), cc.delayTime(0.9), cc.callFunc(function () {
                panel.runAction(cc.rotateBy(1.2, 360).repeatForever());
            }), cc.delayTime(0.9), cc.callFunc(function () {
                panel.runAction(cc.rotateBy(1.4, 360).repeatForever());
            }), cc.delayTime(0.9), cc.callFunc(function () {
                panel.runAction(cc.rotateBy(1.6, 360).repeatForever());
            }), cc.delayTime(0.9), cc.callFunc(function () {
                panel.runAction(cc.rotateBy(1.8, 360).repeatForever());
            }), cc.delayTime(0.9), cc.callFunc(function () {
                panel.stopAllActions();
                panel.runAction(cc.rotateBy(2,360));
            }), cc.delayTime(2), cc.callFunc(function () {
                var randNum=Math.round(Math.random()*1000);
//                var randNum=555;
                var panelRota;
                panel.stopAllActions();
                panelRota=panel.getRotation()%360;
                if(randNum==500)
                {
                    panelRun(panelRota,176,panel);
                    newMoney=1000;
                }
                else if(randNum==501)
                {
                    if(panelRota<246&&panelRota>148) {
                        panelRun(panelRota, 124, panel);
                    }
                    if(panelRota>246||panelRota<148) {
                        panelRun(panelRota, 225, panel);
                    }
                    newMoney=100;
                }
                else if(randNum==502)
                {
                    if(panelRota<291&&panelRota>98) {
                        panelRun(panelRota, 82, panel);
                    }
                    if(panelRota>246||panelRota<98) {
                        panelRun(panelRota, 270, panel);
                    }
                    newMoney=20;
                }
                else if(randNum<500||randNum>670&&randNum<=1000)
                {
                    if(panelRota<337&&panelRota>62) {  //96.766
                        panelRun(panelRota,45, panel);
                    }
                    if(panelRota>337||panelRota<62) {
                        panelRun(panelRota, 315, panel);
                    }
                    newMoney=5;
                }
                else
                {
                    panelRun(panelRota, 360, panel);
                    newMoney=1;
                }
                cc.log(newMoney);
                cc.log(randNum);
                cc.log(panelRota);
            }),cc.delayTime(2),cc.callFunc(function() {
                if (newMoney == 1) {
                    moneyPanel = new cc.Sprite("#lottery_gold_1.png");
                }
                else if (newMoney == 5) {
                    moneyPanel = new cc.Sprite("#lottery_gold_5.png");
                }
                else if (newMoney == 20) {
                    moneyPanel = new cc.Sprite("#lottery_gold_20.png");
                }
                else if (newMoney == 100) {
                    moneyPanel = new cc.Sprite("#lottery_gold_100.png");
                }
                else {
                    moneyPanel = new cc.Sprite("#lottery_gold_1000.png");
                }
                moneyPanel.setPosition(cc.p(point.getPositionX(),point.getPositionY()-10));
                bg.addChild(moneyPanel, 1000);
                showMoneyTexiao(bg);
            }),cc.delayTime(1.5),cc.callFunc(function(){
                moneyPanel.runAction(cc.sequence(cc.scaleTo(0.5,1.5),cc.spawn(cc.moveTo(1,cc.p(160, size.height - 100)),cc.scaleTo(1,0))));
            }),cc.delayTime(1.5),cc.callFunc(function(){
                times--;
                setLottery(times);
                tip1.setString(times);
                setGold(parseInt(getGold() || 0) + parseInt(newMoney));
                moneyCount.setString(getGold());
                pauseThePanel.setVisible(false);
                start.setVisible(true);
                cc.eventManager.pauseTarget(panel);
                t = 0;
            })));
        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        var pauseWord = new cc.Sprite("#lottery_btn_puase.png");
        pauseWord.setPosition(cc.p(pauseThePanel.getContentSize().width / 2, pauseThePanel.getContentSize().height / 2));
        pauseThePanel.addChild(pauseWord, 1);

        //灰色暂停
        var pauseThePanelBtn=new cc.Sprite("#com_CPM_btn_buy_frame_02.png");
        pauseThePanelBtn.setPosition(pauseThePanel.getPosition());
        bg.addChild(pauseThePanelBtn,20);
        pauseThePanelBtn.setVisible(false);
        var pauseWord1 = new cc.Sprite("#lottery_btn_puase.png");
        pauseWord1.setPosition(cc.p(pauseThePanelBtn.getContentSize().width / 2, pauseThePanelBtn.getContentSize().height / 2));
        pauseThePanelBtn.addChild(pauseWord1, 1);

        //开始按钮
        var startbtn = new cc.Scale9Sprite("com_CPM_btn_buy_frame.png");
        var start=cc.ControlButton.create(startbtn);
        start.setPreferredSize(cc.size(190, 76));
        start.setPosition(pauseThePanel.getPosition());
        bg.addChild(start, 19);
        start.addTargetWithActionForControlEvents(bg, function () {
            playEffect(res.BUTTON_SOUNDS);
            if (times > 0) {
                if(moneyPanel!=null)
                    moneyPanel.removeFromParent();
                panelOut=true;
                isPause=false;
                panel.runAction(cc.rotateBy(1, 360).repeatForever());
                cc.eventManager.resumeTarget(panel);
                start.setVisible(false);
                cc.eventManager.pauseTarget(pauseThePanel);
                pauseThePanelBtn.setVisible(true);
                shake2.setVisible(true);
            }
            else {
                cc.eventManager.pauseTarget(start);
                TimeOut(bg,start);
            }
        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        var startWord = new cc.Sprite("#lottery_btn_star.png");
        startWord.setPosition(cc.p(start.getContentSize().width / 2, start.getContentSize().height / 2));
        start.addChild(startWord, 1);

        //再快点
        var shake1 = new cc.Sprite("#lottery_tip_03.png");
        shake1.setPosition(cc.p(panel.getPositionX() + 270, panel.getPositionY() - 50));
        bg.addChild(shake1, 100);
        shake1.runAction(cc.sequence(cc.rotateTo(0.2, 10), cc.rotateTo(0.4, -10)).repeatForever());
        shake1.setVisible(false);

        //快快快
        var shake2 = new cc.Sprite("#lottery_tip_02.png");
        shake2.setPosition(cc.p(panel.getPositionX() + 270, panel.getPositionY() - 50));
        bg.addChild(shake2, 100);
        shake2.runAction(cc.sequence(cc.rotateTo(0.15, 10), cc.rotateTo(0.3, -10)).repeatForever());
        shake2.setVisible(false);

        //疯狂快
        var shake3 = new cc.Sprite("#lottery_tip_01.png");
        shake3.setPosition(cc.p(panel.getPositionX() + 270, panel.getPositionY() - 50));
        bg.addChild(shake3, 100);
        shake3.runAction(cc.sequence(cc.rotateTo(0.1, 10), cc.rotateTo(0.2, -10)).repeatForever());
        shake3.setVisible(false);

        //单点
        var listenForMe = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: false,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();
                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                touchPosi = touch.getLocation();
                var s = target.getContentSize();
                var rec = cc.rect(0, 0, s.width, s.height);
                if (cc.rectContainsPoint(rec, locationInNode)) {
                    if (target.getTag() == 0) {
                        return true;
                    }
                }
                return false;
            },
            onTouchMoved: function (touch, event) {
                if (touchPosi.y - 50 >= touch.getLocationY()) {
                    t+=6;
                }
                cc.log("0" + t);

            },
            onTouchEnded: function (touch, event) {
            }
        });
        cc.eventManager.addListener(listenForMe, panel);
        bg.runAction(cc.callFunc(function () {
            cc.eventManager.pauseTarget(panel);
        }));

        //定时器
        bg.schedule(function (dt) {
//            cc.log(t);
            if (t == 1||t==2||t==3||t==4) {
                cc.log("1" + t);
                t+=4;
                panel.runAction(cc.rotateBy(0.9, 360).repeatForever());
            }
            else if (t >= 20 &&t<=30) {
                cc.log("3" + t);
                t+=11;
                shake2.setVisible(false);
                shake3.setVisible(true);
                var rota = cc.rotateBy(0.3, 360).repeatForever();
                panel.runAction(rota);
            }
            else if (t >60) {
                cc.log("4" + t);
                shake1.setVisible(false);
                shake2.setVisible(false);
                pauseThePanel.setVisible(true);
                pauseThePanelBtn.setVisible(false);
                panelOut=false;
                if(!isPause)
                    cc.eventManager.resumeTarget(pauseThePanel);
                cc.eventManager.pauseTarget(panel);
            }
//            else if(t>62&&panelOut)
//            {
//                bg.unscheduleAllCallbacks();
//                var panelForRemind=new cc.Sprite("#com_tip.png");
//                panelForRemind.setPosition(cc.p(size.width/2,size.height/2));
//                bg.addChild(panelForRemind,100);
//                setPanelAppearAnimation(panelForRemind);
//                var remind=cc.LabelTTF.create("\t\t转盘自己转晕啦！\n点击左下角的返回再来一次吧！",getFONT_FZCY_M03SStr(),29);
//                remind.setPosition(cc.p(panelForRemind.getContentSize().width/2,panelForRemind.getContentSize().height/2));
//                remind.setColor(cc.color(0,0,0,255));
//                panelForRemind.addChild(remind,1);
//            }
        }, 0.001);
    }
    else
    {
        TimeOut(bg);
    }
}
function showMoneyTexiao(theScene)
{
    var size=cc.winSize;
    var kongbai=new cc.Sprite();
    kongbai.setPosition(cc.p(size.width/2,size.height/2));
    theScene.addChild(kongbai,10000);
    var arr=[];
    for(var i=1;i<9;i++)
    {
        var frame=cc.spriteFrameCache.getSpriteFrame("lottery_animtion_0"+i+".png");
        arr.push(frame);
    }
    kongbai.runAction(cc.Animate.create(cc.Animation.create(arr,0.15)));
    theScene.runAction(cc.sequence(cc.delayTime(1.5),cc.callFunc(function(){kongbai.removeFromParent();})));
}

function panelRunForMoney(panelRota,runRota,panel)
{
    if(panelRota>runRota)
        panelRota-=360;
    cc.log("减少后：",panelRota);
    panel.runAction(cc.rotateBy((runRota-panelRota)*0.2/360,(runRota-panelRota)));
}
function panelRun(panelRota,runRota,panel)
{
    if(panelRota>runRota)
        panelRota-=360;
    panel.runAction(cc.rotateBy((runRota-panelRota)/180,(runRota-panelRota)));
}
function TimeOut(your,startbtn)
{
    var size=cc.winSize;
    //蓝色面板
    var bluePanel=new cc.Sprite("#lottery_CPM_frame.png");
    setPanelAppearAnimation(bluePanel);
    bluePanel.setPosition(cc.p(size.width/2,size.height/2));
    your.addChild(bluePanel,100);

    //文字说明
    var word=cc.LabelTTF.create("今天3次的抽奖机会已用完，\n明天再来吧～",getFONT_FZCY_M03SStr(),27);
    word.setColor(cc.color(84, 43, 25));
    word.setPosition(cc.p(bluePanel.getContentSize().width/2,bluePanel.getContentSize().height/2));
    bluePanel.addChild(word,1);

    //按钮
    var btn1=new cc.Scale9Sprite("com_CPM_btn_buy_frame.png");
    var btn=cc.ControlButton.create(btn1);
    btn.setPreferredSize(cc.size(190,76));
    btn.setPosition(cc.p(bluePanel.getContentSize().width/2,0));
    bluePanel.addChild(btn,1);
    btn.addTargetWithActionForControlEvents(your,function(){
        bluePanel.removeFromParent();
        if(startbtn!=null) {
            cc.eventManager.resumeTarget(startbtn);
        }
        else
        {
            your.removeFromParent();

        }
    },cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    var yesSir=new cc.Sprite("#lottery_btn_ok.png");
    yesSir.setPosition(cc.p(btn.getContentSize().width/2,btn.getContentSize().height/2));
    btn.addChild(yesSir,1);
}

function ShowTipsPanel(yourScene, level) {  //提示

    var gold=5;
    if(tipsType==0){
        gold=5;
    }
    else if(tipsType==1){
        gold=20;
    }else{
        gold=30;
    }
    
    var curLevel;
    for(var i=0;i<24;i++){
        if(_arr[i][0]==level){
            curLevel=i+1;
        }
    }

    var tipsState=getTipsStatusByLevel(curLevel)
    var isUnLock=Math.min(tipsType+1,3)<=tipsState;

    if(isUnLock || parseInt(getGold())>=gold){

        pauseAllNode();
        var size = cc.director.getWinSize();
        var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
        setPanelAppearAnimation(bg);
        yourScene.addChild(bg, 1000);

        var panelDec = new cc.Sprite("#tip_frame.png");
        panelDec.attr({
            anchorX:0,
            x:10,
            y:390
        });
        bg.addChild(panelDec,1000);



        if(!isUnLock){
            var layers=cc.director.getRunningScene().getChildren();

            if(tipsType==0){
                setGold(parseInt(getGold())-gold);
                layers[1].tipsLabel.setString("20");
            }
            else if(tipsType==1){
                setGold(parseInt(getGold())-gold);
                layers[1].tipsLabel.setString("30");
            }else if(tipsType==2){
                setGold(parseInt(getGold())-gold);
            }
            layers[1].refreshWithGold();


            if(tipsType<3)ShowGoldChange(yourScene,"-"+gold);

            setTipsStatusByLevel(curLevel,Math.min(tipsType,3));
        }


        var word=_arr[curLevel-1][(tipsType>=3?2:tipsType)+3];
        tipsType++;

        //提示前缀
        if(tipsType>3){
                word = "提示3/3:"+word;
        }else{
            word = "提示"+tipsType+"/3:"+word;
        }


        var panelDec_word = new cc.LabelTTF(word,getFONT_FZCY_M03SStr(),28,cc.size(260,100),cc.TEXT_ALIGNMENT_CENTER);
        panelDec_word.attr({
            x:340,
            y:panelDec.getBoundingBox().height/2
        });
        panelDec.addChild(panelDec_word);


        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                cc.log("begin");
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);

                    return true;
                }
                return false;
            },
            onTouchMoved: function (touch, event) {

            },
            onTouchEnded: function (touch, event) {
                cc.log("end");

                var target = event.getCurrentTarget();

                resumeAllNode();
                target.removeFromParent();
            }
        });
        cc.eventManager.addListener(listener1, bg);

    }else{

//        resumeAllNode();
        ShowQuickBuyPanel(yourScene,level,1);
        //测试中
//        setGold(10000);
    }

}
function ShowSecondComfirmPanel(yourScene, level) { //跳过
    cc.log("abcdefg:   " + level);

    if(cc.sys.os == "Android" && parseInt(getGold())<100)
    {
        var size = cc.director.getWinSize();
        var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
        setPanelAppearAnimation(bg);
        yourScene.addChild(bg, 1000);
        var spriteWithBg = new cc.Sprite("#com_CPM_frame_01.png");
        spriteWithBg.x = size.width/2;
        spriteWithBg.y = size.height/2;
        bg.addChild(spriteWithBg);

        //过关神器去除广告提示
        isOpenAd("outAdTips",function (b) {
            if(b){
                var outAdTips=new cc.Sprite(res.outAdTips);
                outAdTips.attr({
                    x:spriteWithBg.width/2,
                    y:spriteWithBg.height/2-240,
                });
                spriteWithBg.addChild(outAdTips);
            }
        });

        var panelDec = new cc.Sprite("#skip_title.png");
        panelDec.x = spriteWithBg.getContentSize().width / 2;
        panelDec.y = spriteWithBg.getContentSize().height / 2+168;
        spriteWithBg.addChild(panelDec);

        //消息
        var panelWord=createProgressBar("#skip_word.png",100,null,cc.p(0,1));
        panelWord.attr({
            x:spriteWithBg.getContentSize().width/2,
            y:spriteWithBg.getContentSize().height/2+20
        });
        spriteWithBg.addChild(panelWord);

        var rmbStr = "";
        var goldStr = "";
        if(cc.sys.os == "iOS"){
            rmbStr = "2";
            goldStr = "80";
        }else{
            rmbStr = "2";
            goldStr = "200";
        }
        
        
        var labelForRMB = new cc.LabelTTF(rmbStr, getFONT_FZCY_M03SStr(), 44);
        labelForRMB.x = 100;
        labelForRMB.y = 72;
        labelForRMB.color = cc.color(10, 72, 101);
        panelWord.addChild(labelForRMB);

        var labelForGold = new cc.LabelTTF(goldStr, getFONT_FZCY_M03SStr(), 44);
        labelForGold.x = 125;
        labelForGold.y = 17;
        labelForGold.color = cc.color(212, 63, 63);
        panelWord.addChild(labelForGold);


        if(getChannel()=="wo"){
            panelWord.setPercentage(50);
            labelForGold.visible=false;

            var giveLabel=new cc.LabelTTF("并获得"+goldStr+"金币",getFONT_FZCY_M03SStr(),40);
            giveLabel.attr({
                x:panelWord.width/2,
                y:20,
                color:cc.color(205, 86, 86)
            });
            panelWord.addChild(giveLabel);
        }

        //关闭按钮
        var closeBtn9Sprite=new cc.Scale9Sprite("com_CPM_btn_close.png");
        var closeBtn = new cc.ControlButton(closeBtn9Sprite);
        closeBtn.attr({
            x:spriteWithBg.getContentSize().width/2+262,
            y:spriteWithBg.getContentSize().height/2+138
        });
        closeBtn.setPreferredSize(cc.size(44, 44));
        closeBtn.addTargetWithActionForControlEvents(this, function(){
            playEffect(res.BUTTON_SOUNDS);
            resumeAllNode();
            resumeAllEffect();
            resumeBackgroundMusic();
            this.getParent().getParent().removeFromParent();
        }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        spriteWithBg.addChild(closeBtn);


        //确认按钮
        var affirmBtn9Sprite=new cc.Scale9Sprite("res/jihuozhengban_buy.png");
        var affirmBtn = new cc.ControlButton(affirmBtn9Sprite);
        affirmBtn.attr({
            width:190,
            height:76,
            x:spriteWithBg.getContentSize().width/2,
            y:spriteWithBg.getContentSize().height/2-126
        });
        affirmBtn.setPreferredSize(cc.size(affirmBtn.width, affirmBtn.height));
        affirmBtn.addTargetWithActionForControlEvents(this, function(){
            createUnTouchLayer();
            playEffect(res.BUTTON_SOUNDS);


            payFn=function(){
                resumeAllNode();
                ShowSuccessPanel(yourScene, level,1);
                bg.removeFromParent();
            }

            // payFaileFn=function(){
            //     resumeAllNode();
            // }
            propId==1007;
            if(isMobile("Android")){
                propId=1009;
            }

            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            testJSB.purchase(propId);
            testJSB.release();

//            if(parseInt(getGold())>=100) {
//
//                setGold(parseInt(getGold()) - 100);
//                var layers = cc.director.getRunningScene().getChildren();
//                layers[1].refreshWithGold();
//                ShowSuccessPanel(yourScene, level,1);
//
//            }
////            else
////            {
////                ShowQuickBuyPanel(yourScene,level,1);
////            }

            // resumeAllNode();
            // this.getParent().getParent().removeFromParent();
        }.bind(affirmBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        spriteWithBg.addChild(affirmBtn);

//        var affirm_icon = new cc.Sprite("#skip_btn_buy_icon.png");
//        affirm_icon.attr({
//            x:affirmBtn.getBoundingBox().width/2,
//            y:affirmBtn.getBoundingBox().height/2
//        });
//        affirmBtn.addChild(affirm_icon);



        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                cc.log("begin");
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                    return true;
                }
                return false;
            },
            onTouchMoved: function (touch, event) {

            },
            onTouchEnded: function (touch, event) {
                cc.log("end");
            }
        });
        cc.eventManager.addListener(listener1, bg);


    }
    else {

        if(parseInt(getGold())>=100) {

            setGold(parseInt(getGold()) - 100);
            var layers = cc.director.getRunningScene().getChildren();
            layers[1].refreshWithGold();
            yourScene.pauseTheGame();

            ShowGoldChange(yourScene,"-100",1);

            ShowSuccessPanel(yourScene, level,1);


        }else{
            cc.log("end1");
            ShowQuickBuyPanel(yourScene,level,1);
        }

    }



}
function ShowThirdComfirmPanel(yourScene, level) {
    cc.log("abcdefg:   " + level);
    var size = cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);
    var spriteWithBg = new cc.Sprite("#com_CPM_frame_01.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2;
    bg.addChild(spriteWithBg);

    var panelDec = new cc.LabelTTF("确认面板2", "", 38);
    panelDec.x = spriteWithBg.getContentSize().width / 2;
    panelDec.y = spriteWithBg.getContentSize().height / 2+100;
    spriteWithBg.addChild(panelDec);

    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_CPM_btn_close.png");
    var closeBtn = new cc.ControlButton(closeBtn9Sprite);
    closeBtn.attr({
        width:44,
        height:44,
        x:spriteWithBg.getContentSize().width/2+262,
        y:spriteWithBg.getContentSize().height/2+138
    });
    closeBtn.setPreferredSize(cc.size(closeBtn.width, closeBtn.height));
    closeBtn.addTargetWithActionForControlEvents(this, function(){

        playEffect(res.BUTTON_SOUNDS);
        resumeAllNode();
        this.getParent().getParent().removeFromParent();
    }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn);



    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);


}
function ShowQuickBuyPanel(yourScene, level, _type) {  //快捷购买
    cc.log("abcdefg:   " + level);
    if(level!=null) {
        pauseAllNode();
        pauseAllEffect();
        pauseBackgroundMusic();
    }




    var size = cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);
    var spriteWithBg = new cc.Sprite("#com_CPM_frame_01.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2;
    bg.addChild(spriteWithBg);
    cc.log("abcdefg:   " );

    //补充金币去除广告提示
    isOpenAd("outAdTips",function (b) {
        if(b){
            var outAdTips=new cc.Sprite(res.outAdTips);
            outAdTips.attr({
                x:spriteWithBg.width/2,
                y:spriteWithBg.height/2-240,
            });
            spriteWithBg.addChild(outAdTips);
        }
    });

    //去掉金币不足，全部显示为补充金币
    if(false && _type){
        var panelDec = new cc.Sprite("#add_gold_title_02.png");
    }else{
        var panelDec = new cc.Sprite("#add_gold_title.png");
    }
    panelDec.x = spriteWithBg.getContentSize().width / 2;
    panelDec.y = spriteWithBg.getContentSize().height / 2+168;
    spriteWithBg.addChild(panelDec);
    cc.log("abcdefg:1   " );

    //消息
    var panelWord=createProgressBar("#add_gold_word.png",100,null,cc.p(0,1));
    panelWord.attr({
        x:spriteWithBg.getContentSize().width/2,
        y:spriteWithBg.getContentSize().height/2+20
    });
    spriteWithBg.addChild(panelWord);
    cc.log("abcdefg:2   ");

    var rmbStr = "";
    var goldStr = "";
    var presentGoldStr = "";
    if(cc.sys.os == "iOS"){
        rmbStr = "1";
        goldStr = "100";
        presentGoldStr = "50";
    }else{
        rmbStr = "5";
        goldStr = "500";
        presentGoldStr = "80";

    }
    
    
    var labelForRMB = new cc.LabelTTF(rmbStr, getFONT_FZCY_M03SStr(), 44);
    labelForRMB.x = 45;
    labelForRMB.y = 75;
    labelForRMB.color = cc.color(10, 72, 101);
    panelWord.addChild(labelForRMB);

    var labelForGold = new cc.LabelTTF(goldStr, getFONT_FZCY_M03SStr(), 44);
    labelForGold.x = 255;
    labelForGold.y = 75;
    labelForGold.color = cc.color(212, 63, 63);
    panelWord.addChild(labelForGold);

    var labelForPresentGold = new cc.LabelTTF(presentGoldStr, getFONT_FZCY_M03SStr(), 48);
    labelForPresentGold.x = 130;
    labelForPresentGold.y = 20;
    labelForPresentGold.color = cc.color(212, 63, 63);
    panelWord.addChild(labelForPresentGold);

    if(getChannel()=="wo"){
        panelWord.setPercentage(50);
        labelForPresentGold.visible=false;
        labelForGold.string = "580";
    }

    if(_type){

        var panelWord2=new cc.LabelTTF("您的金币已不足，请补充！",getFONT_FZCY_M03SStr(),36);
        panelWord2.attr({
            x:spriteWithBg.getContentSize().width/2,
            y:spriteWithBg.getContentSize().height/2+80
        });
        spriteWithBg.addChild(panelWord2);

        panelWord.attr({
            y:spriteWithBg.getContentSize().height/2-30
        });
    }

    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_CPM_btn_close.png");
    var closeBtn = new cc.ControlButton(closeBtn9Sprite);
    closeBtn.attr({
        x:spriteWithBg.getContentSize().width/2+262,
        y:spriteWithBg.getContentSize().height/2+138
    });
    closeBtn.setPreferredSize(cc.size(44, 44));
    closeBtn.addTargetWithActionForControlEvents(this, function(){
        playEffect(res.BUTTON_SOUNDS);
        if(level!=null) {
            resumeAllNode();
            resumeAllEffect();
            resumeBackgroundMusic();
        }
        this.getParent().getParent().removeFromParent();
    }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn);



    //确认按钮
    var clickn=0;
    var affirmBtn9Sprite=new cc.Scale9Sprite("res/jihuozhengban_buy.png");
    var affirmBtn = new cc.ControlButton(affirmBtn9Sprite);
    affirmBtn.attr({
        width:190,
        height:76,
        x:spriteWithBg.getContentSize().width/2,
        y:spriteWithBg.getContentSize().height/2-126
    });
    affirmBtn.setPreferredSize(cc.size(affirmBtn.width, affirmBtn.height));
    affirmBtn.addTargetWithActionForControlEvents(this, function(){
        createUnTouchLayer();

        playEffect(res.BUTTON_SOUNDS);

        // var size = cc.director.getWinSize();
        // if(clickn!=1)
        // {
        //     var bg = new cc.LayerColor(cc.color(0, 0, 0,10), size.width, size.height);
        //     this.getParent().addChild(bg, 1000);
        //     bg.setTag(1000);
        //     clickn=1;
        // }

        if(isMobile()) {

            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            cc.log("快捷购买金币：%d", getGold());
            payFn = function () {
                resumeAllNode();
                bg.removeFromParent();
            }

            payFaileFn = function () {
                resumeAllNode();
            }

            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            if(isMobile("iOS")) {
                testJSB.purchase3();
            }else{
                testJSB.purchase(1010);
            }
            testJSB.release();
        }

    }.bind(affirmBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(affirmBtn);

//    var affirm_icon = new cc.Sprite("#add_gold_btn_buy_icon.png");
//    affirm_icon.attr({
//        x:affirmBtn.getBoundingBox().width/2,
//        y:affirmBtn.getBoundingBox().height/2
//    });
//    affirmBtn.addChild(affirm_icon);


    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);


}

function ShowStrategyPanel(yourScene, level) {  //攻略
    cc.log("abcdefg:   " + level);
    var size = cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);

    // var spriteWithBg = new cc.Sprite("#com_CPM_frame_01.png");
    // spriteWithBg.scale = 0.8;
    // spriteWithBg.x = size.width/2;
    // spriteWithBg.y = size.height/2;
    // bg.addChild(spriteWithBg);

    // var panelDec = new cc.Sprite("#strategy_title.png");
    // panelDec.x = spriteWithBg.getContentSize().width / 2;
    // panelDec.y = spriteWithBg.getContentSize().height / 2+168;
    // spriteWithBg.addChild(panelDec);
    //
    // //消息
    // var panelWord=createProgressBar("#strategy_word.png",100,null,cc.p(0,1));
    // panelWord.attr({
    //     x:spriteWithBg.getContentSize().width/2,
    //     y:spriteWithBg.getContentSize().height/2+20
    // });
    // spriteWithBg.addChild(panelWord);
    //
    // var rmbStr = "";
    // var goldStr = "";
    // if(cc.sys.os == "iOS"){
    //     rmbStr = "6";
    //     goldStr = "200";
    // }else{
    //     rmbStr = "8";
    //     goldStr = "150";
    // }
    //
    //
    // var labelForRMB = new cc.LabelTTF(rmbStr, getFONT_FZCY_M03SStr(), 44);
    //
    // labelForRMB.x = 25;
    // labelForRMB.y = 75;
    // labelForRMB.color = cc.color(10, 72, 101);
    // panelWord.addChild(labelForRMB);
    //
    // var labelForGold = new cc.LabelTTF(goldStr, getFONT_FZCY_M03SStr(), 48);
    // labelForGold.x = 155;
    // labelForGold.y = 20;
    // labelForGold.color = cc.color(212, 63, 63);
    // panelWord.addChild(labelForGold);
    //
    // if(isMobile("Android") || getChannel()=="wo"){
    //     panelWord.setPercentage(40);
    //     labelForGold.visible=false;
    // }


    var spriteWithBg = new cc.Sprite(res.gonglve_png);
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2;
    bg.addChild(spriteWithBg);


    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_CPM_btn_close.png");
    var closeBtn = new cc.ControlButton(closeBtn9Sprite);
    closeBtn.attr({
        width:44,
        height:44,
        x:spriteWithBg.getContentSize().width/2+242,
        y:spriteWithBg.getContentSize().height/2+98
    });
    closeBtn.setPreferredSize(cc.size(closeBtn.width, closeBtn.height));
    closeBtn.addTargetWithActionForControlEvents(this, function(){
        playEffect(res.BUTTON_SOUNDS);
        resumeAllNode();

        resumeAllEffect();
        resumeBackgroundMusic();
        cc.log("攻略恢复");
        this.getParent().getParent().removeFromParent();
    }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn);

    // 去除广告提示
    isOpenAd("outAdTips",function (b) {
        if(b){
            var outAdTips=new cc.Sprite(res.outAdTips);
            outAdTips.attr({
                x:spriteWithBg.width/2,
                y:spriteWithBg.height/2-220,
            });
            spriteWithBg.addChild(outAdTips);
        }
    });

    //确认按钮
    var affirmBtn9Sprite=new cc.Scale9Sprite("res/jihuozhengban_buy.png");
    var affirmBtn = new cc.ControlButton(affirmBtn9Sprite);
    affirmBtn.attr({
        width:190,
        height:76,
        x:spriteWithBg.getContentSize().width/2,
        y:spriteWithBg.getContentSize().height/2-120
    });
    affirmBtn.setPreferredSize(cc.size(affirmBtn.width, affirmBtn.height));
    affirmBtn.addTargetWithActionForControlEvents(this, function(){//abcd
        createUnTouchLayer();
        playEffect(res.BUTTON_SOUNDS);

        if(isMobile()) {
            payFn = function () {
                resumeAllNode();
                resumeAllEffect();
                bg.removeFromParent();
            }

            payFaileFn = function () {
                resumeAllNode();
                resumeAllEffect();
            }
            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            if(isMobile("iOS")) {
                testJSB.purchase4();
            }else{
                testJSB.purchase(1008);
            }
            testJSB.release();
        }
    }.bind(affirmBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(affirmBtn);

//    var affirm_icon = new cc.Sprite("#strategy_buy_icon.png");
//    affirm_icon.attr({
//        x:affirmBtn.getBoundingBox().width/2,
//        y:affirmBtn.getBoundingBox().height/2
//    });
//    affirmBtn.addChild(affirm_icon);


    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);


}
function ShowSettingPanel(yourScene) {
    var size = cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);
    var spriteWithBg = new cc.Sprite("#setting_frame.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2;
    bg.addChild(spriteWithBg);

    var panelDec = new cc.Sprite("#setting_title.png");
    panelDec.x = spriteWithBg.getContentSize().width / 2+5;
    panelDec.y = spriteWithBg.getContentSize().height / 2+173;
    spriteWithBg.addChild(panelDec);

    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_btn_purple.png");
    closeBtn = new cc.ControlButton(closeBtn9Sprite);
    closeBtn.attr({
        width:86,
        height:86,
        x:spriteWithBg.getContentSize().width/2+270,
        y:spriteWithBg.getContentSize().height/2+150
    });
    closeBtn.setPreferredSize(cc.size(closeBtn.width, closeBtn.height));
    closeBtn.addTargetWithActionForControlEvents(this, function(){
        playEffect(res.BUTTON_SOUNDS);
//        resumeAllNode();
        this.getParent().getParent().removeFromParent();
    }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn);

    var close_icon=new cc.Sprite("#com_btn_purple_close.png");
    close_icon.attr({
        x:closeBtn.getBoundingBox().width/2-4,
        y:closeBtn.getBoundingBox().height/2+8
    });
    closeBtn.addChild(close_icon);

    var musicWord=new cc.Sprite("#setting_music_word.png");
    musicWord.attr({
        x:spriteWithBg.getContentSize().width/2-150,
        y:spriteWithBg.getContentSize().height/2+31
    });
    spriteWithBg.addChild(musicWord);

    var musicMan=new cc.Sprite("#setting_music_man.png");
    musicMan.attr({
        x:spriteWithBg.getContentSize().width/2+170,
        y:spriteWithBg.getContentSize().height/2+36
    });
    spriteWithBg.addChild(musicMan);

    //音乐按钮
    var musicBtn_close=new cc.MenuItemImage("#setting_music_btn_close.png");
    var musicBtn_open=new cc.MenuItemImage("#setting_music_btn_open.png");
    musicBtn=new cc.MenuItemToggle(musicBtn_close,musicBtn_open);

    if(getMusicIsOpen()==1){
        musicBtn.setSelectedIndex(1);
    }
    else{
        musicBtn.setSelectedIndex(0);
    }

    musicBtn.setCallback(function(){
        if(getMusicIsOpen()==1){
            setMusicIsOpen(0);
            setSoundOpenOrNot(0);
        }
        else{
            setMusicIsOpen(1);
            setSoundOpenOrNot(1);
        }
    },this);
    var Menu=new cc.Menu(musicBtn);
    Menu.attr({
        x:spriteWithBg.getContentSize().width/2,
        y:spriteWithBg.getContentSize().height/2+31
    });
    spriteWithBg.addChild(Menu);


    //点评按钮
    // if(cc.sys.os!="Android"){
    //     var commentBtn9Sprite=new cc.Scale9Sprite('setting_btn_comment_frame.png');
    //     commentBtn = new cc.ControlButton(commentBtn9Sprite);
    //     commentBtn.attr({
    //         width:128,
    //         height:74,
    //         x:spriteWithBg.getContentSize().width/2-170,
    //         y:spriteWithBg.getContentSize().height/2-130
    //     });
    //     commentBtn.setPreferredSize(cc.size(commentBtn.width, commentBtn.height));
    //     commentBtn.addTargetWithActionForControlEvents(this, function(){
    //         playEffect(res.BUTTON_SOUNDS);
    //         if(isMobile()) {
    //             var testJSB = new JSB.JSBinding();
    //             testJSB.retain();
    //             testJSB.openUrl(5, 0, "");
    //             testJSB.release();
    //         }
    //
    //     }.bind(commentBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    //     spriteWithBg.addChild(commentBtn);
    //
    //     var comment_icon=new cc.Sprite("#setting_btn_comment_icon.png");
    //     comment_icon.attr({
    //         x:commentBtn.getBoundingBox().width/2-3,
    //         y:commentBtn.getBoundingBox().height/2+5
    //     });
    //     commentBtn.addChild(comment_icon);
    // }

//(::)基地单网要去掉
    if(isJidi!=1){
        if(isUC!=1 || isJinli==1){
            //关于我们按钮
            var makeBtn9Sprite = new cc.Scale9Sprite('setting_btn_make_frame.png');
            makeBtn = new cc.ControlButton(makeBtn9Sprite);
            makeBtn.attr({
                width:194,
                height:104,
                x:spriteWithBg.getContentSize().width/2,
                y:spriteWithBg.getContentSize().height/2-121
            });
            makeBtn.setPreferredSize(cc.size(makeBtn.width, makeBtn.height));
            makeBtn.addTargetWithActionForControlEvents(this, function(){
                playEffect(res.BUTTON_SOUNDS);
                ShowAboutUsPanel(this.getParent().getParent(), 1);
                // if(cc.sys.os!="Android"){
                //     commentBtn.setEnabled(false);
                // }
                //feedbackBtn.setEnabled(false);
                musicBtn.setEnabled(false);
                makeBtn.setEnabled(false);
                closeBtn.setEnabled(false);

            }.bind(makeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            spriteWithBg.addChild(makeBtn);

            var make_icon=new cc.Sprite("#setting_btn_make_icon.png");
            make_icon.attr({
                x:makeBtn.getBoundingBox().width/2,
                y:makeBtn.getBoundingBox().height/2-8
            });
            makeBtn.addChild(make_icon);
        

            //投诉按钮
            // var feedbackBtn9Sprite=new cc.Scale9Sprite('setting_btn_comment_frame.png');
            // feedbackBtn = new cc.ControlButton(feedbackBtn9Sprite);
            // feedbackBtn.attr({
            //     width:128,
            //     height:74,
            //     x:spriteWithBg.getContentSize().width/2+170,
            //     y:spriteWithBg.getContentSize().height/2-130
            // });
            // feedbackBtn.setPreferredSize(cc.size(feedbackBtn.width, feedbackBtn.height));
            // feedbackBtn.addTargetWithActionForControlEvents(this, function(){
            //     playEffect(res.BUTTON_SOUNDS);
            //     if(isMobile()) {
            //         var testJSB = new JSB.JSBinding();
            //         testJSB.retain();
            //         testJSB.showFeedBack();
            //         testJSB.release();
            //     }
            // }.bind(feedbackBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            // spriteWithBg.addChild(feedbackBtn);
            //
            // var feedback_icon=new cc.Sprite("#setting_btn_complaint_icon.png");
            // feedback_icon.attr({
            //     x:feedbackBtn.getBoundingBox().width/2-3,
            //     y:feedbackBtn.getBoundingBox().height/2+5
            // });
            // feedbackBtn.addChild(feedback_icon);
            //
            // if(cc.sys.os=="Android"){
            //     makeBtn.attr({
            //         x:spriteWithBg.getContentSize().width/2,
            //         y:spriteWithBg.getContentSize().height/2-65
            //     });
            //
            //
            //     feedbackBtn.attr({
            //         x:spriteWithBg.getContentSize().width/2,
            //         y:spriteWithBg.getContentSize().height/2-165
            //     });
            //
            //     feedbackBtn.visible=!!packageName.match(/baidu/i);
            // }

        }
    }
    
    //葫芦娃
    var setting_man=new cc.Sprite("#setting_man.png");
    setting_man.attr({
        x:spriteWithBg.getBoundingBox().width/2-55,
        y:spriteWithBg.getBoundingBox().height/2-94
    });
    spriteWithBg.addChild(setting_man);


    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);


}
//主界面上面为0，设置界面上面为1
function ShowAboutUsPanel(yourScene, _type) {
    var size = cc.director.getWinSize();
//    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
//    yourScene.addChild(bg, 1000);
    //背景
    var bg = new cc.Sprite("#make_bg.png");
    
    var listener1 = cc.EventListener.create({
    event: cc.EventListener.TOUCH_ONE_BY_ONE,
    swallowTouches: true,
    onTouchBegan: function (touch, event) {
    cc.log("begin");
    var target = event.getCurrentTarget();

    var locationInNode = target.convertToNodeSpace(touch.getLocation());
    var s = target.getContentSize();
    var rect = cc.rect(0, 0, s.width, s.height);

    if (cc.rectContainsPoint(rect, locationInNode)) {
    cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
    return true;
    }
    return false;
    },
    onTouchMoved: function (touch, event) {

    },
    onTouchEnded: function (touch, event) {
    cc.log("end");
    }
    });
    cc.eventManager.addListener(listener1, bg);
    
    
    
    setPanelAppearAnimation(bg);
    bg.attr({
        x:size.width/2,
        y:size.height/2,
        anchorX:0.5,
        anchorY:0.5
    });
    //展示框
    yourScene.addChild(bg, 1000);
    var spriteWithBg = new cc.Sprite("#make_frame_01.png");
    spriteWithBg.attr({
        x:bg.getContentSize().width/2,
        y:bg.getContentSize().height/2,
        anchorX:0.5,
        anchorY:0.5
    });
    bg.addChild(spriteWithBg);
    //葫芦
    var gourd = new cc.Sprite("#make_title_calabash.png");
    gourd.attr({
        x:spriteWithBg.getContentSize().width/2 - 25,
        y:spriteWithBg.getContentSize().height + 4,
        anchorX:0.5,
        anchorY:0.5
    });
    spriteWithBg.addChild(gourd);
    //关于按钮-true
    var aboutBtn = new cc.Sprite("#make_title_01_frame.png");
    aboutBtn.attr({
        x:spriteWithBg.getContentSize().width/2 - 70,
        y:spriteWithBg.getContentSize().height - 45,
        anchorX:0.5,
        anchorY:0.5
    });
    spriteWithBg.addChild(aboutBtn);
    var abouttest = new cc.Sprite("#make_title_01_us.png");
    abouttest.attr({
        x:aboutBtn.getContentSize().width/2,
        y:aboutBtn.getContentSize().height/2,
        anchorX:0.5,
        anchorY:0.5
    });
    aboutBtn.addChild(abouttest);
    //关于按钮-false
    var aboutBtnF = new cc.Sprite("#make_title_02_frame.png");
    aboutBtnF.attr({
        x:spriteWithBg.getContentSize().width/2 - 70,
        y:spriteWithBg.getContentSize().height - 45,
        anchorX:0.5,
        anchorY:0.5
    });
    aboutBtnF.setVisible(false);
    spriteWithBg.addChild(aboutBtnF);
    var abouttestF = new cc.Sprite("#make_title_02_us.png");
    abouttestF.attr({
        x:aboutBtn.getContentSize().width/2,
        y:aboutBtn.getContentSize().height/2,
        anchorX:0.5,
        anchorY:0.5
    });
    aboutBtnF.addChild(abouttestF);
    //点子提供者-true
    var ideasBtn = new cc.Sprite("#make_title_01_frame.png");
    ideasBtn.attr({
        x:spriteWithBg.getContentSize().width/2 + 110,
        y:spriteWithBg.getContentSize().height - 45,
        anchorX:0.5,
        anchorY:0.5
    });
    ideasBtn.setVisible(false);
    spriteWithBg.addChild(ideasBtn);
    var ideastest = new cc.Sprite("#make_title_01_idea.png");
    ideastest.attr({
        x:ideasBtn.getContentSize().width/2,
        y:ideasBtn.getContentSize().height/2,
        anchorX:0.5,
        anchorY:0.5
    });
    ideasBtn.addChild(ideastest);
    //点子提供者-false
    var ideasBtnF = new cc.Sprite("#make_title_02_frame.png");
    ideasBtnF.attr({
        x:spriteWithBg.getContentSize().width/2 + 110,
        y:spriteWithBg.getContentSize().height - 45,
        anchorX:0.5,
        anchorY:0.5
    });
    spriteWithBg.addChild(ideasBtnF);
    var ideastestF = new cc.Sprite("#make_title_02_idea.png");
    ideastestF.attr({
        x:ideasBtn.getContentSize().width/2,
        y:ideasBtn.getContentSize().height/2,
        anchorX:0.5,
        anchorY:0.5
    });
    ideasBtnF.addChild(ideastestF);



     //关于我们列表
    var scrollView=new ccui.ScrollView();
    scrollView.setDirection(ccui.ScrollView.DIR_VERTICAL);
    scrollView.setTouchEnabled(true);
    scrollView.setInertiaScrollEnabled(false);
    scrollView.setBounceEnabled(true);
    scrollView.setContentSize(cc.size(450,330));

    scrollView.attr({
        anchorX:0.5,
        anchorY:0.5,
        x:spriteWithBg.width/2,
        y:spriteWithBg.height/2-25
    });

    spriteWithBg.addChild(scrollView);


    var aboutList=[];

    // //关于文字
    // var aboutframe= new cc.Sprite(res.about1);
    // scrollView.addChild(aboutframe);
    // aboutList.push(aboutframe);

    //关于我们图片
    var about_us = new cc.Sprite(res.aboutus);
    scrollView.addChild(about_us);
    aboutList.push(about_us);


    //获取在线参数，是否显示关注微信信息
    // getOnlineData("isShowAboutWeChat","false",function(bool){
    //     if(bool=="true"){
    //         aboutframe.visible=false;
    //         var newAbout= new cc.Sprite("#make_about_us_word_02.png");
    //         newAbout.attr({
    //             x:spriteWithBg.getContentSize().width/2,
    //             y:spriteWithBg.getContentSize().height/2 - 25,
    //             anchorX:0.5,
    //             anchorY:0.5
    //         });
    //         spriteWithBg.addChild(newAbout);
    //         aboutframe=newAbout;
    //
    //         //关注按钮
    //         var FocusBtn9Sprite=new cc.Scale9Sprite('make_about_us_btn_attention.png');
    //         var FocusBtn = new cc.ControlButton(FocusBtn9Sprite);
    //         FocusBtn.attr({
    //             width:128,
    //             height:74,
    //             x:aboutframe.getContentSize().width/2,
    //             y:aboutframe.getContentSize().height/2
    //         });
    //         FocusBtn.setPreferredSize(cc.size(FocusBtn.width, FocusBtn.height));
    //         FocusBtn.addTargetWithActionForControlEvents(this, function(){
    //             playEffect(res.BUTTON_SOUNDS);
    //             cc.log("关注");
    //             if(isMobile()) {
    //                 var testJSB = new JSB.JSBinding();
    //                 testJSB.retain();
    //                 testJSB.openUrl(7, 1, "");
    //                 testJSB.release();
    //             }
    //         }.bind(FocusBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    //         aboutframe.addChild(FocusBtn);
    //     }
    // });


    var leixing,mianze;
    //电信免责声明
     if(cc.sys.os=="Android"){
        if(isTelecom==1){
            mianze=new cc.Sprite(res.mianze);
            scrollView.addChild(mianze);
            aboutList.push(mianze);

        }
        // else if(getLauchCheck()==0){
        //     leixing=new cc.LabelTTF("游戏类型：益智解密类",getFONT_FZCY_M03SStr(),30);
        //     leixing.attr({
        //         x:spriteWithBg.getContentSize().width/2,
        //         y:spriteWithBg.getContentSize().height/2 - 180,
        //         anchorX:0.5,
        //         anchorY:0.5
        //     });
        //     spriteWithBg.addChild(leixing);
        // }else{
        //     leixing=new cc.LabelTTF("游戏类型：益智解密类\n联系QQ：2851537574",getFONT_FZCY_M03SStr(),30);
        //     leixing.attr({
        //         x:spriteWithBg.getContentSize().width/2,
        //         y:spriteWithBg.getContentSize().height/2 - 180,
        //         anchorX:0.5,
        //         anchorY:0.5
        //     });
        //     spriteWithBg.addChild(leixing);
        // }
        }


    //关于我们内容定位
    var scrollHeight=0;
    for(var i=0;i<aboutList.length;i++){
        scrollHeight+=aboutList[i].height+20;
    }

    scrollHeight=Math.max(200,scrollHeight);

    scrollView.setInnerContainerSize(cc.size(450,scrollHeight));

    for(var i=0;i<aboutList.length;i++){
        var item=aboutList[i];
        item.anchorY=1;
        item.x=scrollView.width/2;
        item.y=i==0?scrollHeight:aboutList[i-1].y-aboutList[i-1].height-20;
    }


    //点子背景
    var ideasframe = new cc.Sprite("#make_frame_02.png");
    ideasframe.attr({
        x:spriteWithBg.getContentSize().width/2,
        y:spriteWithBg.getContentSize().height/2 - 50,
        anchorX:0.5,
        anchorY:0.5
    });
    ideasframe.setVisible(false);
    spriteWithBg.addChild(ideasframe);

    var checkpoint = new cc.Sprite("#make_idea_word_level.png");
    checkpoint.attr({
        x:ideasframe.getContentSize().width/2 - 110,
        y:ideasframe.getContentSize().height/2 + 100,
        anchorX:0.5,
        anchorY:0.5
    });
    ideasframe.addChild(checkpoint);

    var name = new cc.Sprite("#make_idea_word_name.png");
    name.attr({
        x:ideasframe.getContentSize().width/2 + 100,
        y:ideasframe.getContentSize().height/2 + 100,
        anchorX:0.5,
        anchorY:0.5
    });
    ideasframe.addChild(name);

    var tableView = new cc.TableView(this, cc.size(450, 220));
    tableView.setDirection(cc.SCROLLVIEW_DIRECTION_VERTICAL);
    tableView.attr({
        x:ideasframe.getContentSize().width/2 - 200,
        y:10,
        anchorX:0.5,
        anchorY:0.5
    });
    tableView.setDelegate(this);
    tableView.setVerticalFillOrder(cc.TABLEVIEW_FILL_TOPDOWN);
    ideasframe.addChild(tableView);
//    tableView.numberOfCellsInTableView(table);
//    tableView.reloadData();

    var ideascontent1 = new cc.Sprite("#make_idea_word_award.png");
    ideascontent1.attr({
        x:ideasframe.getContentSize().width/2,
        y:ideasframe.getContentSize().height/2 + 190,
        anchorX:0.5,
        anchorY:0.5
    });
    ideasframe.addChild(ideascontent1);

    //var ideascontent2 = new cc.Sprite("#make_idea_word_contribute.png");
    //ideascontent2.attr({
    //    x:ideasframe.getContentSize().width/2,
    //    y:ideasframe.getContentSize().height/2 - 220,
    //    anchorX:0.5,
    //    anchorY:0.5
    //});
    //ideasframe.addChild(ideascontent2);


//    var panelDec = new cc.LabelTTF("确认面板2", "", 38);
//    panelDec.x = spriteWithBg.getContentSize().width / 2;
//    panelDec.y = spriteWithBg.getContentSize().height / 2+100;
//    spriteWithBg.addChild(panelDec);

    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_btn_red.png");
    var closeBtn1 = new cc.ControlButton(closeBtn9Sprite);
    closeBtn1.attr({
        width:92,
        height:98,
        x:324-(cc.director.getWinSize().width/2-80),
        y:-10
    });
    closeBtn1.setPreferredSize(cc.size(closeBtn1.width, closeBtn1.height));
    closeBtn1.addTargetWithActionForControlEvents(this, function(){
//        resumeAllNode();
        playEffect(res.BUTTON_SOUNDS);
        if(_type == 1){
            // if(cc.sys.os!="Android"){
            //     commentBtn.setEnabled(true);
            // }
            // feedbackBtn.setEnabled(true);
            musicBtn.setEnabled(true);
            makeBtn.setEnabled(true);
            closeBtn.setEnabled(true);
        }
        this.getParent().getParent().removeFromParent();
    }.bind(closeBtn1), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn1);

    var closeBtnicon = new cc.Sprite("#pause_btn_back.png");
    closeBtnicon.attr({
        x:closeBtn1.getContentSize().width/2 - 1,
        y:closeBtn1.getContentSize().height/2 + 6,
        anchorX:0.5,
        anchorY:0.5
    });
    closeBtn1.addChild(closeBtnicon);
    //超人
    var superman = new cc.Sprite("#make_superman_01.png");
    superman.attr({
        x:spriteWithBg.getContentSize().width,
        y:40,
        anchorX:0.5,
        anchorY:0.5
    });
    spriteWithBg.addChild(superman);
    var animFrames=[];
    for(var i=1;i<=2;i++){
        var frame = cc.spriteFrameCache.getSpriteFrame("make_superman_0"+i+".png");
        animFrames.push(frame);
    }
    var animation = new cc.Animation(animFrames, 0.2);
    superman.runAction(cc.animate(animation).repeatForever());

    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                if(target == aboutBtnF) {
                    playEffect(res.BUTTON_SOUNDS);
                    aboutBtnF.setVisible(false);
                    aboutBtn.setVisible(true);
                    ideasBtnF.setVisible(true);
                    ideasBtn.setVisible(false);
                    scrollView.setVisible(true);
                    ideasframe.setVisible(false);
                    if(mianze){
                        mianze.setVisible(true);
                    }
                    if(leixing){
                        leixing.setVisible(true);
                    }
                    gourd.setPositionX(spriteWithBg.getContentSize().width/2 - 25);
                    return true;
                }
                if(target == ideasBtnF) {
                    playEffect(res.BUTTON_SOUNDS);
                    aboutBtnF.setVisible(true);
                    aboutBtn.setVisible(false);
                    ideasBtnF.setVisible(false);
                    ideasBtn.setVisible(true);
                    scrollView.setVisible(false);
                    ideasframe.setVisible(true);
                    if(mianze){
                        mianze.setVisible(false);
                    }
                    if(leixing){
                        leixing.setVisible(false);
                    }
                    gourd.setPositionX(spriteWithBg.getContentSize().width/2 - 25 + 190);
                    return true;
                }
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, aboutBtnF);
    cc.eventManager.addListener(listener1.clone(), ideasBtnF);
}
var CustomTableViewCell = cc.TableViewCell.extend({
    draw:function (ctx) {
        this._super(ctx);
    }
});
function tableCellSizeForIndex(table, idx) {
    return cc.size(410, 42);
}
function tableCellAtIndex(table, idx,isAbout) {
    var strValue = idx.toFixed(0);
    var checkpointlabel = ["《叫醒史小坑》","《小人逃出》","《蓄钱罐》","《史小坑变帅》","《独轮车》","《打败大只佬》","《追小偷》","《我要回家》","《我要睡觉》","《加油加油》","《愚公移山》","《坑爹填空题》","《冰桶挑战赛》","《坑爹马里奥》","《溺水史小坑》","《拆炸弹》","《欲练此功》","《我要飞得更高》","《广场舞噪音》","《躲开炸弹》"];
    var namelabel = ["OoTAToO","张云涛","20121g040","流星$无情","飞车党。",".","小情绪反反复复作祟、つ","●ロǐ靖`",". ","愿。。。。","西门吹雪","坟上雪","Mr.Leon","蘅芷清芬","Kelly Yap","微笑——面对","樂淘淘","清","元某人","185****5735"];


    var cell = table.dequeueCell();
    if (!cell) {
        cell = new CustomTableViewCell();

        var label = new cc.LabelTTF(checkpointlabel[idx.toFixed(0)], getFONT_FZCY_M03SStr(), 25.0);
        label.x = 0;
        label.y = 0;
        label.anchorX = 0;
        label.anchorY = 0;
        label.tag = 123;
        cell.addChild(label);
        label.color = cc.color(194, 211, 203);

        var label2 = new cc.LabelTTF(namelabel[idx.toFixed(0)], getFONT_FZCY_M03SStr(), 25.0);
        label2.x = 220;
        label2.y = 0;
        label2.anchorX = 0;
        label2.anchorY = 0;
        label2.tag = 321;
        cell.addChild(label2);
        label2.color = cc.color(194, 211, 203);
    }else {
        label = cell.getChildByTag(123);
        label.setString(checkpointlabel[idx.toFixed(0)]);
        label = cell.getChildByTag(321);
        label.setString(namelabel[idx.toFixed(0)]);
    }

    return cell;
}

function numberOfCellsInTableView(table) {
    return 20;
}

function maskPanel(scene)
{
    var size = cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,10), size.width, size.height);
    setPanelAppearAnimation(bg);
    scene.addChild(bg, 1000);
    bg.setTag(1000);

    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);
}

function showNormalGameOverPanel(scene, score, passionLevel,normalGameLevel)
{

    pauseAllNode();
    stopAllEffect();
    stopBackgroundMusic();
    playEffect("res/music/normal_success.mp3");

    // showFullScreenAd("over");


    if(isMobile()) {
        var testJSB = new JSB.JSBinding();
        testJSB.retain();
        testJSB.uploadPassionLevelToUmeng(1, normalGameLevel, 2);
        testJSB.release();
    }


    cc.log("now score is:"+score +"now level is:"+normalGameLevel);

    var size = cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    scene.addChild(bg, 1000);
    bg.setTag(1000);


    var spriteWithBg = new cc.Sprite("#win_frame.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2;
    bg.addChild(spriteWithBg);

    //评价
    var appraise=new cc.LabelTTF("您的评级：",getFONT_FZCY_M03SStr(),35);
    appraise.attr({
        anchorX:1,
        x:spriteWithBg.getBoundingBox().width/2-20,
        y:305,
        color:cc.color(160,200,238)
    });
    spriteWithBg.addChild(appraise);

    //赚得金币
    var earnCoins=new cc.LabelTTF("赚得金币：",getFONT_FZCY_M03SStr(),35);
    earnCoins.attr({
        anchorX:1,
        x:spriteWithBg.getBoundingBox().width/2-20,
        y:240,
        color:cc.color(160,200,238)
    });
    spriteWithBg.addChild(earnCoins);

    var normal_gold_icon=new cc.Sprite("#normal_game_win_gold_icon.png");
    normal_gold_icon.attr({
        anchorX:0,
        x:spriteWithBg.getBoundingBox().width/2-10,
        y:240
    });
    spriteWithBg.addChild(normal_gold_icon);

    var normal_X=new cc.Sprite("#normal_game_win_x.png");
    normal_X.attr({
        anchorX:0,
        x:spriteWithBg.getBoundingBox().width/2+40,
        y:240
    });
    spriteWithBg.addChild(normal_X);

    var lbGold=new cc.LabelTTF("0",getFONT_FZCY_M03SStr(),60);
    lbGold.attr({
        anchorX:0,
        x:spriteWithBg.getBoundingBox().width/2+65,
        y:245,
        color:cc.color(240,218,48)
    });
    spriteWithBg.addChild(lbGold);

    //下一等级所需分数
    var needScoreBg=new cc.Sprite("#normal_game_next_frame.png");
    needScoreBg.attr({
        x:spriteWithBg.getBoundingBox().width/2,
        y:180
    });
    spriteWithBg.addChild(needScoreBg);

    var lbNeedScore=new cc.LabelTTF("下一等级所需分数：",getFONT_FZCY_M03SStr(),30);
    lbNeedScore.attr({
        x:spriteWithBg.getBoundingBox().width/2,
        y:180,
        color:cc.color(36,180,218)
    });
    spriteWithBg.addChild(lbNeedScore);


    var normal_key=[NORMAL_GAME_STATUS_1,NORMAL_GAME_STATUS_2,NORMAL_GAME_STATUS_3,NORMAL_GAME_STATUS_4];

    //得到金币
    var goldArr=[1,2,3,5,8,10,15];
    var levelArr=["f","e","d","c","b","a","s"];
    cc.loader.loadTxt("res/normalGameConfig.csv",function(err,data){
        if(err)return;
        var gameLevel = CSVToArray(data, ",")[normalGameLevel],
            _gold= 0,
            curLevel,
            lbLevel;

        for(var i=2;i<gameLevel.length;i++){
            if(score==0){
                //评价
                curLevel=levelArr[i-2];
                lbLevel=new cc.Sprite("#normal_game_grade_"+curLevel+".png");

                //所需分数
                lbNeedScore.setString("下一等级所需分数："+gameLevel[i]);

                break;
            }
            else if(score<gameLevel[i]){
                cc.log("获得金币："+goldArr[i-2]);
                _gold=goldArr[i-2];

                //评价
                curLevel=levelArr[i-2];
                lbLevel=new cc.Sprite("#normal_game_grade_"+curLevel+".png");

                //所需分数
                lbNeedScore.setString("下一等级所需分数："+gameLevel[i]);


                break;
            }else if(score>=gameLevel[gameLevel.length-1]){
                cc.log("获得金币："+goldArr[goldArr.length-1]);
                _gold=goldArr[goldArr.length-1];

                //评价
                curLevel=levelArr[levelArr.length-1];
                lbLevel=new cc.Sprite("#normal_game_grade_"+curLevel+".png");

                //所需分数
                if(parseFloat(cc.sys.localStorage.getItem(normal_key[normalGameLevel-1]).split(",")[0] || 0)<score.toFixed(1)) {
                    lbNeedScore.setString("当前分数是最高分数");
                }else{
                    var differ=parseFloat(cc.sys.localStorage.getItem(normal_key[normalGameLevel-1]).split(",")[0] || 0)-score.toFixed(1);
                    lbNeedScore.setString("还差"+differ.toFixed(1)+"分就超越最高分数了");
                }


                break;
            }
        }

        lbLevel.attr({
            anchorX:0,
            x:spriteWithBg.getBoundingBox().width/2-5,
            y:305
        });
        spriteWithBg.addChild(lbLevel);

        lbGold.string=_gold;

        if(parseFloat(cc.sys.localStorage.getItem(normal_key[normalGameLevel-1]).split(",")[0] || 0)<score.toFixed(1)){
            cc.sys.localStorage.setItem(normal_key[normalGameLevel-1],score.toFixed(1)+","+curLevel);
        }

        if(parseInt(_gold)>0){
            setGold(parseInt(getGold() || 0) + _gold);

            ShowGoldChange(scene,("+"+_gold));
        }
    });

  //(::)改包名去掉分享
    //炫耀按钮
    if(isUC!=1 && isReview!=1 && isOpenShare=="true"){
    if(isChangeName!=1){
        var flauntBtn9Sprite=new cc.Scale9Sprite("com_btn_blue.png");
        var flauntBtn = new cc.ControlButton(flauntBtn9Sprite);
        flauntBtn.attr({
            width:92,
            height:98,
            x:spriteWithBg.getContentSize().width/2-150+50,
            y:spriteWithBg.getContentSize().height/2-100
        });
        flauntBtn.setPreferredSize(cc.size(flauntBtn.width, flauntBtn.height));
        flauntBtn.addTargetWithActionForControlEvents(this, function(){
            playEffect(res.BUTTON_SOUNDS);

            cc.log(normalGameLevel + " my passionLevel: ");
            var shareWord = "";
            if(normalGameLevel == 1){
                shareWord = "咬死史小坑，花样作死" + score + "次！";
            }else if(normalGameLevel == 2){
                shareWord = "真·穿越火线，是男人就超越" + score.toFixed(1) + "秒！";
            }else if(normalGameLevel == 3){
                shareWord = "钢丝诱惑，你们的手速能过" + score + "个吗？";
            }else if(normalGameLevel == 4){
                shareWord = "学厨师，到坑爹厨房！轻松切出" + score + "棵菜。";
            }


            if(isMobile()) {
                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.showWCImageContent(_arr[passionLevel - 1][0], 5, shareWord, 0);
                testJSB.release();
            }


        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        spriteWithBg.addChild(flauntBtn);

        var flaunt_icon = new cc.Sprite("#win_btn_flaunt_icon.png");
        flaunt_icon.x = flauntBtn.width/2-5;
        flaunt_icon.y = flauntBtn.height/2+5;
        flauntBtn.addChild(flaunt_icon);
    }
    }





    //返回转盘
    var spriteWithhomeBtn = new cc.Sprite("#com_btn_blue.png");
    var scale9SpriteWithhomeBtn = new cc.Scale9Sprite("com_btn_blue.png");
    var homeBtn = new cc.ControlButton(scale9SpriteWithhomeBtn);
    homeBtn.setPreferredSize(cc.size(spriteWithhomeBtn.width, spriteWithhomeBtn.height));
    homeBtn.addTargetWithActionForControlEvents(this, function(){
        setIsPauseGame(0);
        pauseAllEffect();
        pauseBackgroundMusic();
        playEffect(res.BUTTON_SOUNDS);

//        resumeAllNode();
        pauseAllNode();

        ShowNormalGame(this.getParent().getParent().getParent(), passionLevel,_arr);

    }.bind(homeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    homeBtn.x = spriteWithBg.getContentSize().width/2-50+50;
    homeBtn.y = spriteWithBg.getContentSize().height/2-100;
    homeBtn.setTag(1006);
    spriteWithBg.addChild(homeBtn);

    var spriteWithhome = new cc.Sprite("res/normal_game/normal_game_pause_btn_back_icon.png");
    spriteWithhome.x = homeBtn.width/2-5;
    spriteWithhome.y = homeBtn.height/2+9;
    homeBtn.addChild(spriteWithhome);




//广告按钮
    if(getLauchCheck()==0&& getAd_Title5_Text() != "") {
        var spriteWithremoveAdBtn = new cc.Sprite("#com_btn_blue.png");
        var scale9SpriteWithremoveAdBtn = new cc.Scale9Sprite("com_btn_blue.png");
        var removeAdBtn = new cc.ControlButton(scale9SpriteWithremoveAdBtn);
        removeAdBtn.setPreferredSize(cc.size(spriteWithremoveAdBtn.width, spriteWithremoveAdBtn.height));
        removeAdBtn.addTargetWithActionForControlEvents(this, function () {
            playEffect(res.BUTTON_SOUNDS);
            if(isMobile()) {
                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.openUrl(6, 1, getAd_Title5_URL());
                testJSB.release();
            }
//        var testJSB = new JSB.JSBinding();
//        testJSB.retain();
//        testJSB.purchase5();
//        testJSB.purchaseCallBack = function(i,j){
//            frame.getParent().getParent().getChildByTag(1000).removeFromParent();
//        };
//        testJSB.purchaseCallBack2 = function(i,j){
//            frame.getParent().getParent().getChildByTag(1000).removeFromParent();
//            cc.log("remove1111");
//        };

            //            this.parent.callOutremoveAdPanel();
        }.bind(removeAdBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        removeAdBtn.x = spriteWithBg.getContentSize().width / 2 + 50 + 50;
        removeAdBtn.y = spriteWithBg.getContentSize().height / 2 - 100;
        removeAdBtn.setTag(1006);

        var failADTitle = new cc.LabelTTF(getAd_Title5_Text(),getFONT_FZCY_M03SStr(),30);
        failADTitle.x = removeAdBtn.width/2-5;
        failADTitle.y = removeAdBtn.height/2+7;
        removeAdBtn.addChild(failADTitle);


        spriteWithBg.addChild(removeAdBtn);
    }

//    var spriteWithremoveAd = new cc.Sprite("#pause_btn_AD.png");
//    spriteWithremoveAd.x = removeAdBtn.width/2-5;
//    spriteWithremoveAd.y = removeAdBtn.height/2+10;
//    removeAdBtn.addChild(spriteWithremoveAd);




//    var sendGold  = new cc.Sprite(res.game_send_gold);
//    sendGold.attr({
//        x:flauntBtn.width/2+30,
//        y:flauntBtn.height/2+40
//    });
//    flauntBtn.addChild(sendGold);
//    sendGold.runAction(cc.sequence(cc.scaleTo(0.3,1.15),cc.scaleTo(0.3,1)).repeatForever());


    //再玩一次按钮
//    var againBtn9Sprite=new cc.Scale9Sprite("com_btn_blue.png");
//    var againBtn = new cc.ControlButton(againBtn9Sprite);
//    againBtn.attr({
//        width:92,
//        height:98,
//        x:spriteWithBg.getContentSize().width/2-65,
//        y:spriteWithBg.getContentSize().height/2-100
//    });
//    againBtn.setPreferredSize(cc.size(againBtn.width, againBtn.height));
//    againBtn.addTargetWithActionForControlEvents(this, function(){
//        playEffect(res.BUTTON_SOUNDS);
//        this.getParent().getParent().getParent().removeFromParent();
//    }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//    spriteWithBg.addChild(againBtn);
//
//    var again_icon = new cc.Sprite("#win_btn_again_icon.png");
//    again_icon.x = againBtn.width/2-5;
//    again_icon.y = againBtn.height/2+5;
//    againBtn.addChild(again_icon);


    //下一关按钮
//    var resumeBtn9Sprite=new cc.Scale9Sprite("com_btn_blue.png");
//    var resumeBtn = new cc.ControlButton(resumeBtn9Sprite);
//    resumeBtn.attr({
//        width:92,
//        height:98,
//        x:spriteWithBg.getContentSize().width/2+40,
//        y:spriteWithBg.getContentSize().height/2-100
//    });
//    resumeBtn.setPreferredSize(cc.size(resumeBtn.width, resumeBtn.height));
//    resumeBtn.addTargetWithActionForControlEvents(this, function(){
//        playEffect(res.BUTTON_SOUNDS);
//
//        if(curLevel<24){
//            jumpToSceneByLevel(curLevel+1, _arr);
//        }else{
//            cc.director.runScene(new PassionScene(null, 24));
//        }
//
//    }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//    spriteWithBg.addChild(resumeBtn);
//
//    var resume_icon = new cc.Sprite("#win_btn_resume_icon.png");
//    resume_icon.x = resumeBtn.width/2;
//    resume_icon.y = resumeBtn.height/2+5;
//    resumeBtn.addChild(resume_icon);








    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_btn_purple.png");
    closeBtn = new cc.ControlButton(closeBtn9Sprite);
    closeBtn.attr({
        width:86,
        height:86,
        x:spriteWithBg.getContentSize().width/2+270,
        y:spriteWithBg.getContentSize().height/2+150
    });
    closeBtn.setPreferredSize(cc.size(closeBtn.width, closeBtn.height));
    closeBtn.addTargetWithActionForControlEvents(this, function(){
        playEffect(res.BUTTON_SOUNDS);
        cc.log("close the fail panel");
        resumeAllNode();
//        this.getParent().getParent().getParent().removeFromParent();

        var curLevel=0;
        for(var i=0;i<_arr.length;i++) {
            if (_arr[i][0] == passionLevel) {
                curLevel=i+1;
            }
        }

                                                 cc.log("current level2:"+passionLevel);
        jumpToSceneByLevel(curLevel, _arr, 1);

    }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn);

    var close_icon=new cc.Sprite("#com_btn_purple_close.png");
    close_icon.attr({
        x:closeBtn.getBoundingBox().width/2-4,
        y:closeBtn.getBoundingBox().height/2+8
    });
    closeBtn.addChild(close_icon);




    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();
            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);

}


function UnlockBuyPanel(yourScene) {  //全关卡解锁

    var size=cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);
    var spriteWithBg = new cc.Sprite("res/jihuozhengban.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2;
    bg.addChild(spriteWithBg);

//    var panelDec = new cc.Sprite("#unlock_title.png");
//    panelDec.x = spriteWithBg.getContentSize().width / 2;
//    panelDec.y = spriteWithBg.getContentSize().height / 2+168;
//    spriteWithBg.addChild(panelDec);

//    //消息
//    var panelWord=new cc.Sprite("#unlock_word.png");
//    panelWord.attr({
//        x:spriteWithBg.getContentSize().width/2,
//        y:spriteWithBg.getContentSize().height/2+20
//    });
//    spriteWithBg.addChild(panelWord);
//
//    var rmbStr = "";
//    if(cc.sys.os == "iOS"){
//        rmbStr = "6";
//    }else{
//        rmbStr = "4";
//    }
//    var labelForRMB = new cc.LabelTTF(rmbStr, getFONT_FZCY_M03SStr(), 30);
//    labelForRMB.x = 20;
//    labelForRMB.y = 75;
//    labelForRMB.color = cc.color(10, 72, 101);
//    panelWord.addChild(labelForRMB);
    
    

    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_CPM_btn_close.png");
    var closeBtn = new cc.ControlButton(closeBtn9Sprite);
    closeBtn.attr({
        x:spriteWithBg.getContentSize().width/2+262,
        y:spriteWithBg.getContentSize().height/2+138
    });
    closeBtn.setPreferredSize(cc.size(44, 44));
    closeBtn.addTargetWithActionForControlEvents(this, function(){
        playEffect(res.BUTTON_SOUNDS);

        this.getParent().getParent().removeFromParent();
    }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn);


    
    //激活正版的确认按钮
    var affirmBtn9Sprite=new cc.Scale9Sprite("res/jihuozhengban_buy.png");
    var affirmBtn = new cc.ControlButton(affirmBtn9Sprite);
    affirmBtn.attr({
        width:190,
        height:76,
        x:spriteWithBg.getContentSize().width/2,
        y:spriteWithBg.getContentSize().height/2-126
    });
    affirmBtn.setPreferredSize(cc.size(affirmBtn.width, affirmBtn.height));
    affirmBtn.addTargetWithActionForControlEvents(this, function(){
        playEffect(res.BUTTON_SOUNDS);
        //解锁全部关卡
        //坑5里面用不知道要不要加
//        if(cc.sys.os=="iOS" || cc.sys.os == cc.sys.OS_ANDROID){
//
//            var size = cc.director.getWinSize();
//            var bgForAffirm = new cc.Layer();
//            bgForAffirm.setContentSize(this.getParent().width, this.getParent().height);
//            this.getParent().addChild(bgForAffirm, 1000);
//            bgForAffirm.setTag(1000);
//
//            var listener1 = cc.EventListener.create({
//                event: cc.EventListener.TOUCH_ONE_BY_ONE,
//                swallowTouches: true,
//                onTouchBegan: function (touch, event) {
//                    cc.log("begin");
//                    var target = event.getCurrentTarget();
//
//                    var locationInNode = target.convertToNodeSpace(touch.getLocation());
//                    var s = target.getContentSize();
//                    var rect = cc.rect(0, 0, s.width, s.height);
//
//                    if (cc.rectContainsPoint(rect, locationInNode)) {
//                        cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
//                        return true;
//                    }
//                    return false;
//                },
//                onTouchMoved: function (touch, event) {
//
//                },
//                onTouchEnded: function (touch, event) {
//                    cc.log("end");
//                }
//            });
//            cc.eventManager.addListener(listener1, bgForAffirm);


        if(isMobile()) {
            payFn = function () {
                cc.director.runScene(new PassionScene());
            }

            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            testJSB.purchase6();
            testJSB.release();
        }
    }.bind(affirmBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(affirmBtn);

//    var affirm_icon = new cc.Sprite("#unlock_buy_icon.png");
//    affirm_icon.attr({
//        x:affirmBtn.getBoundingBox().width/2,
//        y:affirmBtn.getBoundingBox().height/2
//    });
//    affirmBtn.addChild(affirm_icon);


    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);


}


function ShowGoldChange(yourScene,gold,delay){

    var curScene=cc.director.getRunningScene();

    var winSize=cc.director.getWinSize();

    delay=delay?delay:0.0001;
    var word=new cc.LabelTTF(String(gold),getFONT_FZCY_M03SStr(),70);
    word.attr({
        x:winSize.width+100,
        y:-100,
        color:cc.color(220,220,0),
        scale:1.5
    });
    curScene.addChild(word,1111);
    word.runAction(cc.sequence(
        cc.delayTime(delay),
        cc.spawn(
            cc.moveTo(0.7,cc.p(100,winSize.height-50)),
            cc.scaleTo(0.7,1)
        ),
        cc.delayTime(0.2),
        cc.fadeOut(0.6),
        cc.callFunc(function(){
            word.removeFromParent();
        },this)
    ));

    var layers=curScene.getChildren();
    for(var i= 0,len=layers.length;i<len;i++){
        if(layers[i].refreshWithGold)layers[i].refreshWithGold();
    }
}


//显示点子征集信息
function showIdeaCollection(yourScene){

    var size=cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    yourScene.addChild(bg, 1000);

    var spriteWithBg = new cc.Sprite("#setting_frame.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2;
    bg.addChild(spriteWithBg);

    //标题文字
    var panelTitleWord="点子征集";
    var panelTitle=new cc.LabelTTF(panelTitleWord,getFONT_FZCY_M03SStr(),30);
    panelTitle.attr({
        x:spriteWithBg.getContentSize().width / 2+5,
        y:spriteWithBg.getContentSize().height / 2+173,
        color:cc.color(23,132,113)
    });
    spriteWithBg.addChild(panelTitle);

    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_btn_purple.png");
    closeBtn = new cc.ControlButton(closeBtn9Sprite);
    closeBtn.attr({
        width:86,
        height:86,
        x:spriteWithBg.getContentSize().width/2+270,
        y:spriteWithBg.getContentSize().height/2+150
    });
    closeBtn.setPreferredSize(cc.size(closeBtn.width, closeBtn.height));
    closeBtn.addTargetWithActionForControlEvents(this, function(){
        playEffect(res.BUTTON_SOUNDS);
        bg.removeFromParent();
    }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn);

    var close_icon=new cc.Sprite("#com_btn_purple_close.png");
    close_icon.attr({
        x:closeBtn.getBoundingBox().width/2-3,
        y:closeBtn.getBoundingBox().height/2+4
    });
    closeBtn.addChild(close_icon);


    //内容
    var ideaTxt=new cc.Sprite(res.ideaTxt);
    ideaTxt.attr({
        x:spriteWithBg.width/2,
        y:spriteWithBg.height/2+40
    });
    spriteWithBg.addChild(ideaTxt);

    var txtWord=new cc.LabelTTF("点子成功收录\n将获得　　　元现金奖励！",getFONT_FZCY_M03SStr(),24,cc.size(320,80),cc.TEXT_ALIGNMENT_CENTER);
    txtWord.attr({
        x:spriteWithBg.width/2,
        y:spriteWithBg.height/2-80,
        color:cc.color(255,255,255)
    });
    spriteWithBg.addChild(txtWord);

    var goldNum=new cc.LabelTTF("200",getFONT_FZCY_M03SStr(),26);
    goldNum.attr({
        x:spriteWithBg.width/2-37,
        y:spriteWithBg.height/2-82,
        color:cc.color(227,65,70)
    });
    spriteWithBg.addChild(goldNum);



    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);
}


//显示点子征集信息
function showCommunity(){

    var size=cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    cc.director.getRunningScene().addChild(bg, 1000);

    var spriteWithBg = new cc.Sprite("#setting_frame.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2;
    bg.addChild(spriteWithBg);

    //标题文字
    var panelTitleWord="社 区";
    var panelTitle=new cc.LabelTTF(panelTitleWord,getFONT_FZCY_M03SStr(),30);
    panelTitle.attr({
        x:spriteWithBg.getContentSize().width / 2+5,
        y:spriteWithBg.getContentSize().height / 2+173,
        color:cc.color(23,132,113)
    });
    spriteWithBg.addChild(panelTitle);

    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_btn_purple.png");
    var closeBtn = new cc.ControlButton(closeBtn9Sprite);
    closeBtn.attr({
        width:86,
        height:86,
        x:spriteWithBg.getContentSize().width/2+270,
        y:spriteWithBg.getContentSize().height/2+150
    });
    closeBtn.setPreferredSize(cc.size(closeBtn.width, closeBtn.height));
    closeBtn.addTargetWithActionForControlEvents(this, function(){
        playEffect(res.BUTTON_SOUNDS);
        bg.removeFromParent();
    }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn);

    var close_icon=new cc.Sprite("#com_btn_purple_close.png");
    close_icon.attr({
        x:closeBtn.getBoundingBox().width/2-3,
        y:closeBtn.getBoundingBox().height/2+4
    });
    closeBtn.addChild(close_icon);


    var txt="暂 无 信 息";
    getOnlineData("communityMsg",txt,function(data){
        if(typeof data!=="string")return;
        var arr=data.split("|");

        var wordList=[];
        for(var i=0;i<arr.length;i++){
            var words=arr[i].split(",");
            for(var j=0;j<words.length;j++){
                if(words[j]=="") continue;
                var word=new cc.LabelTTF(words[j],getFONT_FZCY_M03SStr(),j==0?24:20);
                word.attr({
                    color:j==0?cc.color(156,255,210):cc.color(255,255,255)
                });
                spriteWithBg.addChild(word);
                wordList.push(word);

                //内容已经达到区域最大显示条数跳出
                if(wordList.length>=8)break;
            }
        }

        for(var i=0;i<wordList.length;i++){
            if(wordList.length==1){
                wordList[i].attr({
                    color:cc.color(255,255,255),
                    fontSize:40
                });
            }
            wordList[i].attr({
                x:spriteWithBg.width/2,
                y:spriteWithBg.height/2-30-(i-wordList.length/2+0.5)*40
            })
        }
    });

    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);
}


//显示购买攻略成功提示
function showStrategyMsg(){

    var size=cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    cc.director.getRunningScene().addChild(bg, 1000);

    var spriteWithBg = new cc.Sprite("#setting_frame.png");
    spriteWithBg.x = size.width/2;
    spriteWithBg.y = size.height/2;
    bg.addChild(spriteWithBg);

    //标题文字
    var panelTitleWord="提 示";
    var panelTitle=new cc.LabelTTF(panelTitleWord,getFONT_FZCY_M03SStr(),30);
    panelTitle.attr({
        x:spriteWithBg.getContentSize().width / 2+5,
        y:spriteWithBg.getContentSize().height / 2+173,
        color:cc.color(23,132,113)
    });
    spriteWithBg.addChild(panelTitle);

    //关闭按钮
    var closeBtn9Sprite=new cc.Scale9Sprite("com_btn_purple.png");
    var closeBtn = new cc.ControlButton(closeBtn9Sprite);
    closeBtn.attr({
        width:86,
        height:86,
        x:spriteWithBg.getContentSize().width/2+270,
        y:spriteWithBg.getContentSize().height/2+150
    });
    closeBtn.setPreferredSize(cc.size(closeBtn.width, closeBtn.height));
    closeBtn.addTargetWithActionForControlEvents(this, function(){
        playEffect(res.BUTTON_SOUNDS);
        bg.removeFromParent();
    }.bind(closeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    spriteWithBg.addChild(closeBtn);

    var close_icon=new cc.Sprite("#com_btn_purple_close.png");
    close_icon.attr({
        x:closeBtn.getBoundingBox().width/2-3,
        y:closeBtn.getBoundingBox().height/2+4
    });
    closeBtn.addChild(close_icon);

    var word=new cc.LabelTTF("获得全套攻略，请点击关卡中攻略按钮查看攻略！",getFONT_FZCY_M03SStr(),30,cc.size(400,300),cc.TEXT_ALIGNMENT_CENTER,cc.TEXT_ALIGNMENT_CENTER);
    word.attr({
        color:cc.color(255,255,255),
        x:spriteWithBg.width/2,
        y:spriteWithBg.height/2-10
    });
    spriteWithBg.addChild(word);

    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            cc.log("begin");
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
            cc.log("end");
        }
    });
    cc.eventManager.addListener(listener1, bg);
}

//显示新手礼包
function showNovicePackage(){
    var size=cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    cc.director.getRunningScene().addChild(bg, 1000);
    addSwallowTouch(bg);

    var frame = new cc.Sprite("#xinshou_bg.png");
    frame.x = size.width/2;
    frame.y = size.height/2;
    bg.addChild(frame);

    var closeBtn=createButton("#market_Android_btn_close.png");
    closeBtn.attr({x:517.4,y:308});
    frame.addChild(closeBtn);
    closeBtn.callback=function(){
        bg.removeFromParent();
    };

    //去除广告提示
    isOpenAd("outAdTips",function (b) {
        if(b){
            var outAdTips=new cc.Sprite(res.outAdTips);
            outAdTips.attr({
                x:bg.width/2,
                y:bg.height/2-220,
            });
            bg.addChild(outAdTips);
        }
    });

    var buyBtn=createButton("#market_Android_buy.png");
    buyBtn.attr({x:284.4,y:85});
    frame.addChild(buyBtn);
    buyBtn.callback=function(){
        bg.removeFromParent();

        if (isMobile()) {
            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            testJSB.purchase(1006);
            testJSB.release();
        }
    }
}

//显示高手礼包
function showMasterPackage(){
    var size=cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
    setPanelAppearAnimation(bg);
    cc.director.getRunningScene().addChild(bg, 1000);
    addSwallowTouch(bg);

    var frame = new cc.Sprite("#gaoshou_bg.png");
    frame.x = size.width/2;
    frame.y = size.height/2;
    bg.addChild(frame);

    var closeBtn=createButton("#market_Android_btn_close.png");
    closeBtn.attr({x:517.4,y:308});
    frame.addChild(closeBtn);
    closeBtn.callback=function(){
        bg.removeFromParent();
    };

    //去除广告提示
    isOpenAd("outAdTips",function (b) {
        if(b){
            var outAdTips=new cc.Sprite(res.outAdTips);
            outAdTips.attr({
                x:bg.width/2,
                y:bg.height/2-220,
            });
            bg.addChild(outAdTips);
        }
    });

    var buyBtn=createButton("#market_Android_buy.png");
    buyBtn.attr({x:284.4,y:85});
    frame.addChild(buyBtn);
    buyBtn.callback=function(){
        bg.removeFromParent();

        if (isMobile()) {
            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            testJSB.purchase(1007);
            testJSB.release();
        }
    }
}

//显示原生广告
function showNativeAd(data) {
    //原生广告展示界面
    cc.log("-----------------进入展示原生广告方法");
    var nativeFrame=createButton(res.nativeFrame);
    nativeFrame.callback=function(){
        if(isMobile()){
            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            testJSB.clickNativeAd();
            testJSB.release();
        }
    };

        cc.log("----------原生广告Icon路径："+data[0]);

        cc.loader.loadImg(data[0],function(err,res){
            if(err){
                try {
                    //原生广告icon
                    var texture = cc.textureCache.addImage(data[0]);
                    cc.log("-------:"+texture);
                    var nativeIcon = new cc.Sprite(texture);
                    nativeIcon.attr({
                        x: nativeFrame.width / 2 - 140,
                        y: nativeFrame.height / 2 - 30,
                        scale: 72/nativeIcon.width
                    });
                    nativeFrame.addChild(nativeIcon);
                }catch(e){
                    cc.log("---------:"+e);
                }

                cc.log("---------:读取本地Icon");
                return;
            }

            cc.log("-----------img:"+res);

            try {
                //原生广告icon
                var spr = new cc.Sprite(res);
                var nativeIcon = new cc.Sprite(res);
                nativeIcon.attr({
                    x: nativeFrame.width / 2 - 140,
                    y: nativeFrame.height / 2 - 30,
                    scale: 72/nativeIcon.width
                });
                nativeFrame.addChild(nativeIcon);
            }catch(e){
                cc.log(e);
            }

        });

    //原生广告标题
    var nativeTitle=new cc.LabelTTF(data[1],"",16);
    nativeTitle.setColor(cc.color(255,255,255,0));
    nativeTitle.attr({
        anchorX:0,
        x:nativeFrame.width/2-80,
        y:nativeFrame.height/2-18
    });
    nativeFrame.addChild(nativeTitle);

    //原生广告内容
    var nativeContent=new cc.LabelTTF(data[2],"",16);
    nativeTitle.setColor(cc.color(255,255,255,0));
    nativeContent.attr({
        anchorX:0,
        x:nativeFrame.width/2-80,
        y:nativeFrame.height/2-42
    });
    nativeFrame.addChild(nativeContent);

    return nativeFrame;
}

function closeNativeAd() {
    if(isMobile()){
        var testJSB = new JSB.JSBinding();
        testJSB.retain();
        testJSB.closeNativeAd();
        testJSB.release();
    }
}