/**
 * Created by eeee on 18/3/7.
 */

var ShowMarketLayer=cc.Layer.extend({
    pauseMaskBg:null,
    pauseMaskBg2:null,
    selectnum:null,
    ctor:function()
    {
        this._super();
        this.init();

    },
    onExit:function(){
        this._super();
        //resumeAllNode();
    },
    init:function()
    {
        var _this=this;


        //selectnum=1;
        cc.spriteFrameCache.addSpriteFrames(res.marketios_plist);
        cc.spriteFrameCache.addSpriteFrames(res.marketandroid_plist);

        setPanelAppearAnimation(_this);

        var winsize=cc.director.getWinSize();
        var pauseMaskBg = new cc.LayerColor(cc.color(0,0,0,150),winsize.width, winsize.height);
        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                cc.log("begin");
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                    return true;
                }
                return false;
            },
            onTouchMoved: function (touch, event) {

            },
            onTouchEnded: function (touch, event) {
                cc.log("end");
            }
        });
        cc.eventManager.addListener(listener1, pauseMaskBg);

        this.addChild(pauseMaskBg,100);

        var btnList=[];
        if(cc.sys.os == "Android")///android/i.test(navigator.userAgent)
        {
//            var selectnum=1;
            var frame=new cc.Sprite("#market_Android_frame.png");
            frame.setPosition(winsize.width/2,winsize.height/2);
            pauseMaskBg.addChild(frame);
            cc.log("abc1");

            var spriteWithcloseBtn =new cc.Sprite("#market_Android_btn_close.png");//market_ios_btn_close.png
            cc.log("abc2");
            var scale9SpriteWithcloseBtn =new cc.Scale9Sprite("market_Android_btn_close.png");
            var returnBtn = new cc.ControlButton(scale9SpriteWithcloseBtn);
            returnBtn.setPreferredSize(cc.size(spriteWithcloseBtn.width, spriteWithcloseBtn.height));
            returnBtn.addTargetWithActionForControlEvents(this, function(){
                playEffect(res.BUTTON_SOUNDS);
                pauseMaskBg.removeFromParent();
                cc.log("close");
            }.bind(returnBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            returnBtn.x = frame.getPositionX()+frame.getContentSize().width*0.42;//
            returnBtn.y = frame.getPositionY()+frame.getContentSize().height*0.38;//
            returnBtn.setTag(1006);
            pauseMaskBg.addChild(returnBtn);
            cc.log("abc2");
            //titleframe
            var titleframe=new cc.Sprite("#market_Android_title_frame.png");
            titleframe.setPosition(frame.getContentSize().width/2,frame.getContentSize().height*0.99);
            frame.addChild(titleframe);
            //titleframeword
//            var titleframeword=new cc.Sprite(res.market_ios_title_word);
            var titleframeword=new cc.Sprite("#market_Android_title_word.png");
            titleframeword.setPosition(titleframe.getContentSize().width/2,titleframe.getContentSize().height*0.4);
            titleframe.addChild(titleframeword);
            cc.log("abc3");
            //money2bg
            var money2bg=new cc.Sprite("#market_Android_selecte_01.png");
            money2bg.setPosition(frame.getContentSize().width*0.18,frame.getContentSize().height*0.68);
            frame.addChild(money2bg);



            //money100
            var spriteWithmoney100Btn =new cc.Sprite("#market_Android_gold_frame.png");
            var scale9SpriteWithmoney100Btn =new cc.Scale9Sprite("market_Android_gold_frame.png");
            var money100Btn = new cc.ControlButton(scale9SpriteWithmoney100Btn);
            money100Btn.setPreferredSize(cc.size(spriteWithmoney100Btn.width, spriteWithmoney100Btn.height));
            money100Btn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
//                selectnum=1;
                money2bg.setPosition(money100Btn.getPosition());
                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase(1);
                testJSB.release();
                cc.log("money100");
//                pauseMaskBg.removeFromParent();
            }.bind(money100Btn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            money100Btn.x = frame.getContentSize().width*0.18;
            money100Btn.y = frame.getContentSize().height*0.68;
            money100Btn.setTag(1006);
            frame.addChild(money100Btn);
            cc.log("abc4");
            //money1sprite
            var money100sprite=new cc.Sprite("#market_Android_gold_icon_100.png");
            money100sprite.setPosition(spriteWithmoney100Btn.width*0.48, spriteWithmoney100Btn.height*0.7);
            money100Btn.addChild(money100sprite);
            //money1label
            var money100label = cc.LabelTTF.create("100",getFONT_FZCY_M03SStr(),24);
            money100label.setPosition(spriteWithmoney100Btn.width*0.26, spriteWithmoney100Btn.height*0.26);
            money100label.setColor(cc.color(229,70,70));
            money100Btn.addChild(money100label);
            var money100label2 = cc.LabelTTF.create("金币",getFONT_FZCY_M03SStr(),24);
            money100label2.setPosition(spriteWithmoney100Btn.width*0.66, spriteWithmoney100Btn.height*0.26);
            money100label2.setColor(cc.color(99,21,1));
            money100Btn.addChild(money100label2);
            //rmblabel
            var rmblabel100 = cc.LabelTTF.create("1元",getFONT_FZCY_M03SStr(),28);
            rmblabel100.setPosition(money100Btn.width*0.49, -money100Btn.height*0.11);
            rmblabel100.setColor(cc.color(99,21,1));
            money100Btn.addChild(rmblabel100);

            //money300
            var spriteWithmoney300Btn =new cc.Sprite("#market_Android_gold_frame.png");
            var scale9SpriteWithmoney300Btn =new cc.Scale9Sprite("market_Android_gold_frame.png");
            var money300Btn = new cc.ControlButton(scale9SpriteWithmoney300Btn);
            money300Btn.setPreferredSize(cc.size(spriteWithmoney300Btn.width, spriteWithmoney300Btn.height));
            money300Btn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
                money2bg.setPosition(money300Btn.getPosition());

                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase(2);
                testJSB.release();

            }.bind(money300Btn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            money300Btn.x = frame.getContentSize().width*0.38;
            money300Btn.y = frame.getContentSize().height*0.68;
            money300Btn.setTag(1006);
            frame.addChild(money300Btn);

            if(getChannel()!="wo") {
                var money2_word3 = new cc.LabelTTF("赠10", getFONT_FZCY_M03SStr(), 20);
                money2_word3.attr({
                    x: money300Btn.width / 2 - 30,
                    y: 110,
                    color: cc.color(162, 20, 13)
                });
                money300Btn.addChild(money2_word3);
            }

            //money1sprite
            var money300sprite=new cc.Sprite("#market_Android_gold_icon_200.png");
            money300sprite.setPosition(spriteWithmoney300Btn.width*0.48, spriteWithmoney300Btn.height*0.7);
            money300Btn.addChild(money300sprite);
            //money1label
            var money300label = cc.LabelTTF.create("200",getFONT_FZCY_M03SStr(),24);
            money300label.setPosition(spriteWithmoney300Btn.width*0.26, spriteWithmoney300Btn.height*0.26);
            money300label.setColor(cc.color(229,70,70));
            money300Btn.addChild(money300label);
            var money300label2 = cc.LabelTTF.create("金币",getFONT_FZCY_M03SStr(),24);
            money300label2.setPosition(spriteWithmoney300Btn.width*0.66, spriteWithmoney300Btn.height*0.26);
            money300label2.setColor(cc.color(99,21,1));
            money300Btn.addChild(money300label2);
            //rmblabel
            var rmblabel300 = cc.LabelTTF.create("2元",getFONT_FZCY_M03SStr(),28);
            rmblabel300.setPosition(money300Btn.width*0.49, -money300Btn.height*0.11);
            rmblabel300.setColor(cc.color(99,21,1));
            money300Btn.addChild(rmblabel300);


            //money1
            var spriteWithmoney1Btn =new cc.Sprite("#market_Android_gold_frame.png");
            var scale9SpriteWithmoney1Btn =new cc.Scale9Sprite("market_Android_gold_frame.png");
            var money1Btn = new cc.ControlButton(scale9SpriteWithmoney1Btn);
            money1Btn.setPreferredSize(cc.size(spriteWithmoney1Btn.width, spriteWithmoney1Btn.height));
            money1Btn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
                money2bg.setPosition(money1Btn.getPosition());
                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase(4);
                testJSB.release();
                cc.log("money1  1000");
            }.bind(money1Btn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            money1Btn.x = frame.getContentSize().width*0.82;
            money1Btn.y = frame.getContentSize().height*0.68;
            money1Btn.setTag(1006);
            frame.addChild(money1Btn);

            if(getChannel()!="wo") {
                var money4_word3 = new cc.LabelTTF("赠100", getFONT_FZCY_M03SStr(), 20);
                money4_word3.attr({
                    x: money1Btn.width / 2 - 25,
                    y: 110,
                    color: cc.color(162, 20, 13)
                });
                money1Btn.addChild(money4_word3, 1);
            }

            cc.log("abc4");
            //money1sprite
            var money1sprite=new cc.Sprite("#market_Android_gold_icon_1000.png");
            money1sprite.setPosition(spriteWithmoney1Btn.width*0.62, spriteWithmoney1Btn.height*0.68);
            money1Btn.addChild(money1sprite);
            //money1label
            var money1label = cc.LabelTTF.create("1000",getFONT_FZCY_M03SStr(),24);
            money1label.setPosition(spriteWithmoney1Btn.width*0.26, spriteWithmoney1Btn.height*0.26);
            money1label.setColor(cc.color(229,70,70));
            money1Btn.addChild(money1label);
            var money1label2 = cc.LabelTTF.create("金币",getFONT_FZCY_M03SStr(),24);
            money1label2.setPosition(spriteWithmoney1Btn.width*0.66, spriteWithmoney1Btn.height*0.26);
            money1label2.setColor(cc.color(99,21,1));
            money1Btn.addChild(money1label2);
            //rmblabel
            var rmblabel = cc.LabelTTF.create("10元",getFONT_FZCY_M03SStr(),28);
            rmblabel.setPosition(money1Btn.width*0.49, -money1Btn.height*0.11);
            rmblabel.setColor(cc.color(99,21,1));
            money1Btn.addChild(rmblabel);
            cc.log("abc5");
            //money2bg
            cc.log("abc6");
            var spriteWithmoney2Btn =new cc.Sprite("#market_Android_gold_frame.png");
            cc.log("abc62");
            var scale9SpriteWithmoney2Btn =new cc.Scale9Sprite("market_Android_gold_frame.png");
            var money2Btn = new cc.ControlButton(scale9SpriteWithmoney2Btn);
            money2Btn.setPreferredSize(cc.size(spriteWithmoney2Btn.width, spriteWithmoney2Btn.height));
            money2Btn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
                money2bg.setPosition(money2Btn.getPosition());
                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase(3);
                testJSB.release();
                cc.log("abc7");
//                  cc.log("abc");                                        testJSB.release();
                cc.log("money2 400");
            }.bind(money2Btn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            money2Btn.x = frame.getContentSize().width*0.6;
            money2Btn.y = money1Btn.getPositionY();
            money2Btn.setTag(1006);
            frame.addChild(money2Btn,1);

            if(getChannel()!="wo") {
                var money3_word3 = new cc.LabelTTF("赠40", getFONT_FZCY_M03SStr(), 20);
                money3_word3.attr({
                    x: money2Btn.width / 2 - 30,
                    y: 110,
                    color: cc.color(162, 20, 13)
                });
                money2Btn.addChild(money3_word3);
            }

            //money2sprite
            cc.log("abc612");
            var money2sprite=new cc.Sprite("#market_Android_gold_icon_400.png");
            money2sprite.setPosition(spriteWithmoney2Btn.width*0.52, spriteWithmoney2Btn.height*0.7);
            money2Btn.addChild(money2sprite);
            //money2label
            var money2label = cc.LabelTTF.create("400",getFONT_FZCY_M03SStr(),24);
            money2label.setPosition(spriteWithmoney2Btn.width*0.28, spriteWithmoney2Btn.height*0.26);
            money2label.setColor(cc.color(229,70,70));
            money2Btn.addChild(money2label);
            var money2label2 = cc.LabelTTF.create("金币",getFONT_FZCY_M03SStr(),24);
            money2label2.setPosition(spriteWithmoney2Btn.width*0.6, spriteWithmoney2Btn.height*0.26);
            money2label2.setColor(cc.color(99,21,1));
            money2Btn.addChild(money2label2);
            cc.log("abc622");
            //rmblabel
            var rmblabel2 = cc.LabelTTF.create("4元",getFONT_FZCY_M03SStr(),28);
            rmblabel2.setPosition(money2Btn.width*0.49, -money2Btn.height*0.08);
            rmblabel2.setColor(cc.color(99,21,1));
            money2Btn.addChild(rmblabel2);

            cc.log("android");


            btnList.push(money100Btn);
            btnList.push(money300Btn);
            btnList.push(money2Btn);
            btnList.push(money1Btn);
        }
        else// if(cc.sys.os == "iOS")///ipad|iphone|mac/i.test(navigator.userAgent)
        {
            cc.log("abc");
            //frame
            var frame=new cc.Sprite("#market_ios_frame.png");
            frame.setPosition(winsize.width/2,winsize.height/2);
            pauseMaskBg.addChild(frame);
            cc.log("abc1");



            //if(cc.sys.os=="iOS"){
            //    var videoBtn=createVideoBtn();
            //    videoBtn.attr({
            //        x:frame.getContentSize().width/2,
            //        y:-25
            //    });
            //    frame.addChild(videoBtn)
            //}


            var spriteWithcloseBtn =new cc.Sprite("#com_CPM_btn_close.png");//market_ios_btn_close.png
            cc.log("abc2");
            var scale9SpriteWithcloseBtn =new cc.Scale9Sprite("com_CPM_btn_close.png");
            var returnBtn = new cc.ControlButton(scale9SpriteWithcloseBtn);
            returnBtn.setPreferredSize(cc.size(spriteWithcloseBtn.width, spriteWithcloseBtn.height));
            returnBtn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
                pauseMaskBg.removeFromParent();
                cc.log("close");
            }.bind(returnBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            returnBtn.x = frame.getPositionX()+frame.getContentSize().width*0.42;//
            returnBtn.y = frame.getPositionY()+frame.getContentSize().height*0.38;//
            returnBtn.setTag(1006);
            pauseMaskBg.addChild(returnBtn);
            cc.log("abc2");
            //titleframe
//            var titleframe=new cc.Sprite(res.market_ios_title_frame);
            var titleframe=new cc.Sprite("#market_ios_title_frame.png");
            titleframe.setPosition(frame.getContentSize().width/2,frame.getContentSize().height*0.99);
            frame.addChild(titleframe);
            //titleframeword
//            var titleframeword=new cc.Sprite(res.market_ios_title_word);
            var titleframeword=new cc.Sprite("#market_ios_title_word.png");
            titleframeword.setPosition(titleframe.getContentSize().width/2,titleframe.getContentSize().height*0.4);
            titleframe.addChild(titleframeword);
            cc.log("abc3");




            //money100
            var spriteWithmoney100Btn =new cc.Sprite("#market_ios_cool_gold_frame.png");
            var scale9SpriteWithmoney100Btn =new cc.Scale9Sprite("market_ios_cool_gold_frame.png");
            var money100Btn = new cc.ControlButton(scale9SpriteWithmoney100Btn);
            money100Btn.setPreferredSize(cc.size(spriteWithmoney100Btn.width, spriteWithmoney100Btn.height));
            money100Btn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);

                payFn=function(){
                    pauseMaskBg.removeFromParent();
                }

                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase100();
                testJSB.release();

                cc.log("money100");
            }.bind(money100Btn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            money100Btn.x = frame.getContentSize().width*0.18;
            money100Btn.y = frame.getContentSize().height*0.68;
            money100Btn.setTag(1006);
            frame.addChild(money100Btn);
            cc.log("abc4");
            //money1sprite
            var money100sprite=new cc.Sprite("#market_ios_gold_icon_300.png");
            money100sprite.setPosition(spriteWithmoney100Btn.width*0.48, spriteWithmoney100Btn.height*0.7);
            money100Btn.addChild(money100sprite);
            //money1label
            var money100label = cc.LabelTTF.create("100",getFONT_FZCY_M03SStr(),24);
            money100label.setPosition(spriteWithmoney100Btn.width*0.26, spriteWithmoney100Btn.height*0.26);
            money100label.setColor(cc.color(229,70,70));
            money100Btn.addChild(money100label);
            var money100label2 = cc.LabelTTF.create("金币",getFONT_FZCY_M03SStr(),24);
            money100label2.setPosition(spriteWithmoney100Btn.width*0.66, spriteWithmoney100Btn.height*0.26);
            money100label2.setColor(cc.color(99,21,1));
            money100Btn.addChild(money100label2);
            //rmblabel
            var rmblabel100 = cc.LabelTTF.create("1元",getFONT_FZCY_M03SStr(),28);
            rmblabel100.setPosition(money100Btn.width*0.49, -money100Btn.height*0.11);
            rmblabel100.setColor(cc.color(99,21,1));
            money100Btn.addChild(rmblabel100);

            //money300
            var spriteWithmoney300Btn =new cc.Sprite("#market_ios_cool_gold_frame.png");
            var scale9SpriteWithmoney300Btn =new cc.Scale9Sprite("market_ios_cool_gold_frame.png");
            var money300Btn = new cc.ControlButton(scale9SpriteWithmoney300Btn);
            money300Btn.setPreferredSize(cc.size(spriteWithmoney300Btn.width, spriteWithmoney300Btn.height));
            money300Btn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);

                payFn=payFaileFn=function(){
                    pauseMaskBg.removeFromParent();
                }

                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase300();
                testJSB.release();

                cc.log("money300");
            }.bind(money300Btn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            money300Btn.x = frame.getContentSize().width*0.38;
            money300Btn.y = frame.getContentSize().height*0.68;
            money300Btn.setTag(1006);
            frame.addChild(money300Btn);
            cc.log("abc4");
            //money1sprite
            var money300sprite=new cc.Sprite("#market_ios_gold_icon_300.png");
            money300sprite.setPosition(spriteWithmoney300Btn.width*0.48, spriteWithmoney300Btn.height*0.7);
            money300Btn.addChild(money300sprite);
            //money1label
            var money300label = cc.LabelTTF.create("300",getFONT_FZCY_M03SStr(),24);
            money300label.setPosition(spriteWithmoney300Btn.width*0.26, spriteWithmoney300Btn.height*0.26);
            money300label.setColor(cc.color(229,70,70));
            money300Btn.addChild(money300label);
            var money300label2 = cc.LabelTTF.create("金币",getFONT_FZCY_M03SStr(),24);
            money300label2.setPosition(spriteWithmoney300Btn.width*0.66, spriteWithmoney300Btn.height*0.26);
            money300label2.setColor(cc.color(99,21,1));
            money300Btn.addChild(money300label2);
            //rmblabel
            var rmblabel300 = cc.LabelTTF.create("3元",getFONT_FZCY_M03SStr(),28);
            rmblabel300.setPosition(money300Btn.width*0.49, -money300Btn.height*0.11);
            rmblabel300.setColor(cc.color(99,21,1));
            money300Btn.addChild(rmblabel300);

            //money1
            var spriteWithmoney1Btn =new cc.Sprite("#market_ios_cool_gold_frame.png");
            var scale9SpriteWithmoney1Btn =new cc.Scale9Sprite("market_ios_cool_gold_frame.png");
            var money1Btn = new cc.ControlButton(scale9SpriteWithmoney1Btn);
            money1Btn.setPreferredSize(cc.size(spriteWithmoney1Btn.width, spriteWithmoney1Btn.height));
            money1Btn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
//                maskPanel(this.getParent().getParent().getParent());


                payFn=payFaileFn=function(){
                    pauseMaskBg.removeFromParent();
                }

                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase2();
                testJSB.release();
                cc.log("money1");
            }.bind(money1Btn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            money1Btn.x = frame.getContentSize().width*0.82;
            money1Btn.y = frame.getContentSize().height*0.68;
            money1Btn.setTag(1006);
            frame.addChild(money1Btn);
            cc.log("abc4");
            //money1sprite
            var money1sprite=new cc.Sprite("#market_ios_gold_icon_1000.png");
            money1sprite.setPosition(spriteWithmoney1Btn.width*0.48, spriteWithmoney1Btn.height*0.7);
            money1Btn.addChild(money1sprite);
            //money1label
            var money1label = cc.LabelTTF.create("2000",getFONT_FZCY_M03SStr(),24);
            money1label.setPosition(spriteWithmoney1Btn.width*0.26, spriteWithmoney1Btn.height*0.26);
            money1label.setColor(cc.color(229,70,70));
            money1Btn.addChild(money1label);
            var money1label2 = cc.LabelTTF.create("金币",getFONT_FZCY_M03SStr(),24);
            money1label2.setPosition(spriteWithmoney1Btn.width*0.66, spriteWithmoney1Btn.height*0.26);
            money1label2.setColor(cc.color(99,21,1));
            money1Btn.addChild(money1label2);
            //rmblabel
            var rmblabel = cc.LabelTTF.create("18元",getFONT_FZCY_M03SStr(),28);
            rmblabel.setPosition(money1Btn.width*0.49, -money1Btn.height*0.11);
            rmblabel.setColor(cc.color(99,21,1));
            money1Btn.addChild(rmblabel);
            cc.log("abc5");
            //money2bg
//            var money2bg=new cc.Sprite(res.market_ios_selecte_01);
//            var money2bg=new cc.Sprite("#market_ios_selecte_01.png");
//            money2bg.setPosition(money1Btn.getPositionX()+230,money1Btn.getPositionY());
//            frame.addChild(money2bg);
            cc.log("abc6");
//            var spriteWithmoney2Btn = new cc.Sprite(res.market_ios_gold_frame);
//            var scale9SpriteWithmoney2Btn = new cc.Scale9Sprite(res.market_ios_gold_frame);
            var spriteWithmoney2Btn =new cc.Sprite("#market_ios_cool_gold_frame.png");
            cc.log("abc62");
            var scale9SpriteWithmoney2Btn =new cc.Scale9Sprite("market_ios_cool_gold_frame.png");
            var money2Btn = new cc.ControlButton(scale9SpriteWithmoney2Btn);
            money2Btn.setPreferredSize(cc.size(spriteWithmoney2Btn.width, spriteWithmoney2Btn.height));
            money2Btn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
//                maskPanel(this.getParent().getParent().getParent());

                payFn=payFaileFn=function(){
                    pauseMaskBg.removeFromParent();
                }

                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase1();
                testJSB.release();
                cc.log("money2");
            }.bind(money2Btn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            money2Btn.x = frame.getContentSize().width*0.6;
            money2Btn.y = money1Btn.getPositionY();
            money2Btn.setTag(1006);
            frame.addChild(money2Btn);
            //money2sprite
//            var money2sprite=new cc.Sprite(res.market_ios_gold_icon_300);
            cc.log("abc612");
            var money2sprite=new cc.Sprite("#market_ios_gold_icon_300.png");
            money2sprite.setPosition(spriteWithmoney2Btn.width*0.48, spriteWithmoney2Btn.height*0.7);
            money2Btn.addChild(money2sprite);
            //money2label
            var money2label = cc.LabelTTF.create("600",getFONT_FZCY_M03SStr(),24);
            money2label.setPosition(spriteWithmoney2Btn.width*0.28, spriteWithmoney2Btn.height*0.26);
            money2label.setColor(cc.color(229,70,70));
            money2Btn.addChild(money2label);
            var money2label2 = cc.LabelTTF.create("金币",getFONT_FZCY_M03SStr(),24);
            money2label2.setPosition(spriteWithmoney2Btn.width*0.6, spriteWithmoney2Btn.height*0.26);
            money2label2.setColor(cc.color(99,21,1));
            money2Btn.addChild(money2label2);
            cc.log("abc622");



            //rmblabel
            var rmblabel2 = cc.LabelTTF.create("6元",getFONT_FZCY_M03SStr(),28);
            rmblabel2.setPosition(money2Btn.width*0.49, -money2Btn.height*0.08);
            rmblabel2.setColor(cc.color(99,21,1));
            money2Btn.addChild(rmblabel2);
            //ad
//            var spriteWithadBtn = new cc.Sprite(res.market_ios_AD);
//            var scale9SpriteWithadBtn = new cc.Scale9Sprite(res.market_ios_AD);
            cc.log("abc632");
            var spriteWithadBtn =new cc.Sprite("#market_ios_btn_AD.png");
            cc.log("abc642");
            var scale9SpriteWithadBtn =new cc.Scale9Sprite("market_ios_btn_AD.png");
            cc.log("abc652");
            var adBtn = new cc.ControlButton(scale9SpriteWithadBtn);
            adBtn.setPreferredSize(cc.size(spriteWithadBtn.width, spriteWithadBtn.height));
            adBtn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
//                maskPanel(this.getParent().getParent().getParent());

                payFn=payFaileFn=function(){
                    pauseMaskBg.removeFromParent();
                }

                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase5();
                testJSB.release();

                cc.log("ad");
            }.bind(adBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            adBtn.x = frame.getContentSize().width*0.18;
            adBtn.y = frame.getContentSize().height*0.68-180;
            adBtn.setTag(1006);
            frame.addChild(adBtn);
            var rmblabel22 = cc.LabelTTF.create("3元",getFONT_FZCY_M03SStr(),28);
            rmblabel22.setPosition(adBtn.width*0.49, -adBtn.height*0.08);
            rmblabel22.setColor(cc.color(99,21,1));
            adBtn.addChild(rmblabel22);



            //攻略购买
            var spriteWithglBtn =new cc.Sprite("#market_ios_btn_strategy.png");
            cc.log("abc642");
            var scale9SpriteWithglBtn =new cc.Scale9Sprite("market_ios_btn_strategy.png");
            cc.log("abc652");
            var glBtn = new cc.ControlButton(scale9SpriteWithglBtn);
            glBtn.setPreferredSize(cc.size(spriteWithglBtn.width, spriteWithglBtn.height));
            glBtn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
//                maskPanel(this.getParent().getParent().getParent());
                payFn=payFaileFn=function(){
                    pauseMaskBg.removeFromParent();
                }
                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase4();
                testJSB.release();

                cc.log("ad");
            }.bind(glBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            glBtn.x = frame.getContentSize().width*0.38;
            glBtn.y = frame.getContentSize().height*0.68-180;
            glBtn.setTag(1006);
            frame.addChild(glBtn);
            var rmblabel222 = cc.LabelTTF.create("6元",getFONT_FZCY_M03SStr(),28);
            rmblabel222.setPosition(glBtn.width*0.49, -glBtn.height*0.08);
            rmblabel222.setColor(cc.color(99,21,1));
            glBtn.addChild(rmblabel222);





            //jb
//            var spriteWithjbBtn = new cc.Sprite(res.market_ios_cool_gold_frame);
//            var scale9SpriteWithjbBtn = new cc.Scale9Sprite(res.market_ios_cool_gold_frame);
            cc.log("abc662");
            var spriteWithjbBtn =new cc.Sprite("#market_ios_cool_gold_frame.png");
            cc.log("abc672");
            var scale9SpriteWithjbBtn =new cc.Scale9Sprite("market_ios_cool_gold_frame.png");
            cc.log("abc682");
            var jbBtn = new cc.ControlButton(scale9SpriteWithjbBtn);
            jbBtn.setPreferredSize(cc.size(spriteWithjbBtn.width, spriteWithjbBtn.height));
            jbBtn.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
                propId=9999;
                payFn=payFaileFn=function(){
                    pauseMaskBg.removeFromParent();
                }
                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.restorePurchase();
                testJSB.release();
            }.bind(jbBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            jbBtn.x = frame.getContentSize().width*0.82;
            jbBtn.y = frame.getContentSize().height*0.68-180;
            jbBtn.setTag(1006);
            frame.addChild(jbBtn);
            //jbsprite
//            var jbsprite=new cc.Sprite(res.market_ios_return_word);
            cc.log("abc692");
            var jbsprite=new cc.Sprite("#market_ios_btn_return.png");
            jbsprite.setPosition(spriteWithjbBtn.width/2, spriteWithjbBtn.height/2);
            jbBtn.addChild(jbsprite);
            //jblabel
//            var jblabel2 = cc.LabelTTF.create("恢复购买",getFONT_FZCY_M03SStr(),24);
//            jblabel2.setPosition(jbBtn.width*0.48, jbBtn.height*0.26);
//            jblabel2.setColor(cc.color(99,21,1));
//            jbBtn.addChild(jblabel2);


            cc.log("abc621");
            //解锁全部关卡
//            var spriteWithadBtn8 = new cc.Sprite(res.market_ios_deblocking_word);
//            var scale9SpriteWithadBtn8 = new cc.Scale9Sprite(res.market_ios_deblocking_word);
            var spriteWithadBtn8 =new cc.Sprite("#market_ios_btn_deblocking.png");
            cc.log("abc622");
            var scale9SpriteWithadBtn8 =new cc.Scale9Sprite("market_ios_btn_deblocking.png");
            cc.log("abc623");
            var adBtn8 = new cc.ControlButton(scale9SpriteWithadBtn8);
            adBtn8.setPreferredSize(cc.size(spriteWithadBtn8.width, spriteWithadBtn8.height));
            adBtn8.addTargetWithActionForControlEvents(this, function(){
                createUnTouchLayer();
                playEffect(res.BUTTON_SOUNDS);
//                maskPanel(this.getParent().getParent().getParent());
                payFn=payFaileFn=function(){
                    pauseMaskBg.getParent().removeFromParent(true);
                }

                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.purchase6();
                testJSB.release();

            }.bind(adBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            adBtn8.x = frame.getContentSize().width*0.6;
            adBtn8.y = frame.getContentSize().height*0.68-180;
            adBtn8.setTag(1006);
            frame.addChild(adBtn8);

            var rmblabel2222 = cc.LabelTTF.create("6元",getFONT_FZCY_M03SStr(),28);
            rmblabel2222.setPosition(adBtn8.width*0.49, -adBtn8.height*0.02);
            rmblabel2222.setColor(cc.color(99,21,1));
            adBtn8.addChild(rmblabel2222);

            //免费金币
            if(false){
                var spriteWithadFreegold =new cc.Sprite("res/k4_btn_free.png");
                var scale9SpriteWithadFreegold =new cc.Scale9Sprite("res/k4_btn_free.png");
                var Freegold = new cc.ControlButton(scale9SpriteWithadFreegold);
                Freegold.setPreferredSize(cc.size(spriteWithadFreegold.width, spriteWithadFreegold.height));
                Freegold.addTargetWithActionForControlEvents(this, function(){
                    playEffect(res.BUTTON_SOUNDS);

                    var testJSB = new JSB.JSBinding();
                    testJSB.retain();
                    testJSB.showVideo();
                    testJSB.release();
                }.bind(Freegold), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
                Freegold.x = frame.getContentSize().width - 5;
                Freegold.y = 70;
                Freegold.setTag(1007);
                frame.addChild(Freegold);
            }

            //var xmgState=0;
            //if(cc.sys.os=="iOS"){
            //    var testJSB1=new JSB.JSBinding();
            //    testJSB1.retain();
            //    testJSB1.checkXGMState=function(num){
            //        xgmState=num;
            //    }
            //    testJSB1.checkXGM();
            //}
            //
            ////西瓜妹按钮
            //if(xgmState==1 && isReview==0 && cc.sys.os=="iOS"){
            //
            //    var spriteWithXGMBtn=new cc.Sprite(res.xgm);
            //    var scale9SpriteWithXGMBtn=new cc.Scale9Sprite(res.xgm);
            //    var xgmBtn=new cc.ControlButton(scale9SpriteWithXGMBtn);
            //    xgmBtn.setPreferredSize(cc.size(spriteWithXGMBtn.width,spriteWithXGMBtn.height));
            //    xgmBtn.addTargetWithActionForControlEvents(xgmBtn,function(){
            //        var JSB1=new JSB.JSBinding();
            //        JSB1.retain();
            //        JSB1.openXGM();
            //        JSB1.release();
            //
            //    },cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
            //    xgmBtn.attr({
            //        x:money1Btn.x,
            //        y:money1Btn.y-10
            //    });
            //    frame.addChild(xgmBtn);
            //
            //    money1Btn.x=money2Btn.x;
            //    money2Btn.x=money300Btn.x;
            //    money300Btn.removeFromParent();
            //}


            cc.log("ios");
        }
        cc.log("market");


        for(var i=0;i<btnList.length;i++){
            btnList[i].x=frame.getContentSize().width*0.2*(i%4+1);
            btnList[i].y = frame.getContentSize().height*(0.68-Math.floor(i/4)*0.3);
        }
    }

});