//获取方正粗圆字体

function getFONT_FZCY_M03SStr (){
    return null;
}

function CSVAnalyser (str, row, key){
    var abc = getStrByRowAndKeyFromCSV(str,",", row, key);
//    console.log("what is abc: " + abc);
    return abc;

}
function getStrByRowAndKeyFromCSV( strData, strDelimiter, row, key ) {
    strDelimiter = (strDelimiter || ",");

    var objPattern = new RegExp(
        (
            "(\\" + strDelimiter + "|\\r?\\n|\\r|^)" +

            "(?:\"([^\"]*(?:\"\"[^\"]*)*)\"|" +

            "([^\"\\" + strDelimiter + "\\r\\n]*))"
            ),
        "gi"
    );

    var arrData = [[]];

    var arrMatches = null;


    while (arrMatches = objPattern.exec( strData )){

        var strMatchedDelimiter = arrMatches[ 1 ];

        if (
            strMatchedDelimiter.length &&
            (strMatchedDelimiter != strDelimiter)
            ){

            arrData.push( [] );

        }


        if (arrMatches[ 2 ]){

            var strMatchedValue = arrMatches[ 2 ].replace(
                new RegExp( "\"\"", "g" ),
                "\""
            );

        } else {

            var strMatchedValue = arrMatches[ 3 ];

        }


        arrData[ arrData.length - 1 ].push( strMatchedValue );
    }

//       console.log("arraydata size " + arrData[1].length);
    for(var i = 0; i<arrData[1].length; i++){
//        console.log("array data: " + arrData[1][i]);
//        console.log("key:"+ key);
//            console.log(i);

        if (arrData[1][i] == key){

//                console.log("yes it's me! " + arrData[row+1][i]);
            return  arrData[row+1][i]
        }
    }
    return  "";
//    return( arrData );

}

function CSVToArray( strData, strDelimiter ) {
    strDelimiter = (strDelimiter || ",");

    var objPattern = new RegExp(
        (
            "(\\" + strDelimiter + "|\\r?\\n|\\r|^)" +

            "(?:\"([^\"]*(?:\"\"[^\"]*)*)\"|" +

            "([^\"\\" + strDelimiter + "\\r\\n]*))"
            ),
        "gi"
    );

    var arrData = [[]];

    var arrMatches = null;


    while (arrMatches = objPattern.exec( strData )){

        var strMatchedDelimiter = arrMatches[ 1 ];

        if (
            strMatchedDelimiter.length &&
            (strMatchedDelimiter != strDelimiter)
            ){

            arrData.push( [] );

        }


        if (arrMatches[ 2 ]){

            var strMatchedValue = arrMatches[ 2 ].replace(
                new RegExp( "\"\"", "g" ),
                "\""
            );

        } else {

            var strMatchedValue = arrMatches[ 3 ];

        }


        arrData[ arrData.length - 1 ].push( strMatchedValue );
    }

//    cc.log(arrData);
    return arrData;

}


function getCSVValueByKeyAndIndex(strData, index, key) {
    var strDelimiter = ",";
    var objPattern = new RegExp(
        (
            "(\\" + strDelimiter + "|\\r?\\n|\\r|^)" +

            "(?:\"([^\"]*(?:\"\"[^\"]*)*)\"|" +

            "([^\"\\" + strDelimiter + "\\r\\n]*))"
            ),
        "gi"
    );

    var arrData = [[]];

    var arrMatches = null;


    while (arrMatches = objPattern.exec( strData )){

        var strMatchedDelimiter = arrMatches[ 1 ];

        if (
            strMatchedDelimiter.length &&
            (strMatchedDelimiter != strDelimiter)
            ){

            arrData.push( [] );

        }


        if (arrMatches[ 2 ]){

            var strMatchedValue = arrMatches[ 2 ].replace(
                new RegExp( "\"\"", "g" ),
                "\""
            );

        } else {

            var strMatchedValue = arrMatches[ 3 ];

        }


        arrData[ arrData.length - 1 ].push( strMatchedValue );
    }

    var keyIndex = null;
    for(var i = 0; i <arrData[0].length;i++){
        if(arrData[1][i] == key){
            keyIndex = i;
        }
    }
    cc.log("keyindex: "+ keyIndex);

    for(var i = 0; i<arrData.length; i++){
        if (arrData[i][0] == index){
            return  arrData[i][keyIndex];
        }
    }
    return  "";

}

function resumeAllNode() {
    var curScene=cc.director.getRunningScene();
    var allArray = curScene.getChildren();


    var object = null;
    for(var i = 0; i<allArray.length; i++)
    {
        cc.log("i am here1 " + i);
        var layer = allArray[i];
        try{
            if(layer)layer.onEnter();
        }catch(e){
            cc.log(e);
        }
    }

    try {
        if (curScene.resumeTheGame)
            curScene.resumeTheGame();
    }catch(e){
        cc.log(e);
    }
}
function pauseAllNode() {
    var curScene=cc.director.getRunningScene();
    var allArray = curScene.getChildren();

    var object = null;
    for(var i = 0; i<allArray.length; i++)
    {
        cc.log("i am here2 " + i);
        var layer = allArray[i];
        layer.onExit();
    }

    if(curScene.pauseTheGame)
        curScene.pauseTheGame();
}
function unclockAllPassion() {
    for(var i = 1; i<=24; i++){
        setPassionStatusByLevel(i, 1);
    }
}
function unlockCheats(){
    setIsBuyCheat(1);
}

function setPanelAppearAnimation(panel,fn)
{
    var sb = cc.scaleBy(0.05, 1.2);
    if(typeof fn=="function"){
        panel.runAction(cc.sequence(sb,sb.reverse(),cc.callFunc(fn)))
    }else {
        panel.runAction(cc.sequence(sb, sb.reverse()));
    }

}
function earthQuake(panel)
{
    panel.runAction(cc.sequence(cc.callFunc(function(){
        panel.setPositionY(panel.getPositionY()+10);
    }),cc.delayTime(0.1),cc.callFunc(function(){
        panel.setPositionY(panel.getPositionY()-20);
    }),cc.delayTime(0.1),cc.callFunc(function(){
        panel.setPositionY(panel.getPositionY()+10);
    })));
}

//创建看视频按钮
function createVideoBtn(){
    var tipsWord="看片得金币";
    var Btn9Sprite=new cc.Scale9Sprite(res.com_btn_frame_2_png);
    var btn = new cc.ControlButton(Btn9Sprite);
    btn.attr({
        width:208,
        height:80
    });

    var icon=new cc.Sprite(res.com_tv_png);
    icon.attr({
        x:40,
        y:btn.height/2,
        scale:0.9
    });
    btn.addChild(icon);


    var nameLabel=new cc.LabelTTF(tipsWord,getFONT_FZCY_M03SStr(),24);
    nameLabel.attr({
        x:btn.width/2+30,
        y:btn.height/2-2,
        color:cc.color(93,71,67)
    });
    btn.addChild(nameLabel);
    btn.label=nameLabel;

    btn.setPreferredSize(cc.size(btn.width, btn.height));
    btn.addTargetWithActionForControlEvents(this, function(){
        showVideoAd();
    }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);

    btn.downTimeFunc=function(){
        var times=getVideoDownTime();
        if(times<=0){
            btn.label.string=tipsWord;
        }else{
            btn.label.string=addZero(Math.floor(times/60))+":"+addZero(times%60);
        }
    }
    btn.downTimeFunc();
    btn.schedule(btn.downTimeFunc,1);
    return btn;
}

function showVideoAd(){
    var testJSB;
    if(cc.sys.os=="iOS"){
        var times=getVideoDownTime();
        if(videoDownTime.surplusTime<=0){
            testJSB=new JSB.JSBinding();
            testJSB.retain();
            testJSB.showVideoAd();
            testJSB.release();
            //初始化倒计时
            initVideoOpenDownTime();
        }else{
            testJSB=new JSB.JSBinding();
            testJSB.retain();
            testJSB.showToast(times+"秒后才能点击哦～");
            testJSB.release();
        }
    }
}

function addZero(num){
    var sNum=num<10?"0"+num:num;
    return sNum;
}

function addXGMBtn(){
    if(cc.sys.os=="iOS"){
        var testJSB=new JSB.JSBinding();
        testJSB.retain();
        testJSB.openXGM();
        testJSB.release();

        var testJSB1=new JSB.JSBinding();
        testJSB1.retain();
        testJSB1.hideVideoAdBtn();
        testJSB1.release();
    }
}

function addVideoAdBtn(){
    if(cc.sys.os=="iOS") {
        var testJSB = new JSB.JSBinding();
        testJSB.retain();
        testJSB.removeXGM();
        testJSB.release();

        var testJSB1 = new JSB.JSBinding();
        testJSB1.retain();
        testJSB1.alertVideoAdBtn();
        testJSB1.release();
    }
}
/**
 * 判断当前设备
 * @param {String} os:判断的设备 (Android | iOS)
 */
function isMobile(os){
    var bool=false;
    if(os){
        if(cc.sys.os==os && cc.sys.platform!=100 && cc.sys.platform!=101){
            bool=true;
        }else{
            bool=false;
        }
    }else{
        if(cc.sys.isMobile && cc.sys.platform!=100 && cc.sys.platform!=101){
            bool=true;
        }
    }
    return bool;
}

//判断当前是否为浏览器
function isBrowser(){
    var bool=false;
    if(cc.sys.platform==100 || cc.sys.platform==101){
        bool=true;
    }
    return bool;
}

//创建屏蔽触摸层,可以传入时间
function createUnTouchLayer(time){
    if(time && typeof(time).toLowerCase()!="number")
        time=null;

    var scene=cc.director.getRunningScene();
    var size = cc.director.getWinSize();
    var bg = new cc.LayerColor(cc.color(0, 0, 0,1), size.width, size.height);
    scene.addChild(bg, 1000);

    bg.runAction(cc.sequence(
        cc.delayTime(time || 0.5),
        cc.removeSelf()
    ));

    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
        }
    });
    cc.eventManager.addListener(listener1, bg);
}

//获取渠道
function getChannel(){
    return curChannel;
}

/**
 * 创建进度条
 * @param imgName       图片资源名字
 * @param percent       显示百分比
 * @param progressType  进度条类型（0：扇形，1：条形）
 * @param midPoint      设置锚点
 * @param barChangeRate 设置变化
 * @returns {*}
 */
function createProgressBar(imgName,percent,progressType,midPoint,barChangeRate){
    if(!imgName)return null;
    var sprite=new cc.Sprite(imgName);
    var progressBar=new cc.ProgressTimer(sprite);
    progressBar.type=progressType!=0?cc.ProgressTimer.TYPE_BAR:cc.ProgressTimer.TYPE_RADIAL;
    progressBar.midPoint=midPoint || cc.p(0,0);
    progressBar.barChangeRate=barChangeRate || cc.p(0,1);

    //设置进度
    progressBar.setPercentage(percent || 100);

    return progressBar;
}

/**获取在线参数
    key:            在线参数对应键值
    defaultValue:   默认值
    fn:             回调
*/
function getOnlineData(key,defaultValue,fn){
    if(isMobile()){
        var onlineJSB=new JSB.JSBinding();
        onlineJSB.retain();
        onlineJSB["getOnlineCallback_"+key]=function(value){
            cc.log("在线参数【"+key+"]:"+value);
            if(value && value!=""){
                if(typeof fn =="function")
                    fn(value);
            }else{
                if(typeof fn =="function")
                    fn(defaultValue);
            }
            onlineJSB.release();
        }
        onlineJSB.getOnlineParam(key);
    }else{
        if(typeof fn =="function")
            fn(defaultValue);
    }
}

//弹出插屏广告
function showFullScreenAd(tag){
    //判断是否不显示广告
    if(getIsCloseAd())return;

    var isShowAD=false;

    switch(tag){
        case "over":
            adData.overCount++;
            if(adData.overHz>0 && adData.overCount%adData.overHz==0){
                adData.overCount=0;
                isShowAD=true;
            }
            cc.log("失败界面_广告频率："+adData.overHz+",当前："+adData.overCount);
            break;
        case "pause":
            adData.pauseCount++;
            if(adData.pauseHz>0 && adData.pauseCount%adData.pauseHz==0){
                adData.pauseCount=0;
                isShowAD=true;
            }
            cc.log("暂停界面_广告频率："+adData.pauseHz+",当前："+adData.pauseCount);
            break;
    }

    if(isMobile() && isShowAD){
        cc.log("显示插屏广告");
        var adJSB = new JSB.JSBinding();
        adJSB.retain();
        if(isShieldGdt==1){
            adJSB.showFullScreenAd();
        }else{
            adJSB.showFullScreenAd2();
        }
        adJSB.release();
    }   
}

function winCenter(){
    return cc.director.getWinSize();
}

function addMove(sprite,tag,swallow){
    sprite.__tag=tag || "无tag"

    function posLog(Event, target) {
        try {
            var pos = target.getParent().convertToWorldSpace(target.getPosition());
            var nodePos = target.getPosition();
            cc.log("~~~", Event, "~~~~");
            cc.log("目标tag:(" + target.__tag + ")，坐标:[" +
                "\n\tpos【x:" + pos.x.toFixed(1) + ",y:" + pos.y.toFixed(1) +
                "】，\n\twinPos【x:winCenter().x+" + (pos.x - winCenter().x).toFixed(1) + ",y:winCenter().y+" + (pos.y - winCenter().y).toFixed(1) +
                "】，\n\tnodePos【x:" + nodePos.x.toFixed(1) + ",y:" + nodePos.y.toFixed(1) +
                "】，\n\tnodeWinPos【x:" + (nodePos.x - target.getParent().width / 2).toFixed(1) + ",y:" + (nodePos.y - target.getParent().height / 2).toFixed(1) +
                "】\n]");
            cc.log("~~~~~~~");
        } catch (err) {
        }
    }

    cc.eventManager.addListener({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: swallow != false ? true : false,
        onTouchBegan: function (touch, event) {
            var target = event.getCurrentTarget();
            if (target.touchEnabled_ === false || !target.isVisible())return false;

            posLog("began", target);

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);
            if (cc.rectContainsPoint(rect, locationInNode)) {
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {
            var target = event.getCurrentTarget();
            var delta = touch.getDelta();
            target.setPosition(cc.pAdd(target.getPosition(), delta));

            posLog("moved", target);
        },
        onTouchEnded: function (touch, event) {
            var target = event.getCurrentTarget();

            posLog("ended", target);
        }
    }, sprite);
}


//添加动画（精灵，每帧用时，图片数组，是否循环（默认循环），函数）
function setAnimation(sprite, time, arr, loop, fn) {
    //@yutian.liu 优化，不会存在两个帧动画动作，多次set会进行覆盖。

    var animate = getAnimation(time, arr);
    if (!animate) {
        cc.log("获取动画动作出错，不执行动作的运行");
        return;
    }

    try{
        if(sprite.animationAction)
            sprite.stopAction(sprite.animationAction);

        sprite.animationAction=null;
    }catch(e){
        cc.log(sprite);
    }

    loop = (loop === false ? false : true);

    if (loop === true) {
        sprite.animationAction = cc.sequence(
            animate,
            cc.callFunc(fn, sprite)
        ).repeatForever();
    } else {
        sprite.animationAction = cc.sequence(
            animate,
            cc.callFunc(fn, sprite)
        );
    }
    sprite.runAction(sprite.animationAction);
}


function getAnimation(time, arr) {
    if (arr) {
        try {

            var animation;
            var oneImg = arr[0] ? arr[0].replace(/#/g, "") : arr[0];
            if (cc.spriteFrameCache.getSpriteFrame(oneImg)) {
                var animFrames = [];
                for (var i = 0; i < arr.length; i++) {
                    //此处做重复资源优化
                    var repeat = false;
                    for (var of = 0; of < animFrames.length; of++) {
                        if (arr[of] == arr[i]) {
                            repeat = true;
                            break;
                        }
                    }
                    //重复资源，则使用旧帧数据，否则使用新的帧数据
                    var frame = repeat ? animFrames[of] : cc.spriteFrameCache.getSpriteFrame(arr[i].replace(/#/g, ""));
                    //var frame = cc.spriteFrameCache.getSpriteFrame(arr[i].replace(/#/g,""));
                    animFrames.push(frame);
                }
                animation = new cc.Animation(animFrames, time);
            } else {
                animation = new cc.Animation();
                for (var i = 0; i < arr.length; i++) {
                    animation.addSpriteFrameWithFile(arr[i]);
                }
                animation.setDelayPerUnit(time);
            }

            var animate = cc.animate(animation);
            return animate;
        } catch (err) {
            trace("获取动画动作错误，动画动作换成延时动作:", err);
            return cc.delayTime(time);
        }
    } else {
        trace("~没有传入动画数组，改为返回延时动作！");
        return cc.delayTime(time);
    }
}

function createButton(img,fn){
    var sprite =new cc.Sprite(img);
    var scale9Spr =new cc.Scale9Sprite(img.replace(/#/,""));
    var btn = new cc.ControlButton(scale9Spr);
    btn.callback=fn;

    btn.setPreferredSize(cc.size(sprite.width, sprite.height));
    btn.addTargetWithActionForControlEvents(this,function()
    {
        playEffect(res.BUTTON_SOUNDS);

        if(typeof this.callback=="function")this.callback();
    }.bind(btn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
    return btn;
}


function addSwallowTouch(node){
    var listener1 = cc.EventListener.create({
        event: cc.EventListener.TOUCH_ONE_BY_ONE,
        swallowTouches: true,
        onTouchBegan: function (touch, event) {
            var target = event.getCurrentTarget();

            var locationInNode = target.convertToNodeSpace(touch.getLocation());
            var s = target.getContentSize();
            var rect = cc.rect(0, 0, s.width, s.height);

            if (cc.rectContainsPoint(rect, locationInNode)) {
                // cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                return true;
            }
            return false;
        },
        onTouchMoved: function (touch, event) {

        },
        onTouchEnded: function (touch, event) {
        }
    });
    cc.eventManager.addListener(listener1, node);
}

function markLevelLoseCount(level){
    if(level<=3)return;
    isOpenAd("overPackage",function(b){
        if(b){
            if(levelLoseParam.level!=level){
                levelLoseParam.count=0;
                levelLoseParam.level=level;
            }

            levelLoseParam.count++;

            if(levelLoseParam.level<=0)return;

            if(levelLoseParam.count%10==0 && !cc.sys.localStorage.getItem("is_buy_master")){
                showMasterPackage();
            }else if(levelLoseParam.count%5==0 && !cc.sys.localStorage.getItem("is_buy_novice")){
                showNovicePackage();
            }else if(levelLoseParam.count%5==0 && !cc.sys.localStorage.getItem("is_buy_master")){
                showMasterPackage();
            }
        }
    });



}


function isOpenAd(key,fn){
    if(isMobile()){
        var testJSB=new JSB.JSBinding();
        testJSB.retain();
        testJSB["isOpenAdCallback_"+key]=function(bool){
            cc.log("------------------isOpenAdCallback:"+bool);
            if(typeof fn=="function"){
                cc.log("js------isOpenAd:"+bool);
                fn(bool=="1"?true:false);
            }
            testJSB.release();
        };
        testJSB.isOpenAd(key);
    }
}


function showAd(key,fn){
    getOnlineData("overLevelAd","3",function(data){
        try {
            var level = parseInt(data);
            if(getPassLevelNum()>=level){
                var adJSB = new JSB.JSBinding();
                adJSB.retain();
                if(typeof fn=="function"){
                    adFn=fn;
                }
                cc.log("------------------showAd:isHaveFn=>"+(typeof fn=="function"));
                adJSB.showAd(key,typeof fn=="function");
                adJSB.release();
            }
        }catch(e){
            cc.log(e);
        }
    })

}

function isNotch(fn){
    if(isMobile()){
        var testJSB=new JSB.JSBinding();
        testJSB.retain();
        testJSB["isNotchCallback"]=function(bool){
            if(typeof fn=="function"){
                fn(bool=="1"?true:false);
            }
            testJSB.release();
        };
        testJSB.isNotch();
    }
}

function getTopHeight(fn){
    if(isMobile()){
        var testJSB=new JSB.JSBinding();
        testJSB.retain();
        testJSB["getTopHeightCallback"]=function(numStr){
            if(typeof fn=="function"){
                fn(parseFloat(numStr));
            }
            testJSB.release();
        };
        testJSB.getTopHeight();
    }
}