/**
 * Created by hayashirin on 14-9-24.
 */
/**
 * Created by hayashirin on 14-9-17.
 */
var TheidiomLayer = cc.Layer.extend({


    wenziarr:null,
    item:null,
    menu:null,
    Inputbg:null,
    isSure:null,
    Man:null,
    mark:null,

    ctor : function()
    {
        this._super();

        this.size = cc.director.getWinSize();
        //初始化
        this.init();
        //添加背景
        var bg = new cc.Sprite("#com_bg_01.png");
        bg.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(bg);
        //地面
        var grass = new cc.Sprite("#com_grassland2.png");
        grass.attr({
            x:this.size.width/2,
            y:this.size.height/2 - 220,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(grass);
        //猜的图
        var house = new cc.Sprite("#k_13_bg.png");
        house.attr({
            x:this.size.width/2 - 250,
            y:this.size.height/2 - 160,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(house);
        //猪脚
        var Man = new cc.Sprite("#k_13_man_01.png");
        Man.attr({
            x:152,
            y:120,
            anchorX:0.5,
            anchorY:0.5
        });
        house.addChild(Man);
        this.Man = Man;
        //猪脚的动画
        var Mans=["k_13_man_01.png","k_13_man_02.png"];
        var MansanimFrames=[];
        for(var i=0;i<Mans.length;i++){
            var Mansframe=cc.spriteFrameCache.getSpriteFrame(Mans[i]);
            MansanimFrames.push(Mansframe)
        }
        var Mansanimation=new cc.Animation(MansanimFrames,0.2);
        var Mansanimate=new cc.Animate(Mansanimation);
        Man.runAction(Mansanimate.repeatForever());
        //头顶上得字
        var character = new cc.Sprite("#k_13_03.png");
        character.attr({
            x:156,
            y:314,
            anchorX:0.5,
            anchorY:0.5
        });
        house.addChild(character);
        //问号
        var mark = new cc.Sprite("#k_13_mark.png");
        mark.attr({
            x:270,
            y:165,
            anchorX:0,
            anchorY:0
        });
        house.addChild(mark);
        mark.runAction(cc.sequence(cc.rotateTo(1,30),cc.rotateTo(1,0)).repeatForever());
        this.mark = mark;
        //狗
        var dog = new cc.Sprite("#k_13_dog_01.png");
        dog.attr({
            x:160,
            y:118,
            anchorX:0.5,
            anchorY:0.5
        });
        house.addChild(dog);
        //选择框背景
        var choosebg = new cc.Sprite("#k_13_b.png");
        choosebg.attr({
            x:this.size.width/2 + 150,
            y:this.size.height/2 - 80,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(choosebg);
        //输入框
        var Inputbg = new cc.Sprite("#k_13_01.png");
        Inputbg.attr({
            x:this.size.width/2 + 150,
            y:this.size.height/2 + 200,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(Inputbg);
        this.Inputbg = Inputbg;
        //选择按钮
        var menu = new cc.Menu();
        this.menu = menu;
        for (var j = 0; j < 3; j++){
            for(var i = 0; i < 4; i++){
                var Label = new cc.LabelTTF(this.wenziarr[j*4+i], getFONT_FZCY_M03SStr(), 25);
                Label.setColor(cc.color(0, 0, 0));
                //文字
                var spriteNormal = new cc.Sprite("#k_13_key_01.png");
                var spriteSelected = new cc.Sprite("#k_13_key_02.png");
//                var spriteDisabled = new cc.Sprite(s_menuItem, cc.rect(0,0,115,23));
                var item = new cc.MenuItemSprite(spriteNormal, spriteSelected, this.onMenuCallback, this);
                item.setPosition(i*100, -j*100);
                item.setTag(j*4+i+1);
                Label.setPosition(item.getContentSize().width/2 - 3, item.getContentSize().height/2);
                item.addChild(Label);
                menu.addChild(item);
                this.item = item;
            }
        }
        //确定
        var YesLabel = new cc.LabelTTF("确定", getFONT_FZCY_M03SStr(), 25);
        YesLabel.setColor(cc.color(0, 0, 0));
        var YesspriteNormal = new cc.Sprite("#k_13_key_03.png");
        var YesspriteSelected = new cc.Sprite("#k_13_key_04.png");
        var Yesitem = new cc.MenuItemSprite(YesspriteNormal, YesspriteSelected, this.onMenuCallback, this);
        Yesitem.setPosition(250, -300);
        Yesitem.setTag(98);
        YesLabel.setPosition(Yesitem.getContentSize().width/2 - 3, Yesitem.getContentSize().height/2);
        Yesitem.addChild(YesLabel);
        menu.addChild(Yesitem);
        //回删
        var NoLabel = new cc.LabelTTF("回删", getFONT_FZCY_M03SStr(), 25);
        NoLabel.setColor(cc.color(0, 0, 0));
        var NospriteNormal = new cc.Sprite("#k_13_key_03.png");
        var NospriteSelected = new cc.Sprite("#k_13_key_04.png");
        var Noitem = new cc.MenuItemSprite(NospriteNormal, NospriteSelected, this.onMenuCallback, this);
        Noitem.setPosition(50, -300);
        Noitem.setTag(99);
        NoLabel.setPosition(Noitem.getContentSize().width/2 - 3, Noitem.getContentSize().height/2);
        Noitem.addChild(NoLabel);
        menu.addChild(Noitem);
        menu.attr({
            x:this.size.width/2,
            y:this.size.height/2 + 65,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(menu);
        var All_Touch = true;
        //设置触摸事件,创建一个事件监听器 OneByOne 为单点触摸
        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();
                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    if (target == dog && All_Touch == true) {
                        All_Touch = false;
                        dog.setSpriteFrame("k_13_dog_02.png");
                        playEffect(res.F13_k_13_dog,false);
                        dog.runAction(cc.sequence(cc.sequence(cc.moveBy(0.05,cc.p(-10,0)),cc.moveBy(0.05,cc.p(10,0)),cc.moveBy(0.05,cc.p(0,0))).repeat(3),cc.callFunc(function(){
                            dog.setSpriteFrame("k_13_dog_01.png");
                            All_Touch = true;
                        },this)));
                    }
                    return true;
                }
                return false;
            },
            onTouchMoved: function (touch, event) {},
            onTouchEnded: function (touch, event) {}
        });
        cc.eventManager.addListener(listener1, dog);
    },
    init:function(){
        this.sureIDxs = [0, 11, 6, 7];
        var wenzi = "真情心印意爱大白痴汉笑相";
        this.wenziarr=[];
        for(var i=0;i<wenzi.length;i++){
            this.wenziarr.push(wenzi[i])
        }
        this.Inputarr=[];
        this.isSure = true;
        this.Touch = true;
    },
    onMenuCallback:function (sender) {
        playEffect(res.F13_Touch,false);
        if (this.Touch == true) {
            var tag = sender.getTag();
            var count = this.Inputbg.getChildrenCount();
            cc.log(count);
            //不显示
            if((count <=0 && tag ==99) || (count>=4 && (tag!=98 && tag!=99) )){
                cc.log("return");
                return;
            }
            if(tag == 99){  //删除操作
                this.Inputbg.removeChildByTag(count-1,true);
                return;
            }
            if(tag == 98){  //确定操作
                if(count < 4){
                    this.isSure = false;
                }
                for(var i = 0; i < 4; i++) {
                    if(this.Inputarr[i] != this.sureIDxs[i]) {
                        this.isSure = false;
                    }
                }
                if(this.isSure == true) {
                    cc.log("GameWin");
                    this.Touch = false;
                    this.runAction(cc.sequence(cc.callFunc(function(){
                        //GameWin动画
                        this.Man.stopAllActions();
                        this.Man.setSpriteFrame("k_13_man_win.png");
                        this.mark.visible = false;
                        var ink = new cc.Sprite("#k_13_man_ink.png");
                        ink.attr({
                            x:this.size.width/2 + 250,
                            y:this.size.height/2 + 120,
                            anchorX:0.5,
                            anchorY:0.5,
                            scale:5
                        });
                        this.addChild(ink);
                        ink.runAction(cc.sequence(cc.scaleTo(0.3, 1), cc.callFunc(function(){
                            playEffect(res.F24_seal,false);
                        })));
                    },this), cc.delayTime(1), cc.callFunc(function(){
                        ShowSuccessPanel(this.getParent(), 13);
                    },this)));
                } else {
                    cc.log("GameOver");
                    this.Touch = false;
                    this.Man.runAction(cc.sequence(cc.callFunc(function(){
                        //GameOver动画
                        var boom = new cc.Sprite("#com_boom_01.png");
                        boom.attr({
                            x:this.size.width/2,
                            y:this.size.height/2,
                            anchorX:0.5,
                            anchorY:0.5,
                            scale:1.5
                        });
                        this.addChild(boom);
                        var animFrames=[];
                        for(var i=1;i<=2;i++){
                            var frame=cc.spriteFrameCache.getSpriteFrame("com_boom_0"+i+".png");
                            animFrames.push(frame)
                        }
                        var animation=new cc.Animation(animFrames,0.2);
                        var animate=new cc.Animate(animation);
                        boom.runAction(animate.repeat(3));
                        playEffect(res.F09_BOMB_SOUNDS);
                        var lightlayer = new cc.LayerColor(cc.color(255, 255, 255, 200), this.size.width, this.size.height);
                        lightlayer.visible = false;
                        this.addChild(lightlayer, 10);
                        lightlayer.runAction(cc.blink(1.2,10));
                    },this), cc.delayTime(1.4), cc.callFunc(function(){
                        ShowFaildPPanel(this.getParent(), 13, 0);
                    },this)));
                }
                return;
            }
            var Inputwenzi = new cc.LabelTTF(this.wenziarr[tag-1], getFONT_FZCY_M03SStr(), 20);
            Inputwenzi.setPosition(178 + count*49,40);
            Inputwenzi.setTag(count);
            Inputwenzi.setColor(cc.color(0, 0, 0));
            this.Inputbg.addChild(Inputwenzi);
            this.Inputarr[count] = tag-1;
        }
    }

});

var TheidiomScene = cc.Scene.extend({

    onEnter : function() {
        this._super();
        var layer = new TheidiomLayer();
        this.addChild(layer);

        var level = 13;
        var mainUILayer = new MainUILayer(level);
        this.addChild(mainUILayer, 2);
    },
    pauseTheGame : function () {
        //pause the game
        cc.log("pause the game");
    },
    resumeTheGame :function () {
        //resume the game
        cc.log("resume the game");
    }

});