/**
 * Created by hayashirin on 14-9-19.
 */
/**
 * Created by hayashirin on 14-9-17.
 */
var CutcordLayer = cc.Layer.extend({


    house1:null,
    house2:null,
    land1:null,
    land2:null,
    man:null,
    emeny:null,
    book:null,
    linelayer:null,
    _listener:null,
    line:null,
    Khan:null,
    moreKhan:null,

    ctor : function()
    {
        this._super();

        this.size = cc.director.getWinSize();
        //初始化
        this.init();
        //添加背景
        var bg = new cc.Sprite("#com_bg_02.png");
        bg.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(bg);
        //月亮
        var moon = new cc.Sprite("#k_19_moon.png");
        moon.attr({
            x:this.size.width/2 - 270,
            y:this.size.height/2 + 220,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(moon);
        //一群屋1
        var house1 = new cc.Sprite("#k_19_house.png");
        house1.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(house1);
        this.house1 = house1;
        //一群屋2
        var house2 = new cc.Sprite("#k_19_house.png");
        house2.attr({
            x:this.size.width/2 + this.house1.getContentSize().width - 1,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5,
            scaleX:-1
        });
        this.addChild(house2);
        this.house2 = house2;
        //地面1
        var land1 = new cc.Sprite("#com_tudi2.png");
        land1.attr({
            x:this.size.width/2,
            y:this.size.height/2 - 300,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(land1);
        this.land1 = land1;
        //地面2
        var land2 = new cc.Sprite("#com_tudi2.png");
        land2.attr({
            x:this.size.width/2 + this.land1.getContentSize().width - 1,
            y:this.size.height/2 - 300,
            anchorX:0.5,
            anchorY:0.5,
            scaleX:-1
        });
        this.addChild(land2);
        this.land2 = land2;

        //地面和屋移动
        this.schedule(this.Landmove);
        this.schedule(this.Housemove);

        //书
        var book = new cc.Sprite("#k_19_book_kuihua.png");
        book.attr({
            x:this.size.width/2 - 290,
            y:this.size.height/2 - 155,
            anchorX:0.5,
            anchorY:0.5,
            scale:0.3,
            visible:false
        });
        this.addChild(book);
        this.book = book;
        //猪脚
        var man = new cc.Sprite("#k_19_man1.png");
        man.attr({
            x:this.size.width/2 - 240,
            y:this.size.height/2 - 150,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(man);
        this.man = man;
        //猪脚的线
        var line = new cc.Sprite("#k_19_line.png");
        line.attr({
            x:75,
            y:80,
            anchorX:0.5,
            anchorY:0.5,
            visible:false
        });
        man.addChild(line);
        this.line = line;
        //小刀
        var knife = new cc.Sprite("#k_19_knife.png");
        knife.attr({
            x:15,
            y:-15,
            anchorX:0.5,
            anchorY:0.5
        });
        line.addChild(knife);
        var knifemove = cc.moveBy(1, cc.p(136, 0));
        var knifemoveBack = knifemove.reverse();
        var rep = cc.sequence(knifemove ,knifemoveBack).repeatForever();
        knife.runAction(rep);
        //猪脚在跑
        var Manwaiting=["k_19_man1.png","k_19_man2.png","k_19_man3.png","k_19_man4.png","k_19_man5.png","k_19_man6.png","k_19_man7.png","k_19_man8.png"];
        var MananimFrames=[];
        for(var i=0;i<Manwaiting.length;i++){
            var Manframe=cc.spriteFrameCache.getSpriteFrame(Manwaiting[i]);
            MananimFrames.push(Manframe)
        }
        var Mananimation=new cc.Animation(MananimFrames,0.1);
        var Mananimate=new cc.Animate(Mananimation);
        man.runAction(Mananimate.repeatForever());
        //汗
        var Khan = new cc.Sprite("#k_19_han1.png");
        Khan.attr({
            x:80,
            y:140,
            anchorX:0.5,
            anchorY:0.5,
            visible:false
        });
        man.addChild(Khan);
        this.Khan = Khan;
        //多汗
        var moreKhan = new cc.Sprite("#k_19_han3.png");
        moreKhan.attr({
            x:83,
            y:145,
            anchorX:0.5,
            anchorY:0.5,
            visible:false
        });
        man.addChild(moreKhan);
        this.moreKhan = moreKhan;
        //流汗
        var KhananimFrames=[];
        for(var i=1;i<=2;i++){
            var Khanframe=cc.spriteFrameCache.getSpriteFrame("k_19_han"+i+".png");
            KhananimFrames.push(Khanframe)
        }
        //流很多汗
        var moreKhananimFrames=[];
        for(var i=3;i<=4;i++){
            var moreKhanframe=cc.spriteFrameCache.getSpriteFrame("k_19_han"+i+".png");
            moreKhananimFrames.push(moreKhanframe)
        }
        man.runAction(cc.sequence(cc.delayTime(2),cc.callFunc(function(){
            Khan.visible = true;
            var Khananimation=new cc.Animation(KhananimFrames,0.3);
            var Khananimate=new cc.Animate(Khananimation);
            Khan.runAction(Khananimate.repeatForever());
        },this),cc.delayTime(2),cc.callFunc(function(){
            Khan.stopAllActions();
            var Khananimation=new cc.Animation(KhananimFrames,0.1);
            var Khananimate=new cc.Animate(Khananimation);
            Khan.runAction(Khananimate.repeatForever());
        },this),cc.delayTime(2),cc.callFunc(function(){
            Khan.visible = false;
            Khan.stopAllActions();
            moreKhan.visible = true;
            var moreKhananimation=new cc.Animation(moreKhananimFrames,0.1);
            var moreKhananimate=new cc.Animate(moreKhananimation);
            moreKhan.runAction(moreKhananimate.repeatForever());
        },this),cc.delayTime(2),cc.callFunc(function(){
            Khan.visible = false;
            moreKhan.visible = false;
            this.ALL_Touch = false;
            this.emeny.stopAllActions();
            this.man.stopAllActions();
            this.unschedule(this.Housemove);
            this.unschedule(this.Landmove);
            emeny.runAction(cc.callFunc(function(){
                man.setSpriteFrame("k_19_man_tired.png");
                emeny.setSpriteFrame("k_19_emeny_smile.png");
                //反派的头
                var emenyhead = new cc.Sprite("#k_19_emeny_cmile.png");
                emenyhead.attr({
                    x:80,
                    y:150,
                    anchorX:0.5,
                    anchorY:0.5
                });
                emeny.addChild(emenyhead);
                emenyhead.runAction(cc.sequence(cc.sequence(cc.moveBy(0.1,cc.p(0,10)),cc.moveBy(0.1,cc.p(0,-10))).repeat(3), cc.delayTime(1),cc.callFunc(function(){
                    this.GameOverCell3();
                },this)));
                playEffect(res.F24_Laughter,false);
            }, this));
        },this)));
        //反派
        var emeny = new cc.Sprite("#k_19_emeny1.png");
        emeny.attr({
            x:this.size.width/2 + 240,
            y:this.size.height/2 - 150,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(emeny);
        this.emeny = emeny;
        var zidan = new cc.Sprite("#k_19_zidan.png");
        zidan.attr({
            x:this.size.width/2 + 145,
            y:this.size.height/2 - 100,
            anchorX:0.5,
            anchorY:0.5,
            visible:false
        });
        this.addChild(zidan);
        //反派在跑
        var Emenywaiting=["k_19_emeny1.png","k_19_emeny2.png","k_19_emeny3.png","k_19_emeny4.png","k_19_emeny5.png","k_19_emeny6.png","k_19_emeny7.png","k_19_emeny8.png"];
        var EmenyanimFrames=[];
        for(var i=0;i<Emenywaiting.length;i++){
            var Emenyframe=cc.spriteFrameCache.getSpriteFrame(Emenywaiting[i]);
            EmenyanimFrames.push(Emenyframe)
        }
        var Emenyanimation=new cc.Animation(EmenyanimFrames,0.1);
        var Emenyanimate=new cc.Animate(Emenyanimation);
        emeny.runAction(Emenyanimate.repeatForever());

        //线的区域

        var linelayer = new cc.Layer();
        linelayer.attr({
            ignoreAnchor:false,
            anchorX:0.5,
            anchorY:0.5,
            x:this.size.width/2 - 245,
            y:this.size.height/2 - 180,
            visible:false
        });
        linelayer.setContentSize(300, 40);
        this.addChild(linelayer, 1);
        //包的区域
        var baglayer = new cc.Layer();
        baglayer.attr({
            ignoreAnchor:false,
            anchorX:0.5,
            anchorY:0.5,
            x:this.size.width/2 - 290,
            y:this.size.height/2 - 155
        });
        baglayer.setContentSize(40, 70);
        this.addChild(baglayer, 1);

        //设置触摸事件,创建一个事件监听器 OneByOne 为单点触摸
        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);
                if (cc.rectContainsPoint(rect, locationInNode)) {
                    target.parent.scheduleswitch = false;
                    if(target == baglayer && target.parent.ALL_Touch == true) {
                        //书飞出来的动画
                        target.parent.ALL_Touch = false;
//                        target.parent.knife_Touch = true;
                        book.visible = true;
                        target.parent.emeny.stopAllActions();
                        target.parent.man.stopAllActions();
                        target.parent.Khan.visible = false;
                        target.parent.moreKhan.visible = false;
                        target.parent.unschedule(target.parent.Housemove);
                        target.parent.unschedule(target.parent.Landmove);
                        book.runAction(cc.sequence(cc.spawn(cc.jumpTo(1 ,cc.p(target.parent.size.width/2,target.parent.size.height/2 - 190),200,1),cc.scaleTo(1,1),cc.rotateBy(1, 360)), cc.delayTime(0.5),cc.callFunc(function(){
                            //书的动画
                            var Books=["k_19_book_kuihua2.png","k_19_book_kuihua3.png","k_19_book_kuihua4.png","k_19_book_kuihua5.png"];
                            var animFrames=[];
                            for(var i=0;i<Books.length;i++){
                                var frame=cc.spriteFrameCache.getSpriteFrame(Books[i]);
                                animFrames.push(frame)
                            }
                            var animation=new cc.Animation(animFrames,0.2);
                            var animate=new cc.Animate(animation);
                            book.runAction(cc.sequence(animate,cc.callFunc(function(){
                                target.parent.book_Touch = true;
                            },this)));
                        },this)));
                        playEffect(res.F19_Book,false);
                        man.runAction(cc.sequence(cc.delayTime(2.3), cc.callFunc(function(){
                            target.parent.knife_Touch = true;
                            man.setSpriteFrame("k_19_man_dao1.png");
                            line.visible = true;
                            linelayer.visible = true;
                        }, this)));
                    } else if (target == emeny && target.parent.ALL_Touch == true) {
                        //反贼开枪杀死Man的动画
                        target.parent.ALL_Touch = false;
                        target.parent.emeny.stopAllActions();
                        target.parent.man.stopAllActions();
                        target.parent.Khan.visible = false;
                        target.parent.moreKhan.visible = false;
                        target.parent.unschedule(target.parent.Housemove);
                        target.parent.unschedule(target.parent.Landmove);
                        zidan.visible = true;
                        emeny.runAction(cc.sequence(cc.callFunc(function(){
                            emeny.setSpriteFrame("k_19_emeny_beat.png");
                            playEffect(res.F19_Bullet,false);
                        }, this), cc.rotateTo(0.1, 20), cc.delayTime(1), cc.rotateTo(0.1, 0), cc.callFunc(function(){
                            emeny.setSpriteFrame("k_19_emeny_smile.png");
                            //反派的头
                            var emenyhead = new cc.Sprite("#k_19_emeny_cmile.png");
                            emenyhead.attr({
                                x:80,
                                y:150,
                                anchorX:0.5,
                                anchorY:0.5
                            });
                            emeny.addChild(emenyhead);
                            emenyhead.runAction(cc.sequence(cc.moveBy(0.1,cc.p(0,10)),cc.moveBy(0.1,cc.p(0,-10))).repeat(3));
                            playEffect(res.F24_Laughter,false);
                        }, this)));
                        zidan.runAction(cc.sequence(cc.moveBy(0.5,cc.p(-350, 0)), cc.callFunc(function(){
//                            zidan.visible = false
                            var animFrames=[];
                            playEffect(res.F09_BOMB_SOUNDS);
                            for(var i=1;i<=2;i++){
                                var frame=cc.spriteFrameCache.getSpriteFrame("com_boom_0"+i+".png");
                                animFrames.push(frame)
                            }
                            var animation=new cc.Animation(animFrames,0.2);
                            var animate=new cc.Animate(animation);
                            zidan.runAction(animate);
                        }, this), cc.delayTime(0.4),cc.callFunc(function(){
                            zidan.visible = false;
                            var manDie=["k_19_man_die.png","k_19_man_die.png"];
                            var DieanimFrames=[];
                            for(var i = 0;i < manDie.length;i++){
                                var Dieframe=cc.spriteFrameCache.getSpriteFrame(manDie[i]);
                                DieanimFrames.push(Dieframe)
                            }
                            var Dieanimation=new cc.Animation(DieanimFrames,0.2);
                            var Dieanimate=new cc.Animate(Dieanimation);
                            man.runAction(Dieanimate);
                        }, this)));
//                        target.parent.scheduleOnce(target.parent.GameOverCell,2);
                        target.parent.man.runAction(cc.sequence(cc.delayTime(3),cc.callFunc(function(){
                            target.parent.GameOverCell1();
                        },this)));
                    } else if (target == linelayer) {
                        target.parent.lineTouchX = locationInNode.x;
                        target.parent.lineTouchY = locationInNode.y;
                    } else if (target == book && target.parent.book_Touch == true) {
                        target.parent.book_Touch = false;
                        target.parent.knife_Touch = false;
                        //书的动画
                        var Books=["k_19_book_kuihua6.png","k_19_book_kuihua7.png","k_19_book_kuihua8.png","k_19_book_kuihua9.png","k_19_book_kuihua10.png"];
                        var animFrames=[];
                        for(var i=0;i<Books.length;i++){
                            var frame=cc.spriteFrameCache.getSpriteFrame(Books[i]);
                            animFrames.push(frame)
                        }
                        var animation=new cc.Animation(animFrames,0.2);
                        var animate=new cc.Animate(animation);
                        book.runAction(cc.sequence(animate,cc.callFunc(function(){
                            target.parent.GameWin();
                        })));
                    }
                    return true;
                }
                return false;
            },
            onTouchEnded: function (touch, event) {
                var target = event.getCurrentTarget();
                var locationOutNode = target.convertToNodeSpace(touch.getLocation());
                if (target == linelayer && target.parent.knife_Touch == true) {
                    if(Math.abs(target.parent.lineTouchY - locationOutNode.y) < 80 && Math.abs(target.parent.lineTouchX - locationOutNode.x) > 30) {
                        cc.log("Game Over");
                        target.parent.book_Touch = false;
                        target.parent.knife_Touch = false;
                        line.visible = false;
                        playEffect(res.F19_Die,false);
                        var manknifeDie=["k_19_man_dao2.png","k_19_man_dao3.png","k_19_man_dao4.png","k_19_man_dao5.png","k_19_man_dao6.png","k_19_man_dao7.png","k_19_man_dao8.png","k_19_man_die2.png"];
                        var knifeDieanimFrames=[];
                        for(var i=0;i < manknifeDie.length;i++){
                            var knifeDieframe=cc.spriteFrameCache.getSpriteFrame(manknifeDie[i]);
                            knifeDieanimFrames.push(knifeDieframe)
                        }
                        var knifeDieanimation=new cc.Animation(knifeDieanimFrames,0.3);
                        var knifeDieanimate=new cc.Animate(knifeDieanimation);
                        man.runAction(knifeDieanimate);
//                        target.parent.scheduleOnce(target.parent.GameOverCell,3.4);
                        target.parent.man.runAction(cc.sequence(cc.delayTime(2.4),cc.callFunc(function(){
                            emeny.setSpriteFrame("k_19_emeny_smile.png");
                            //反派的头
                            var emenyhead = new cc.Sprite("#k_19_emeny_cmile.png");
                            emenyhead.attr({
                                x:80,
                                y:150,
                                anchorX:0.5,
                                anchorY:0.5
                            });
                            emeny.addChild(emenyhead);
                            emenyhead.runAction(cc.sequence(cc.moveBy(0.1,cc.p(0,10)),cc.moveBy(0.1,cc.p(0,-10))).repeat(3));
                            playEffect(res.F24_Laughter,false);
                        }),cc.delayTime(1),cc.callFunc(function(){
                            target.parent.GameOverCell2();
                        },this)));
                    }
                }
                this._listener = listener1;
            }
        });

        cc.eventManager.addListener(listener1, book);
        cc.eventManager.addListener(listener1.clone(), emeny);
        cc.eventManager.addListener(listener1.clone(), baglayer);
        cc.eventManager.addListener(listener1.clone(), linelayer);
    },
    init:function(){
        this.scheduleswitch = true;
        this.ALL_Touch = true;
        this.book_Touch = false;
        this.knife_Touch = false;
        this.lineTouchX = 0;
        this.lineTouchX = 0;
    },
    Housemove:function (dt) {
        var posX1 = this.house1.getPositionX(); // 背景地图1的X坐标
        var posX2 = this.house2.getPositionX(); // 背景地图2的X坐标
        /* 两张地图向上滚动（两张地图是相邻的，所以要一起滚动，否则会出现空隙） */
        posX1 -= 10;
        posX2 -= 10;
        /* 当第1个地图完全离开屏幕时，让第2个地图完全出现在屏幕上，同时让第1个地图紧贴在第2个地图后面 */
        if (posX1 < -this.house1.getContentSize().width * 0.5) {
            posX2 = this.house1.getContentSize().width * 0.5;
            posX1 = this.house1.getContentSize().width * 1.5 - 1;
        }
        /* 同理，当第2个地图完全离开屏幕时，让第1个地图完全出现在屏幕上，同时让第2个地图紧贴在第1个地图后面 */
        if (posX2 < -this.house1.getContentSize().width * 0.5) {
            posX1 = this.house1.getContentSize().width * 0.5;
            posX2 = this.house1.getContentSize().width * 1.5 - 1;
        }
        this.house1.x = posX1;
        this.house2.x = posX2;

    },
    Landmove:function (dt) {
    var posX1 = this.land1.getPositionX(); // 背景地图1的X坐标
    var posX2 = this.land2.getPositionX(); // 背景地图2的X坐标
    /* 两张地图向上滚动（两张地图是相邻的，所以要一起滚动，否则会出现空隙） */
    posX1 -= 10;
    posX2 -= 10;
    /* 当第1个地图完全离开屏幕时，让第2个地图完全出现在屏幕上，同时让第1个地图紧贴在第2个地图后面 */
    if (posX1 < -this.land1.getContentSize().width * 0.5) {
        posX2 = this.land1.getContentSize().width * 0.5;
        posX1 = this.land1.getContentSize().width * 1.5 - 1;
    }
    /* 同理，当第2个地图完全离开屏幕时，让第1个地图完全出现在屏幕上，同时让第2个地图紧贴在第1个地图后面 */
    if (posX2 < -this.land1.getContentSize().width * 0.5) {
        posX1 = this.land1.getContentSize().width * 0.5;
        posX2 = this.land1.getContentSize().width * 1.5 - 1;
    }
    this.land1.setPositionX(posX1);
    this.land2.setPositionX(posX2);
    },
    GameWin:function(){
        this.line.visible = false;

        var ManGo=["k_19_light1.png","k_19_light3.png","k_19_light4.png","k_19_man_dao1.png"];
        var ManGoanimFrames=[];
        for(var i = 0;i < ManGo.length;i++){
            var ManGoframe = cc.spriteFrameCache.getSpriteFrame(ManGo[i]);
            ManGoanimFrames.push(ManGoframe);
        }
        var ManGoanimation=new cc.Animation(ManGoanimFrames,0.2);
        var ManGoanimate=new cc.Animate(ManGoanimation);
        this.man.runAction(cc.sequence(cc.callFunc(function(){
            playEffect(res.F19_skills,false);
            var light = new cc.Sprite("#k_19_light.png");
            light.attr({
                x:80,
                y:200,
                anchorX:0.5,
                anchorY:0.5,
                visible:false
            });
            this.man.addChild(light);
            light.runAction(cc.blink(2,4));
            var light1 = new cc.Sprite("#k_19_light1.png");
            light1.attr({
                x:80,
                y:80,
                anchorX:0.5,
                anchorY:0.5,
                scale:3
            });
            this.man.addChild(light1);
            light1.runAction(cc.scaleTo(2,0));
        },this),cc.delayTime(2),cc.spawn(ManGoanimate, cc.moveBy(0.6, cc.p(600, 0))),cc.callFunc(function(){
            var Manxiao=["k_19_man8_win.png","k_19_man8_win2.png"];
            var animFrames=[];
            for(var i=0;i<2;i++){
                var frame=cc.spriteFrameCache.getSpriteFrame(Manxiao[i]);
                animFrames.push(frame)
            }
            var animation=new cc.Animation(animFrames,0.2);
            var animate=new cc.Animate(animation);
            this.man.runAction(animate.repeat(4));
            playEffect(res.F24_Laughter,false);
        },this)));
        this.emeny.runAction(cc.sequence(cc.delayTime(2.4), cc.callFunc(function(){
            var light1 = new cc.Sprite("#k_19_light1.png");
            light1.attr({
                x:80,
                y:80,
                anchorX:0.5,
                anchorY:0.5,
                scale:0
            });
            this.emeny.addChild(light1);
            light1.runAction(cc.sequence(cc.scaleTo(0.2, 2), cc.callFunc(function(){
                light1.setVisible(false);
                this.emeny.setSpriteFrame("k_19_emeny_die.png");
            },this)));
        }, this)));
        this.man.runAction(cc.sequence(cc.delayTime(3.8),cc.callFunc(function(){
            this.GameWinCall();
        },this)));

    },
    GameOverCell1:function(dt) {
        ShowFaildPPanel(this.getParent(), 19, 1);
    },
    GameOverCell2:function(dt) {
        ShowFaildPPanel(this.getParent(), 19, 0);
    },
    GameOverCell3:function(dt) {
        ShowFaildPPanel(this.getParent(), 19, 2);
    },
    GameWinCall:function(dt) {
        ShowSuccessPanel(this.getParent(), 19);
    }

});

var CutcordScene = cc.Scene.extend({
    layer:null,
    onEnter : function() {
        this._super();
        this.layer = new CutcordLayer();
        this.addChild(this.layer);

        var level = 19;
        var mainUILayer = new MainUILayer(level);
        this.addChild(mainUILayer, 2);
    },
    pauseTheGame : function () {
        //pause the game
        this.layer.unschedule(this.layer.Landmove);
        this.layer.unschedule(this.layer.Housemove);
        cc.log("pause the game");
    },
    resumeTheGame :function () {
        //resume the game
        if (this.layer.scheduleswitch == true) {
            this.layer.schedule(this.layer.Landmove);
            this.layer.schedule(this.layer.Housemove);
        }
        cc.log("resume the game");
    }

});