/**
 * Created by weicheng.li on 14-9-19.
 */

//要遍历的位置
var arr1 = [[-1,0],[-1,-1],[0,-1],[1,0],[0,1],[-1,1]];
var arr2 = [[0,-1],[1,0],[1,1],[0,1],[-1,0],[1,-1]];


var SurroundLayer=cc.Layer.extend({
    status:1,
    point_arr:[],
    move_arr:[],
    new_arr:[],
    to_arr:[],
    old_arr:[],
    box_arr:[],
    two_arr:[],
    winSize:null,
    step:0,
    man:null,
    path:[],
    barrier:16,
    replay:null,
    shareBtn:null,
    to_bool:false,
    move_Step:8,
    lbStep:null,
    move_Box:null,
    click_flag:true,
    move_flag:false,
    ctor:function(){
        this._super();

        this.init();

        var winSize=cc.director.getWinSize();
        this.winSize=winSize;
        var bg=new cc.Sprite("#k_22_bg.png");
        bg.attr({
            anchorX:0.5,
            anchorY:0,
            x:winSize.width/2,
            y:0
        });
        this.addChild(bg,-1);


        //步数
        var stepBg=new cc.Sprite("#k_22_blank.png");
        stepBg.attr({
            x:winSize.width/2,
            y:520
        });
        this.addChild(stepBg,100);

        this.lbStep=new cc.LabelTTF("步数："+this.move_Step+"步",getFONT_FZCY_M03SStr(),36);
        this.lbStep.attr({
            x:110,
            y:33,
            color:cc.color(39,39,39)
        });
        stepBg.addChild(this.lbStep,100);

        //垃圾桶
        this.move_Box=new cc.Sprite("#k_22_lj.png");
        this.move_Box.attr({
            anchorX:0.5,
            anchorY:0.2,
            scale:1,
            x:winSize.width/2+425,
            y:275
        });
        this.addChild(this.move_Box,2);

        //房子
        var fang=new cc.Sprite("#k_22_fang.png");
        fang.attr({
            x:winSize.width/2+340,
            y:310
        });
        this.addChild(fang,3);

        this.addPoint();

        this.addBarrier();

        this.addMan(4,4);

        this.movePoint(4,4);

        cc.eventManager.addListener({
            event:cc.EventListener.TOUCH_ALL_AT_ONCE,
            onTouchesBegan:function(touches,event){
                event.getCurrentTarget().onTouchesBegan(touches[0].getLocation());
            },
            onTouchesMoved:function(touches,event){
                event.getCurrentTarget().onTouchesMoved(touches[0].getLocation());
            },
            onTouchesEnded:function(touches,event){
                event.getCurrentTarget().onTouchesEnded(touches[0].getLocation());
            }
        },this);
    },
    init:function(){
        this.step=0;
        this.status=1;
        this.move_Step=8;
        this.point_arr=[];
        this.move_arr=[];
        this.new_arr=[];
        this.to_arr=[];
        this.old_arr=[];
        this.box_arr=[];
        this.two_arr=[];
    },
    onTouchesBegan:function(touches,event){
        if(this.status==1){
            for(var i=0;i<this.point_arr.length;i++){
                if(this.point_arr[i].bool) {
                    if (cc.rectContainsPoint(this.point_arr[i].getBoundingBox(), touches)) {
                        playEffect(res.F13_Touch);
                        this.step++;
                        this.point_arr[i].bool = false;
                        this.point_arr[i].setSpriteFrame("k_22_point_blue.png");
                        this.box_arr.push([this.point_arr[i].pX, this.point_arr[i].pY]);

                        var arr = this.movePoint(this.man.pX, this.man.pY);

                        this.move_Step--;
                        this.lbStep.setString("步数："+this.move_Step+"步");

                        if (this.man.pX == 0 || this.man.pX == 8 || this.man.pY == 0 || this.man.pY == 8) {
                            this.manRun();
                        }
                        else if(arr.length==0){
                            this.win();
                        }
                        else{
                            this.moveMan(arr[0][0], arr[0][1]);
                            this.status=0;

                            if(this.move_Step==0){
                                this.man.stopAllActions();

                                this.man.setSpriteFrame("k_09_man_smile.png");

                                playEffect(res.F22_XIAO);

                                var smile=new cc.Sprite("#k_09_smile.png");
                                smile.attr({
                                    x:this.man.getBoundingBox().width/2-3,
                                    y:this.man.getBoundingBox().height-45
                                });
                                this.man.addChild(smile);

                                this.man.scale=0.7;

                                smile.runAction(cc.sequence(cc.moveBy(0.1,cc.p(0,1.5)),cc.moveBy(0.1,cc.p(0,-1.5))).repeatForever());
                                this.gameOver();
                                return;
                            }

                            this.scheduleOnce(function(){this.status=1;},0.1);
                            this.around(arr[0][0],arr[0][1]);


                        }

                    }
                }
            }

            if(this.click_flag==true){
                if(cc.rectContainsPoint(this.move_Box.getBoundingBox(),touches)){
                    this.move_flag=true;
                    this.move_Box.setLocalZOrder(4);
                }
            }

        }

    },
    onTouchesMoved:function(touches,event){
        if(this.move_flag==true){
            this.move_Box.x=touches.x;
            this.move_Box.y=touches.y;
        }
    },
    onTouchesEnded:function(touches,event){
        this.move_flag=false;
        for(var i=0;i<this.point_arr.length;i++){
            if(this.click_flag==true && this.point_arr[i].bool==true){
                if(cc.rectIntersectsRect(this.move_Box,this.point_arr[i].getBoundingBox())){
                    playEffect(res.F13_Touch);
                    this.click_flag=false;
                    this.point_arr[i].bool=false;
                    this.point_arr[i].setSpriteFrame("k_22_point_blue.png");
                    this.box_arr.push([this.point_arr[i].pX,this.point_arr[i].pY]);
                    this.move_Box.runAction(cc.moveTo(0.2,cc.p(this.point_arr[i].x,this.point_arr[i].y)))
                }
            }

        }
    },
    around:function(x,y){
        var _arr=[];
        var count=0;
        if(y%2==0)
        {
            _arr = arr1;
        }
        else
        {
            _arr = arr2;
        }
        for(var i=0;i<_arr.length;i++){
            for(var j=0;j<this.point_arr.length;j++){
                if(this.point_arr[j].pX==(x+_arr[i][0]) && this.point_arr[j].pY==(y+_arr[i][1])){
                    if(this.point_arr[j].bool){
                        count++;
                    }
                }
            }
        }
        if(count==0){
            if( this.man.pX == 0 || this.man.pX == 8 || this.man.pY == 0 || this.man.pY == 8){
                this.manRun();
            }
            else{
                this.win();
            }

        }

    },
    addPoint:function(){
        for(var i=0;i<9;i++){
            for(var j=0;j<9;j++){
                var point=new cc.Sprite("#k_22_point_gray.png");
                var point_rect=point.getBoundingBox();
                var x=point_rect.width*i+point_rect.width/2+(i*2)+(this.winSize.width/2-(point_rect.width*9)/2);
                if(j%2!=0)x=point_rect.width*i+point_rect.width+(i*2)+(this.winSize.width/2-(point_rect.width*9)/2);
                var y=(point_rect.height)*j+30;
                point.setPosition(cc.p(x,y));
                point.bool=true;
                point.pX=i;
                point.pY=j;
                this.addChild(point);
                this.point_arr.push(point);
            }
        }
    },
    addBarrier:function(){

        var barrier=[[7,8],[0,6],[3,4],[4,5],[3,5],[5,4],[8,3],[2,0],[6,0]];
        for(var i=0;i<barrier.length;i++){
            for(var j=0;j<this.point_arr.length;j++){
                if(this.point_arr[j].pX==barrier[i][0] && this.point_arr[j].pY==barrier[i][1]){
                    this.point_arr[j].bool=false;
                    this.point_arr[j].setSpriteFrame("k_22_point_blue.png");
                    this.box_arr.push([this.point_arr[j].pX,this.point_arr[j].pY]);
                }
            }
        }

    },
    addMan:function(x,y){

        this.man=new cc.Sprite("#k_22_man_01.png");
        this.man.setAnchorPoint(cc.p(0.5,0));
        this.man.pX=x;
        this.man.pY=y;
        this.addChild(this.man,1);
        //定位到中心
        for(var i=0;i<this.point_arr.length;i++) {
            if (this.point_arr[i].pX == 4 && this.point_arr[i].pY == 4) {
                var point_rect=this.point_arr[i].getBoundingBox();
                this.man.setPosition(cc.p(point_rect.x+23,point_rect.y+20));
            }
        }

        //动画
        var animFrames=[];
        for(var i=1;i<=4;i++){
            animFrames.push(cc.spriteFrameCache.getSpriteFrame("k_22_man_0"+i+".png"));

        }
        var animation=new cc.Animation(animFrames,0.2);
        var animate=new cc.Animate(animation);
        this.man.runAction(animate.repeatForever());



    },
    moveMan:function(x,y){
        for(var i=0;i<this.point_arr.length;i++){
            if(this.point_arr[i].pX==x && this.point_arr[i].pY==y){
                var point_rect=this.point_arr[i].getBoundingBox();
                this.man.pX=x;
                this.man.pY=y;
                this.man.runAction(cc.moveTo(0.1,cc.p(point_rect.x+27,point_rect.y+20)));

            }
        }
    },
    movePoint:function(x,y){
        this.to_bool = false;
        //定义一个移动范围，也就是主角位置
        this.move_arr = [[x,y]];
        //清空不可移动位置
        this.old_arr = [];
        //导入障碍物
        for(var i=0;i<this.box_arr.length;i++){
            this.old_arr.push(this.box_arr[i]);
        }
        //添加本身不可移动位置
        this.old_arr.push([[x,y]]);
        //清空路径
        this.to_arr = [];
        //开始寻路
        this.g();
        //寻路结束，获得最短距离
        var arr = [];
        for(var i in this.to_arr)
        {
            if(arr.length == 0 || arr.length > this.to_arr[i].length) {
                var xy = this.to_arr[i][this.to_arr[i].length-1];
                if (xy[0] == 0 || xy[0] == 8 || xy[1] == 0 || xy[1] == 8) {
                    var xy2 = this.to_arr[i][0];
                    arr = this.to_arr[i];
                    if(Math.abs(xy2[0] - x) <=1 && Math.abs(xy2[1] - y) <= 1) {
                        arr = this.to_arr[i];
                    }

                }
            }
        }

        if(arr.length == 0)
        {
            if(this.to_arr.length > 0)
            {
                this.man2();
                arr = this.to_arr[Math.round(Math.random()*(this.to_arr.length -1))];
            }

        }

        //如果没有到尽头的路径，则把其中一条路径提供
        return arr;
    },
    man2:function(){
        //添加人物被围住动画
        this.man.stopAllActions();

        var animFrames=[];
        for(var i=1;i<=4;i++){
            animFrames.push(cc.spriteFrameCache.getSpriteFrame("k_22_win_0"+i+".png"));
        }
        var animation=new cc.Animation(animFrames,0.2);
        var animate=new cc.Animate(animation);
        this.man.runAction(animate.repeatForever());
    },
    g:function()
    {

        //开始进行寻找新的路径
        for (var i = 0; i < this.move_arr.length; i++) {

            //获得当前路径
            var p_arr = this.move_arr[i];
            var arr = [];
            if(p_arr[1]%2==0)
            {
                arr = arr1;
            }
            else
            {
                arr = arr2;
            }
            //遍历6个方向
            this.c(p_arr[0], arr[0][0], p_arr[1], arr[0][1]);
            this.c(p_arr[0], arr[1][0], p_arr[1], arr[1][1]);
            this.c(p_arr[0], arr[2][0], p_arr[1], arr[2][1]);
            this.c(p_arr[0], arr[3][0], p_arr[1], arr[3][1]);
            this.c(p_arr[0], arr[4][0], p_arr[1], arr[4][1]);
            this.c(p_arr[0], arr[5][0], p_arr[1], arr[5][1]);

            if(this.to_bool)
            {
                this.new_arr = [];
            }

        }

        //将已经移动过的路径加入到数组
        for(var i in this.two_arr)
        {
            this.old_arr.push(this.two_arr[i]);
        }

        //清空数组
        this.two_arr = [];

        //结束后，如果存在新的路径，继续寻路
        if (this.new_arr.length != 0) {
            this.move_arr = this.new_arr;
            this.new_arr = [];
            this.g();
        }

    }
    ,
    c:function(x,tx,y,ty) {

        //判断当前位置是否可以移动
        var b = true;

        //检测当前移动位置是否已经移动过了
        for (var z in this.old_arr) {
            if (this.old_arr[z][0] == x+tx && this.old_arr[z][1] == y+ty) {
                b = false;
            }
        }

        //如果当前位置可以移动，还要判断一下它是否尽头，如果是尽头则无须再进行判断
        if(b)
        {
            if(x <= 0 || x >= 8 || y <= 0 || y>=8)
            {
                b = false;
                this.to_bool = true;
            }
        }

        //如果符合要求则，进行寻路
        if(b)
        {

            //如果可以移动，加入新的移动数组
            this.new_arr.push([x+tx,y+ty]);
            this.two_arr.push([x + tx, y + ty]);

            //如果有当前路径的队伍，就会返回true，如果没有队伍，则会自已创建一个队伍
            var boolA = false;

            //遍历所有的路径，判断是否有队伍可以跟随
            for(var i = 0; i< this.to_arr.length;i++)
            {
                var object = this.to_arr[i][this.to_arr[i].length-1];
                if(object[0] == x && object[1] == y)
                {
                    var pArr = [];
                    for(var pa = 0; pa< this.to_arr[i].length ;pa++)
                    {
                        pArr.push(this.to_arr[i][pa]);
                    }

                    pArr.push([x+tx,y+ty]);

                    this.to_arr.push(pArr);
                    boolA = true;
                    break;
                }
            }

            //如果没有路径可以跟随，则自已为一个队伍
            if(!boolA)
            {
                this.to_arr.push([[x+tx,y+ty]]);
            }

        }
    },
    manRun:function(){

        this.status=0;

        if(this.man.pX==0){
            this.man.scaleX=-1;
            this.man.runAction(cc.moveTo(1,cc.p(-100,this.man.getBoundingBox().y)));
        }
        else if(this.man.pX==8){
            this.man.runAction(cc.moveTo(1,cc.p(this.winSize.width+100,this.man.getBoundingBox().y)));
        }
        else if(this.man.pY==0){
            this.man.runAction(cc.moveTo(1,cc.p(this.man.getBoundingBox().x,-150)));
        }
        else if(this.man.pY==8){
            this.man.runAction(cc.moveTo(1,cc.p(this.man.getBoundingBox().x,this.winSize.height+150)));
        }

        var Head=new cc.Sprite("#k_22_fail_head.png");
        Head.attr({
            x:this.winSize.width/2,
            y:-200
        });
        this.addChild(Head,10);

        Head.runAction(cc.sequence(
            cc.delayTime(1),
            cc.moveTo(0.5,cc.p(this.winSize.width/2,Head.getBoundingBox().height/2)),
            cc.callFunc(function(){
                playEffect(res.F22_XIAO);
            },this),
            cc.moveBy(0.15,cc.p(0,-10)),
            cc.moveBy(0.15,cc.p(0,10)),
            cc.moveBy(0.15,cc.p(0,-10)),
            cc.moveBy(0.15,cc.p(0,10)),
            cc.moveTo(0.3,cc.p(this.winSize.width/2,-200)),
            cc.callFunc(function(){
                ShowFaildPPanel(this.getParent(),22,1);
            },this)
        ))


    },
    gameOver:function(type){
        this.status=0;

        this.runAction(cc.sequence(cc.delayTime(1),cc.callFunc(function(){
            type=type || 0;
            ShowFaildPPanel(this.getParent(),22,type);
        },this)));
    },
    win:function(){
        this.status=0;
        this.man2();

        this.runAction(cc.sequence(cc.delayTime(1.5),cc.callFunc(function(){
            ShowSuccessPanel(this.getParent(),22);
        },this)));
    }
});

var SurroundScene=cc.Scene.extend({
    onEnter:function(){
        this._super();
        var layer=new SurroundLayer();
        this.addChild(layer);

        var level = 22;
        var mainUILayer = new MainUILayer(level);
        this.addChild(mainUILayer, 2);
    },
    pauseTheGame : function () {
        //pause the game
        cc.log("pause the game");
    },
    resumeTheGame :function () {
        //resume the game
        cc.log("resume the game");
    }
});