/**
 * Created by hayashirin on 14-9-25.
 */
var TofleeLayer = cc.Layer.extend({

    pen1:null,
    rubber:null,
    man:null,
    circle:null,
    face:null,
    book2:null,
    book1:null,
    rulur:null,

    ctor : function()
    {
        this._super();

        this.size = cc.director.getWinSize();
        //初始化
        this.init();
        //添加背景
        var bg = new cc.Sprite("#k_24_bg.png");
        bg.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(bg);
        //圆圈
        var circle = new cc.Sprite("#k_24_circle.png");
        circle.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(circle);
        this.circle = circle;
        //计算机
        var calcuractor = new cc.Sprite("#k_24_calcuractor.png");
        calcuractor.attr({
            x:this.size.width/2 + 400,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(calcuractor);
//        //刀
//        var knife = new cc.Sprite("#k_24_knife.png");
//        knife.attr({
//            x:this.size.width/2 - 420,
//            y:this.size.height/2 - 20,
//            anchorX:0.5,
//            anchorY:0.5
//        });
//        this.addChild(knife);
        //尺
        var rulur = new cc.Sprite("#k_24_rulur.png");
        rulur.attr({
            x:this.size.width/2 + 100,
            y:this.size.height/2 - 280,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(rulur);
        this.rulur = rulur;
        //紫色的书
        var book2 = new cc.Sprite("#k_24_book2.png");
        book2.attr({
            x:this.size.width/2 - 270,
            y:this.size.height/2 + 120,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(book2);
        this.book2 = book2;
        //绿色的书
        var book1 = new cc.Sprite("#k_24_book1.png");
        book1.attr({
            x:this.size.width/2 - 360,
            y:this.size.height/2 + 80,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(book1);
        this.book1 = book1;
        //笔1
        var pen1 = new cc.Sprite("#k_24_pen1.png");
        pen1.attr({
            x:this.size.width/2 + 260,
            y:this.size.height/2 - 20,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(pen1);
        this.pen1 = pen1;
//        //笔2
//        var pen2 = new cc.Sprite("#k_24_pen2.png");
//        pen2.attr({
//            x:this.size.width/2 + 340,
//            y:this.size.height/2 - 20,
//            anchorX:0.5,
//            anchorY:0.5
//        });
//        this.addChild(pen2);
//        //笔3
//        var pen3 = new cc.Sprite("#k_24_pen3.png");
//        pen3.attr({
//            x:this.size.width/2 + 380,
//            y:this.size.height/2 - 20,
//            anchorX:0.5,
//            anchorY:0.5
//        });
//        this.addChild(pen3);
        //橡皮擦
        var rubber = new cc.Sprite("#k_24_rubber.png");
        rubber.attr({
            x:this.size.width/2 - 270,
            y:this.size.height/2 - 190,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(rubber);
        this.rubber = rubber;
        //纸1
        var paper1 = new cc.Sprite("#k_24_paper1.png");
        paper1.attr({
            x:this.size.width/2 + 500,
            y:this.size.height/2 - 320,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(paper1, 1);
        //猪脚
        var man = new cc.Sprite("#k_24_man_nervous2.png");
        man.attr({
            x:this.size.width/2 + 7,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(man, 2);
        this.man = man;
        //猪脚的动画
        var Mans=["k_24_man_nervous1.png","k_24_man_nervous2.png"];
        var MansanimFrames=[];
        for(var i=0;i<Mans.length;i++){
            var Mansframe=cc.spriteFrameCache.getSpriteFrame(Mans[i]);
            MansanimFrames.push(Mansframe)
        }
        var Mansanimation=new cc.Animation(MansanimFrames,0.2);
        var Mansanimate=new cc.Animate(Mansanimation);
        man.runAction(Mansanimate.repeatForever());
        //表情
        var face = new cc.Sprite("#k_12_man_face2.png");
        face.attr({
            x:this.size.width/2 + 18,
            y:this.size.height/2 + 68,
            anchorX:0.5,
            anchorY:0.5,
            visible:false
        });
        this.addChild(face, 2);
        this.face = face;
        // Make touchable
        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode) && target.parent.All_Touch == true) {
                    target.parent.All_Touch = false;
                    if (target == rubber) {
                        rubber.setLocalZOrder(100);
                        return true;
                    }
                    if (target == pen1) {
                        pen1.setLocalZOrder(100);
                        return true;
                    }
                    if (target == book1) {
                        book1.setLocalZOrder(100);
                        return true;
                    }
                    if (target == book2) {
                        book2.setLocalZOrder(100);
                        return true;
                    }
                    if (target == rulur) {
                        rulur.setLocalZOrder(100);
                        return true;
                    }
                    if (target == paper1) {
                        return true;
                    }
                    if (target == man) {
                        target.parent.GameOver4();
                        return true;
                    }
                    if (target == calcuractor) {
                        target.parent.GameOver3();
                        return true;
                    }
                }
                return false;
            },
            onTouchMoved: function (touch, event) {
                var size = cc.director.getWinSize();
                var target = event.getCurrentTarget();
                var delta = touch.getDelta();
                var rubberRect = rubber.getBoundingBox();
                var pen1Rect = pen1.getBoundingBox();
                var paper1Rect = paper1.getBoundingBox();
                var manRect = man.getBoundingBox();
                var book1Rect = book1.getBoundingBox();
                var book2Rect = book2.getBoundingBox();
                var rulurRect = rulur.getBoundingBox();
                if (target != man || target != calcuractor) {
                    if (target.parent.Move_Touch == true && target != man) {
                        target.x += delta.x;
                        target.y += delta.y;
                        if (target == rubber && cc.rectIntersectsRect(manRect, rubberRect)) {
                            target.parent.All_Touch = false;
                            target.parent.Move_Touch = false;
                            target.parent.GameOver1();
                            return;
                        }
                        if (target == pen1 && cc.rectIntersectsRect(manRect, pen1Rect)) {
                            target.parent.All_Touch = false;
                            target.parent.Move_Touch = false;
                            target.parent.GameOver2();
                        }
                        if (target == book1 && cc.rectIntersectsRect(manRect, book1Rect)) {
                            target.parent.All_Touch = false;
                            target.parent.Move_Touch = false;
                            target.parent.GameOver5();
                            return;
                        }
                        if (target == book2 && cc.rectIntersectsRect(manRect, book2Rect)) {
                            target.parent.All_Touch = false;
                            target.parent.Move_Touch = false;
                            target.parent.GameOver6();
                        }
                        if (target == rulur && cc.rectIntersectsRect(manRect, rulurRect)) {
                            target.parent.All_Touch = false;
                            target.parent.Move_Touch = false;
                            target.parent.GameOver7();
                        }
                        if (target == paper1 && cc.rectIntersectsRect(manRect, paper1Rect)) {
                            target.parent.All_Touch = false;
                            target.parent.Move_Touch = false;
                            paper1.runAction(cc.sequence(cc.moveTo(0.5, cc.p(size.width / 2 + 360, size.height /2 - 180)),cc.callFunc(function(){
                                target.parent.GameWin();
                            }, this)));
                        }
                    }
                }
            },
            onTouchEnded: function (touch, event) {
                var size = cc.director.getWinSize();
                var target = event.getCurrentTarget();
                if (target.parent.Move_Touch == true) {
                    target.parent.All_Touch = true;
                    if (target == rubber) {
                        rubber.setLocalZOrder(0);
                        rubber.runAction(cc.moveTo(0.1, cc.p(size.width / 2 - 270, size.height /2 - 190)));
                    }
                    if (target == pen1) {
                        pen1.setLocalZOrder(0);
                        pen1.runAction(cc.moveTo(0.1, cc.p(size.width / 2 + 260, size.height /2 - 20)));
                    }
                    if (target == book1) {
                        book1.setLocalZOrder(0);
                        book1.runAction(cc.moveTo(0.1, cc.p(size.width / 2 - 360, size.height /2 + 80)));
                    }
                    if (target == book2) {
                        book2.setLocalZOrder(0);
                        book2.runAction(cc.moveTo(0.1, cc.p(size.width / 2 - 270, size.height /2 + 120)));
                    }
                    if (target == rulur) {
                        rulur.setLocalZOrder(0);
                        rulur.runAction(cc.moveTo(0.1, cc.p(size.width / 2 + 100, size.height /2 - 280)));
                    }
                    if (target == paper1) {
                        paper1.runAction(cc.moveTo(0.1, cc.p(size.width / 2 + 500, size.height /2 - 320)));
                    }
                }
            }
        });

        cc.eventManager.addListener(listener1, rubber);
        cc.eventManager.addListener(listener1.clone(), pen1);
        cc.eventManager.addListener(listener1.clone(), paper1);
        cc.eventManager.addListener(listener1.clone(), man);
        cc.eventManager.addListener(listener1.clone(), calcuractor);
        cc.eventManager.addListener(listener1.clone(), book1);
        cc.eventManager.addListener(listener1.clone(), book2);
        cc.eventManager.addListener(listener1.clone(), rulur);
    },
    init:function(){
        this.All_Touch = true;
        this.Move_Touch = true;
    },
    GameOver1:function(){
        //橡皮擦的死法
        var size = cc.director.getWinSize();
        cc.log("GameOver1");
        var eraser_id = playEffect(res.F24_eraser,true);
        this.rubber.runAction(cc.sequence(cc.moveTo(0.5 ,cc.p(size.width / 2 + 70, size.height / 2 + 60)), cc.moveTo(0.5, cc.p(size.width / 2 - 80, size.height / 2 - 70))).repeat(3));
        this.face.runAction(cc.sequence(cc.fadeOut(3),cc.callFunc(function(){
            stopEffect(eraser_id);
        },this)));
        this.man.runAction(cc.sequence(cc.fadeOut(3), cc.delayTime(0.5),cc.callFunc(function(){
            ShowFaildPPanel(this.getParent(), 24, 3);
        },this)));
    },
    GameOver2:function(){
        //笔的死法
        this.man.stopAllActions();
        this.man.setSpriteFrame("k_24_man1.png");
        this.face.visible = true;
        var write = new cc.Sprite("#k_24_pen_write.png");
        write.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5,
            opacity:0
        });
        this.addChild(write, 5);
        var size = cc.director.getWinSize();
        cc.log("GameOver2");
        var controlPoints1 = [ cc.p(size.width/2 + 100, size.height/2),
            cc.p(size.width/2 - 100, size.height/2),
            cc.p(size.width / 2 - 100, size.height /2 - 100) ];
        var bezierTo1 = cc.bezierTo(0.5, controlPoints1);
        var controlPoints2 = [ cc.p(size.width/2 - 100, size.height/2 - 300),
            cc.p(size.width/2 + 100, size.height/2 - 300),
            cc.p(size.width / 2 + 100, size.height /2 - 100) ];
        var bezierTo2 = cc.bezierTo(0.5, controlPoints2);
//        this.schedule(this.pen, 1);
        var seq = cc.sequence(bezierTo1, bezierTo2);
        this.pen1.runAction(seq.repeat(3));
        write.runAction(cc.fadeIn(3));
        //GameOver动画
        var boom = new cc.Sprite("#k_24_boom1.png");
        boom.attr({
            x:this.size.width/2,
            y:this.size.height/2,
            anchorX:0.5,
            anchorY:0.5
        });
        this.addChild(boom, 101);
        var animFrames=[];
        for(var i=1;i<=5;i++){
            var frame=cc.spriteFrameCache.getSpriteFrame("k_24_boom"+i+".png");
            animFrames.push(frame)
        }
        var animation=new cc.Animation(animFrames,0.2);
        var animate=new cc.Animate(animation);
        var eraser_id = playEffect(res.F24_eraser,true);
        boom.runAction(animate.repeat(3));
        this.pen1.runAction(cc.sequence(cc.delayTime(3), cc.callFunc(function(){
            stopEffect(eraser_id);
            boom.visible = false;
            this.face.setSpriteFrame("k_24_die.png");
            playEffect(res.F19_Win,false);
//            this.unschedule(this.pen);
        },this), cc.delayTime(0.5),cc.callFunc(function(){
            ShowFaildPPanel(this.getParent(), 24, 0);
        },this)));
//        ShowFaildPPanel(this.getParent(), 24);
    },
    GameOver3:function(){
        //计算机的死法
        this.All_Touch = false;
        this.Move_Touch = false;
        this.man.stopAllActions();
        this.man.setSpriteFrame("k_24_man1.png");
        this.face.visible = true;
        this.man.runAction(cc.sequence(cc.callFunc(function(){
            //GameOver动画
            var boom = new cc.Sprite("#com_boom_01.png");
            boom.attr({
                x:this.size.width/2 + 400,
                y:this.size.height/2,
                anchorX:0.5,
                anchorY:0.5,
                scale:1.5
            });
            this.addChild(boom, 10);
            var animFrames=[];
            for(var i=1;i<=2;i++){
                var frame=cc.spriteFrameCache.getSpriteFrame("com_boom_0"+i+".png");
                animFrames.push(frame)
            }
            var animation=new cc.Animation(animFrames,0.2);
            var animate=new cc.Animate(animation);
            boom.runAction(animate.repeat(3));
            var lightlayer = new cc.LayerColor(cc.color(255, 255, 255, 200), this.size.width, this.size.height);
            lightlayer.visible = false;
            this.addChild(lightlayer, 10);
            lightlayer.runAction(cc.blink(1.2,10));
            playEffect(res.F09_BOMB_SOUNDS);
        },this), cc.delayTime(0.4),cc.callFunc(function(){
            this.face.setSpriteFrame("k_24_die.png");
        },this),cc.delayTime(1), cc.callFunc(function(){
            ShowFaildPPanel(this.getParent(), 24, 2);
        },this)));
    },
    GameOver4:function(){
        //点击man的死法
        this.All_Touch = false;
        this.Move_Touch = false;
        this.man.stopAllActions();
        this.man.setSpriteFrame("k_24_man_nervous3.png");
        this.man.runAction(cc.sequence(cc.delayTime(0.5), cc.callFunc(function(){
            this.face.visible = true;
            var ManGo=["k_24_man1.png", "k_24_man2.png"];
            var ManGoanimFrames=[];
            this.All_Touch = false;
            this.Move_Touch = false;
            for(var i=0;i<ManGo.length;i++){
                var ManGoframe = cc.spriteFrameCache.getSpriteFrame(ManGo[i]);
                ManGoanimFrames.push(ManGoframe);
            }
            var ManGoanimation=new cc.Animation(ManGoanimFrames,0.2);
            var ManGoanimate=new cc.Animate(ManGoanimation);
            this.man.runAction(ManGoanimate.repeat(2));
            this.man.runAction(cc.moveBy(0.8, cc.p(50, -50)));
            this.face.runAction(cc.moveBy(0.8, cc.p(50, -50)));
            this.man.runAction(cc.sequence(cc.delayTime(0.8), cc.callFunc(function(){
                this.face.visible = false;
                playEffect(res.F12_LIGNTING_SOUNDS,false);
                var electricity = new cc.Sprite("#k_24_light.png");
                electricity.attr({
                    x:87,
                    y:116,
                    anchorX:0.5,
                    anchorY:0.5,
                    scale:1.5
                });
                this.man.addChild(electricity);
                var animFrames=[];
                for(var i=1;i<=2;i++){
                    var frame=cc.spriteFrameCache.getSpriteFrame("k_24_circle_light"+i+".png");
                    animFrames.push(frame)
                }
                var animation=new cc.Animation(animFrames,0.2);
                var animate=new cc.Animate(animation);
                this.circle.runAction(animate.repeat(4));
                var MananimFrames=[];
                for(var i=3;i<=4;i++){
                    var Manframe=cc.spriteFrameCache.getSpriteFrame("k_24_man"+i+".png");
                    MananimFrames.push(Manframe)
                }
                var Mananimation=new cc.Animation(MananimFrames,0.2);
                var Mananimate=new cc.Animate(Mananimation);
                this.man.runAction(Mananimate.repeat(4));
//                playEffect(res.F19_Win,false);
                this.man.runAction(cc.sequence(cc.sequence(cc.moveBy(0.05, cc.p(-10,0)),cc.moveBy(0.1, cc.p(20,0)), cc.moveBy(0.05, cc.p(-10, 0))).repeat(8)));
            },this), cc.delayTime(1.6),cc.callFunc(function(){
                ShowFaildPPanel(this.getParent(), 24, 4);
            },this)));
        },this)));
    },
    GameOver5:function(){
        cc.log("GameOver5");
        this.man.stopAllActions();
        this.man.setSpriteFrame("k_24_man1.png");
        this.face.visible = true;
        this.book1.runAction(cc.sequence(cc.moveTo(0.3, cc.p(this.size.width / 2, this.size.height / 2 - 50)), cc.scaleTo(0.3, 1.5), cc.scaleTo(0.3, 1), cc.callFunc(function(){
            playEffect(res.F24_seal,false);
            this.face.setSpriteFrame("k_24_die.png");
        },this),cc.delayTime(1),cc.callFunc(function(){
            ShowFaildPPanel(this.getParent(), 24,1);
        },this)));
    },
    GameOver6:function(){
        cc.log("GameOver6");
        this.man.stopAllActions();
        this.man.setSpriteFrame("k_24_man1.png");
        this.face.visible = true;
        this.book2.runAction(cc.sequence(cc.moveTo(0.3, cc.p(this.size.width / 2, this.size.height / 2 - 50)), cc.scaleTo(0.3, 1.5), cc.scaleTo(0.3, 1), cc.callFunc(function(){
            playEffect(res.F24_seal,false);
            this.face.setSpriteFrame("k_24_die.png");
        },this),cc.delayTime(1),cc.callFunc(function(){
            ShowFaildPPanel(this.getParent(), 24,1);
        },this)));
    },
    GameOver7:function(){
        cc.log("GameOver7");
        this.man.stopAllActions();
        this.man.setSpriteFrame("k_24_man1.png");
        this.face.visible = true;
        this.rulur.runAction(cc.sequence(cc.moveTo(0.3, cc.p(this.size.width / 2, this.size.height / 2 - 50)), cc.scaleTo(0.3, 1.5), cc.scaleTo(0.3, 1), cc.callFunc(function(){
            playEffect(res.F24_seal,false);
            this.face.setSpriteFrame("k_24_die.png");
        },this),cc.delayTime(1),cc.callFunc(function(){
            ShowFaildPPanel(this.getParent(), 24,1);
        },this)));
    },
    GameWin:function(){
        cc.log("GameWin");
        this.man.stopAllActions();
        this.man.setSpriteFrame("k_24_man_nervous3.png");
        this.man.runAction(cc.sequence(cc.delayTime(0.5), cc.callFunc(function(){
            this.face.visible = true;
            var ManGo=["k_24_man1.png", "k_24_man2.png"];
            var ManGoanimFrames=[];
            for(var i=0;i<ManGo.length;i++){
                var ManGoframe = cc.spriteFrameCache.getSpriteFrame(ManGo[i]);
                ManGoanimFrames.push(ManGoframe);
            }
            var ManGoanimation=new cc.Animation(ManGoanimFrames,0.2);
            var ManGoanimate=new cc.Animate(ManGoanimation);
            this.man.runAction(ManGoanimate.repeat(3));
            this.man.runAction(cc.moveBy(1.2, cc.p(250, -200)));
            this.face.runAction(cc.moveBy(1.2, cc.p(250, -200)));
            this.man.runAction(cc.sequence(cc.delayTime(1.2), cc.callFunc(function(){
                this.man.setSpriteFrame("k_24_superman.png");
                this.face.setVisible(false);
            },this), cc.moveTo(0.8, cc.p(this.size.width /2 + 250, this.size.height / 2)), cc.callFunc(function(){
                playEffect(res.F24_Laughter,false);
                this.man.setSpriteFrame("k_24_superman2.png");
            },this) ,cc.jumpBy(1.5, cc.p(0, 0), 30, 6), cc.callFunc(function(){
                ShowSuccessPanel(this.getParent(), 24);
            },this)));
        },this)));
    }
});

var TofleeScene = cc.Scene.extend({

    onEnter : function() {
        this._super();
        var layer = new TofleeLayer();
        this.addChild(layer);

        var level = 24;
        var mainUILayer = new MainUILayer(level);
        this.addChild(mainUILayer, 2);
    },
    pauseTheGame : function () {
        //pause the game
        cc.log("pause the game");
    },
    resumeTheGame :function () {
        //resume the game
        cc.log("resume the game");
    }

});