/**
 * Created by huxiaoxiong on 14-11-10.
 */
HelloWorldLayer = cc.Layer.extend({
    f_speed:0,
    f_nums:0,
    n_score:0,
    f_width:0,  //障碍物距离
    cc_hero1:null, //主角-上方
    cc_hero2:null, //主角-下方
    sprite1:null,  //四个小方块，用于检测碰撞
    sprite2:null,
    sprite3:null,
    sprite4:null,
    floor1:null, //地面
    floor2:null,
    iron:null,   //中心在偶偶精灵
    iron2:null,
    bg1:null,   //背景
    bg2:null,
    b_isgame:true, //是否在游戏中
    f_width:0,    //
    b_isTap:false,  //true-表示在上面,false表示在下边
    a_bricks:[],
    pauseGame : function () {
        if(this.b_isgame){
            this.unscheduleUpdate();
        }

    },
    resumeGame :function () {
        //resume the game
        if(this.b_isgame){
            this.scheduleUpdate();
        }
    },
    btnCallLeft:function(){
        if(!this.b_isgame){
            return ;
        }
        if(this.b_isTap) {
            this.b_isTap = false;
        }
            this.cc_hero1.setVisible(false);
            this.cc_hero1.stopAllActions();
            this.cc_hero2.setVisible(true);

//        }else{
            playEffect("res/z04/z04_pa.wav", 0);
            this.cc_hero2.stopAllActions();
            this.animation(this.cc_hero2);
            this.brickMove();
            this.bgMove();

    },

    btnCallRight:function(){
        cc.log("向下跳");
        if(!this.b_isgame){;
            return ;
        }
        if(!this.b_isTap) {
            this.b_isTap = true;
        }
            this.cc_hero2.setVisible(false);
            this.cc_hero1.setVisible(true);

//        }else{
            playEffect("res/z04/z04_pa.wav", 0);
            this.cc_hero1.stopAllActions();
            this.animation(this.cc_hero1);
            this.brickMove();
            this.bgMove();

    },


    onLogSprRotation:function () {
                                  //fail
        playEffect("res/k35/dian_dajiao.mp3",0);
                                  
        var hero;
        if(this.b_isTap){
            hero = this.cc_hero1;
        }else{
            hero = this.cc_hero2;
        }
        var act1 =cc.rotateTo(2.0, 105);
        var act2 = cc.moveTo(2.0,hero.x,-hero.height);
        var a_action = [act1,act2];
        var action = cc.spawn(a_action);
        var act_Seq = cc.sequence(action,cc.callFunc(function(){
            hero.setTexture("res/z04/k_16_ghost.png");
            if(_this.b_isTap){
                cc.log(1);
                hero.setRotation(180);
            }else{
                cc.log(2);
                hero.setRotation(0);
            }
            var move = cc.MoveTo(1.5,hero.x,cc.winSize.height/2);
            var act_se = cc.sequence(move,cc.callFunc(function(){
                var score = _this.f_nums;
                _this.n_score = score;
                var curLevel;
                for(var i=0;i<24;i++){
                    if(_arr[i][0]==_this.getParent().mainPassionLevel){
                        curLevel=i+1;
                    }
                }
                cc.log("n_score"+ _this.n_score+"level:"+curLevel);


                showNormalGameOverPanel(_this.getParent(),score,_this.getParent().mainPassionLevel,3);
             //   (_this.getParent()).getChildByTag(1024).gameOver(score);
                _this = null;
            }));
            hero.runAction(act_se);
        }));
        hero.runAction(act_Seq);
    },

    fn_fault: function(){
        //
        var frame = cc.spriteFrameCache.getSpriteFrame("z_04_fall_03.png");
        this.cc_hero1.setSpriteFrame(frame);
        this.cc_hero2.setSpriteFrame(frame);
        var framesArray = [];
        framesArray.push( cc.spriteFrameCache.getSpriteFrame("z_04_fall_01.png"));
        framesArray.push( cc.spriteFrameCache.getSpriteFrame("z_04_fall_02.png"));
        framesArray.push( cc.spriteFrameCache.getSpriteFrame("z_04_fall_03.png"));
        var animation = new cc.Animation(framesArray,0.15);
        animation.setRestoreOriginalFrame(true);
        var action = cc.animate(animation);
        var act1 = cc.callFunc(this.onLogSprRotation());
        var actions = cc.sequence(action,act1);
        if(this.b_isTap){
            this.cc_hero1.runAction(actions);
        }else{
            this.cc_hero2.runAction(actions);
        }
        //播放失败音乐
        playEffect("res/z04/z04_fault.wav", 0);
    },


    //动画
    animation:function(m_hero){
        var framesArray = [];
        for (var i = 2; i < 11; i++) {
            if (i<6) {
                frameName = "z_04_act_0" +i + ".png";
            }else{
                frameName = "z_04_act_0" +(11-i) + ".png";
            }
            var frame = cc.spriteFrameCache.getSpriteFrame(frameName);
            framesArray.push(frame);
        }
        var animation = new cc.Animation(framesArray,0.1);
        //	animation.setRestoreOriginalFrame(true);
        var animate = cc.animate(animation);
        m_hero.runAction(animate);
    },


    ctor:function () {
        cc.log("进入");
        //////////////////////////////
        this._super();
        this.init();
        return true;
    },


    //移动背景
    bgMove:function(){
        this.movebg(this.bg1,this.bg2);
        this.movebg(this.bg2,this.bg1);
        this.movebg(this.floor1,this.floor2);
        this.movebg(this.floor2,this.floor1);
    },

    movebg:function(m_bgA,m_bgB){
        m_bgA.x = m_bgA.x - this.f_speed;
        if(m_bgA.x < -m_bgA.width/2){
            m_bgA.x = m_bgB.x + m_bgB.width - this.f_speed;
        }
    },
    init:function(){
        _this = this;
        var size = cc.winSize;
        this.f_width = (cc.director.getWinSize().width)/3 + cc.director.getWinSize().width/12 ;
        this.f_speed = (cc.director.getWinSize().width)/12 +cc.director.getWinSize().width/(12*4);
        //背景
        this.bg1 = new cc.Sprite("res/z04/com_bg_02.png");
        this.bg1.setScaleX(1.2);
        this.bg1.setPosition(size.width/2,size.height/2);
        this.addChild(this.bg1,1);

        this.bg2 = new cc.Sprite("res/z04/com_bg_02.png");
        this.bg2.setScaleX(1.2);
        this.bg2.x = this.bg1.width + size.width/2*1.1;
        this.bg2.y = size.height/2;
        this.addChild(this.bg2,1);
        //地面
        this.floor1 = new cc.Sprite("#z_04_bottom.png");
        this.floor1.setScaleX(1.1);
        this.floor1.x = size.width/2;
        this.floor1.y = this.floor1.height/2;
        this.addChild(this.floor1,1);

        this.floor2 = new cc.Sprite("#z_04_bottom.png");
        this.floor2.setScaleX(1.1);
        this.floor2.x = size.width/2 +5 + this.floor2.width ;
        this.floor2.y = this.floor2.height/2;
        this.addChild(this.floor2,1);

        //主角--下面
        this.cc_hero1 = new cc.Sprite("#z_04_act_02.png");
        this.cc_hero1.setScaleY(-1);
        this.cc_hero1.setPosition(size.width/4 + size.width/25,size.height/2);
        this.addChild(this.cc_hero1,5);
        this.cc_hero1.setVisible(false);

        //主角--上面
        this.cc_hero2 = new cc.Sprite("#z_04_act_02.png");
        this.cc_hero2.setPosition(size.width/4 + size.width/25,size.height/2+this.cc_hero1.height/2);
        this.addChild(this.cc_hero2,5);
        this.cc_hero2.setVisible(true);


        //定义两块精灵用于检测碰撞
        this.sprite1 = new cc.Sprite("#z_04_nail.png");
        this.sprite1.y = this.cc_hero2.y;
        this.sprite1.x = this.cc_hero2.x + this.cc_hero2.width/8.5;
        this.addChild(this.sprite1,0);

        this.sprite2 = new cc.Sprite("#z_04_nail.png");
        this.sprite2.y = this.cc_hero1.y;
        this.sprite2.x = this.cc_hero1.x + this.cc_hero1.width/8.5;
        this.addChild(this.sprite2,0);

        this.sprite3 = new cc.Sprite("#z_04_nail.png");
        this.sprite3.y = this.cc_hero2.y;
        this.sprite3.x = this.cc_hero2.x-this.cc_hero2.width/3;
        this.addChild(this.sprite3,0);

        this.sprite4 = new cc.Sprite("#z_04_nail.png");
        this.sprite4.y = this.cc_hero1.y;
        this.sprite4.x = this.cc_hero1.x-this.cc_hero2.width/3;
        this.addChild(this.sprite4,0);

        //月亮
        var yueliang = new cc.Sprite("res/z04/k_19_moon.png");
        yueliang.y = this.cc_hero2.y + this.cc_hero1.height;
        yueliang.x = size.width/2+200;
        this.addChild(yueliang,4);
        //中心轴
        this.iron = new cc.Sprite("#z_04_iron.png");
        this.iron.y = this.cc_hero1.y + this.cc_hero1.height/4;
        this.iron.x = size.width/2;
        var xx = size.width/this.iron.width;
        this.iron.setScaleX(xx);
        this.addChild(this.iron,4);
        //创建 障碍物
        for (var int = 0; int < 5; int++) {
            var brick1 = new cc.Sprite("#z_04_nail.png");
            this.addChild(brick1,3);
            brick1.x =(this.f_width)*(int+1);
            //随机设置y轴高度
            var w = parseInt(Math.random()*(2)+1);//生成一个从 m - n 之间的随机整数 parseInt(Math.random()*(n-m+1)+m)
            w = 2;
            if (w<2) {
                brick1.setScaleY(-1);
            }

            brick1.y = this.cc_hero1.y + this.cc_hero1.height/4*(w-1) + (this.iron.height*(w-1)) + 8*(2-w);
            this.a_bricks.push(brick1);
        }
        cc.log("两点之间的距离 ："+(this.a_bricks[0].x-0));
        if (this.a_bricks[0].y > this.cc_hero1.y) {
            this.a_bricks[0].y = this.cc_hero1.y+ 12;
            this.a_bricks[0].setScaleY(-1);
        }
        //上下的菜单
        var spriteNormal = new cc.Sprite("res/z04/z_04_up_01.png");
        var spriteSelected = new cc.Sprite("res/z04/z_04_up_02.png");
        var item1 = new cc.MenuItemSprite(spriteNormal, spriteSelected, this.btnCallLeft, this);
        item1.setTag(10);

        var spriteNormal2 = new cc.Sprite("res/z04/z_04_down_01.png");
        var spriteSelected2 = new cc.Sprite("res/z04/z_04_down_02.png");
        var item2 = new cc.MenuItemSprite(spriteNormal2, spriteSelected2, this.btnCallRight, this);
        item2.setTag(20);
        var menu = new cc.Menu(item1,item2);
        menu.alignItemsHorizontallyWithPadding(size.width/3);
        this.addChild(menu,5);
        menu.x = size.width/2;
        menu.y = spriteNormal.height;

        //会运动的障碍物
        this.scheduleUpdate();
    },

    //移动障碍物
    brickMove:function(){
        var size = cc.winSize;
        for (var t1 = 0; t1 < this.a_bricks.length; t1++) {
            var brick1 =  this.a_bricks[t1];
            brick1.x = brick1.x -this.f_speed;
            if(brick1.x < this.cc_hero1.x && brick1.x > (this.cc_hero1.x-this.cc_hero1.width/2)){
                this.f_nums++;
                this.getParent().setScore(this.f_nums);
            }
            if (brick1.x< -this.f_width) {
                if (t1==0) {
                    brick1.x = this.a_bricks[4].x + this.f_width - this.f_speed;
                }else{
                    brick1.x = this.a_bricks[t1-1].x + this.f_width ;
                }
                if (brick1.getScaleY()<0) {
                    brick1.setScaleY(1);
                }
                var w = parseInt(Math.random()*(2)+1);
                if (w < 2) {
                    brick1.setScaleY(-1);
                }
                brick1.y = 0;
                //主角坐标
                brick1.y = this.cc_hero1.y +((this.cc_hero1.height/4)+ (this.iron.height))*(w-1) + 8*(2-w);
            }
        }
    },

    update:function(){
        //检测碰撞
        for (var int = 0; int < this.a_bricks.length; int++) {
            var bBox1,eBox,bBox2;
            if(this.b_isTap){
                bBox1 = this.sprite2.getBoundingBox();
                bBox2 = this.sprite4.getBoundingBox();
            }else{
                bBox1 = this.sprite1.getBoundingBox();
                bBox2 = this.sprite3.getBoundingBox();
            }
            var eBox = this.a_bricks[int].getBoundingBox();
            var isBox1 = cc.rectIntersectsRect(bBox1,eBox);
            var isBox2 = cc.rectIntersectsRect(bBox2,eBox);
            if(isBox1 || isBox2){//是否发生碰撞
                cc.log("碰撞");
                this.b_isgame = false;
                this.cc_hero1.stopAllActions();
                this.cc_hero2.stopAllActions();
                this.unscheduleAllCallbacks();
                this.fn_fault();
            }
        }
    }
});

var HelloWorldScene = cc.Scene.extend({
    layer:null,
    ainUILayer:null,
    score:0,
    fireBomb:null,
                                      mainPassionLevel:-1,
                                      _level:-1,
    ctor:function(_mainPassionLevel){
        this._super();
        this.mainPassionLevel = _mainPassionLevel

    },


    onEnter : function() {
        this._super();
        cc.spriteFrameCache.addSpriteFrames("res/z04/z_04gangshi.plist");
        this.layer = new HelloWorldLayer();
        this.layer.setTag(1);
        this.addChild(this.layer);
        var level = 3;
                                      
                                      _level = level;
        // var mainUILayer = new MainUILayer(level);
        //  this.addChild(mainUILayer, 2,1024);
        if(this.fireBomb == null){
            this.fireBomb = new BombFiring(30, this.mainPassionLevel, level);
            this.addChild(this.fireBomb, 1000);
        }
    },
    onExit:function(){
        this._super();
        this.layer.a_bricks.length = 0;
        //清空缓冲文件
        cc.spriteFrameCache.removeSpriteFramesFromFile("res/z04/z_04gangshi.plist");
    },
    setScore:function(serval){
        this.score = serval;
        cc.log(this.score+"this score");
    },
    pauseTheGame : function () {
        //pause the game
        cc.log("pause the game");
    },
    resumeTheGame :function () {
        //resume the game
        cc.log("resume the game");
    }
});
