var MainUILayer=cc.Layer.extend({
    _level:null,
    size : null,
    goldLabel : null,
    tipsLabel:null,
    soundID:null,
    onEnter:function(){
        this._super();

        cc.log("onEnter");
//        if(_level>0 && _level<=24){
//            playBackgroundMusic("res/music/music_level_"+(_level<10?"0"+_level:_level)+".mp3",true);
//            cc.log("MUSIC_LEVEL:"+(_level<10?"0"+_level:_level));
//        }

    },

    onExit:function(){
        this._super();
        cc.log("onExit");

//        stopBackgroundMusic();
    },

    ctor:function(level){
        this._super();
        var _this=this;
        _level = level;

        setGameTime();

        var curLevel=0;
        for(var i=0;i<_arr.length;i++) {
            if (_arr[i][0] == _level) {
                curLevel=i+1;
            }
        }
        cc.log("now level:" + curLevel);

        if(cc.sys.isMobile) {
            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            testJSB.uploadPassionLevelToUmeng(0, curLevel, 1);
            testJSB.release();
        }


        if(_level>0 && _level<=24){
            playBackgroundMusic("res/music/music_level_"+(_level<10?"0"+_level:_level)+".mp3",true);
            cc.log("MUSIC_LEVEL:"+(_level<10?"0"+_level:_level));
        }



        size = cc.director.getWinSize();
        this.setContentSize(size);




        tipsType=0;


        //关卡里面的广告位
        if(getLauchCheck()==0 && getAd_Title4_Text() != "" && (isUC!=1 || isJinli==1)){
        var spriteWithfreeGoldBtn = new cc.Sprite("#game_btn_free_gold_frame.png");
        var scale9SpriteWithfreeGoldBtn = new cc.Scale9Sprite("game_btn_free_gold_frame.png");
        var freeGoldBtn = new cc.ControlButton(scale9SpriteWithfreeGoldBtn);
        freeGoldBtn.setPreferredSize(cc.size(spriteWithfreeGoldBtn.width, spriteWithfreeGoldBtn.height));
        freeGoldBtn.addTargetWithActionForControlEvents(this,  function(){
            playEffect(res.BUTTON_SOUNDS);
            if(cc.sys.isMobile) {
                var testJSB = new JSB.JSBinding();
                testJSB.retain();
                testJSB.openUrl(4, 1, getAd_Title4_URL());
                testJSB.release();
            }
        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        freeGoldBtn.setAnchorPoint(0, 0.5);
        freeGoldBtn.x = 0;
        freeGoldBtn.y = size.height/2;
        freeGoldBtn.setTag(1001);
        this.addChild(freeGoldBtn);

        var inADTitle = new cc.LabelTTF(getAd_Title4_Text(),getFONT_FZCY_M03SStr(),20);
        inADTitle.x = freeGoldBtn.width/2-10;
        inADTitle.y = freeGoldBtn.height/2;
        freeGoldBtn.addChild(inADTitle);
        inADTitle.setDimensions(cc.size(20,0));
        }



//        //免费金币，积分墙
//        var spriteWithfreeGoldBtn = new cc.Sprite("#game_btn_free_gold.png");
//        var scale9SpriteWithfreeGoldBtn = new cc.Scale9Sprite("#game_btn_free_gold.png");
//        var freeGoldBtn = new cc.ControlButton(scale9SpriteWithfreeGoldBtn);
//        freeGoldBtn.setPreferredSize(cc.size(spriteWithfreeGoldBtn.width, spriteWithfreeGoldBtn.height));
//        freeGoldBtn.addTargetWithActionForControlEvents(this,  function(){
//            var teste = new JSB.JSBinding();
//            testJSB.retain();
//            testJSB.showListWallViewController();
//            testJSB.release();
//        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//        freeGoldBtn.setAnchorPoint(0, 0.5);
//        freeGoldBtn.x = 0;
//        freeGoldBtn.y = size.height/2;
//        freeGoldBtn.setTag(1001);
//        this.addChild(freeGoldBtn);

        //金币
        var spriteWithgoldBtn = new cc.Sprite("#game_btn_gold.png");
        var scale9SpriteWithgoldBtn = new cc.Scale9Sprite("game_btn_gold.png");
        var goldBtn = new cc.ControlButton(scale9SpriteWithgoldBtn);
        goldBtn.setPreferredSize(cc.size(spriteWithgoldBtn.width, spriteWithgoldBtn.height));
        goldBtn.addTargetWithActionForControlEvents(this, function(){
            playEffect(res.BUTTON_SOUNDS);
            createUnTouchLayer();
            if(cc.sys.os=="Android"){
                //pauseAllNode();
                //ShowQuickBuyPanel(this.getParent().getParent(), level);


                pauseAllNode();

                var market=new ShowMarketLayer();
                cc.director.getRunningScene().addChild(market,100);
            }else if(cc.sys.os=="iOS"){
                showVideoAd();
            }else {
                pauseAllNode();

                var market = new ShowMarketLayer();
                cc.director.getRunningScene().addChild(market, 100);
            }
        }.bind(goldBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        goldBtn.x = 100;
        goldBtn.y = size.height-50;


        this.goldLabel = new cc.LabelTTF((getGold() || "0"), getFONT_FZCY_M03SStr(), 28);

        this.goldLabel.x = goldBtn.getContentSize().width / 2+20;
        this.goldLabel.y = goldBtn.getContentSize().height / 2;
        this.goldLabel.color=cc.color(58,27,18);
        goldBtn.addChild(this.goldLabel);


        goldBtn.setTag(1002);
        this.addChild(goldBtn);
        //提示
        var spriteWithtipsBtn = new cc.Sprite("#game_btn_hint.png");
        var scale9SpriteWithtipsBtn = new cc.Scale9Sprite("game_btn_hint.png");
        var tipsBtn = new cc.ControlButton(scale9SpriteWithtipsBtn);
        tipsBtn.setPreferredSize(cc.size(spriteWithtipsBtn.width, spriteWithtipsBtn.height));
        tipsBtn.addTargetWithActionForControlEvents(this, function(){
            createUnTouchLayer();
            playEffect(res.BUTTON_SOUNDS);
//            pauseAllNode();
            ShowTipsPanel(this.getParent().getParent(), level);
        }.bind(tipsBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        tipsBtn.x = 100 + 200;
        tipsBtn.y = size.height-50;

        this.tipsLabel = new cc.LabelTTF("5", getFONT_FZCY_M03SStr(), 28);
        this.tipsLabel.x = tipsBtn.getContentSize().width / 2+15;
        this.tipsLabel.y = tipsBtn.getContentSize().height / 2;
        this.tipsLabel.color=cc.color(58,27,18);
        tipsBtn.addChild(this.tipsLabel);

        tipsBtn.setTag(1003);
        this.addChild(tipsBtn);
        //跳过
        var spriteWithpassBtn = new cc.Sprite("#game_btn_skip.png");
        var scale9SpriteWithpassBtn = new cc.Scale9Sprite("game_btn_skip.png");
        var passBtn = new cc.ControlButton(scale9SpriteWithpassBtn);
        passBtn.setPreferredSize(cc.size(spriteWithpassBtn.width, spriteWithpassBtn.height));
        passBtn.addTargetWithActionForControlEvents(this, function(){
            createUnTouchLayer();
            playEffect(res.BUTTON_SOUNDS);
            pauseAllNode();
            pauseAllEffect();
            pauseBackgroundMusic();
            ShowSecondComfirmPanel(this.getParent().getParent(), level);
        }.bind(passBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        passBtn.x = 100+400;
        passBtn.y = size.height-50;

        var passLabel;

        if(false && cc.sys.os == "Android"){
            passLabel = new cc.LabelTTF("2元", getFONT_FZCY_M03SStr(), 28);

        }else{
            passLabel = new cc.LabelTTF("100", getFONT_FZCY_M03SStr(), 28);
        }
        passLabel.x = passBtn.getContentSize().width / 2+15;
        passLabel.y = passBtn.getContentSize().height / 2;
        passLabel.color=cc.color(58,27,18);
        passBtn.addChild(passLabel);


        passBtn.setTag(1004);
        this.addChild(passBtn);

        //(::)改包名去掉分享
        //求助
        // if(isUC!=1 && isReview==0 && isOpenShare=="true"){
        //     if(isChangeName!=1){
        //         var spriteWithhelpBtn = new cc.Sprite("#com_btn_blue.png");
        //         var scale9SpriteWithhelpBtn = new cc.Scale9Sprite("com_btn_blue.png");
        //         var helpBtn = new cc.ControlButton(scale9SpriteWithhelpBtn);
        //         helpBtn.setPreferredSize(cc.size(spriteWithhelpBtn.width, spriteWithhelpBtn.height));
        //         helpBtn.addTargetWithActionForControlEvents(this, function(){
        //             playEffect(res.BUTTON_SOUNDS);
        //
        //             if(cc.sys.isMobile)return;
        //
        //             var testJSB = new JSB.JSBinding();
        //             testJSB.retain();
        //
        //             var curLevel=0;
        //             for(var i=0;i<_arr.length;i++) {
        //                 if (_arr[i][0] == level) {
        //                     curLevel=i+1;
        //                 }
        //             }
        //             testJSB.showWCImageContent(curLevel,4,"",curLevel);
        //             testJSB.shareCallBackAndGetGold=function (i,j)
        //             {
        //                 //求助回调送金币
        //                 cc.log("求助回调送金币:5");
        //                 setGold(parseInt(getGold())+5);
        //                 ShowGoldChange(_this,"+5");
        //                 helpBtn.getParent().refreshWithGold();
        //                 testJSB.release();
        //             }
        //
        //         }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        //         helpBtn.x = size.width-50-100;
        //         helpBtn.y = size.height-60;
        //         helpBtn.setTag(1005);
        //         this.addChild(helpBtn);
        //
        //
        //         var spriteWithhelp = new cc.Sprite("#game_btn_help_icon.png");
        //         spriteWithhelp.x = helpBtn.width/2-5;
        //         spriteWithhelp.y = helpBtn.height/2+10;
        //         helpBtn.addChild(spriteWithhelp);
        //         if(getLauchCheck()==0){
        //             var sendGold  = new cc.Sprite("#game_send_gold.png");
        //             sendGold.attr({
        //                 x:helpBtn.width/2+30,
        //                 y:helpBtn.height/2+40
        //             });
        //             helpBtn.addChild(sendGold);
        //             sendGold.runAction(cc.sequence(cc.scaleTo(0.3,1.15),cc.scaleTo(0.3,1)).repeatForever());
        //         }
        //     }
        //
        //
        // }



        //暂停按钮
        var spriteWithpauseBtn = new cc.Sprite("#com_btn_blue.png");
        var scale9SpriteWithpauseBtn = new cc.Scale9Sprite("com_btn_blue.png");
        var pauseBtn = new cc.ControlButton(scale9SpriteWithpauseBtn);
        pauseBtn.setPreferredSize(cc.size(spriteWithpauseBtn.width, spriteWithpauseBtn.height));
        pauseBtn.addTargetWithActionForControlEvents(this, function(){

            this.parent.callOutPausePanel();
            playEffect(res.BUTTON_SOUNDS);

            if(!cc.sys.isMobile)return;

            //百度暂停回调
            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            testJSB.pausebaiduAd();
            testJSB.release();
                                                     
        }.bind(pauseBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        pauseBtn.x = size.width-50;
        pauseBtn.y = size.height-60;
        pauseBtn.setTag(1006);
        this.addChild(pauseBtn);

        var spriteWithpause = new cc.Sprite("#game_btn_pause_icon.png");
        spriteWithpause.x = pauseBtn.width/2-5;
        spriteWithpause.y = pauseBtn.height/2+10;
        pauseBtn.addChild(spriteWithpause);

        //秘籍按钮
        var spriteWithstrategyBtn = new cc.Sprite("#com_btn_blue.png");
        var scale9SpriteWithstrategyBtn = new cc.Scale9Sprite("com_btn_blue.png");
        var strategyBtn = new cc.ControlButton(scale9SpriteWithstrategyBtn);
        strategyBtn.setPreferredSize(cc.size(spriteWithstrategyBtn.width, spriteWithstrategyBtn.height));
        strategyBtn.addTargetWithActionForControlEvents(this, function(){
            playEffect(res.BUTTON_SOUNDS);

            // pauseAllNode();
            // pauseAllEffect();

            //电脑测试用，可以解开注释查看攻略界面
            if(cc.sys.os=="Android"){
                cc.log("秘籍暂停");
                cc.log("cc.sys.onLine");
                cc.log(cc.sys.onLine);
                if(getIsBuyCheats()==0) {
                    pauseAllNode();
                    pauseAllEffect();
                    ShowStrategyPanel(this.getParent().getParent(), level);
                }
                else
                {
                    if(cc.sys.onLine)
                    {
                        cc.log("cc.sys.networkState");
                        cc.log(cc.sys.networkState);
                    }
                    var testJSB = new JSB.JSBinding();
                    testJSB.retain();
                    var filename="gl-"+level;
                    testJSB.openFile(filename);
                    testJSB.openFileCallCack=function (i,j) {

                        resumeAllNode();
                        resumeAllEffect();
                        cc.log("秘籍恢复");
                        testJSB.release();
                    }
                }
            }else if(cc.sys.os=="iOS"){
                var testJSB1=new JSB.JSBinding();
                testJSB1.retain();
                testJSB1.openStrategyTips();
                testJSB1.release();
            }else{

                ShowStrategyPanel(this.getParent().getParent(), level);
            }
        }.bind(strategyBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        strategyBtn.x = 50;
        strategyBtn.y = 50;
        strategyBtn.setTag(1007);
        this.addChild(strategyBtn);

        var spriteWithstrategy = new cc.Sprite("#home_btn_strategy_icon.png");
        spriteWithstrategy.x = strategyBtn.width/2-5;
        spriteWithstrategy.y = strategyBtn.height/2+10;
        strategyBtn.addChild(spriteWithstrategy);

        if(cc.sys.os=="iOS" && isReview==1){
            strategyBtn.visible=false;
        }

        //正常游戏
        var bulebtn1 = new cc.Scale9Sprite("com_btn_blue.png");
        var bluebtn=cc.ControlButton.create(bulebtn1);
        bluebtn.setPreferredSize(cc.size(92,98));
        bluebtn.setPosition(cc.p(strategyBtn.getPositionX(),strategyBtn.getPositionY()+100));
        this.addChild(bluebtn);
        bluebtn.addTargetWithActionForControlEvents(this,function(){
            
            pauseAllNode();
//            pauseBackgroundMusic();
//            pauseAllEffect();
            playEffect(res.BUTTON_SOUNDS);

            cc.log("正常模式等级"+_level);
                                                    
            ShowNormalGame(this.getParent(), _level, _arr);


        },cc.CONTROL_EVENT_TOUCH_UP_INSIDE);



        var gold_icon = new cc.Sprite("#game_btn_gold_icon.png");
        gold_icon.x = bluebtn.width/2-2;
        gold_icon.y = bluebtn.height/2+10;
        bluebtn.addChild(gold_icon);

    },
    callOutPausePanel:function(){
        var tempPause=null;
        setIsPauseGame(1);
        this.getParent().pauseTheGame();
        pauseAllEffect();
        pauseBackgroundMusic();
        cc.log ( "i am coming!!");
        //暂停面板
        var pauseMaskBg = new cc.LayerColor(cc.color(0, 0, 0,200), size.width, size.height);

        this.addChild(pauseMaskBg);

        //展示插屏广告（原生广告）
        showAd("gamePause",function(data){
            var nativeFrame=showNativeAd(data);

            nativeFrame.attr({
                x:pauseMaskBg.width/2,
                y:pauseMaskBg.height/2+230
            });
            pauseMaskBg.addChild(nativeFrame);
        });

        //主界面按钮
        var spriteWithhomeBtn = new cc.Sprite("#com_btn_blue.png");
        var scale9SpriteWithhomeBtn = new cc.Scale9Sprite("com_btn_blue.png");
        var homeBtn = new cc.ControlButton(scale9SpriteWithhomeBtn);
        homeBtn.setPreferredSize(cc.size(spriteWithhomeBtn.width, spriteWithhomeBtn.height));
        homeBtn.addTargetWithActionForControlEvents(this, function(){
            setIsPauseGame(0);
            closeNativeAd();
            playEffect(res.BUTTON_SOUNDS);

            this.getParent().getParent().exitThePassion();

            if(_level!=1) {

                cc.director.runScene(new MainScene());

//                cc.director.runScene(new PassionScene(null, _level));
            }
            else if(_level==1)
            {
                resumeAllNode();
                this.getParent().getParent().getParent().getChildByTag(1).winCall();

//                this.parent.removeFromParent();

            }
        }.bind(homeBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        homeBtn.x = size.width/2-175;
        homeBtn.y = -100;
        homeBtn.setTag(1006);
        pauseMaskBg.addChild(homeBtn);

        var spriteWithhome = new cc.Sprite("#pause_btn_home.png");
        spriteWithhome.x = homeBtn.width/2-5;
        spriteWithhome.y = homeBtn.height/2+10;
        homeBtn.addChild(spriteWithhome);


        //关卡按钮
        var spriteWithpassionBtn = new cc.Sprite("#com_btn_blue.png");
        var scale9SpriteWithpassionBtn = new cc.Scale9Sprite("com_btn_blue.png");
        var passionBtn = new cc.ControlButton(scale9SpriteWithpassionBtn);
        passionBtn.setPreferredSize(cc.size(spriteWithpassionBtn.width, spriteWithpassionBtn.height));
        passionBtn.addTargetWithActionForControlEvents(this, function(){
            setIsPauseGame(0);
            closeNativeAd();
            playEffect(res.BUTTON_SOUNDS);

            this.getParent().getParent().exitThePassion();

            for(var i=0;i<_arr.length;i++){
                if(_arr[i][0]==_level){
                    cc.director.runScene(new PassionScene(null, i+1));
                }
            }

        }.bind(passionBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        passionBtn.x = size.width/2-25;
        passionBtn.y = -100;
        passionBtn.setTag(1006);
        pauseMaskBg.addChild(passionBtn);

        var spriteWithpassion = new cc.Sprite("#pause_btn_level.png");
        spriteWithpassion.x = passionBtn.width/2-5;
        spriteWithpassion.y = passionBtn.height/2+10;
        passionBtn.addChild(spriteWithpassion);

        //关闭音乐按钮
        var spriteWithmusicBtn = new cc.Sprite("#com_btn_blue.png");
        var scale9SpriteWithmusicBtn = new cc.Scale9Sprite("com_btn_blue.png");
        var musicBtn = new cc.ControlButton(scale9SpriteWithmusicBtn);
        var _this = this;
        musicBtn.setPreferredSize(cc.size(spriteWithmusicBtn.width, spriteWithmusicBtn.height));
        musicBtn.addTargetWithActionForControlEvents(this, function(){
            playEffect(res.BUTTON_SOUNDS);
            if(_level==8 && this.getParent().getParent().getParent().getChildByTag(2).issche)
            {
                cc.log(_this.soundID+"idddddddddddddddddddddddddd");
                resumeAllNode();
                resumeAllEffect();
                resumeBackgroundMusic();
                if(_this.soundID) {
                    cc.log("11111111111111___------------------------!");
                    stopAllEffect();
                }
                this.getParent().getParent().getParent().getChildByTag(2).wincall();
                this.parent.removeFromParent();
                return;
            }

            if(getMusicIsOpen() == 1){
                this.getChildByTag(1).setSpriteFrame("pause_btn_music_02.png");
                setSoundOpenOrNot(0);
                pauseAllEffect();
                pauseBackgroundMusic();

            }else{
                this.getChildByTag(1).setSpriteFrame("pause_btn_music_01.png");
                setSoundOpenOrNot(1);
//                pauseAllEffect();
//                pauseBackgroundMusic();
            }





//            if(audioEngine.getEffectsVolume()>0 || audioEngine.getMusicVolume()>0){
//                audioEngine.setEffectsVolume(0);
//                audioEngine.setMusicVolume(0);
//            }else{
//                audioEngine.setEffectsVolume(1);
//                audioEngine.setMusicVolume(1);
//            }

//            ShowFaildPPanel(this.getParent());
//            ShowSuccessPanel(this.getParent());
        }.bind(musicBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        musicBtn.x = size.width/2+125;
        musicBtn.y = -100;
        musicBtn.setTag(1006);
        pauseMaskBg.addChild(musicBtn);

        var spriteWithmusic = null;
        if(getMusicIsOpen() == 1) {
            spriteWithmusic = new cc.Sprite("#pause_btn_music_01.png");
        }else{
            spriteWithmusic = new cc.Sprite("#pause_btn_music_02.png");
        }
        spriteWithmusic.setTag(1);
        spriteWithmusic.x = musicBtn.width/2-5;
        spriteWithmusic.y = musicBtn.height/2+10;
        musicBtn.addChild(spriteWithmusic);

        //去除广告按钮
//        var spriteWithremoveAdBtn = new cc.Sprite("#com_btn_blue.png");
//        var scale9SpriteWithremoveAdBtn = new cc.Scale9Sprite("com_btn_blue.png");
//        var removeAdBtn = new cc.ControlButton(scale9SpriteWithremoveAdBtn);
//        removeAdBtn.setPreferredSize(cc.size(spriteWithremoveAdBtn.width, spriteWithremoveAdBtn.height));
//        removeAdBtn.addTargetWithActionForControlEvents(this, function(){
//            playEffect(res.BUTTON_SOUNDS);
//
//            var testJSB = new JSB.JSBinding();
//            testJSB.retain();
//            testJSB.purchase5();
//            testJSB.purchaseCallBack = function(i,j){
//                frame.getParent().getParent().getChildByTag(1000).removeFromParent();
//            };
//            testJSB.purchaseCallBack2 = function(i,j){
//                frame.getParent().getParent().getChildByTag(1000).removeFromParent();
//                cc.log("remove1111");
//            };
//
////            this.parent.callOutremoveAdPanel();
//        }.bind(removeAdBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
//        removeAdBtn.x = size.width/2+225;
//        removeAdBtn.y = -100;
//        removeAdBtn.setTag(1006);
//
//        pauseMaskBg.addChild(removeAdBtn);
//
//        var spriteWithremoveAd = new cc.Sprite("#pause_btn_AD.png");
//        spriteWithremoveAd.x = removeAdBtn.width/2-5;
//        spriteWithremoveAd.y = removeAdBtn.height/2+10;
//        removeAdBtn.addChild(spriteWithremoveAd);
//
//        var spriteWithpause_line = new cc.Sprite("#pause_line.png");
//        spriteWithpause_line.x = pauseMaskBg.width/2;
//        spriteWithpause_line.y = pauseMaskBg.height/2-50;
//        pauseMaskBg.addChild(spriteWithpause_line);



        //返回按钮
        var spriteWithreturnBtn = new cc.Sprite("#com_btn_red.png");
        var scale9SpriteWithreturnBtn = new cc.Scale9Sprite("com_btn_red.png");
        var returnBtn = new cc.ControlButton(scale9SpriteWithreturnBtn);
        returnBtn.setPreferredSize(cc.size(spriteWithreturnBtn.width, spriteWithreturnBtn.height));
        returnBtn.addTargetWithActionForControlEvents(this, function(){
            tempPause=this;
            setIsPauseGame(0);
            closeNativeAd();

            playEffect(res.BUTTON_SOUNDS);

            pauseMaskBg.runAction(cc.sequence(cc.callFunc(function()
            {
                returnBtn.runAction(cc.sequence(cc.moveBy(0.1,cc.p(0,20)),cc.moveBy(0.2,cc.p(0,-200))));
                homeBtn.runAction(cc.sequence(cc.delayTime(0.1),cc.moveBy(0.15,cc.p(0,100)),cc.moveBy(0.2,cc.p(0,-(size.height/2+200)))));
                passionBtn.runAction(cc.sequence(cc.delayTime(0.2),cc.moveBy(0.15,cc.p(0,100)),cc.moveBy(0.2,cc.p(0,-(size.height/2+200)))));
                musicBtn.runAction(cc.sequence(cc.delayTime(0.3),cc.moveBy(0.15,cc.p(0,100)),cc.moveBy(0.2,cc.p(0,-(size.height/2+200)))));
//                removeAdBtn.runAction(cc.sequence(cc.delayTime(0.4),cc.moveBy(0.15,cc.p(0,100)),cc.moveBy(0.2,cc.p(0,-(size.height/2+200)))));
            }),cc.delayTime(0.9),cc.callFunc(function()
            {
                resumeAllEffect();
                resumeBackgroundMusic();
                resumeAllNode();

            }),cc.delayTime(0.1),cc.callFunc(function(){
                pauseMaskBg.removeFromParent();
            })));
        }.bind(returnBtn), cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
        returnBtn.x = size.width/2-300;
        returnBtn.y = -100;
        returnBtn.setTag(1006);
        pauseMaskBg.addChild(returnBtn);

        var spriteWithreturn = new cc.Sprite("#pause_btn_back.png");
        spriteWithreturn.x = returnBtn.width/2-5;
        spriteWithreturn.y = returnBtn.height/2+10;
        returnBtn.addChild(spriteWithreturn);

        pauseAllNode();

        pauseMaskBg.onEnter();

        cc.log("returnBtn pri " + returnBtn.priority);

        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                cc.log("begin");
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                    return true;
                }
                return false;
            },
            onTouchMoved: function (touch, event) {

            },
            onTouchEnded: function (touch, event) {
                cc.log("end");
            }
        });
        cc.eventManager.addListener(listener1, pauseMaskBg);

        pauseMaskBg.runAction(cc.callFunc(function()
        {
            returnBtn.runAction(cc.sequence(cc.moveBy(0.2,cc.p(0,200)),cc.moveBy(0.1,cc.p(0,-20))));
            homeBtn.runAction(cc.sequence(cc.delayTime(0.1),cc.moveBy(0.2,cc.p(0,size.height/2+200)),cc.moveBy(0.15,cc.p(0,-100))));
            passionBtn.runAction(cc.sequence(cc.delayTime(0.2),cc.moveBy(0.2,cc.p(0,size.height/2+200)),cc.moveBy(0.15,cc.p(0,-100))));
            musicBtn.runAction(cc.sequence(cc.delayTime(0.3),cc.moveBy(0.2,cc.p(0,size.height/2+200)),cc.moveBy(0.15,cc.p(0,-100))));
//            removeAdBtn.runAction(cc.sequence(cc.delayTime(0.4),cc.moveBy(0.2,cc.p(0,size.height/2+200)),cc.moveBy(0.15,cc.p(0,-100))));
        }));

    },
    btnCallBack:function(sender,type){
        sender.swallowTouches=true;

        switch(type){

            case cc.CONTROL_EVENT_TOUCH_UP_INSIDE:

                break;
            default:
                break;
        }
    },
    refreshWithGold:function(){
        this.goldLabel.setString(getGold());
    },
    exitThePassion : function () {

        cc.log("exit the game!");
        stopAllEffect();
        playEffect(res.BUTTON_SOUNDS);
        cc.log("level: " + "res/k"+(_level<10?"0"+_level:_level)+"/k_"+(_level<10?"0"+_level:_level)+".plist");
        cc.spriteFrameCache.removeSpriteFrameByName("res/k"+(_level<10?"0"+_level:_level)+"/k_"+(_level<10?"0"+_level:_level)+".plist");

        if(_level=="2"){
            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            testJSB.setSreenRotae(1);
            testJSB.release();
        }






        switch(_level){
            case "1":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k06/k_06.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k06/k_09.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k16/k_16.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k19/k_19.plist");
                break;
            case "2":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k15/k_15.plist");
                break;
            case "3":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k04/k_04.plist");
                break;
            case "7":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k23/k_11.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k23/k_21.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k23/k_23.plist");
                break;
            case "8":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k19/k_19.plist");
                break;
            case "9":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k19/k_19.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k14/k_14.plist");
                break;
            case "10":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k13/k_13.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k24/k_24.plist");
                break;
            case "14":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k15/k_15.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k02/k_02.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k16/k_16.plist");
                break;
            case "16":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k07/k_07.plist");
                break;
            case "21":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k07/k_07.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k11/k_11.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k24/k_24.plist");
                break;
            case "23":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k21/k_21.plist");
                cc.spriteFrameCache.removeSpriteFrameByName("res/k09/k_09.plist");
                break;
            case "22":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k12/k_09.plist");
                break;
            case "24":
                cc.spriteFrameCache.removeSpriteFrameByName("res/k12/k_12.plist");
                break;
            default:
                break;

        }



    },
    setSoundID:function (id) {
        this.soundID = id;

    }
});