/**
 * Created by langchenglai on 14-11-27.
 */
var SelfADPanel=cc.Layer.extend({
    onEnter:function(){
        this._super();

        cc.log("onEnter");
    },

    onExit:function(){
        this._super();
    },
    ctor:function(str) {
        this._super();
        cc.log(str);
        this.init();
    },

    init:function(){
        var size = cc.winSize;
        //蒙版
        var pauseMaskBg = new cc.LayerColor(cc.color(0, 0, 0,150), size.width, size.height);
        this.addChild(pauseMaskBg);
        //背景
        cc.log("inter");
        var bg  = new cc.Sprite("#notice_board_frame.png");
        bg.setPosition(cc.p(pauseMaskBg.width/2,pauseMaskBg.height/2));
        pauseMaskBg.addChild(bg);

        //关闭按钮
        var spriteForCloseBtn=new cc.Scale9Sprite("com_btn_red.png");
        var closeBtn=new cc.ControlButton(spriteForCloseBtn);
        closeBtn.setPosition(cc.p(bg.width-50, bg.height-40));
        closeBtn.setPreferredSize(cc.size(92, 98));
        bg.addChild(closeBtn, 1);
        closeBtn.addTargetWithActionForControlEvents(bg, function () {
            playEffect(res.BUTTON_SOUNDS);
            pauseMaskBg.removeFromParent();
        }, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);

        var close_icon=new cc.Sprite("#com_btn_purple_close.png");
        close_icon.attr({
            x:closeBtn.getBoundingBox().width/2-4,
            y:closeBtn.getBoundingBox().height/2+8
        });
        closeBtn.addChild(close_icon);

        //打开广告按钮
        var spriteForOpenBtn = new cc.Scale9Sprite("com_CPM_btn_buy_frame.png");
        var openBtn = new cc.ControlButton(spriteForOpenBtn);
        openBtn.setPosition(cc.p(bg.width/2+50,100));
        openBtn.setPreferredSize(cc.size(190,76));
        bg.addChild(openBtn,1);
        openBtn.addTargetWithActionForControlEvents(bg,function(){
            playEffect(res.BUTTON_SOUNDS);
            var testJSB = new JSB.JSBinding();
            testJSB.retain();
            cc.log(getSelfAD_URL());
            testJSB.openUrl(9,1,getSelfAD_URL());
            testJSB.release();
        },cc.CONTROL_EVENT_TOUCH_UP_INSIDE);

        var know_Icon = new cc.Sprite("#notice_board_btn_ok.png");
        know_Icon.setPosition(cc.p(openBtn.width/2,openBtn.height/2));
        openBtn.addChild(know_Icon);

        //下划线
        var line = new cc.Sprite("#notice_board_line.png");
        line.setPosition(cc.p(bg.width/2+40,bg.height-120));
        bg.addChild(line,1);

        //标题文字
        var selfADTitle = new cc.LabelTTF(getSelfAD_Title(),getFONT_FZCY_M03SStr(),50);
        selfADTitle.setPosition(cc.p(bg.width/2+40,bg.height-70));
        selfADTitle.setColor(cc.color(64,45,35));
        bg.addChild(selfADTitle,1);

        //内容文字
        var selfADContent = new cc.LabelTTF(getSelfAD_Content(),getFONT_FZCY_M03SStr(),40);
        selfADContent.setPosition(cc.p(bg.width/2+70,bg.height-200));
        selfADContent.setColor(cc.color(64,45,35));
        selfADContent.setDimensions(cc.size(400,100));
        bg.addChild(selfADContent,1);


        var listener1 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                cc.log("begin");
                var target = event.getCurrentTarget();

                var locationInNode = target.convertToNodeSpace(touch.getLocation());
                var s = target.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);

                if (cc.rectContainsPoint(rect, locationInNode)) {
                    cc.log("sprite began... x = " + locationInNode.x + ", y = " + locationInNode.y);
                    return true;
                }
                return false;
            },
            onTouchMoved: function (touch, event) {

            },
            onTouchEnded: function (touch, event) {
                cc.log("end");
            }
        });
        cc.eventManager.addListener(listener1, pauseMaskBg);



    }
})